daily pastebin goal
15%
SHARE
TWEET

Untitled

a guest Jan 20th, 2017 85 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. 2017-01-05 22:11:09.868 | + exec
  2. 2017-01-05 22:11:09.868 | + echo_summary 'stack.sh log /opt/stack/new/devstacklog.txt.2017-01-05-221109'
  3. 2017-01-05 22:11:09.868 | + [[ -t 3 ]]
  4. 2017-01-05 22:11:09.868 | + echo -e stack.sh log /opt/stack/new/devstacklog.txt.2017-01-05-221109
  5. 2017-01-05 22:11:09.868 | + ln -sf /opt/stack/new/devstacklog.txt.2017-01-05-221109 /opt/stack/new/devstacklog.txt
  6. 2017-01-05 22:11:09.868 | ++ /opt/stack/new/devstack/tools/outfilter.py -o /opt/stack/new/devstacklog.txt.2017-01-05-221109.summary.2017-01-05-221109
  7. 2017-01-05 22:11:09.868 | + ln -sf /opt/stack/new/devstacklog.txt.2017-01-05-221109.summary.2017-01-05-221109 /opt/stack/new/devstacklog.txt.summary
  8. 2017-01-05 22:11:09.868 | + [[ -n /opt/stack/new/screen-logs ]]
  9. 2017-01-05 22:11:09.868 | + [[ -d /opt/stack/new/screen-logs ]]
  10. 2017-01-05 22:11:09.868 | + mkdir -p /opt/stack/new/screen-logs
  11. 2017-01-05 22:11:09.870 | + trap exit_trap EXIT
  12. 2017-01-05 22:11:09.870 | + trap err_trap ERR
  13. 2017-01-05 22:11:09.870 | + set -o errexit
  14. 2017-01-05 22:11:09.870 | + uname -a
  15. 2017-01-05 22:11:09.871 | Linux ubuntu 3.13.0-95-generic #142-Ubuntu SMP Fri Aug 12 17:00:09 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
  16. 2017-01-05 22:11:09.871 | + SSL_BUNDLE_FILE=/opt/stack/data/ca-bundle.pem
  17. 2017-01-05 22:11:09.871 | + rm -f /opt/stack/data/ca-bundle.pem
  18. 2017-01-05 22:11:09.873 | + source /opt/stack/new/devstack/lib/database
  19. 2017-01-05 22:11:09.886 | + source /opt/stack/new/devstack/lib/rpc_backend
  20. 2017-01-05 22:11:09.889 | + SSL_ENABLED_SERVICES=key,nova,cinder,glance,s-proxy,neutron
  21. 2017-01-05 22:11:09.889 | + is_service_enabled tls-proxy
  22. 2017-01-05 22:11:09.891 | + return 1
  23. 2017-01-05 22:11:09.891 | + fetch_plugins
  24. 2017-01-05 22:11:09.891 | + local plugins=,neutron-lbaas
  25. 2017-01-05 22:11:09.891 | + local plugin
  26. 2017-01-05 22:11:09.891 | + [[ -z ,neutron-lbaas ]]
  27. 2017-01-05 22:11:09.891 | + echo 'Fetching DevStack plugins'
  28. 2017-01-05 22:11:09.891 | Fetching DevStack plugins
  29. 2017-01-05 22:11:09.891 | + for plugin in '${plugins//,/ }'
  30. 2017-01-05 22:11:09.891 | + git_clone_by_name neutron-lbaas
  31. 2017-01-05 22:11:09.891 | + local name=neutron-lbaas
  32. 2017-01-05 22:11:09.891 | + local repo=https://git.openstack.org/openstack/neutron-lbaas
  33. 2017-01-05 22:11:09.891 | + local dir=/opt/stack/new/neutron-lbaas
  34. 2017-01-05 22:11:09.891 | + local branch=master
  35. 2017-01-05 22:11:09.891 | + git_clone https://git.openstack.org/openstack/neutron-lbaas /opt/stack/new/neutron-lbaas master
  36. 2017-01-05 22:11:09.891 | + local git_remote=https://git.openstack.org/openstack/neutron-lbaas
  37. 2017-01-05 22:11:09.891 | + local git_dest=/opt/stack/new/neutron-lbaas
  38. 2017-01-05 22:11:09.891 | + local git_ref=master
  39. 2017-01-05 22:11:09.891 | ++ pwd
  40. 2017-01-05 22:11:09.891 | + local orig_dir=/opt/stack/new/devstack
  41. 2017-01-05 22:11:09.891 | + local git_clone_flags=
  42. 2017-01-05 22:11:09.891 | ++ trueorfalse False RECLONE
  43. 2017-01-05 22:11:09.894 | + RECLONE=False
  44. 2017-01-05 22:11:09.894 | + [[ 0 -gt 0 ]]
  45. 2017-01-05 22:11:09.894 | + [[ False = \T\r\u\e ]]
  46. 2017-01-05 22:11:09.894 | + echo master
  47. 2017-01-05 22:11:09.894 | + egrep -q '^refs'
  48. 2017-01-05 22:11:09.895 | + [[ ! -d /opt/stack/new/neutron-lbaas ]]
  49. 2017-01-05 22:11:09.895 | + [[ False = \T\r\u\e ]]
  50. 2017-01-05 22:11:09.895 | + cd /opt/stack/new/neutron-lbaas
  51. 2017-01-05 22:11:09.895 | + git show --oneline
  52. 2017-01-05 22:11:09.895 | + head -1
  53. 2017-01-05 22:11:09.898 | d42ad18 Fixed lbaasv2 service plugin alias definition
  54. 2017-01-05 22:11:09.898 | + cd /opt/stack/new/devstack
  55. 2017-01-05 22:11:09.898 | + run_phase override_defaults
  56. 2017-01-05 22:11:09.898 | + local mode=override_defaults
  57. 2017-01-05 22:11:09.898 | + local phase=
  58. 2017-01-05 22:11:09.898 | + [[ -d /opt/stack/new/devstack/extras.d ]]
  59. 2017-01-05 22:11:09.899 | + for i in '$TOP_DIR/extras.d/*.sh'
  60. 2017-01-05 22:11:09.899 | + [[ -r /opt/stack/new/devstack/extras.d/50-ironic.sh ]]
  61. 2017-01-05 22:11:09.899 | + source /opt/stack/new/devstack/extras.d/50-ironic.sh override_defaults
  62. 2017-01-05 22:11:09.899 | ++ is_service_enabled ir-api ir-cond
  63. 2017-01-05 22:11:09.901 | ++ return 1
  64. 2017-01-05 22:11:09.901 | + for i in '$TOP_DIR/extras.d/*.sh'
  65. 2017-01-05 22:11:09.901 | + [[ -r /opt/stack/new/devstack/extras.d/60-ceph.sh ]]
  66. 2017-01-05 22:11:09.901 | + source /opt/stack/new/devstack/extras.d/60-ceph.sh override_defaults
  67. 2017-01-05 22:11:09.901 | ++ is_service_enabled ceph
  68. 2017-01-05 22:11:09.904 | ++ return 1
  69. 2017-01-05 22:11:09.904 | + for i in '$TOP_DIR/extras.d/*.sh'
  70. 2017-01-05 22:11:09.904 | + [[ -r /opt/stack/new/devstack/extras.d/80-tempest.sh ]]
  71. 2017-01-05 22:11:09.904 | + source /opt/stack/new/devstack/extras.d/80-tempest.sh override_defaults
  72. 2017-01-05 22:11:09.904 | ++ is_service_enabled tempest
  73. 2017-01-05 22:11:09.906 | ++ return 0
  74. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \s\o\u\r\c\e ]]
  75. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \s\t\a\c\k ]]
  76. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \s\t\a\c\k ]]
  77. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \s\t\a\c\k ]]
  78. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \s\t\a\c\k ]]
  79. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \u\n\s\t\a\c\k ]]
  80. 2017-01-05 22:11:09.906 | ++ [[ override_defaults == \c\l\e\a\n ]]
  81. 2017-01-05 22:11:09.906 | + [[ override_defaults == \s\o\u\r\c\e ]]
  82. 2017-01-05 22:11:09.906 | + [[ override_defaults == \o\v\e\r\r\i\d\e\_\d\e\f\a\u\l\t\s ]]
  83. 2017-01-05 22:11:09.906 | + plugin_override_defaults
  84. 2017-01-05 22:11:09.906 | + local plugins=,neutron-lbaas
  85. 2017-01-05 22:11:09.906 | + local plugin
  86. 2017-01-05 22:11:09.906 | + [[ -z ,neutron-lbaas ]]
  87. 2017-01-05 22:11:09.906 | + echo 'Overriding Configuration Defaults'
  88. 2017-01-05 22:11:09.906 | Overriding Configuration Defaults
  89. 2017-01-05 22:11:09.906 | + for plugin in '${plugins//,/ }'
  90. 2017-01-05 22:11:09.906 | + local dir=/opt/stack/new/neutron-lbaas
  91. 2017-01-05 22:11:09.906 | + [[ -f /opt/stack/new/neutron-lbaas/devstack/override-defaults ]]
  92. 2017-01-05 22:11:09.906 | + source /opt/stack/new/devstack/lib/apache
  93. 2017-01-05 22:11:09.914 | + source /opt/stack/new/devstack/lib/tls
  94. 2017-01-05 22:11:09.914 | ++ is_service_enabled tls-proxy
  95. 2017-01-05 22:11:09.916 | ++ return 1
  96. 2017-01-05 22:11:09.916 | +++ hostname -f
  97. 2017-01-05 22:11:09.917 | ++ DEVSTACK_HOSTNAME=localhost
  98. 2017-01-05 22:11:09.917 | ++ DEVSTACK_CERT_NAME=devstack-cert
  99. 2017-01-05 22:11:09.917 | ++ DEVSTACK_CERT=/opt/stack/data/devstack-cert.pem
  100. 2017-01-05 22:11:09.917 | ++ ROOT_CA_DIR=/opt/stack/data/CA/root-ca
  101. 2017-01-05 22:11:09.917 | ++ INT_CA_DIR=/opt/stack/data/CA/int-ca
  102. 2017-01-05 22:11:09.917 | ++ ORG_NAME=OpenStack
  103. 2017-01-05 22:11:09.917 | ++ ORG_UNIT_NAME=DevStack
  104. 2017-01-05 22:11:09.917 | ++ STUD_PROTO=--tls
  105. 2017-01-05 22:11:09.917 | ++ STUD_CIPHERS='TLSv1+HIGH:!DES:!aNULL:!eNULL:@STRENGTH'
  106. 2017-01-05 22:11:09.918 | ++ OPENSSL=/usr/bin/openssl
  107. 2017-01-05 22:11:09.919 | + source /opt/stack/new/devstack/lib/infra
  108. 2017-01-05 22:11:09.921 | + source /opt/stack/new/devstack/lib/oslo
  109. 2017-01-05 22:11:09.925 | + source /opt/stack/new/devstack/lib/lvm
  110. 2017-01-05 22:11:09.927 | + source /opt/stack/new/devstack/lib/horizon
  111. 2017-01-05 22:11:09.930 | + source /opt/stack/new/devstack/lib/keystone
  112. 2017-01-05 22:11:09.940 | + source /opt/stack/new/devstack/lib/glance
  113. 2017-01-05 22:11:09.949 | + source /opt/stack/new/devstack/lib/nova
  114. 2017-01-05 22:11:09.986 | + source /opt/stack/new/devstack/lib/cinder
  115. 2017-01-05 22:11:10.003 | + source /opt/stack/new/devstack/lib/swift
  116. 2017-01-05 22:11:10.018 | + source /opt/stack/new/devstack/lib/heat
  117. 2017-01-05 22:11:10.031 | + source /opt/stack/new/devstack/lib/neutron-legacy
  118. 2017-01-05 22:11:10.031 | ++ IP_VERSION=4+6
  119. 2017-01-05 22:11:10.031 | ++ [[ 4+6 != \4 ]]
  120. 2017-01-05 22:11:10.031 | ++ [[ 4+6 != \6 ]]
  121. 2017-01-05 22:11:10.031 | ++ [[ 4+6 != \4\+\6 ]]
  122. 2017-01-05 22:11:10.031 | ++ NETWORK_GATEWAY=10.1.0.1
  123. 2017-01-05 22:11:10.031 | ++ PUBLIC_NETWORK_GATEWAY=172.24.5.1
  124. 2017-01-05 22:11:10.031 | ++ PRIVATE_SUBNET_NAME=private-subnet
  125. 2017-01-05 22:11:10.031 | ++ PUBLIC_SUBNET_NAME=public-subnet
  126. 2017-01-05 22:11:10.032 | ++ is_ssl_enabled_service neutron
  127. 2017-01-05 22:11:10.032 | ++ local services=neutron
  128. 2017-01-05 22:11:10.032 | ++ local service=
  129. 2017-01-05 22:11:10.032 | ++ '[' False == False ']'
  130. 2017-01-05 22:11:10.032 | ++ return 1
  131. 2017-01-05 22:11:10.032 | ++ is_service_enabled tls-proxy
  132. 2017-01-05 22:11:10.034 | ++ return 1
  133. 2017-01-05 22:11:10.034 | +++ uuidgen
  134. 2017-01-05 22:11:10.035 | +++ sed -e 's/\(..\)\(....\)\(....\)/\1:\2:\3/'
  135. 2017-01-05 22:11:10.035 | +++ cut -c 23-
  136. 2017-01-05 22:11:10.035 | +++ sed s/-//g
  137. 2017-01-05 22:11:10.038 | ++ IPV6_GLOBAL_ID=3a:f8cc:8654
  138. 2017-01-05 22:11:10.038 | ++ IPV6_RA_MODE=slaac
  139. 2017-01-05 22:11:10.038 | ++ IPV6_ADDRESS_MODE=slaac
  140. 2017-01-05 22:11:10.038 | ++ IPV6_PUBLIC_SUBNET_NAME=ipv6-public-subnet
  141. 2017-01-05 22:11:10.038 | ++ IPV6_PRIVATE_SUBNET_NAME=ipv6-private-subnet
  142. 2017-01-05 22:11:10.038 | ++ FIXED_RANGE_V6=fd3a:f8cc:8654::/64
  143. 2017-01-05 22:11:10.038 | ++ IPV6_PRIVATE_NETWORK_GATEWAY=fd3a:f8cc:8654::1
  144. 2017-01-05 22:11:10.038 | ++ IPV6_PUBLIC_RANGE=2001:db8::/64
  145. 2017-01-05 22:11:10.038 | ++ IPV6_PUBLIC_NETWORK_GATEWAY=2001:db8::2
  146. 2017-01-05 22:11:10.038 | ++ IPV6_ROUTER_GW_IP=2001:db8::1
  147. 2017-01-05 22:11:10.038 | ++ GITDIR["python-neutronclient"]=/opt/stack/new/python-neutronclient
  148. 2017-01-05 22:11:10.038 | ++ NEUTRON_DIR=/opt/stack/new/neutron
  149. 2017-01-05 22:11:10.038 | ++ NEUTRON_FWAAS_DIR=/opt/stack/new/neutron-fwaas
  150. 2017-01-05 22:11:10.038 | ++ NEUTRON_LBAAS_DIR=/opt/stack/new/neutron-lbaas
  151. 2017-01-05 22:11:10.038 | ++ NEUTRON_VPNAAS_DIR=/opt/stack/new/neutron-vpnaas
  152. 2017-01-05 22:11:10.038 | ++ NEUTRON_AUTH_CACHE_DIR=/var/cache/neutron
  153. 2017-01-05 22:11:10.038 | ++ [[ -d /opt/stack/new/neutron/bin/neutron-server ]]
  154. 2017-01-05 22:11:10.038 | +++ get_python_exec_prefix
  155. 2017-01-05 22:11:10.040 | +++ is_fedora
  156. 2017-01-05 22:11:10.040 | +++ [[ -z Ubuntu ]]
  157. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = Fedora ']'
  158. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = 'Red Hat' ']'
  159. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = CentOS ']'
  160. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = OracleLinux ']'
  161. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = CloudLinux ']'
  162. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = kvmibm ']'
  163. 2017-01-05 22:11:10.040 | +++ is_suse
  164. 2017-01-05 22:11:10.040 | +++ [[ -z Ubuntu ]]
  165. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = openSUSE ']'
  166. 2017-01-05 22:11:10.040 | +++ '[' Ubuntu = 'SUSE LINUX' ']'
  167. 2017-01-05 22:11:10.040 | +++ echo /usr/local/bin
  168. 2017-01-05 22:11:10.040 | ++ NEUTRON_BIN_DIR=/usr/local/bin
  169. 2017-01-05 22:11:10.040 | ++ NEUTRON_CONF_DIR=/etc/neutron
  170. 2017-01-05 22:11:10.040 | ++ NEUTRON_CONF=/etc/neutron/neutron.conf
  171. 2017-01-05 22:11:10.040 | ++ export NEUTRON_TEST_CONFIG_FILE=/etc/neutron/debug.ini
  172. 2017-01-05 22:11:10.040 | ++ NEUTRON_TEST_CONFIG_FILE=/etc/neutron/debug.ini
  173. 2017-01-05 22:11:10.040 | ++ AGENT_DHCP_BINARY=/usr/local/bin/neutron-dhcp-agent
  174. 2017-01-05 22:11:10.040 | ++ AGENT_L3_BINARY=/usr/local/bin/neutron-l3-agent
  175. 2017-01-05 22:11:10.040 | ++ AGENT_META_BINARY=/usr/local/bin/neutron-metadata-agent
  176. 2017-01-05 22:11:10.040 | ++ Q_DHCP_CONF_FILE=/etc/neutron/dhcp_agent.ini
  177. 2017-01-05 22:11:10.040 | ++ Q_L3_CONF_FILE=/etc/neutron/l3_agent.ini
  178. 2017-01-05 22:11:10.040 | ++ Q_FWAAS_CONF_FILE=/etc/neutron/fwaas_driver.ini
  179. 2017-01-05 22:11:10.040 | ++ Q_VPN_CONF_FILE=/etc/neutron/vpn_agent.ini
  180. 2017-01-05 22:11:10.040 | ++ Q_META_CONF_FILE=/etc/neutron/metadata_agent.ini
  181. 2017-01-05 22:11:10.040 | ++ Q_DB_NAME=neutron
  182. 2017-01-05 22:11:10.040 | ++ Q_PLUGIN=ml2
  183. 2017-01-05 22:11:10.040 | ++ Q_PORT=9696
  184. 2017-01-05 22:11:10.040 | ++ Q_PORT_INT=19696
  185. 2017-01-05 22:11:10.040 | ++ Q_HOST=10.90.55.191
  186. 2017-01-05 22:11:10.040 | ++ Q_PROTOCOL=http
  187. 2017-01-05 22:11:10.040 | ++ Q_LISTEN_ADDRESS=0.0.0.0
  188. 2017-01-05 22:11:10.040 | ++ Q_ADMIN_USERNAME=neutron
  189. 2017-01-05 22:11:10.040 | ++ Q_AUTH_STRATEGY=keystone
  190. 2017-01-05 22:11:10.040 | ++ Q_USE_NAMESPACE=True
  191. 2017-01-05 22:11:10.040 | ++ Q_OVS_USE_VETH=False
  192. 2017-01-05 22:11:10.040 | ++ Q_USE_ROOTWRAP=True
  193. 2017-01-05 22:11:10.041 | +++ trueorfalse True Q_USE_ROOTWRAP_DAEMON
  194. 2017-01-05 22:11:10.046 | ++ Q_USE_ROOTWRAP_DAEMON=True
  195. 2017-01-05 22:11:10.046 | ++ Q_META_DATA_IP=10.90.55.191
  196. 2017-01-05 22:11:10.046 | ++ Q_ALLOW_OVERLAPPING_IP=True
  197. 2017-01-05 22:11:10.046 | ++ Q_USE_DEBUG_COMMAND=True
  198. 2017-01-05 22:11:10.046 | ++ Q_ROUTER_NAME=router1
  199. 2017-01-05 22:11:10.046 | ++ Q_NOTIFY_NOVA_PORT_STATUS_CHANGES=True
  200. 2017-01-05 22:11:10.046 | ++ Q_NOTIFY_NOVA_PORT_DATA_CHANGES=True
  201. 2017-01-05 22:11:10.046 | ++ VIF_PLUGGING_IS_FATAL=True
  202. 2017-01-05 22:11:10.046 | ++ VIF_PLUGGING_TIMEOUT=300
  203. 2017-01-05 22:11:10.046 | ++ NEUTRON_CREATE_INITIAL_NETWORKS=True
  204. 2017-01-05 22:11:10.046 | ++ PROVIDER_SUBNET_NAME=provider_net
  205. 2017-01-05 22:11:10.046 | ++ PUBLIC_BRIDGE=br-ex
  206. 2017-01-05 22:11:10.046 | ++ PUBLIC_BRIDGE_MTU=1500
  207. 2017-01-05 22:11:10.046 | ++ Q_USE_PROVIDERNET_FOR_PUBLIC=False
  208. 2017-01-05 22:11:10.046 | ++ PUBLIC_PHYSICAL_NETWORK=public
  209. 2017-01-05 22:11:10.046 | ++ Q_USE_PUBLIC_VETH=False
  210. 2017-01-05 22:11:10.046 | ++ Q_PUBLIC_VETH_EX=veth-pub-ex
  211. 2017-01-05 22:11:10.046 | ++ Q_PUBLIC_VETH_INT=veth-pub-int
  212. 2017-01-05 22:11:10.046 | ++ Q_L3_ENABLED=False
  213. 2017-01-05 22:11:10.046 | ++ Q_L3_ROUTER_PER_TENANT=False
  214. 2017-01-05 22:11:10.046 | ++ declare -a Q_PLUGIN_EXTRA_CONF_FILES
  215. 2017-01-05 22:11:10.046 | ++ declare -a Q_VPN_EXTRA_CONF_FILES
  216. 2017-01-05 22:11:10.046 | ++ Q_RR_CONF_FILE=/etc/neutron/rootwrap.conf
  217. 2017-01-05 22:11:10.046 | ++ [[ True == \F\a\l\s\e ]]
  218. 2017-01-05 22:11:10.046 | +++ get_rootwrap_location neutron
  219. 2017-01-05 22:11:10.046 | +++ local module=neutron
  220. 2017-01-05 22:11:10.046 | ++++ get_python_exec_prefix
  221. 2017-01-05 22:11:10.051 | ++++ is_fedora
  222. 2017-01-05 22:11:10.051 | ++++ [[ -z Ubuntu ]]
  223. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = Fedora ']'
  224. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = 'Red Hat' ']'
  225. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = CentOS ']'
  226. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = OracleLinux ']'
  227. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = CloudLinux ']'
  228. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = kvmibm ']'
  229. 2017-01-05 22:11:10.051 | ++++ is_suse
  230. 2017-01-05 22:11:10.051 | ++++ [[ -z Ubuntu ]]
  231. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = openSUSE ']'
  232. 2017-01-05 22:11:10.051 | ++++ '[' Ubuntu = 'SUSE LINUX' ']'
  233. 2017-01-05 22:11:10.051 | ++++ echo /usr/local/bin
  234. 2017-01-05 22:11:10.051 | +++ echo /usr/local/bin/neutron-rootwrap
  235. 2017-01-05 22:11:10.052 | ++ NEUTRON_ROOTWRAP=/usr/local/bin/neutron-rootwrap
  236. 2017-01-05 22:11:10.052 | ++ Q_RR_COMMAND='sudo /usr/local/bin/neutron-rootwrap /etc/neutron/rootwrap.conf'
  237. 2017-01-05 22:11:10.052 | ++ [[ True == \T\r\u\e ]]
  238. 2017-01-05 22:11:10.052 | ++ Q_RR_DAEMON_COMMAND='sudo /usr/local/bin/neutron-rootwrap-daemon /etc/neutron/rootwrap.conf'
  239. 2017-01-05 22:11:10.052 | ++ Q_DVR_MODE=legacy
  240. 2017-01-05 22:11:10.052 | ++ [[ legacy != \l\e\g\a\c\y ]]
  241. 2017-01-05 22:11:10.052 | ++ ENABLE_TENANT_TUNNELS=True
  242. 2017-01-05 22:11:10.052 | ++ TENANT_TUNNEL_RANGES=1:1000
  243. 2017-01-05 22:11:10.052 | ++ ENABLE_TENANT_VLANS=False
  244. 2017-01-05 22:11:10.052 | ++ TENANT_VLAN_RANGE=
  245. 2017-01-05 22:11:10.053 | ++ PHYSICAL_NETWORK=
  246. 2017-01-05 22:11:10.053 | ++ OVS_PHYSICAL_BRIDGE=
  247. 2017-01-05 22:11:10.053 | ++ LB_PHYSICAL_INTERFACE=
  248. 2017-01-05 22:11:10.053 | ++ TUNNEL_ENDPOINT_IP=10.90.55.191
  249. 2017-01-05 22:11:10.053 | ++ OVS_ENABLE_TUNNELING=True
  250. 2017-01-05 22:11:10.053 | ++ ENABLE_ISOLATED_METADATA=False
  251. 2017-01-05 22:11:10.053 | ++ ENABLE_METADATA_NETWORK=False
  252. 2017-01-05 22:11:10.053 | ++ '[' -f /opt/stack/new/devstack/lib/neutron_plugins/ml2 ']'
  253. 2017-01-05 22:11:10.053 | ++ source /opt/stack/new/devstack/lib/neutron_plugins/ml2
  254. 2017-01-05 22:11:10.064 | ++ source /opt/stack/new/devstack/lib/neutron_plugins/services/loadbalancer
  255. 2017-01-05 22:11:10.067 | ++ source /opt/stack/new/devstack/lib/neutron_plugins/services/metering
  256. 2017-01-05 22:11:10.069 | ++ source /opt/stack/new/devstack/lib/neutron_plugins/services/vpn
  257. 2017-01-05 22:11:10.071 | ++ source /opt/stack/new/devstack/lib/neutron_plugins/services/firewall
  258. 2017-01-05 22:11:10.075 | ++ has_neutron_plugin_security_group
  259. 2017-01-05 22:11:10.075 | ++ return 0
  260. 2017-01-05 22:11:10.075 | ++ Q_USE_SECGROUP=True
  261. 2017-01-05 22:11:10.075 | +++ ip route
  262. 2017-01-05 22:11:10.076 | +++ awk '{print $5}'
  263. 2017-01-05 22:11:10.076 | +++ grep '^default'
  264. 2017-01-05 22:11:10.080 | ++ default_route_dev=eth0
  265. 2017-01-05 22:11:10.080 | ++ die_if_not_set 363 default_route_dev 'Failure retrieving default route device'
  266. 2017-01-05 22:11:10.080 | ++ local exitcode=0
  267. 2017-01-05 22:11:10.100 | + source /opt/stack/new/devstack/lib/ldap
  268. 2017-01-05 22:11:10.103 | + source /opt/stack/new/devstack/lib/dstat
  269. 2017-01-05 22:11:10.106 | + run_phase source
  270. 2017-01-05 22:11:10.106 | + local mode=source
  271. 2017-01-05 22:11:10.106 | + local phase=
  272. 2017-01-05 22:11:10.106 | + [[ -d /opt/stack/new/devstack/extras.d ]]
  273. 2017-01-05 22:11:10.106 | + for i in '$TOP_DIR/extras.d/*.sh'
  274. 2017-01-05 22:11:10.106 | + [[ -r /opt/stack/new/devstack/extras.d/50-ironic.sh ]]
  275. 2017-01-05 22:11:10.106 | + source /opt/stack/new/devstack/extras.d/50-ironic.sh source
  276. 2017-01-05 22:11:10.106 | ++ is_service_enabled ir-api ir-cond
  277. 2017-01-05 22:11:10.109 | ++ return 1
  278. 2017-01-05 22:11:10.109 | + for i in '$TOP_DIR/extras.d/*.sh'
  279. 2017-01-05 22:11:10.109 | + [[ -r /opt/stack/new/devstack/extras.d/60-ceph.sh ]]
  280. 2017-01-05 22:11:10.110 | + source /opt/stack/new/devstack/extras.d/60-ceph.sh source
  281. 2017-01-05 22:11:10.110 | ++ is_service_enabled ceph
  282. 2017-01-05 22:11:10.112 | ++ return 1
  283. 2017-01-05 22:11:10.112 | + for i in '$TOP_DIR/extras.d/*.sh'
  284. 2017-01-05 22:11:10.112 | + [[ -r /opt/stack/new/devstack/extras.d/80-tempest.sh ]]
  285. 2017-01-05 22:11:10.112 | + source /opt/stack/new/devstack/extras.d/80-tempest.sh source
  286. 2017-01-05 22:11:10.112 | ++ is_service_enabled tempest
  287. 2017-01-05 22:11:10.115 | ++ return 0
  288. 2017-01-05 22:11:10.115 | ++ [[ source == \s\o\u\r\c\e ]]
  289. 2017-01-05 22:11:10.115 | ++ source /opt/stack/new/devstack/lib/tempest
  290. 2017-01-05 22:11:10.131 | ++ [[ source == \u\n\s\t\a\c\k ]]
  291. 2017-01-05 22:11:10.131 | ++ [[ source == \c\l\e\a\n ]]
  292. 2017-01-05 22:11:10.132 | + [[ source == \s\o\u\r\c\e ]]
  293. 2017-01-05 22:11:10.132 | + load_plugin_settings
  294. 2017-01-05 22:11:10.132 | + local plugins=,neutron-lbaas
  295. 2017-01-05 22:11:10.132 | + local plugin
  296. 2017-01-05 22:11:10.132 | + [[ -z ,neutron-lbaas ]]
  297. 2017-01-05 22:11:10.132 | + echo 'Loading plugin settings'
  298. 2017-01-05 22:11:10.132 | Loading plugin settings
  299. 2017-01-05 22:11:10.132 | + for plugin in '${plugins//,/ }'
  300. 2017-01-05 22:11:10.132 | + local dir=/opt/stack/new/neutron-lbaas
  301. 2017-01-05 22:11:10.132 | + [[ -f /opt/stack/new/neutron-lbaas/devstack/settings ]]
  302. 2017-01-05 22:11:10.132 | + source /opt/stack/new/neutron-lbaas/devstack/settings
  303. 2017-01-05 22:11:10.132 | ++ AGENT_LBAASV1_BINARY=/usr/local/bin/neutron-lbaas-agent
  304. 2017-01-05 22:11:10.132 | ++ AGENT_LBAASV2_BINARY=/usr/local/bin/neutron-lbaasv2-agent
  305. 2017-01-05 22:11:10.132 | ++ LBAAS_V1='q-lbaas q-lbaasv1'
  306. 2017-01-05 22:11:10.132 | ++ LBAAS_V2=q-lbaasv2
  307. 2017-01-05 22:11:10.133 | ++ LBAAS_ANY='q-lbaas q-lbaasv1 q-lbaasv2'
  308. 2017-01-05 22:11:10.133 | ++ BARBICAN=barbican-svc
  309. 2017-01-05 22:11:10.133 | ++ AUTH_URI=http://127.0.0.1:5000/v2.0
  310. 2017-01-05 22:11:10.133 | ++ ADMIN_TENANT_NAME=admin
  311. 2017-01-05 22:11:10.133 | ++ ADMIN_USER=admin
  312. 2017-01-05 22:11:10.133 | ++ ADMIN_PASSWORD=secretadmin
  313. 2017-01-05 22:11:10.133 | ++ AUTH_VERSION=v2
  314. 2017-01-05 22:11:10.133 | ++ LBAAS_AGENT_CONF_PATH=/etc/neutron/services/loadbalancer/haproxy
  315. 2017-01-05 22:11:10.133 | ++ LBAAS_AGENT_CONF_FILENAME=/etc/neutron/services/loadbalancer/haproxy/lbaas_agent.ini
  316. 2017-01-05 22:11:10.133 | ++ LBAASV1_PLUGIN=neutron_lbaas.services.loadbalancer.plugin.LoadBalancerPlugin
  317. 2017-01-05 22:11:10.133 | ++ LBAASV2_PLUGIN=neutron_lbaas.services.loadbalancer.plugin.LoadBalancerPluginv2
  318. 2017-01-05 22:11:10.133 | ++ NEUTRON_LBAAS_DIR=/opt/stack/new/neutron-lbaas
  319. 2017-01-05 22:11:10.133 | ++ NEUTRON_LBAAS_CONF=/etc/neutron/neutron_lbaas.conf
  320. 2017-01-05 22:11:10.133 | ++ NEUTRON_LBAAS_SERVICE_PROVIDERV2_OCTAVIA=LOADBALANCERV2:Octavia:neutron_lbaas.drivers.octavia.driver.OctaviaDriver:default
  321. 2017-01-05 22:11:10.134 | ++ NEUTRON_LBAAS_SERVICE_PROVIDERV1=LOADBALANCER:Haproxy:neutron_lbaas.services.loadbalancer.drivers.haproxy.plugin_driver.HaproxyOnHostPluginDriver:default
  322. 2017-01-05 22:11:10.134 | ++ NEUTRON_LBAAS_SERVICE_PROVIDERV2=LOADBALANCERV2:Octavia:neutron_lbaas.drivers.octavia.driver.OctaviaDriver:default
  323. 2017-01-05 22:11:10.134 | + verify_disabled_services
  324. 2017-01-05 22:11:10.134 | + local service
  325. 2017-01-05 22:11:10.134 | + for service in '${ENABLED_SERVICES//,/ }'
  326. 2017-01-05 22:11:10.134 | + [[ ,, =~ ,ceilometer-acentral, ]]
  327. 2017-01-05 22:11:10.134 | + for service in '${ENABLED_SERVICES//,/ }'
  328. 2017-01-05 22:11:10.134 | + [[ ,, =~ ,ceilometer-acompute, ]]
  329. 2017-01-05 22:11:10.134 | + for service in '${ENABLED_SERVICES//,/ }'
  330. 2017-01-05 22:11:10.134 | + [[ ,, =~ ,ceilometer-alarm-evaluator, ]]
  331. 2017-01-05 22:11:10.134 | + for service in '${ENABLED_SERVICES//,/ }'
  332. 2017-01-05 22:11:10.134 | + [[ ,, =~ ,ceilometer-alarm-notifier, ]]
  333. 2017-01-05 22:11:10.134 | + for service in '${ENABLED_SERVICES//,/ }'
  334. 2017-01-05 22:11:10.134 | + [[ ,, =~ ,ceilometer-anotification, ]]
  335. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  336. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,ceilometer-api, ]]
  337. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  338. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,ceilometer-collector, ]]
  339. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  340. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,dstat, ]]
  341. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  342. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,g-api, ]]
  343. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  344. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,g-reg, ]]
  345. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  346. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,horizon, ]]
  347. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  348. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,key, ]]
  349. 2017-01-05 22:11:10.135 | + for service in '${ENABLED_SERVICES//,/ }'
  350. 2017-01-05 22:11:10.135 | + [[ ,, =~ ,mysql, ]]
  351. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  352. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-api, ]]
  353. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  354. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-cauth, ]]
  355. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  356. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-cond, ]]
  357. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  358. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-cpu, ]]
  359. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  360. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-crt, ]]
  361. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  362. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-novnc, ]]
  363. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  364. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-obj, ]]
  365. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  366. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,n-sch, ]]
  367. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  368. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,q-agt, ]]
  369. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  370. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,q-dhcp, ]]
  371. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  372. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,q-l3, ]]
  373. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  374. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,q-meta, ]]
  375. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  376. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,q-metering, ]]
  377. 2017-01-05 22:11:10.136 | + for service in '${ENABLED_SERVICES//,/ }'
  378. 2017-01-05 22:11:10.136 | + [[ ,, =~ ,q-svc, ]]
  379. 2017-01-05 22:11:10.137 | + for service in '${ENABLED_SERVICES//,/ }'
  380. 2017-01-05 22:11:10.137 | + [[ ,, =~ ,quantum, ]]
  381. 2017-01-05 22:11:10.137 | + for service in '${ENABLED_SERVICES//,/ }'
  382. 2017-01-05 22:11:10.137 | + [[ ,, =~ ,rabbit, ]]
  383. 2017-01-05 22:11:10.137 | + for service in '${ENABLED_SERVICES//,/ }'
  384. 2017-01-05 22:11:10.137 | + [[ ,, =~ ,tempest, ]]
  385. 2017-01-05 22:11:10.137 | + for service in '${ENABLED_SERVICES//,/ }'
  386. 2017-01-05 22:11:10.137 | + [[ ,, =~ ,q-lbaasv2, ]]
  387. 2017-01-05 22:11:10.137 | + initialize_database_backends
  388. 2017-01-05 22:11:10.137 | + for backend in '$DATABASE_BACKENDS'
  389. 2017-01-05 22:11:10.137 | + is_service_enabled mysql
  390. 2017-01-05 22:11:10.139 | + return 0
  391. 2017-01-05 22:11:10.139 | + DATABASE_TYPE=mysql
  392. 2017-01-05 22:11:10.139 | + for backend in '$DATABASE_BACKENDS'
  393. 2017-01-05 22:11:10.139 | + is_service_enabled postgresql
  394. 2017-01-05 22:11:10.141 | + return 1
  395. 2017-01-05 22:11:10.141 | + '[' -z mysql ']'
  396. 2017-01-05 22:11:10.141 | + MYSQL_HOST=127.0.0.1
  397. 2017-01-05 22:11:10.141 | + MYSQL_USER=root
  398. 2017-01-05 22:11:10.141 | + [[ 4 == 6 ]]
  399. 2017-01-05 22:11:10.141 | + DATABASE_HOST=127.0.0.1
  400. 2017-01-05 22:11:10.141 | + DATABASE_USER=root
  401. 2017-01-05 22:11:10.141 | + '[' -n secretmysql ']'
  402. 2017-01-05 22:11:10.141 | + DATABASE_PASSWORD=secretmysql
  403. 2017-01-05 22:11:10.141 | ++ get_database_type_mysql
  404. 2017-01-05 22:11:10.142 | ++ [[ PyMySQL == \P\y\M\y\S\Q\L ]]
  405. 2017-01-05 22:11:10.142 | ++ echo mysql+pymysql
  406. 2017-01-05 22:11:10.142 | + BASE_SQL_CONN=mysql+pymysql://root:secretmysql@127.0.0.1
  407. 2017-01-05 22:11:10.142 | + return 0
  408. 2017-01-05 22:11:10.142 | + echo 'Using mysql database backend'
  409. 2017-01-05 22:11:10.142 | Using mysql database backend
  410. 2017-01-05 22:11:10.142 | + RABBIT_USERID=stackrabbit
  411. 2017-01-05 22:11:10.142 | + is_service_enabled rabbit
  412. 2017-01-05 22:11:10.144 | + return 0
  413. 2017-01-05 22:11:10.144 | + RABBIT_HOST=10.90.55.191
  414. 2017-01-05 22:11:10.144 | + read_password RABBIT_PASSWORD 'ENTER A PASSWORD TO USE FOR RABBIT.'
  415. 2017-01-05 22:11:10.146 | + is_service_enabled keystone
  416. 2017-01-05 22:11:10.149 | + return 0
  417. 2017-01-05 22:11:10.149 | + read_password SERVICE_TOKEN 'ENTER A SERVICE_TOKEN TO USE FOR THE SERVICE ADMIN TOKEN.'
  418. 2017-01-05 22:11:10.151 | + read_password SERVICE_PASSWORD 'ENTER A SERVICE_PASSWORD TO USE FOR THE SERVICE AUTHENTICATION.'
  419. 2017-01-05 22:11:10.153 | + read_password ADMIN_PASSWORD 'ENTER A PASSWORD TO USE FOR HORIZON AND KEYSTONE (20 CHARS OR LESS).'
  420. 2017-01-05 22:11:10.156 | + is_service_enabled ldap
  421. 2017-01-05 22:11:10.158 | + return 1
  422. 2017-01-05 22:11:10.158 | + is_service_enabled s-proxy
  423. 2017-01-05 22:11:10.161 | + return 1
  424. 2017-01-05 22:11:10.161 | + save_stackenv 668
  425. 2017-01-05 22:11:10.161 | + local tag=668
  426. 2017-01-05 22:11:10.162 | ++ date +%F-%H%M%S
  427. 2017-01-05 22:11:10.163 | + time_stamp=2017-01-05-221110
  428. 2017-01-05 22:11:10.163 | + echo '# 2017-01-05-221110 668'
  429. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  430. 2017-01-05 22:11:10.163 | + echo BASE_SQL_CONN=mysql+pymysql://root:secretmysql@127.0.0.1
  431. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  432. 2017-01-05 22:11:10.163 | + echo DATA_DIR=/opt/stack/data
  433. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  434. 2017-01-05 22:11:10.163 | + echo DEST=/opt/stack/new
  435. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  436. 2017-01-05 22:11:10.163 | + echo ENABLED_SERVICES=ceilometer-acentral,ceilometer-acompute,ceilometer-alarm-evaluator,ceilometer-alarm-notifier,ceilometer-anotification,ceilometer-api,ceilometer-collector,dstat,g-api,g-reg,horizon,key,mysql,n-api,n-cauth,n-cond,n-cpu,n-crt,n-novnc,n-obj,n-sch,q-agt,q-dhcp,q-l3,q-meta,q-metering,q-svc,quantum,rabbit,tempest,q-lbaasv2
  437. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  438. 2017-01-05 22:11:10.163 | + echo HOST_IP=10.90.55.191
  439. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  440. 2017-01-05 22:11:10.163 | + echo KEYSTONE_AUTH_PROTOCOL=http
  441. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  442. 2017-01-05 22:11:10.163 | + echo KEYSTONE_AUTH_URI=http://10.90.55.191:35357
  443. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  444. 2017-01-05 22:11:10.163 | + echo KEYSTONE_SERVICE_URI=http://10.90.55.191:5000
  445. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  446. 2017-01-05 22:11:10.163 | + echo LOGFILE=/opt/stack/new/devstacklog.txt.2017-01-05-221109
  447. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  448. 2017-01-05 22:11:10.163 | + echo OS_CACERT=
  449. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  450. 2017-01-05 22:11:10.163 | + echo SERVICE_HOST=10.90.55.191
  451. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  452. 2017-01-05 22:11:10.163 | + echo SERVICE_PROTOCOL=http
  453. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  454. 2017-01-05 22:11:10.163 | + echo STACK_USER=stack
  455. 2017-01-05 22:11:10.163 | + for i in '$STACK_ENV_VARS'
  456. 2017-01-05 22:11:10.164 | + echo TLS_IP=
  457. 2017-01-05 22:11:10.164 | + for i in '$STACK_ENV_VARS'
  458. 2017-01-05 22:11:10.164 | + echo HOST_IPV6=::1
  459. 2017-01-05 22:11:10.164 | + for i in '$STACK_ENV_VARS'
  460. 2017-01-05 22:11:10.164 | + echo SERVICE_IP_VERSION=4
  461. 2017-01-05 22:11:10.164 | + git_clone git://git.openstack.org/openstack/requirements.git /opt/stack/new/requirements stable/liberty
  462. 2017-01-05 22:11:10.164 | + local git_remote=git://git.openstack.org/openstack/requirements.git
  463. 2017-01-05 22:11:10.164 | + local git_dest=/opt/stack/new/requirements
  464. 2017-01-05 22:11:10.164 | + local git_ref=stable/liberty
  465. 2017-01-05 22:11:10.164 | ++ pwd
  466. 2017-01-05 22:11:10.164 | + local orig_dir=/opt/stack/new/devstack
  467. 2017-01-05 22:11:10.164 | + local git_clone_flags=
  468. 2017-01-05 22:11:10.164 | ++ trueorfalse False RECLONE
  469. 2017-01-05 22:11:10.167 | + RECLONE=False
  470. 2017-01-05 22:11:10.167 | + [[ 0 -gt 0 ]]
  471. 2017-01-05 22:11:10.167 | + [[ False = \T\r\u\e ]]
  472. 2017-01-05 22:11:10.167 | + egrep -q '^refs'
  473. 2017-01-05 22:11:10.167 | + echo stable/liberty
  474. 2017-01-05 22:11:10.168 | + [[ ! -d /opt/stack/new/requirements ]]
  475. 2017-01-05 22:11:10.168 | + [[ False = \T\r\u\e ]]
  476. 2017-01-05 22:11:10.169 | + cd /opt/stack/new/requirements
  477. 2017-01-05 22:11:10.169 | + head -1
  478. 2017-01-05 22:11:10.169 | + git show --oneline
  479. 2017-01-05 22:11:10.171 | 104c1f0 Merge "Update oslo.serialization upper-constraint to 1.10.0" into stable/liberty
  480. 2017-01-05 22:11:10.172 | + cd /opt/stack/new/devstack
  481. 2017-01-05 22:11:10.172 | + echo_summary 'Installing package prerequisites'
  482. 2017-01-05 22:11:10.172 | + [[ -t 3 ]]
  483. 2017-01-05 22:11:10.172 | + echo -e Installing package prerequisites
  484. 2017-01-05 22:11:10.172 | + source /opt/stack/new/devstack/tools/install_prereqs.sh
  485. 2017-01-05 22:11:10.172 | ++ FORCE_PREREQ=0
  486. 2017-01-05 22:11:10.172 | ++ getopts :f opt
  487. 2017-01-05 22:11:10.172 | ++ [[ -z /opt/stack/new/devstack ]]
  488. 2017-01-05 22:11:10.172 | ++ PREREQ_RERUN_MARKER=/opt/stack/new/devstack/.prereqs
  489. 2017-01-05 22:11:10.172 | ++ PREREQ_RERUN_HOURS=2
  490. 2017-01-05 22:11:10.172 | ++ PREREQ_RERUN_SECONDS=7200
  491. 2017-01-05 22:11:10.173 | +++ date +%s
  492. 2017-01-05 22:11:10.174 | ++ NOW=1483654270
  493. 2017-01-05 22:11:10.174 | +++ head -1 /opt/stack/new/devstack/.prereqs
  494. 2017-01-05 22:11:10.175 | +++ echo 0
  495. 2017-01-05 22:11:10.176 | ++ LAST_RUN=0
  496. 2017-01-05 22:11:10.176 | ++ DELTA=1483654270
  497. 2017-01-05 22:11:10.176 | ++ [[ 1483654270 -lt 7200 ]]
  498. 2017-01-05 22:11:10.176 | ++ export_proxy_variables
  499. 2017-01-05 22:11:10.176 | ++ isset http_proxy
  500. 2017-01-05 22:11:10.176 | ++ [[ -v http_proxy ]]
  501. 2017-01-05 22:11:10.176 | ++ isset https_proxy
  502. 2017-01-05 22:11:10.176 | ++ [[ -v https_proxy ]]
  503. 2017-01-05 22:11:10.176 | ++ isset no_proxy
  504. 2017-01-05 22:11:10.176 | ++ [[ -v no_proxy ]]
  505. 2017-01-05 22:11:10.176 | +++ get_packages general,ceilometer-acentral,ceilometer-acompute,ceilometer-alarm-evaluator,ceilometer-alarm-notifier,ceilometer-anotification,ceilometer-api,ceilometer-collector,dstat,g-api,g-reg,horizon,key,mysql,n-api,n-cauth,n-cond,n-cpu,n-crt,n-novnc,n-obj,n-sch,q-agt,q-dhcp,q-l3,q-meta,q-metering,q-svc,quantum,rabbit,tempest,q-lbaasv2
  506. 2017-01-05 22:11:10.199 | ++ PACKAGES='bridge-utils
  507. 2017-01-05 22:11:10.199 | screen
  508. 2017-01-05 22:11:10.199 | unzip
  509. 2017-01-05 22:11:10.199 | wget
  510. 2017-01-05 22:11:10.199 | psmisc
  511. 2017-01-05 22:11:10.199 | bsdmainutils
  512. 2017-01-05 22:11:10.199 | gcc
  513. 2017-01-05 22:11:10.199 | g++
  514. 2017-01-05 22:11:10.199 | git
  515. 2017-01-05 22:11:10.199 | graphviz
  516. 2017-01-05 22:11:10.199 | lsof
  517. 2017-01-05 22:11:10.199 | openssh-server
  518. 2017-01-05 22:11:10.199 | openssl
  519. 2017-01-05 22:11:10.199 | iputils-ping
  520. 2017-01-05 22:11:10.199 | wget
  521. 2017-01-05 22:11:10.199 | curl
  522. 2017-01-05 22:11:10.199 | tcpdump
  523. 2017-01-05 22:11:10.199 | tar
  524. 2017-01-05 22:11:10.199 | python-dev
  525. 2017-01-05 22:11:10.199 | python2.7
  526. 2017-01-05 22:11:10.199 | python-gdbm
  527. 2017-01-05 22:11:10.199 | bc
  528. 2017-01-05 22:11:10.199 | libyaml-dev
  529. 2017-01-05 22:11:10.200 | libffi-dev
  530. 2017-01-05 22:11:10.200 | libssl-dev
  531. 2017-01-05 22:11:10.200 | libxml2-dev  
  532. 2017-01-05 22:11:10.200 | libxslt1-dev  
  533. 2017-01-05 22:11:10.200 | gettext  
  534. 2017-01-05 22:11:10.200 | pkg-config
  535. 2017-01-05 22:11:10.200 | uuid-runtime
  536. 2017-01-05 22:11:10.200 | libnspr4-dev
  537. 2017-01-05 22:11:10.200 | pkg-config
  538. 2017-01-05 22:11:10.200 | libxml2-dev
  539. 2017-01-05 22:11:10.200 | libxslt-dev
  540. 2017-01-05 22:11:10.200 | dstat
  541. 2017-01-05 22:11:10.200 | libmysqlclient-dev
  542. 2017-01-05 22:11:10.200 | libpq-dev
  543. 2017-01-05 22:11:10.200 | libssl-dev
  544. 2017-01-05 22:11:10.200 | libxml2-dev
  545. 2017-01-05 22:11:10.200 | libxslt1-dev
  546. 2017-01-05 22:11:10.200 | zlib1g-dev
  547. 2017-01-05 22:11:10.200 | libpcre3-dev  
  548. 2017-01-05 22:11:10.200 | sqlite3
  549. 2017-01-05 22:11:10.200 | python-mysqldb
  550. 2017-01-05 22:11:10.200 | python-mysql.connector
  551. 2017-01-05 22:11:10.200 | libldap2-dev
  552. 2017-01-05 22:11:10.200 | libsasl2-dev
  553. 2017-01-05 22:11:10.200 | libkrb5-dev
  554. 2017-01-05 22:11:10.200 | memcached
  555. 2017-01-05 22:11:10.200 | fping
  556. 2017-01-05 22:11:10.200 | dnsmasq-base
  557. 2017-01-05 22:11:10.200 | dnsmasq-utils
  558. 2017-01-05 22:11:10.200 | conntrack
  559. 2017-01-05 22:11:10.200 | kpartx
  560. 2017-01-05 22:11:10.200 | parted
  561. 2017-01-05 22:11:10.200 | iputils-arping
  562. 2017-01-05 22:11:10.200 | libmysqlclient-dev
  563. 2017-01-05 22:11:10.200 | python-mysqldb
  564. 2017-01-05 22:11:10.200 | python-mysql.connector
  565. 2017-01-05 22:11:10.200 | libxml2-dev
  566. 2017-01-05 22:11:10.200 | libxslt1-dev
  567. 2017-01-05 22:11:10.200 | gawk
  568. 2017-01-05 22:11:10.200 | iptables
  569. 2017-01-05 22:11:10.200 | ebtables
  570. 2017-01-05 22:11:10.200 | sqlite3
  571. 2017-01-05 22:11:10.200 | sudo
  572. 2017-01-05 22:11:10.200 | pm-utils
  573. 2017-01-05 22:11:10.200 | libjs-jquery-tablesorter
  574. 2017-01-05 22:11:10.200 | vlan
  575. 2017-01-05 22:11:10.200 | curl
  576. 2017-01-05 22:11:10.200 | genisoimage
  577. 2017-01-05 22:11:10.200 | socat
  578. 2017-01-05 22:11:10.200 | qemu-utils
  579. 2017-01-05 22:11:10.200 | open-iscsi
  580. 2017-01-05 22:11:10.200 | genisoimage
  581. 2017-01-05 22:11:10.200 | sysfsutils
  582. 2017-01-05 22:11:10.200 | sg3-utils
  583. 2017-01-05 22:11:10.200 | cryptsetup
  584. 2017-01-05 22:11:10.200 | ipset
  585. 2017-01-05 22:11:10.200 | acl
  586. 2017-01-05 22:11:10.200 | ebtables
  587. 2017-01-05 22:11:10.200 | iptables
  588. 2017-01-05 22:11:10.200 | iputils-ping
  589. 2017-01-05 22:11:10.200 | iputils-arping
  590. 2017-01-05 22:11:10.200 | libmysqlclient-dev
  591. 2017-01-05 22:11:10.200 | sudo
  592. 2017-01-05 22:11:10.200 | postgresql-server-dev-all
  593. 2017-01-05 22:11:10.200 | python-mysqldb
  594. 2017-01-05 22:11:10.201 | python-mysql.connector
  595. 2017-01-05 22:11:10.201 | dnsmasq-base
  596. 2017-01-05 22:11:10.201 | sqlite3
  597. 2017-01-05 22:11:10.201 | vlan
  598. 2017-01-05 22:11:10.201 | conntrack
  599. 2017-01-05 22:11:10.201 | conntrackd
  600. 2017-01-05 22:11:10.201 | keepalived
  601. 2017-01-05 22:11:10.201 | libxml2-dev
  602. 2017-01-05 22:11:10.201 | libxslt1-dev'
  603. 2017-01-05 22:11:10.201 | +++ get_plugin_packages
  604. 2017-01-05 22:11:10.205 | ++ PACKAGES='bridge-utils
  605. 2017-01-05 22:11:10.205 | screen
  606. 2017-01-05 22:11:10.205 | unzip
  607. 2017-01-05 22:11:10.205 | wget
  608. 2017-01-05 22:11:10.205 | psmisc
  609. 2017-01-05 22:11:10.205 | bsdmainutils
  610. 2017-01-05 22:11:10.205 | gcc
  611. 2017-01-05 22:11:10.205 | g++
  612. 2017-01-05 22:11:10.205 | git
  613. 2017-01-05 22:11:10.205 | graphviz
  614. 2017-01-05 22:11:10.205 | lsof
  615. 2017-01-05 22:11:10.205 | openssh-server
  616. 2017-01-05 22:11:10.205 | openssl
  617. 2017-01-05 22:11:10.205 | iputils-ping
  618. 2017-01-05 22:11:10.205 | wget
  619. 2017-01-05 22:11:10.205 | curl
  620. 2017-01-05 22:11:10.205 | tcpdump
  621. 2017-01-05 22:11:10.205 | tar
  622. 2017-01-05 22:11:10.205 | python-dev
  623. 2017-01-05 22:11:10.205 | python2.7
  624. 2017-01-05 22:11:10.205 | python-gdbm
  625. 2017-01-05 22:11:10.205 | bc
  626. 2017-01-05 22:11:10.205 | libyaml-dev
  627. 2017-01-05 22:11:10.205 | libffi-dev
  628. 2017-01-05 22:11:10.205 | libssl-dev
  629. 2017-01-05 22:11:10.205 | libxml2-dev  
  630. 2017-01-05 22:11:10.205 | libxslt1-dev  
  631. 2017-01-05 22:11:10.205 | gettext  
  632. 2017-01-05 22:11:10.205 | pkg-config
  633. 2017-01-05 22:11:10.205 | uuid-runtime
  634. 2017-01-05 22:11:10.205 | libnspr4-dev
  635. 2017-01-05 22:11:10.205 | pkg-config
  636. 2017-01-05 22:11:10.205 | libxml2-dev
  637. 2017-01-05 22:11:10.205 | libxslt-dev
  638. 2017-01-05 22:11:10.205 | dstat
  639. 2017-01-05 22:11:10.205 | libmysqlclient-dev
  640. 2017-01-05 22:11:10.205 | libpq-dev
  641. 2017-01-05 22:11:10.205 | libssl-dev
  642. 2017-01-05 22:11:10.205 | libxml2-dev
  643. 2017-01-05 22:11:10.205 | libxslt1-dev
  644. 2017-01-05 22:11:10.205 | zlib1g-dev
  645. 2017-01-05 22:11:10.205 | libpcre3-dev  
  646. 2017-01-05 22:11:10.206 | sqlite3
  647. 2017-01-05 22:11:10.206 | python-mysqldb
  648. 2017-01-05 22:11:10.206 | python-mysql.connector
  649. 2017-01-05 22:11:10.206 | libldap2-dev
  650. 2017-01-05 22:11:10.206 | libsasl2-dev
  651. 2017-01-05 22:11:10.206 | libkrb5-dev
  652. 2017-01-05 22:11:10.206 | memcached
  653. 2017-01-05 22:11:10.206 | fping
  654. 2017-01-05 22:11:10.206 | dnsmasq-base
  655. 2017-01-05 22:11:10.206 | dnsmasq-utils
  656. 2017-01-05 22:11:10.206 | conntrack
  657. 2017-01-05 22:11:10.206 | kpartx
  658. 2017-01-05 22:11:10.206 | parted
  659. 2017-01-05 22:11:10.206 | iputils-arping
  660. 2017-01-05 22:11:10.206 | libmysqlclient-dev
  661. 2017-01-05 22:11:10.206 | python-mysqldb
  662. 2017-01-05 22:11:10.206 | python-mysql.connector
  663. 2017-01-05 22:11:10.206 | libxml2-dev
  664. 2017-01-05 22:11:10.206 | libxslt1-dev
  665. 2017-01-05 22:11:10.206 | gawk
  666. 2017-01-05 22:11:10.206 | iptables
  667. 2017-01-05 22:11:10.206 | ebtables
  668. 2017-01-05 22:11:10.206 | sqlite3
  669. 2017-01-05 22:11:10.206 | sudo
  670. 2017-01-05 22:11:10.206 | pm-utils
  671. 2017-01-05 22:11:10.206 | libjs-jquery-tablesorter
  672. 2017-01-05 22:11:10.206 | vlan
  673. 2017-01-05 22:11:10.206 | curl
  674. 2017-01-05 22:11:10.206 | genisoimage
  675. 2017-01-05 22:11:10.206 | socat
  676. 2017-01-05 22:11:10.206 | qemu-utils
  677. 2017-01-05 22:11:10.206 | open-iscsi
  678. 2017-01-05 22:11:10.206 | genisoimage
  679. 2017-01-05 22:11:10.206 | sysfsutils
  680. 2017-01-05 22:11:10.206 | sg3-utils
  681. 2017-01-05 22:11:10.206 | cryptsetup
  682. 2017-01-05 22:11:10.206 | ipset
  683. 2017-01-05 22:11:10.206 | acl
  684. 2017-01-05 22:11:10.206 | ebtables
  685. 2017-01-05 22:11:10.206 | iptables
  686. 2017-01-05 22:11:10.206 | iputils-ping
  687. 2017-01-05 22:11:10.206 | iputils-arping
  688. 2017-01-05 22:11:10.206 | libmysqlclient-dev
  689. 2017-01-05 22:11:10.206 | sudo
  690. 2017-01-05 22:11:10.206 | postgresql-server-dev-all
  691. 2017-01-05 22:11:10.206 | python-mysqldb
  692. 2017-01-05 22:11:10.206 | python-mysql.connector
  693. 2017-01-05 22:11:10.206 | dnsmasq-base
  694. 2017-01-05 22:11:10.206 | sqlite3
  695. 2017-01-05 22:11:10.206 | vlan
  696. 2017-01-05 22:11:10.206 | conntrack
  697. 2017-01-05 22:11:10.206 | conntrackd
  698. 2017-01-05 22:11:10.206 | keepalived
  699. 2017-01-05 22:11:10.206 | libxml2-dev
  700. 2017-01-05 22:11:10.206 | libxslt1-dev '
  701. 2017-01-05 22:11:10.206 | ++ is_ubuntu
  702. 2017-01-05 22:11:10.206 | ++ [[ -z deb ]]
  703. 2017-01-05 22:11:10.206 | ++ '[' deb = deb ']'
  704. 2017-01-05 22:11:10.206 | ++ echo bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  705. 2017-01-05 22:11:10.206 | ++ grep -q dkms
  706. 2017-01-05 22:11:10.208 | ++ install_package bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  707. 2017-01-05 22:11:10.208 | ++ update_package_repo
  708. 2017-01-05 22:11:10.208 | ++ NO_UPDATE_REPOS=False
  709. 2017-01-05 22:11:10.208 | ++ REPOS_UPDATED=False
  710. 2017-01-05 22:11:10.208 | ++ RETRY_UPDATE=False
  711. 2017-01-05 22:11:10.208 | ++ [[ False = \T\r\u\e ]]
  712. 2017-01-05 22:11:10.208 | ++ is_ubuntu
  713. 2017-01-05 22:11:10.208 | ++ [[ -z deb ]]
  714. 2017-01-05 22:11:10.208 | ++ '[' deb = deb ']'
  715. 2017-01-05 22:11:10.208 | ++ apt_get_update
  716. 2017-01-05 22:11:10.208 | ++ [[ False == \T\r\u\e ]]
  717. 2017-01-05 22:11:10.208 | ++ [[ False = \T\r\u\e ]]
  718. 2017-01-05 22:11:10.208 | ++ local sudo=sudo
  719. 2017-01-05 22:11:10.208 | +++ id -u
  720. 2017-01-05 22:11:10.209 | ++ [[ 3002 = \0 ]]
  721. 2017-01-05 22:11:10.209 | ++ local 'proxies=http_proxy= https_proxy= no_proxy= '
  722. 2017-01-05 22:11:10.209 | ++ local 'update_cmd=sudo http_proxy= https_proxy= no_proxy=  apt-get update'
  723. 2017-01-05 22:11:10.209 | ++ timeout 300 sh -c 'while ! sudo http_proxy= https_proxy= no_proxy=  apt-get update; do sleep 30; done'
  724. 2017-01-05 22:11:10.229 | Ign http://mirror.boi.a10networks.com trusty InRelease
  725. 2017-01-05 22:11:10.235 | Hit http://mirror.boi.a10networks.com trusty-security InRelease
  726. 2017-01-05 22:11:10.235 | Hit http://mirror.boi.a10networks.com trusty-updates InRelease
  727. 2017-01-05 22:11:10.235 | Hit http://mirror.boi.a10networks.com trusty-backports InRelease
  728. 2017-01-05 22:11:10.236 | Hit http://mirror.boi.a10networks.com trusty Release.gpg
  729. 2017-01-05 22:11:10.236 | Hit http://mirror.boi.a10networks.com trusty Release
  730. 2017-01-05 22:11:10.260 | Hit http://mirror.boi.a10networks.com trusty-security/main amd64 Packages
  731. 2017-01-05 22:11:10.262 | Hit http://mirror.boi.a10networks.com trusty-security/restricted amd64 Packages
  732. 2017-01-05 22:11:10.262 | Hit http://mirror.boi.a10networks.com trusty-security/universe amd64 Packages
  733. 2017-01-05 22:11:10.263 | Hit http://mirror.boi.a10networks.com trusty-security/multiverse amd64 Packages
  734. 2017-01-05 22:11:10.263 | Hit http://mirror.boi.a10networks.com trusty-updates/main amd64 Packages
  735. 2017-01-05 22:11:10.264 | Hit http://mirror.boi.a10networks.com trusty-updates/restricted amd64 Packages
  736. 2017-01-05 22:11:10.265 | Hit http://mirror.boi.a10networks.com trusty-updates/universe amd64 Packages
  737. 2017-01-05 22:11:10.265 | Hit http://mirror.boi.a10networks.com trusty-updates/multiverse amd64 Packages
  738. 2017-01-05 22:11:10.273 | Hit http://mirror.boi.a10networks.com trusty-backports/main amd64 Packages
  739. 2017-01-05 22:11:10.274 | Hit http://mirror.boi.a10networks.com trusty-backports/restricted amd64 Packages
  740. 2017-01-05 22:11:10.275 | Hit http://mirror.boi.a10networks.com trusty-backports/universe amd64 Packages
  741. 2017-01-05 22:11:10.312 | Hit http://mirror.boi.a10networks.com trusty-backports/multiverse amd64 Packages
  742. 2017-01-05 22:11:10.313 | Hit http://mirror.boi.a10networks.com trusty/main amd64 Packages
  743. 2017-01-05 22:11:10.314 | Hit http://mirror.boi.a10networks.com trusty/restricted amd64 Packages
  744. 2017-01-05 22:11:10.314 | Hit http://mirror.boi.a10networks.com trusty/universe amd64 Packages
  745. 2017-01-05 22:11:10.315 | Hit http://mirror.boi.a10networks.com trusty/multiverse amd64 Packages
  746. 2017-01-05 22:11:12.917 | Reading package lists...
  747. 2017-01-05 22:11:12.924 | ++ REPOS_UPDATED=True
  748. 2017-01-05 22:11:12.924 | ++ real_install_package bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  749. 2017-01-05 22:11:12.924 | ++ is_ubuntu
  750. 2017-01-05 22:11:12.924 | ++ [[ -z deb ]]
  751. 2017-01-05 22:11:12.924 | ++ '[' deb = deb ']'
  752. 2017-01-05 22:11:12.924 | ++ apt_get install bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  753. 2017-01-05 22:11:12.933 | ++ sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  754. 2017-01-05 22:11:12.958 | Reading package lists...
  755. 2017-01-05 22:11:13.143 | Building dependency tree...
  756. 2017-01-05 22:11:13.144 | Reading state information...
  757. 2017-01-05 22:11:13.262 | bc is already the newest version.
  758. 2017-01-05 22:11:13.262 | bsdmainutils is already the newest version.
  759. 2017-01-05 22:11:13.262 | cryptsetup is already the newest version.
  760. 2017-01-05 22:11:13.262 | g++ is already the newest version.
  761. 2017-01-05 22:11:13.262 | g++ set to manually installed.
  762. 2017-01-05 22:11:13.262 | gawk is already the newest version.
  763. 2017-01-05 22:11:13.262 | gcc is already the newest version.
  764. 2017-01-05 22:11:13.262 | gcc set to manually installed.
  765. 2017-01-05 22:11:13.262 | iptables is already the newest version.
  766. 2017-01-05 22:11:13.262 | lsof is already the newest version.
  767. 2017-01-05 22:11:13.262 | open-iscsi is already the newest version.
  768. 2017-01-05 22:11:13.262 | psmisc is already the newest version.
  769. 2017-01-05 22:11:13.262 | python-dev is already the newest version.
  770. 2017-01-05 22:11:13.262 | python-gdbm is already the newest version.
  771. 2017-01-05 22:11:13.262 | screen is already the newest version.
  772. 2017-01-05 22:11:13.262 | zlib1g-dev is already the newest version.
  773. 2017-01-05 22:11:13.262 | zlib1g-dev set to manually installed.
  774. 2017-01-05 22:11:13.262 | git is already the newest version.
  775. 2017-01-05 22:11:13.262 | libssl-dev is already the newest version.
  776. 2017-01-05 22:11:13.262 | openssh-server is already the newest version.
  777. 2017-01-05 22:11:13.262 | tcpdump is already the newest version.
  778. 2017-01-05 22:11:13.262 | unzip is already the newest version.
  779. 2017-01-05 22:11:13.262 | unzip set to manually installed.
  780. 2017-01-05 22:11:13.262 | wget is already the newest version.
  781. 2017-01-05 22:11:13.262 | iputils-ping is already the newest version.
  782. 2017-01-05 22:11:13.262 | libffi-dev is already the newest version.
  783. 2017-01-05 22:11:13.262 | parted is already the newest version.
  784. 2017-01-05 22:11:13.262 | The following extra packages will be installed:
  785. 2017-01-05 22:11:13.262 |   comerr-dev dctrl-tools iproute ipvsadm krb5-multidev libboost-system1.54.0
  786. 2017-01-05 22:11:13.262 |   libboost-thread1.54.0 libcdt5 libcgraph6 libcroco3 libcurl3 libgd3
  787. 2017-01-05 22:11:13.263 |   libgssrpc4 libgvc6 libgvpr2 libipset3 libjs-jquery libjs-jquery-metadata
  788. 2017-01-05 22:11:13.263 |   libkadm5clnt-mit9 libkadm5srv-mit9 libkdb5-7 libltdl7 libmnl0
  789. 2017-01-05 22:11:13.263 |   libmysqlclient18 libnetfilter-conntrack3 libnetfilter-cthelper0
  790. 2017-01-05 22:11:13.263 |   libnetfilter-queue1 libpathplan4 libpcrecpp0 libpq5 libpython2.7
  791. 2017-01-05 22:11:13.263 |   libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib librados2 librbd1
  792. 2017-01-05 22:11:13.263 |   libsgutils2-2 libsysfs2 libunistring0 libvpx1 libxaw7 libxmu6 libxpm4
  793. 2017-01-05 22:11:13.263 |   libxslt1.1 postgresql-client-common postgresql-common
  794. 2017-01-05 22:11:13.263 |   postgresql-server-dev-9.3 python2.7-dev python2.7-minimal ssl-cert
  795. 2017-01-05 22:11:13.264 | Suggested packages:
  796. 2017-01-05 22:11:13.264 |   doc-base debtags wodim cdrkit-doc gettext-doc gsfonts graphviz-doc heartbeat
  797. 2017-01-05 22:11:13.264 |   ldirectord krb5-doc libgd-tools krb5-user javascript-common
  798. 2017-01-05 22:11:13.264 |   postgresql-doc-9.3 libcache-memcached-perl libmemcached cpufrequtils
  799. 2017-01-05 22:11:13.264 |   wireless-tools radeontool python-egenix-mxdatetime python-mysqldb-dbg
  800. 2017-01-05 22:11:13.264 |   python2.7-doc binfmt-support debootstrap sqlite3-doc openssl-blacklist
  801. 2017-01-05 22:11:13.264 |   ncompress tar-scripts
  802. 2017-01-05 22:11:13.264 | Recommended packages:
  803. 2017-01-05 22:11:13.264 |   libasprintf-dev libgettextpo-dev fonts-liberation vbetool sharutils
  804. 2017-01-05 22:11:13.265 | The following NEW packages will be installed:
  805. 2017-01-05 22:11:13.265 |   acl bridge-utils comerr-dev conntrack conntrackd dctrl-tools dnsmasq-base
  806. 2017-01-05 22:11:13.265 |   dnsmasq-utils dstat ebtables fping genisoimage gettext graphviz iproute
  807. 2017-01-05 22:11:13.265 |   ipset iputils-arping ipvsadm keepalived kpartx krb5-multidev
  808. 2017-01-05 22:11:13.265 |   libboost-system1.54.0 libboost-thread1.54.0 libcdt5 libcgraph6 libcroco3
  809. 2017-01-05 22:11:13.265 |   libgd3 libgssrpc4 libgvc6 libgvpr2 libipset3 libjs-jquery
  810. 2017-01-05 22:11:13.265 |   libjs-jquery-metadata libjs-jquery-tablesorter libkadm5clnt-mit9
  811. 2017-01-05 22:11:13.265 |   libkadm5srv-mit9 libkdb5-7 libkrb5-dev libldap2-dev libltdl7 libmnl0
  812. 2017-01-05 22:11:13.265 |   libmysqlclient-dev libnetfilter-conntrack3 libnetfilter-cthelper0
  813. 2017-01-05 22:11:13.265 |   libnetfilter-queue1 libnspr4-dev libpathplan4 libpcre3-dev libpcrecpp0
  814. 2017-01-05 22:11:13.265 |   libpq-dev libpq5 librados2 librbd1 libsasl2-dev libsgutils2-2 libsysfs2
  815. 2017-01-05 22:11:13.265 |   libunistring0 libvpx1 libxaw7 libxml2-dev libxmu6 libxpm4 libxslt1-dev
  816. 2017-01-05 22:11:13.265 |   libxslt1.1 libyaml-dev memcached pkg-config pm-utils
  817. 2017-01-05 22:11:13.265 |   postgresql-client-common postgresql-common postgresql-server-dev-9.3
  818. 2017-01-05 22:11:13.266 |   postgresql-server-dev-all python-mysql.connector python-mysqldb qemu-utils
  819. 2017-01-05 22:11:13.266 |   sg3-utils socat sqlite3 ssl-cert sysfsutils vlan
  820. 2017-01-05 22:11:13.267 | The following packages will be upgraded:
  821. 2017-01-05 22:11:13.267 |   curl libcurl3 libmysqlclient18 libpython2.7 libpython2.7-dev
  822. 2017-01-05 22:11:13.267 |   libpython2.7-minimal libpython2.7-stdlib openssl python2.7 python2.7-dev
  823. 2017-01-05 22:11:13.267 |   python2.7-minimal sudo tar uuid-runtime
  824. 2017-01-05 22:11:13.297 | 14 upgraded, 81 newly installed, 0 to remove and 78 not upgraded.
  825. 2017-01-05 22:11:13.297 | Need to get 31.2 MB/42.1 MB of archives.
  826. 2017-01-05 22:11:13.297 | After this operation, 57.5 MB of additional disk space will be used.
  827. 2017-01-05 22:11:13.297 | Get:1 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main tar amd64 1.27.1-1ubuntu0.1 [196 kB]
  828. 2017-01-05 22:11:13.309 | Get:2 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main curl amd64 7.35.0-1ubuntu2.10 [123 kB]
  829. 2017-01-05 22:11:13.314 | Get:3 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libcurl3 amd64 7.35.0-1ubuntu2.10 [173 kB]
  830. 2017-01-05 22:11:13.321 | Get:4 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libgd3 amd64 2.1.0-3ubuntu0.5 [122 kB]
  831. 2017-01-05 22:11:13.327 | Get:5 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libmysqlclient18 amd64 5.5.53-0ubuntu0.14.04.1 [597 kB]
  832. 2017-01-05 22:11:13.347 | Get:6 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main python2.7-dev amd64 2.7.6-8ubuntu0.3 [269 kB]
  833. 2017-01-05 22:11:13.357 | Get:7 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libpython2.7-dev amd64 2.7.6-8ubuntu0.3 [22.0 MB]
  834. 2017-01-05 22:11:13.802 | Get:8 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main python2.7 amd64 2.7.6-8ubuntu0.3 [197 kB]
  835. 2017-01-05 22:11:13.807 | Get:9 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libpython2.7 amd64 2.7.6-8ubuntu0.3 [1039 kB]
  836. 2017-01-05 22:11:13.829 | Get:10 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libpython2.7-stdlib amd64 2.7.6-8ubuntu0.3 [1873 kB]
  837. 2017-01-05 22:11:13.870 | Get:11 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main python2.7-minimal amd64 2.7.6-8ubuntu0.3 [1187 kB]
  838. 2017-01-05 22:11:13.895 | Get:12 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libpython2.7-minimal amd64 2.7.6-8ubuntu0.3 [307 kB]
  839. 2017-01-05 22:11:13.902 | Get:13 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main sudo amd64 1.8.9p5-1ubuntu1.3 [342 kB]
  840. 2017-01-05 22:11:13.911 | Get:14 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main openssl amd64 1.0.1f-1ubuntu2.21 [489 kB]
  841. 2017-01-05 22:11:13.922 | Get:15 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main uuid-runtime amd64 2.20.1-5.1ubuntu20.9 [12.2 kB]
  842. 2017-01-05 22:11:13.923 | Get:16 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libmysqlclient-dev amd64 5.5.53-0ubuntu0.14.04.1 [869 kB]
  843. 2017-01-05 22:11:13.943 | Get:17 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main libpq5 amd64 9.3.15-0ubuntu0.14.04 [78.7 kB]
  844. 2017-01-05 22:11:13.945 | Get:18 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main libpq-dev amd64 9.3.15-0ubuntu0.14.04 [140 kB]
  845. 2017-01-05 22:11:13.950 | Get:19 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main memcached amd64 1.4.14-0ubuntu9.1 [66.7 kB]
  846. 2017-01-05 22:11:13.953 | Get:20 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main postgresql-server-dev-9.3 amd64 9.3.15-0ubuntu0.14.04 [601 kB]
  847. 2017-01-05 22:11:13.968 | Get:21 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main qemu-utils amd64 2.0.0+dfsg-2ubuntu1.30 [416 kB]
  848. 2017-01-05 22:11:13.978 | Get:22 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main kpartx amd64 0.4.9-3ubuntu7.15 [22.0 kB]
  849. 2017-01-05 22:11:13.979 | Get:23 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main vlan amd64 1.9-3ubuntu10.1 [30.6 kB]
  850. 2017-01-05 22:11:14.465 |
  851. Extracting templates from packages: 31%
  852. Extracting templates from packages: 63%
  853. Extracting templates from packages: 94%
  854. Extracting templates from packages: 100%
  855. 2017-01-05 22:11:14.476 | Preconfiguring packages ...
  856. 2017-01-05 22:11:14.590 | Fetched 31.2 MB in 0s (45.4 MB/s)
  857. 2017-01-05 22:11:14.724 | (Reading database ... 68839 files and directories currently installed.)
  858. 2017-01-05 22:11:14.728 | Preparing to unpack .../tar_1.27.1-1ubuntu0.1_amd64.deb ...
  859. 2017-01-05 22:11:14.791 | Unpacking tar (1.27.1-1ubuntu0.1) over (1.27.1-1) ...
  860. 2017-01-05 22:11:15.030 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  861. 2017-01-05 22:11:15.397 | Processing triggers for mime-support (3.54ubuntu1.1) ...
  862. 2017-01-05 22:11:15.572 | Setting up tar (1.27.1-1ubuntu0.1) ...
  863. 2017-01-05 22:11:16.318 | Selecting previously unselected package libboost-system1.54.0:amd64.
  864. 2017-01-05 22:11:16.357 | (Reading database ... 68839 files and directories currently installed.)
  865. 2017-01-05 22:11:16.361 | Preparing to unpack .../libboost-system1.54.0_1.54.0-4ubuntu3.1_amd64.deb ...
  866. 2017-01-05 22:11:16.429 | Unpacking libboost-system1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
  867. 2017-01-05 22:11:17.016 | Selecting previously unselected package libboost-thread1.54.0:amd64.
  868. 2017-01-05 22:11:17.021 | Preparing to unpack .../libboost-thread1.54.0_1.54.0-4ubuntu3.1_amd64.deb ...
  869. 2017-01-05 22:11:17.041 | Unpacking libboost-thread1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
  870. 2017-01-05 22:11:17.222 | Selecting previously unselected package libcroco3:amd64.
  871. 2017-01-05 22:11:17.231 | Preparing to unpack .../libcroco3_0.6.8-2ubuntu1_amd64.deb ...
  872. 2017-01-05 22:11:17.250 | Unpacking libcroco3:amd64 (0.6.8-2ubuntu1) ...
  873. 2017-01-05 22:11:17.424 | Preparing to unpack .../curl_7.35.0-1ubuntu2.10_amd64.deb ...
  874. 2017-01-05 22:11:17.488 | Unpacking curl (7.35.0-1ubuntu2.10) over (7.35.0-1ubuntu2.9) ...
  875. 2017-01-05 22:11:17.749 | Preparing to unpack .../libcurl3_7.35.0-1ubuntu2.10_amd64.deb ...
  876. 2017-01-05 22:11:17.804 | Unpacking libcurl3:amd64 (7.35.0-1ubuntu2.10) over (7.35.0-1ubuntu2.9) ...
  877. 2017-01-05 22:11:18.181 | Selecting previously unselected package libvpx1:amd64.
  878. 2017-01-05 22:11:18.186 | Preparing to unpack .../libvpx1_1.3.0-2_amd64.deb ...
  879. 2017-01-05 22:11:18.202 | Unpacking libvpx1:amd64 (1.3.0-2) ...
  880. 2017-01-05 22:11:18.421 | Selecting previously unselected package libxpm4:amd64.
  881. 2017-01-05 22:11:18.430 | Preparing to unpack .../libxpm4_1%3a3.5.10-1_amd64.deb ...
  882. 2017-01-05 22:11:18.448 | Unpacking libxpm4:amd64 (1:3.5.10-1) ...
  883. 2017-01-05 22:11:18.632 | Selecting previously unselected package libgd3:amd64.
  884. 2017-01-05 22:11:18.639 | Preparing to unpack .../libgd3_2.1.0-3ubuntu0.5_amd64.deb ...
  885. 2017-01-05 22:11:18.657 | Unpacking libgd3:amd64 (2.1.0-3ubuntu0.5) ...
  886. 2017-01-05 22:11:18.884 | Selecting previously unselected package libgssrpc4:amd64.
  887. 2017-01-05 22:11:18.895 | Preparing to unpack .../libgssrpc4_1.12+dfsg-2ubuntu5.2_amd64.deb ...
  888. 2017-01-05 22:11:18.917 | Unpacking libgssrpc4:amd64 (1.12+dfsg-2ubuntu5.2) ...
  889. 2017-01-05 22:11:19.124 | Selecting previously unselected package libkadm5clnt-mit9:amd64.
  890. 2017-01-05 22:11:19.134 | Preparing to unpack .../libkadm5clnt-mit9_1.12+dfsg-2ubuntu5.2_amd64.deb ...
  891. 2017-01-05 22:11:19.151 | Unpacking libkadm5clnt-mit9:amd64 (1.12+dfsg-2ubuntu5.2) ...
  892. 2017-01-05 22:11:19.342 | Selecting previously unselected package libkdb5-7:amd64.
  893. 2017-01-05 22:11:19.349 | Preparing to unpack .../libkdb5-7_1.12+dfsg-2ubuntu5.2_amd64.deb ...
  894. 2017-01-05 22:11:19.368 | Unpacking libkdb5-7:amd64 (1.12+dfsg-2ubuntu5.2) ...
  895. 2017-01-05 22:11:19.556 | Selecting previously unselected package libkadm5srv-mit9:amd64.
  896. 2017-01-05 22:11:19.564 | Preparing to unpack .../libkadm5srv-mit9_1.12+dfsg-2ubuntu5.2_amd64.deb ...
  897. 2017-01-05 22:11:19.582 | Unpacking libkadm5srv-mit9:amd64 (1.12+dfsg-2ubuntu5.2) ...
  898. 2017-01-05 22:11:19.776 | Selecting previously unselected package libltdl7:amd64.
  899. 2017-01-05 22:11:19.779 | Preparing to unpack .../libltdl7_2.4.2-1.7ubuntu1_amd64.deb ...
  900. 2017-01-05 22:11:19.795 | Unpacking libltdl7:amd64 (2.4.2-1.7ubuntu1) ...
  901. 2017-01-05 22:11:19.959 | Preparing to unpack .../libmysqlclient18_5.5.53-0ubuntu0.14.04.1_amd64.deb ...
  902. 2017-01-05 22:11:20.009 | Unpacking libmysqlclient18:amd64 (5.5.53-0ubuntu0.14.04.1) over (5.5.50-0ubuntu0.14.04.1) ...
  903. 2017-01-05 22:11:20.276 | Selecting previously unselected package libpcrecpp0:amd64.
  904. 2017-01-05 22:11:20.283 | Preparing to unpack .../libpcrecpp0_1%3a8.31-2ubuntu2.3_amd64.deb ...
  905. 2017-01-05 22:11:20.303 | Unpacking libpcrecpp0:amd64 (1:8.31-2ubuntu2.3) ...
  906. 2017-01-05 22:11:20.439 | Preparing to unpack .../python2.7-dev_2.7.6-8ubuntu0.3_amd64.deb ...
  907. 2017-01-05 22:11:20.492 | Unpacking python2.7-dev (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  908. 2017-01-05 22:11:20.692 | Preparing to unpack .../libpython2.7-dev_2.7.6-8ubuntu0.3_amd64.deb ...
  909. 2017-01-05 22:11:20.794 | Unpacking libpython2.7-dev:amd64 (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  910. 2017-01-05 22:11:22.857 | Preparing to unpack .../python2.7_2.7.6-8ubuntu0.3_amd64.deb ...
  911. 2017-01-05 22:11:22.933 | Unpacking python2.7 (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  912. 2017-01-05 22:11:23.248 | Preparing to unpack .../libpython2.7_2.7.6-8ubuntu0.3_amd64.deb ...
  913. 2017-01-05 22:11:23.321 | Unpacking libpython2.7:amd64 (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  914. 2017-01-05 22:11:23.715 | Preparing to unpack .../libpython2.7-stdlib_2.7.6-8ubuntu0.3_amd64.deb ...
  915. 2017-01-05 22:11:23.927 | Unpacking libpython2.7-stdlib:amd64 (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  916. 2017-01-05 22:11:24.675 | Preparing to unpack .../python2.7-minimal_2.7.6-8ubuntu0.3_amd64.deb ...
  917. 2017-01-05 22:11:24.741 | Unpacking python2.7-minimal (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  918. 2017-01-05 22:11:25.156 | Preparing to unpack .../libpython2.7-minimal_2.7.6-8ubuntu0.3_amd64.deb ...
  919. 2017-01-05 22:11:25.274 | Unpacking libpython2.7-minimal:amd64 (2.7.6-8ubuntu0.3) over (2.7.6-8ubuntu0.2) ...
  920. 2017-01-05 22:11:25.744 | Selecting previously unselected package librados2.
  921. 2017-01-05 22:11:25.746 | Preparing to unpack .../librados2_0.80.11-0ubuntu1.14.04.1_amd64.deb ...
  922. 2017-01-05 22:11:25.764 | Unpacking librados2 (0.80.11-0ubuntu1.14.04.1) ...
  923. 2017-01-05 22:11:26.104 | Selecting previously unselected package librbd1.
  924. 2017-01-05 22:11:26.108 | Preparing to unpack .../librbd1_0.80.11-0ubuntu1.14.04.1_amd64.deb ...
  925. 2017-01-05 22:11:26.129 | Unpacking librbd1 (0.80.11-0ubuntu1.14.04.1) ...
  926. 2017-01-05 22:11:26.304 | Selecting previously unselected package libsysfs2:amd64.
  927. 2017-01-05 22:11:26.310 | Preparing to unpack .../libsysfs2_2.1.0+repack-3ubuntu1_amd64.deb ...
  928. 2017-01-05 22:11:26.326 | Unpacking libsysfs2:amd64 (2.1.0+repack-3ubuntu1) ...
  929. 2017-01-05 22:11:26.492 | Selecting previously unselected package libunistring0:amd64.
  930. 2017-01-05 22:11:26.497 | Preparing to unpack .../libunistring0_0.9.3-5ubuntu3_amd64.deb ...
  931. 2017-01-05 22:11:26.571 | Unpacking libunistring0:amd64 (0.9.3-5ubuntu3) ...
  932. 2017-01-05 22:11:26.952 | Selecting previously unselected package libxmu6:amd64.
  933. 2017-01-05 22:11:26.957 | Preparing to unpack .../libxmu6_2%3a1.1.1-1_amd64.deb ...
  934. 2017-01-05 22:11:26.976 | Unpacking libxmu6:amd64 (2:1.1.1-1) ...
  935. 2017-01-05 22:11:27.148 | Selecting previously unselected package libxaw7:amd64.
  936. 2017-01-05 22:11:27.153 | Preparing to unpack .../libxaw7_2%3a1.0.12-1_amd64.deb ...
  937. 2017-01-05 22:11:27.172 | Unpacking libxaw7:amd64 (2:1.0.12-1) ...
  938. 2017-01-05 22:11:27.712 | Selecting previously unselected package libxslt1.1:amd64.
  939. 2017-01-05 22:11:27.712 | Preparing to unpack .../libxslt1.1_1.1.28-2build1_amd64.deb ...
  940. 2017-01-05 22:11:27.727 | Unpacking libxslt1.1:amd64 (1.1.28-2build1) ...
  941. 2017-01-05 22:11:27.896 | Selecting previously unselected package libmnl0:amd64.
  942. 2017-01-05 22:11:27.902 | Preparing to unpack .../libmnl0_1.0.3-3ubuntu1_amd64.deb ...
  943. 2017-01-05 22:11:27.918 | Unpacking libmnl0:amd64 (1.0.3-3ubuntu1) ...
  944. 2017-01-05 22:11:28.060 | Selecting previously unselected package libipset3:amd64.
  945. 2017-01-05 22:11:28.066 | Preparing to unpack .../libipset3_6.20.1-1_amd64.deb ...
  946. 2017-01-05 22:11:28.087 | Unpacking libipset3:amd64 (6.20.1-1) ...
  947. 2017-01-05 22:11:28.236 | Selecting previously unselected package libnetfilter-conntrack3:amd64.
  948. 2017-01-05 22:11:28.241 | Preparing to unpack .../libnetfilter-conntrack3_1.0.4-1_amd64.deb ...
  949. 2017-01-05 22:11:28.258 | Unpacking libnetfilter-conntrack3:amd64 (1.0.4-1) ...
  950. 2017-01-05 22:11:28.507 | Selecting previously unselected package libnetfilter-cthelper0:amd64.
  951. 2017-01-05 22:11:28.516 | Preparing to unpack .../libnetfilter-cthelper0_1.0.0-1ubuntu1_amd64.deb ...
  952. 2017-01-05 22:11:28.533 | Unpacking libnetfilter-cthelper0:amd64 (1.0.0-1ubuntu1) ...
  953. 2017-01-05 22:11:28.703 | Preparing to unpack .../sudo_1.8.9p5-1ubuntu1.3_amd64.deb ...
  954. 2017-01-05 22:11:28.788 | Unpacking sudo (1.8.9p5-1ubuntu1.3) over (1.8.9p5-1ubuntu1.2) ...
  955. 2017-01-05 22:11:29.213 | Preparing to unpack .../openssl_1.0.1f-1ubuntu2.21_amd64.deb ...
  956. 2017-01-05 22:11:29.266 | Unpacking openssl (1.0.1f-1ubuntu2.21) over (1.0.1f-1ubuntu2.19) ...
  957. 2017-01-05 22:11:29.598 | Preparing to unpack .../uuid-runtime_2.20.1-5.1ubuntu20.9_amd64.deb ...
  958. 2017-01-05 22:11:29.670 | Unpacking uuid-runtime (2.20.1-5.1ubuntu20.9) over (2.20.1-5.1ubuntu20.7) ...
  959. 2017-01-05 22:11:29.852 | Selecting previously unselected package acl.
  960. 2017-01-05 22:11:29.855 | Preparing to unpack .../acl_2.2.52-1_amd64.deb ...
  961. 2017-01-05 22:11:29.872 | Unpacking acl (2.2.52-1) ...
  962. 2017-01-05 22:11:30.040 | Selecting previously unselected package bridge-utils.
  963. 2017-01-05 22:11:30.046 | Preparing to unpack .../bridge-utils_1.5-6ubuntu2_amd64.deb ...
  964. 2017-01-05 22:11:30.064 | Unpacking bridge-utils (1.5-6ubuntu2) ...
  965. 2017-01-05 22:11:30.179 | Selecting previously unselected package conntrack.
  966. 2017-01-05 22:11:30.185 | Preparing to unpack .../conntrack_1%3a1.4.1-1ubuntu1_amd64.deb ...
  967. 2017-01-05 22:11:30.200 | Unpacking conntrack (1:1.4.1-1ubuntu1) ...
  968. 2017-01-05 22:11:30.332 | Selecting previously unselected package libnetfilter-queue1.
  969. 2017-01-05 22:11:30.340 | Preparing to unpack .../libnetfilter-queue1_1.0.2-1_amd64.deb ...
  970. 2017-01-05 22:11:30.359 | Unpacking libnetfilter-queue1 (1.0.2-1) ...
  971. 2017-01-05 22:11:30.532 | Selecting previously unselected package conntrackd.
  972. 2017-01-05 22:11:30.539 | Preparing to unpack .../conntrackd_1%3a1.4.1-1ubuntu1_amd64.deb ...
  973. 2017-01-05 22:11:30.564 | Unpacking conntrackd (1:1.4.1-1ubuntu1) ...
  974. 2017-01-05 22:11:30.772 | Selecting previously unselected package dctrl-tools.
  975. 2017-01-05 22:11:30.778 | Preparing to unpack .../dctrl-tools_2.23ubuntu1_amd64.deb ...
  976. 2017-01-05 22:11:30.801 | Unpacking dctrl-tools (2.23ubuntu1) ...
  977. 2017-01-05 22:11:31.232 | Selecting previously unselected package dnsmasq-base.
  978. 2017-01-05 22:11:31.237 | Preparing to unpack .../dnsmasq-base_2.68-1ubuntu0.1_amd64.deb ...
  979. 2017-01-05 22:11:31.278 | Unpacking dnsmasq-base (2.68-1ubuntu0.1) ...
  980. 2017-01-05 22:11:31.470 | Selecting previously unselected package dnsmasq-utils.
  981. 2017-01-05 22:11:31.480 | Preparing to unpack .../dnsmasq-utils_2.68-1ubuntu0.1_amd64.deb ...
  982. 2017-01-05 22:11:31.498 | Unpacking dnsmasq-utils (2.68-1ubuntu0.1) ...
  983. 2017-01-05 22:11:31.670 | Selecting previously unselected package dstat.
  984. 2017-01-05 22:11:31.679 | Preparing to unpack .../dstat_0.7.2-3build1_all.deb ...
  985. 2017-01-05 22:11:31.781 | Unpacking dstat (0.7.2-3build1) ...
  986. 2017-01-05 22:11:33.056 | Selecting previously unselected package ebtables.
  987. 2017-01-05 22:11:33.064 | Preparing to unpack .../ebtables_2.0.10.4-3ubuntu1_amd64.deb ...
  988. 2017-01-05 22:11:33.112 | Unpacking ebtables (2.0.10.4-3ubuntu1) ...
  989. 2017-01-05 22:11:33.423 | Selecting previously unselected package fping.
  990. 2017-01-05 22:11:33.433 | Preparing to unpack .../archives/fping_3.8-1_amd64.deb ...
  991. 2017-01-05 22:11:33.451 | Unpacking fping (3.8-1) ...
  992. 2017-01-05 22:11:33.574 | Selecting previously unselected package genisoimage.
  993. 2017-01-05 22:11:33.582 | Preparing to unpack .../genisoimage_9%3a1.1.11-2ubuntu3_amd64.deb ...
  994. 2017-01-05 22:11:33.597 | Unpacking genisoimage (9:1.1.11-2ubuntu3) ...
  995. 2017-01-05 22:11:33.768 | Selecting previously unselected package gettext.
  996. 2017-01-05 22:11:33.774 | Preparing to unpack .../gettext_0.18.3.1-1ubuntu3_amd64.deb ...
  997. 2017-01-05 22:11:33.790 | Unpacking gettext (0.18.3.1-1ubuntu3) ...
  998. 2017-01-05 22:11:34.144 | Selecting previously unselected package libcdt5.
  999. 2017-01-05 22:11:34.148 | Preparing to unpack .../libcdt5_2.36.0-0ubuntu3.1_amd64.deb ...
  1000. 2017-01-05 22:11:34.164 | Unpacking libcdt5 (2.36.0-0ubuntu3.1) ...
  1001. 2017-01-05 22:11:34.320 | Selecting previously unselected package libcgraph6.
  1002. 2017-01-05 22:11:34.324 | Preparing to unpack .../libcgraph6_2.36.0-0ubuntu3.1_amd64.deb ...
  1003. 2017-01-05 22:11:34.341 | Unpacking libcgraph6 (2.36.0-0ubuntu3.1) ...
  1004. 2017-01-05 22:11:34.524 | Selecting previously unselected package libpathplan4.
  1005. 2017-01-05 22:11:34.526 | Preparing to unpack .../libpathplan4_2.36.0-0ubuntu3.1_amd64.deb ...
  1006. 2017-01-05 22:11:34.544 | Unpacking libpathplan4 (2.36.0-0ubuntu3.1) ...
  1007. 2017-01-05 22:11:34.720 | Selecting previously unselected package libgvc6.
  1008. 2017-01-05 22:11:34.728 | Preparing to unpack .../libgvc6_2.36.0-0ubuntu3.1_amd64.deb ...
  1009. 2017-01-05 22:11:34.745 | Unpacking libgvc6 (2.36.0-0ubuntu3.1) ...
  1010. 2017-01-05 22:11:35.036 | Selecting previously unselected package libgvpr2.
  1011. 2017-01-05 22:11:35.038 | Preparing to unpack .../libgvpr2_2.36.0-0ubuntu3.1_amd64.deb ...
  1012. 2017-01-05 22:11:35.060 | Unpacking libgvpr2 (2.36.0-0ubuntu3.1) ...
  1013. 2017-01-05 22:11:35.348 | Selecting previously unselected package graphviz.
  1014. 2017-01-05 22:11:35.350 | Preparing to unpack .../graphviz_2.36.0-0ubuntu3.1_amd64.deb ...
  1015. 2017-01-05 22:11:35.367 | Unpacking graphviz (2.36.0-0ubuntu3.1) ...
  1016. 2017-01-05 22:11:35.608 | Selecting previously unselected package iproute.
  1017. 2017-01-05 22:11:35.615 | Preparing to unpack .../iproute_1%3a3.12.0-2ubuntu1_all.deb ...
  1018. 2017-01-05 22:11:35.633 | Unpacking iproute (1:3.12.0-2ubuntu1) ...
  1019. 2017-01-05 22:11:35.756 | Selecting previously unselected package iputils-arping.
  1020. 2017-01-05 22:11:35.762 | Preparing to unpack .../iputils-arping_3%3a20121221-4ubuntu1.1_amd64.deb ...
  1021. 2017-01-05 22:11:35.787 | Unpacking iputils-arping (3:20121221-4ubuntu1.1) ...
  1022. 2017-01-05 22:11:35.947 | Selecting previously unselected package ipvsadm.
  1023. 2017-01-05 22:11:35.953 | Preparing to unpack .../ipvsadm_1%3a1.26-2ubuntu1_amd64.deb ...
  1024. 2017-01-05 22:11:35.969 | Unpacking ipvsadm (1:1.26-2ubuntu1) ...
  1025. 2017-01-05 22:11:36.157 | Selecting previously unselected package keepalived.
  1026. 2017-01-05 22:11:36.164 | Preparing to unpack .../keepalived_1%3a1.2.7-1ubuntu1_amd64.deb ...
  1027. 2017-01-05 22:11:36.179 | Unpacking keepalived (1:1.2.7-1ubuntu1) ...
  1028. 2017-01-05 22:11:36.337 | Selecting previously unselected package comerr-dev.
  1029. 2017-01-05 22:11:36.346 | Preparing to unpack .../comerr-dev_2.1-1.42.9-3ubuntu1.3_amd64.deb ...
  1030. 2017-01-05 22:11:36.364 | Unpacking comerr-dev (2.1-1.42.9-3ubuntu1.3) ...
  1031. 2017-01-05 22:11:36.867 | Selecting previously unselected package krb5-multidev.
  1032. 2017-01-05 22:11:36.876 | Preparing to unpack .../krb5-multidev_1.12+dfsg-2ubuntu5.2_amd64.deb ...
  1033. 2017-01-05 22:11:36.897 | Unpacking krb5-multidev (1.12+dfsg-2ubuntu5.2) ...
  1034. 2017-01-05 22:11:37.084 | Selecting previously unselected package libjs-jquery.
  1035. 2017-01-05 22:11:37.091 | Preparing to unpack .../libjs-jquery_1.7.2+dfsg-2ubuntu1_all.deb ...
  1036. 2017-01-05 22:11:37.111 | Unpacking libjs-jquery (1.7.2+dfsg-2ubuntu1) ...
  1037. 2017-01-05 22:11:37.246 | Selecting previously unselected package libjs-jquery-metadata.
  1038. 2017-01-05 22:11:37.256 | Preparing to unpack .../libjs-jquery-metadata_8-2_all.deb ...
  1039. 2017-01-05 22:11:37.273 | Unpacking libjs-jquery-metadata (8-2) ...
  1040. 2017-01-05 22:11:37.441 | Selecting previously unselected package libjs-jquery-tablesorter.
  1041. 2017-01-05 22:11:37.449 | Preparing to unpack .../libjs-jquery-tablesorter_8-2_all.deb ...
  1042. 2017-01-05 22:11:37.466 | Unpacking libjs-jquery-tablesorter (8-2) ...
  1043. 2017-01-05 22:11:37.636 | Selecting previously unselected package libmysqlclient-dev.
  1044. 2017-01-05 22:11:37.643 | Preparing to unpack .../libmysqlclient-dev_5.5.53-0ubuntu0.14.04.1_amd64.deb ...
  1045. 2017-01-05 22:11:37.662 | Unpacking libmysqlclient-dev (5.5.53-0ubuntu0.14.04.1) ...
  1046. 2017-01-05 22:11:38.448 | Selecting previously unselected package libnspr4-dev.
  1047. 2017-01-05 22:11:38.454 | Preparing to unpack .../libnspr4-dev_2%3a4.12-0ubuntu0.14.04.1_amd64.deb ...
  1048. 2017-01-05 22:11:38.499 | Unpacking libnspr4-dev (2:4.12-0ubuntu0.14.04.1) ...
  1049. 2017-01-05 22:11:39.792 | Selecting previously unselected package libpcre3-dev:amd64.
  1050. 2017-01-05 22:11:39.799 | Preparing to unpack .../libpcre3-dev_1%3a8.31-2ubuntu2.3_amd64.deb ...
  1051. 2017-01-05 22:11:39.847 | Unpacking libpcre3-dev:amd64 (1:8.31-2ubuntu2.3) ...
  1052. 2017-01-05 22:11:40.895 | Selecting previously unselected package libpq5.
  1053. 2017-01-05 22:11:40.905 | Preparing to unpack .../libpq5_9.3.15-0ubuntu0.14.04_amd64.deb ...
  1054. 2017-01-05 22:11:40.962 | Unpacking libpq5 (9.3.15-0ubuntu0.14.04) ...
  1055. 2017-01-05 22:11:41.414 | Selecting previously unselected package libpq-dev.
  1056. 2017-01-05 22:11:41.423 | Preparing to unpack .../libpq-dev_9.3.15-0ubuntu0.14.04_amd64.deb ...
  1057. 2017-01-05 22:11:41.474 | Unpacking libpq-dev (9.3.15-0ubuntu0.14.04) ...
  1058. 2017-01-05 22:11:42.034 | Selecting previously unselected package libsasl2-dev.
  1059. 2017-01-05 22:11:42.040 | Preparing to unpack .../libsasl2-dev_2.1.25.dfsg1-17build1_amd64.deb ...
  1060. 2017-01-05 22:11:42.089 | Unpacking libsasl2-dev (2.1.25.dfsg1-17build1) ...
  1061. 2017-01-05 22:11:43.088 | Selecting previously unselected package libsgutils2-2.
  1062. 2017-01-05 22:11:43.099 | Preparing to unpack .../libsgutils2-2_1.36-1ubuntu1_amd64.deb ...
  1063. 2017-01-05 22:11:43.145 | Unpacking libsgutils2-2 (1.36-1ubuntu1) ...
  1064. 2017-01-05 22:11:43.472 | Selecting previously unselected package libxml2-dev:amd64.
  1065. 2017-01-05 22:11:43.478 | Preparing to unpack .../libxml2-dev_2.9.1+dfsg1-3ubuntu4.8_amd64.deb ...
  1066. 2017-01-05 22:11:43.532 | Unpacking libxml2-dev:amd64 (2.9.1+dfsg1-3ubuntu4.8) ...
  1067. 2017-01-05 22:11:43.860 | Selecting previously unselected package libxslt1-dev:amd64.
  1068. 2017-01-05 22:11:43.865 | Preparing to unpack .../libxslt1-dev_1.1.28-2build1_amd64.deb ...
  1069. 2017-01-05 22:11:43.894 | Unpacking libxslt1-dev:amd64 (1.1.28-2build1) ...
  1070. 2017-01-05 22:11:44.388 | Selecting previously unselected package memcached.
  1071. 2017-01-05 22:11:44.398 | Preparing to unpack .../memcached_1.4.14-0ubuntu9.1_amd64.deb ...
  1072. 2017-01-05 22:11:44.436 | Unpacking memcached (1.4.14-0ubuntu9.1) ...
  1073. 2017-01-05 22:11:44.684 | Selecting previously unselected package pkg-config.
  1074. 2017-01-05 22:11:44.696 | Preparing to unpack .../pkg-config_0.26-1ubuntu4_amd64.deb ...
  1075. 2017-01-05 22:11:44.762 | Unpacking pkg-config (0.26-1ubuntu4) ...
  1076. 2017-01-05 22:11:44.972 | Selecting previously unselected package pm-utils.
  1077. 2017-01-05 22:11:44.982 | Preparing to unpack .../pm-utils_1.4.1-13ubuntu0.2_all.deb ...
  1078. 2017-01-05 22:11:45.001 | Unpacking pm-utils (1.4.1-13ubuntu0.2) ...
  1079. 2017-01-05 22:11:45.312 | Selecting previously unselected package postgresql-client-common.
  1080. 2017-01-05 22:11:45.320 | Preparing to unpack .../postgresql-client-common_154ubuntu1_all.deb ...
  1081. 2017-01-05 22:11:45.338 | Unpacking postgresql-client-common (154ubuntu1) ...
  1082. 2017-01-05 22:11:45.597 | Selecting previously unselected package ssl-cert.
  1083. 2017-01-05 22:11:45.607 | Preparing to unpack .../ssl-cert_1.0.33_all.deb ...
  1084. 2017-01-05 22:11:45.633 | Unpacking ssl-cert (1.0.33) ...
  1085. 2017-01-05 22:11:45.982 | Selecting previously unselected package postgresql-common.
  1086. 2017-01-05 22:11:45.989 | Preparing to unpack .../postgresql-common_154ubuntu1_all.deb ...
  1087. 2017-01-05 22:11:46.045 | Adding 'diversion of /usr/bin/pg_config to /usr/bin/pg_config.libpq-dev by postgresql-common'
  1088. 2017-01-05 22:11:46.064 | Unpacking postgresql-common (154ubuntu1) ...
  1089. 2017-01-05 22:11:46.404 | Selecting previously unselected package postgresql-server-dev-9.3.
  1090. 2017-01-05 22:11:46.412 | Preparing to unpack .../postgresql-server-dev-9.3_9.3.15-0ubuntu0.14.04_amd64.deb ...
  1091. 2017-01-05 22:11:46.435 | Unpacking postgresql-server-dev-9.3 (9.3.15-0ubuntu0.14.04) ...
  1092. 2017-01-05 22:11:51.000 | Selecting previously unselected package postgresql-server-dev-all.
  1093. 2017-01-05 22:11:51.005 | Preparing to unpack .../postgresql-server-dev-all_154ubuntu1_all.deb ...
  1094. 2017-01-05 22:11:51.060 | Unpacking postgresql-server-dev-all (154ubuntu1) ...
  1095. 2017-01-05 22:11:51.428 | Selecting previously unselected package python-mysql.connector.
  1096. 2017-01-05 22:11:51.433 | Preparing to unpack .../python-mysql.connector_1.1.6-1_all.deb ...
  1097. 2017-01-05 22:11:51.465 | Unpacking python-mysql.connector (1.1.6-1) ...
  1098. 2017-01-05 22:11:51.796 | Selecting previously unselected package python-mysqldb.
  1099. 2017-01-05 22:11:51.804 | Preparing to unpack .../python-mysqldb_1.2.3-2ubuntu1_amd64.deb ...
  1100. 2017-01-05 22:11:51.821 | Unpacking python-mysqldb (1.2.3-2ubuntu1) ...
  1101. 2017-01-05 22:11:52.021 | Selecting previously unselected package qemu-utils.
  1102. 2017-01-05 22:11:52.028 | Preparing to unpack .../qemu-utils_2.0.0+dfsg-2ubuntu1.30_amd64.deb ...
  1103. 2017-01-05 22:11:52.052 | Unpacking qemu-utils (2.0.0+dfsg-2ubuntu1.30) ...
  1104. 2017-01-05 22:11:52.340 | Selecting previously unselected package sg3-utils.
  1105. 2017-01-05 22:11:52.346 | Preparing to unpack .../sg3-utils_1.36-1ubuntu1_amd64.deb ...
  1106. 2017-01-05 22:11:52.376 | Unpacking sg3-utils (1.36-1ubuntu1) ...
  1107. 2017-01-05 22:11:52.984 | Selecting previously unselected package sqlite3.
  1108. 2017-01-05 22:11:52.988 | Preparing to unpack .../sqlite3_3.8.2-1ubuntu2.1_amd64.deb ...
  1109. 2017-01-05 22:11:53.014 | Unpacking sqlite3 (3.8.2-1ubuntu2.1) ...
  1110. 2017-01-05 22:11:53.279 | Selecting previously unselected package ipset.
  1111. 2017-01-05 22:11:53.289 | Preparing to unpack .../ipset_6.20.1-1_amd64.deb ...
  1112. 2017-01-05 22:11:53.322 | Unpacking ipset (6.20.1-1) ...
  1113. 2017-01-05 22:11:53.556 | Selecting previously unselected package kpartx.
  1114. 2017-01-05 22:11:53.564 | Preparing to unpack .../kpartx_0.4.9-3ubuntu7.15_amd64.deb ...
  1115. 2017-01-05 22:11:53.592 | Unpacking kpartx (0.4.9-3ubuntu7.15) ...
  1116. 2017-01-05 22:11:53.822 | Selecting previously unselected package libkrb5-dev.
  1117. 2017-01-05 22:11:53.831 | Preparing to unpack .../libkrb5-dev_1.12+dfsg-2ubuntu5.2_amd64.deb ...
  1118. 2017-01-05 22:11:53.887 | Unpacking libkrb5-dev (1.12+dfsg-2ubuntu5.2) ...
  1119. 2017-01-05 22:11:54.074 | Selecting previously unselected package libldap2-dev:amd64.
  1120. 2017-01-05 22:11:54.080 | Preparing to unpack .../libldap2-dev_2.4.31-1+nmu2ubuntu8.3_amd64.deb ...
  1121. 2017-01-05 22:11:54.104 | Unpacking libldap2-dev:amd64 (2.4.31-1+nmu2ubuntu8.3) ...
  1122. 2017-01-05 22:11:54.595 | Selecting previously unselected package libyaml-dev:amd64.
  1123. 2017-01-05 22:11:54.608 | Preparing to unpack .../libyaml-dev_0.1.4-3ubuntu3.1_amd64.deb ...
  1124. 2017-01-05 22:11:54.666 | Unpacking libyaml-dev:amd64 (0.1.4-3ubuntu3.1) ...
  1125. 2017-01-05 22:11:54.899 | Selecting previously unselected package socat.
  1126. 2017-01-05 22:11:54.910 | Preparing to unpack .../socat_1.7.2.3-1_amd64.deb ...
  1127. 2017-01-05 22:11:54.933 | Unpacking socat (1.7.2.3-1) ...
  1128. 2017-01-05 22:11:55.352 | Selecting previously unselected package sysfsutils.
  1129. 2017-01-05 22:11:55.361 | Preparing to unpack .../sysfsutils_2.1.0+repack-3ubuntu1_amd64.deb ...
  1130. 2017-01-05 22:11:55.382 | Unpacking sysfsutils (2.1.0+repack-3ubuntu1) ...
  1131. 2017-01-05 22:11:55.640 | Selecting previously unselected package vlan.
  1132. 2017-01-05 22:11:55.646 | Preparing to unpack .../vlan_1.9-3ubuntu10.1_amd64.deb ...
  1133. 2017-01-05 22:11:55.670 | Unpacking vlan (1.9-3ubuntu10.1) ...
  1134. 2017-01-05 22:11:55.770 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  1135. 2017-01-05 22:11:57.219 | Processing triggers for mime-support (3.54ubuntu1.1) ...
  1136. 2017-01-05 22:11:57.361 | Processing triggers for ureadahead (0.100.0-16) ...
  1137. 2017-01-05 22:11:57.457 | Processing triggers for install-info (5.2.0.dfsg.1-2) ...
  1138. 2017-01-05 22:11:57.805 | Setting up libboost-system1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
  1139. 2017-01-05 22:11:57.949 | Setting up libboost-thread1.54.0:amd64 (1.54.0-4ubuntu3.1) ...
  1140. 2017-01-05 22:11:58.042 | Setting up libcroco3:amd64 (0.6.8-2ubuntu1) ...
  1141. 2017-01-05 22:11:58.183 | Setting up libcurl3:amd64 (7.35.0-1ubuntu2.10) ...
  1142. 2017-01-05 22:11:58.801 | Setting up curl (7.35.0-1ubuntu2.10) ...
  1143. 2017-01-05 22:11:58.858 | Setting up libvpx1:amd64 (1.3.0-2) ...
  1144. 2017-01-05 22:11:58.987 | Setting up libxpm4:amd64 (1:3.5.10-1) ...
  1145. 2017-01-05 22:11:59.093 | Setting up libgd3:amd64 (2.1.0-3ubuntu0.5) ...
  1146. 2017-01-05 22:11:59.206 | Setting up libgssrpc4:amd64 (1.12+dfsg-2ubuntu5.2) ...
  1147. 2017-01-05 22:11:59.269 | Setting up libkadm5clnt-mit9:amd64 (1.12+dfsg-2ubuntu5.2) ...
  1148. 2017-01-05 22:11:59.379 | Setting up libkdb5-7:amd64 (1.12+dfsg-2ubuntu5.2) ...
  1149. 2017-01-05 22:11:59.545 | Setting up libkadm5srv-mit9:amd64 (1.12+dfsg-2ubuntu5.2) ...
  1150. 2017-01-05 22:11:59.752 | Setting up libltdl7:amd64 (2.4.2-1.7ubuntu1) ...
  1151. 2017-01-05 22:11:59.949 | Setting up libmysqlclient18:amd64 (5.5.53-0ubuntu0.14.04.1) ...
  1152. 2017-01-05 22:12:00.153 | Setting up libpcrecpp0:amd64 (1:8.31-2ubuntu2.3) ...
  1153. 2017-01-05 22:12:00.346 | Setting up libpython2.7-minimal:amd64 (2.7.6-8ubuntu0.3) ...
  1154. 2017-01-05 22:12:00.450 | Setting up python2.7-minimal (2.7.6-8ubuntu0.3) ...
  1155. 2017-01-05 22:12:00.808 | Setting up libpython2.7-stdlib:amd64 (2.7.6-8ubuntu0.3) ...
  1156. 2017-01-05 22:12:00.885 | Setting up python2.7 (2.7.6-8ubuntu0.3) ...
  1157. 2017-01-05 22:12:01.770 | Setting up libpython2.7:amd64 (2.7.6-8ubuntu0.3) ...
  1158. 2017-01-05 22:12:01.895 | Setting up libpython2.7-dev:amd64 (2.7.6-8ubuntu0.3) ...
  1159. 2017-01-05 22:12:01.963 | Setting up python2.7-dev (2.7.6-8ubuntu0.3) ...
  1160. 2017-01-05 22:12:02.019 | Setting up librados2 (0.80.11-0ubuntu1.14.04.1) ...
  1161. 2017-01-05 22:12:02.106 | Setting up librbd1 (0.80.11-0ubuntu1.14.04.1) ...
  1162. 2017-01-05 22:12:02.184 | Setting up libsysfs2:amd64 (2.1.0+repack-3ubuntu1) ...
  1163. 2017-01-05 22:12:02.276 | Setting up libunistring0:amd64 (0.9.3-5ubuntu3) ...
  1164. 2017-01-05 22:12:02.413 | Setting up libxmu6:amd64 (2:1.1.1-1) ...
  1165. 2017-01-05 22:12:02.543 | Setting up libxaw7:amd64 (2:1.0.12-1) ...
  1166. 2017-01-05 22:12:02.636 | Setting up libxslt1.1:amd64 (1.1.28-2build1) ...
  1167. 2017-01-05 22:12:02.715 | Setting up libmnl0:amd64 (1.0.3-3ubuntu1) ...
  1168. 2017-01-05 22:12:02.853 | Setting up libipset3:amd64 (6.20.1-1) ...
  1169. 2017-01-05 22:12:02.986 | Setting up libnetfilter-conntrack3:amd64 (1.0.4-1) ...
  1170. 2017-01-05 22:12:03.076 | Setting up libnetfilter-cthelper0:amd64 (1.0.0-1ubuntu1) ...
  1171. 2017-01-05 22:12:03.166 | Setting up sudo (1.8.9p5-1ubuntu1.3) ...
  1172. 2017-01-05 22:12:03.226 |
  1173. 2017-01-05 22:12:03.226 | Configuration file '/etc/sudoers'
  1174. 2017-01-05 22:12:03.226 |  ==> Modified (by you or by a script) since installation.
  1175. 2017-01-05 22:12:03.226 |  ==> Package distributor has shipped an updated version.
  1176. 2017-01-05 22:12:03.226 |  ==> Using current old file as you requested.
  1177. 2017-01-05 22:12:03.366 | Setting up openssl (1.0.1f-1ubuntu2.21) ...
  1178. 2017-01-05 22:12:03.503 | Setting up uuid-runtime (2.20.1-5.1ubuntu20.9) ...
  1179. 2017-01-05 22:12:03.602 | Setting up acl (2.2.52-1) ...
  1180. 2017-01-05 22:12:03.680 | Setting up bridge-utils (1.5-6ubuntu2) ...
  1181. 2017-01-05 22:12:03.997 | Setting up conntrack (1:1.4.1-1ubuntu1) ...
  1182. 2017-01-05 22:12:04.086 | Setting up libnetfilter-queue1 (1.0.2-1) ...
  1183. 2017-01-05 22:12:04.212 | Setting up conntrackd (1:1.4.1-1ubuntu1) ...
  1184. 2017-01-05 22:12:04.457 |  * Starting conntrackd
  1185. 2017-01-05 22:12:04.485 |    ...done.
  1186. 2017-01-05 22:12:04.511 | Setting up dctrl-tools (2.23ubuntu1) ...
  1187. 2017-01-05 22:12:04.592 | Setting up dnsmasq-base (2.68-1ubuntu0.1) ...
  1188. 2017-01-05 22:12:04.986 | Setting up dnsmasq-utils (2.68-1ubuntu0.1) ...
  1189. 2017-01-05 22:12:05.062 | Setting up dstat (0.7.2-3build1) ...
  1190. 2017-01-05 22:12:05.269 | Setting up ebtables (2.0.10.4-3ubuntu1) ...
  1191. 2017-01-05 22:12:05.502 | Setting up fping (3.8-1) ...
  1192. 2017-01-05 22:12:05.580 | Setting up genisoimage (9:1.1.11-2ubuntu3) ...
  1193. 2017-01-05 22:12:05.649 | Setting up gettext (0.18.3.1-1ubuntu3) ...
  1194. 2017-01-05 22:12:05.737 | Setting up libcdt5 (2.36.0-0ubuntu3.1) ...
  1195. 2017-01-05 22:12:05.818 | Setting up libcgraph6 (2.36.0-0ubuntu3.1) ...
  1196. 2017-01-05 22:12:05.897 | Setting up libpathplan4 (2.36.0-0ubuntu3.1) ...
  1197. 2017-01-05 22:12:05.969 | Setting up libgvc6 (2.36.0-0ubuntu3.1) ...
  1198. 2017-01-05 22:12:06.124 | Setting up libgvpr2 (2.36.0-0ubuntu3.1) ...
  1199. 2017-01-05 22:12:06.239 | Setting up graphviz (2.36.0-0ubuntu3.1) ...
  1200. 2017-01-05 22:12:06.287 | Setting up iproute (1:3.12.0-2ubuntu1) ...
  1201. 2017-01-05 22:12:06.343 | Setting up iputils-arping (3:20121221-4ubuntu1.1) ...
  1202. 2017-01-05 22:12:06.425 | Setting up ipvsadm (1:1.26-2ubuntu1) ...
  1203. 2017-01-05 22:12:06.621 |  * ipvsadm is not configured to run. Please edit /etc/default/ipvsadm
  1204. 2017-01-05 22:12:06.650 | Setting up comerr-dev (2.1-1.42.9-3ubuntu1.3) ...
  1205. 2017-01-05 22:12:06.744 | Setting up krb5-multidev (1.12+dfsg-2ubuntu5.2) ...
  1206. 2017-01-05 22:12:06.872 | Setting up libjs-jquery (1.7.2+dfsg-2ubuntu1) ...
  1207. 2017-01-05 22:12:06.938 | Setting up libjs-jquery-metadata (8-2) ...
  1208. 2017-01-05 22:12:06.994 | Setting up libjs-jquery-tablesorter (8-2) ...
  1209. 2017-01-05 22:12:07.072 | Setting up libmysqlclient-dev (5.5.53-0ubuntu0.14.04.1) ...
  1210. 2017-01-05 22:12:07.121 | Setting up libnspr4-dev (2:4.12-0ubuntu0.14.04.1) ...
  1211. 2017-01-05 22:12:07.196 | Setting up libpcre3-dev:amd64 (1:8.31-2ubuntu2.3) ...
  1212. 2017-01-05 22:12:07.281 | Setting up libpq5 (9.3.15-0ubuntu0.14.04) ...
  1213. 2017-01-05 22:12:07.399 | Setting up libpq-dev (9.3.15-0ubuntu0.14.04) ...
  1214. 2017-01-05 22:12:07.491 | Setting up libsasl2-dev (2.1.25.dfsg1-17build1) ...
  1215. 2017-01-05 22:12:07.571 | Setting up libsgutils2-2 (1.36-1ubuntu1) ...
  1216. 2017-01-05 22:12:07.665 | Setting up libxml2-dev:amd64 (2.9.1+dfsg1-3ubuntu4.8) ...
  1217. 2017-01-05 22:12:07.755 | Setting up libxslt1-dev:amd64 (1.1.28-2build1) ...
  1218. 2017-01-05 22:12:07.826 | Setting up memcached (1.4.14-0ubuntu9.1) ...
  1219. 2017-01-05 22:12:08.326 | Starting memcached: memcached.
  1220. 2017-01-05 22:12:08.353 | Setting up pkg-config (0.26-1ubuntu4) ...
  1221. 2017-01-05 22:12:08.423 | Setting up pm-utils (1.4.1-13ubuntu0.2) ...
  1222. 2017-01-05 22:12:08.660 | Setting up postgresql-client-common (154ubuntu1) ...
  1223. 2017-01-05 22:12:08.757 | Setting up ssl-cert (1.0.33) ...
  1224. 2017-01-05 22:12:09.381 | Setting up postgresql-common (154ubuntu1) ...
  1225. 2017-01-05 22:12:10.403 | Adding user postgres to group ssl-cert
  1226. 2017-01-05 22:12:10.688 |
  1227. 2017-01-05 22:12:10.688 | Creating config file /etc/logrotate.d/postgresql-common with new version
  1228. 2017-01-05 22:12:10.798 | Building PostgreSQL dictionaries from installed myspell/hunspell packages...
  1229. 2017-01-05 22:12:10.799 | Removing obsolete dictionary files:
  1230. 2017-01-05 22:12:10.877 |  * No PostgreSQL clusters exist; see "man pg_createcluster"
  1231. 2017-01-05 22:12:11.025 | Setting up python-mysql.connector (1.1.6-1) ...
  1232. 2017-01-05 22:12:11.395 | Setting up python-mysqldb (1.2.3-2ubuntu1) ...
  1233. 2017-01-05 22:12:11.706 | Setting up qemu-utils (2.0.0+dfsg-2ubuntu1.30) ...
  1234. 2017-01-05 22:12:11.887 | Setting up sg3-utils (1.36-1ubuntu1) ...
  1235. 2017-01-05 22:12:12.038 | Setting up sqlite3 (3.8.2-1ubuntu2.1) ...
  1236. 2017-01-05 22:12:12.211 | Setting up ipset (6.20.1-1) ...
  1237. 2017-01-05 22:12:12.333 | Setting up kpartx (0.4.9-3ubuntu7.15) ...
  1238. 2017-01-05 22:12:12.475 | Setting up libkrb5-dev (1.12+dfsg-2ubuntu5.2) ...
  1239. 2017-01-05 22:12:12.618 | Setting up libldap2-dev:amd64 (2.4.31-1+nmu2ubuntu8.3) ...
  1240. 2017-01-05 22:12:12.747 | Setting up libyaml-dev:amd64 (0.1.4-3ubuntu3.1) ...
  1241. 2017-01-05 22:12:12.815 | Setting up socat (1.7.2.3-1) ...
  1242. 2017-01-05 22:12:12.889 | Setting up sysfsutils (2.1.0+repack-3ubuntu1) ...
  1243. 2017-01-05 22:12:13.018 |  * Setting sysfs variables...
  1244. 2017-01-05 22:12:13.019 |    ...done.
  1245. 2017-01-05 22:12:13.040 | Setting up vlan (1.9-3ubuntu10.1) ...
  1246. 2017-01-05 22:12:13.150 | Processing triggers for ureadahead (0.100.0-16) ...
  1247. 2017-01-05 22:12:13.360 | Setting up keepalived (1:1.2.7-1ubuntu1) ...
  1248. 2017-01-05 22:12:13.543 | update-rc.d: warning: default stop runlevel arguments (0 1 6) do not match keepalived Default-Stop values (1)
  1249. 2017-01-05 22:12:13.600 | Setting up postgresql-server-dev-9.3 (9.3.15-0ubuntu0.14.04) ...
  1250. 2017-01-05 22:12:13.678 | Setting up postgresql-server-dev-all (154ubuntu1) ...
  1251. 2017-01-05 22:12:13.782 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  1252. 2017-01-05 22:12:13.908 | Processing triggers for ureadahead (0.100.0-16) ...
  1253. 2017-01-05 22:12:14.671 | ++ real_install_package bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  1254. 2017-01-05 22:12:14.671 | ++ is_ubuntu
  1255. 2017-01-05 22:12:14.671 | ++ [[ -z deb ]]
  1256. 2017-01-05 22:12:14.671 | ++ '[' deb = deb ']'
  1257. 2017-01-05 22:12:14.671 | ++ apt_get install bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  1258. 2017-01-05 22:12:14.676 | ++ sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install bridge-utils screen unzip wget psmisc bsdmainutils gcc g++ git graphviz lsof openssh-server openssl iputils-ping wget curl tcpdump tar python-dev python2.7 python-gdbm bc libyaml-dev libffi-dev libssl-dev libxml2-dev libxslt1-dev gettext pkg-config uuid-runtime libnspr4-dev pkg-config libxml2-dev libxslt-dev dstat libmysqlclient-dev libpq-dev libssl-dev libxml2-dev libxslt1-dev zlib1g-dev libpcre3-dev sqlite3 python-mysqldb python-mysql.connector libldap2-dev libsasl2-dev libkrb5-dev memcached fping dnsmasq-base dnsmasq-utils conntrack kpartx parted iputils-arping libmysqlclient-dev python-mysqldb python-mysql.connector libxml2-dev libxslt1-dev gawk iptables ebtables sqlite3 sudo pm-utils libjs-jquery-tablesorter vlan curl genisoimage socat qemu-utils open-iscsi genisoimage sysfsutils sg3-utils cryptsetup ipset acl ebtables iptables iputils-ping iputils-arping libmysqlclient-dev sudo postgresql-server-dev-all python-mysqldb python-mysql.connector dnsmasq-base sqlite3 vlan conntrack conntrackd keepalived libxml2-dev libxslt1-dev
  1259. 2017-01-05 22:12:14.700 | Reading package lists...
  1260. 2017-01-05 22:12:14.894 | Building dependency tree...
  1261. 2017-01-05 22:12:14.895 | Reading state information...
  1262. 2017-01-05 22:12:15.047 | acl is already the newest version.
  1263. 2017-01-05 22:12:15.047 | bc is already the newest version.
  1264. 2017-01-05 22:12:15.047 | bridge-utils is already the newest version.
  1265. 2017-01-05 22:12:15.047 | bsdmainutils is already the newest version.
  1266. 2017-01-05 22:12:15.047 | cryptsetup is already the newest version.
  1267. 2017-01-05 22:12:15.047 | ebtables is already the newest version.
  1268. 2017-01-05 22:12:15.047 | g++ is already the newest version.
  1269. 2017-01-05 22:12:15.047 | gawk is already the newest version.
  1270. 2017-01-05 22:12:15.047 | gcc is already the newest version.
  1271. 2017-01-05 22:12:15.047 | genisoimage is already the newest version.
  1272. 2017-01-05 22:12:15.047 | iptables is already the newest version.
  1273. 2017-01-05 22:12:15.047 | keepalived is already the newest version.
  1274. 2017-01-05 22:12:15.047 | libjs-jquery-tablesorter is already the newest version.
  1275. 2017-01-05 22:12:15.047 | libsasl2-dev is already the newest version.
  1276. 2017-01-05 22:12:15.047 | libxslt1-dev is already the newest version.
  1277. 2017-01-05 22:12:15.048 | lsof is already the newest version.
  1278. 2017-01-05 22:12:15.048 | open-iscsi is already the newest version.
  1279. 2017-01-05 22:12:15.048 | pkg-config is already the newest version.
  1280. 2017-01-05 22:12:15.048 | psmisc is already the newest version.
  1281. 2017-01-05 22:12:15.048 | python-dev is already the newest version.
  1282. 2017-01-05 22:12:15.048 | python-gdbm is already the newest version.
  1283. 2017-01-05 22:12:15.048 | python-mysqldb is already the newest version.
  1284. 2017-01-05 22:12:15.048 | screen is already the newest version.
  1285. 2017-01-05 22:12:15.048 | sg3-utils is already the newest version.
  1286. 2017-01-05 22:12:15.048 | zlib1g-dev is already the newest version.
  1287. 2017-01-05 22:12:15.048 | conntrack is already the newest version.
  1288. 2017-01-05 22:12:15.048 | conntrackd is already the newest version.
  1289. 2017-01-05 22:12:15.048 | dstat is already the newest version.
  1290. 2017-01-05 22:12:15.048 | fping is already the newest version.
  1291. 2017-01-05 22:12:15.048 | ipset is already the newest version.
  1292. 2017-01-05 22:12:15.048 | python-mysql.connector is already the newest version.
  1293. 2017-01-05 22:12:15.048 | socat is already the newest version.
  1294. 2017-01-05 22:12:15.048 | sysfsutils is already the newest version.
  1295. 2017-01-05 22:12:15.048 | curl is already the newest version.
  1296. 2017-01-05 22:12:15.048 | dnsmasq-base is already the newest version.
  1297. 2017-01-05 22:12:15.048 | dnsmasq-utils is already the newest version.
  1298. 2017-01-05 22:12:15.048 | git is already the newest version.
  1299. 2017-01-05 22:12:15.048 | graphviz is already the newest version.
  1300. 2017-01-05 22:12:15.048 | libkrb5-dev is already the newest version.
  1301. 2017-01-05 22:12:15.048 | libmysqlclient-dev is already the newest version.
  1302. 2017-01-05 22:12:15.048 | libnspr4-dev is already the newest version.
  1303. 2017-01-05 22:12:15.048 | libssl-dev is already the newest version.
  1304. 2017-01-05 22:12:15.048 | libxml2-dev is already the newest version.
  1305. 2017-01-05 22:12:15.048 | libyaml-dev is already the newest version.
  1306. 2017-01-05 22:12:15.048 | memcached is already the newest version.
  1307. 2017-01-05 22:12:15.048 | openssh-server is already the newest version.
  1308. 2017-01-05 22:12:15.048 | openssl is already the newest version.
  1309. 2017-01-05 22:12:15.048 | python2.7 is already the newest version.
  1310. 2017-01-05 22:12:15.048 | qemu-utils is already the newest version.
  1311. 2017-01-05 22:12:15.048 | sqlite3 is already the newest version.
  1312. 2017-01-05 22:12:15.048 | tar is already the newest version.
  1313. 2017-01-05 22:12:15.048 | tcpdump is already the newest version.
  1314. 2017-01-05 22:12:15.048 | unzip is already the newest version.
  1315. 2017-01-05 22:12:15.048 | wget is already the newest version.
  1316. 2017-01-05 22:12:15.048 | gettext is already the newest version.
  1317. 2017-01-05 22:12:15.048 | iputils-arping is already the newest version.
  1318. 2017-01-05 22:12:15.048 | iputils-ping is already the newest version.
  1319. 2017-01-05 22:12:15.048 | kpartx is already the newest version.
  1320. 2017-01-05 22:12:15.048 | libffi-dev is already the newest version.
  1321. 2017-01-05 22:12:15.048 | libldap2-dev is already the newest version.
  1322. 2017-01-05 22:12:15.048 | libpcre3-dev is already the newest version.
  1323. 2017-01-05 22:12:15.048 | libpq-dev is already the newest version.
  1324. 2017-01-05 22:12:15.048 | parted is already the newest version.
  1325. 2017-01-05 22:12:15.048 | pm-utils is already the newest version.
  1326. 2017-01-05 22:12:15.048 | sudo is already the newest version.
  1327. 2017-01-05 22:12:15.049 | uuid-runtime is already the newest version.
  1328. 2017-01-05 22:12:15.049 | vlan is already the newest version.
  1329. 2017-01-05 22:12:15.049 | postgresql-server-dev-all is already the newest version.
  1330. 2017-01-05 22:12:15.049 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  1331. 2017-01-05 22:12:15.050 | ++ [[ -n False ]]
  1332. 2017-01-05 22:12:15.050 | ++ [[ False != \F\a\l\s\e ]]
  1333. 2017-01-05 22:12:15.050 | ++ date +%s
  1334. 2017-01-05 22:12:15.052 | ++ date
  1335. 2017-01-05 22:12:15.053 | + [[ False != \T\r\u\e ]]
  1336. 2017-01-05 22:12:15.053 | + PYPI_ALTERNATIVE_URL=
  1337. 2017-01-05 22:12:15.053 | + /opt/stack/new/devstack/tools/install_pip.sh
  1338. 2017-01-05 22:12:15.056 | +++ dirname /opt/stack/new/devstack/tools/install_pip.sh
  1339. 2017-01-05 22:12:15.057 | ++ cd /opt/stack/new/devstack/tools
  1340. 2017-01-05 22:12:15.057 | ++ pwd
  1341. 2017-01-05 22:12:15.057 | + TOOLS_DIR=/opt/stack/new/devstack/tools
  1342. 2017-01-05 22:12:15.057 | ++ cd /opt/stack/new/devstack/tools/..
  1343. 2017-01-05 22:12:15.057 | ++ pwd
  1344. 2017-01-05 22:12:15.058 | + TOP_DIR=/opt/stack/new/devstack
  1345. 2017-01-05 22:12:15.058 | + cd /opt/stack/new/devstack
  1346. 2017-01-05 22:12:15.058 | + source /opt/stack/new/devstack/stackrc
  1347. 2017-01-05 22:12:15.058 | ++ [[ -z '' ]]
  1348. 2017-01-05 22:12:15.058 | ++ declare -r _DEVSTACK_STACKRC=1
  1349. 2017-01-05 22:12:15.058 | ++ unset LANG
  1350. 2017-01-05 22:12:15.058 | ++ unset LANGUAGE
  1351. 2017-01-05 22:12:15.058 | ++ LC_ALL=C
  1352. 2017-01-05 22:12:15.058 | ++ export LC_ALL
  1353. 2017-01-05 22:12:15.059 | ++++ dirname /opt/stack/new/devstack/stackrc
  1354. 2017-01-05 22:12:15.059 | +++ cd /opt/stack/new/devstack
  1355. 2017-01-05 22:12:15.060 | +++ pwd
  1356. 2017-01-05 22:12:15.060 | ++ RC_DIR=/opt/stack/new/devstack
  1357. 2017-01-05 22:12:15.060 | ++ source /opt/stack/new/devstack/functions
  1358. 2017-01-05 22:12:15.060 | +++ [[ -z '' ]]
  1359. 2017-01-05 22:12:15.060 | +++ declare -r _DEVSTACK_FUNCTIONS=1
  1360. 2017-01-05 22:12:15.060 | +++++ dirname /opt/stack/new/devstack/functions
  1361. 2017-01-05 22:12:15.061 | ++++ cd /opt/stack/new/devstack
  1362. 2017-01-05 22:12:15.061 | ++++ pwd
  1363. 2017-01-05 22:12:15.062 | +++ FUNC_DIR=/opt/stack/new/devstack
  1364. 2017-01-05 22:12:15.062 | +++ source /opt/stack/new/devstack/functions-common
  1365. 2017-01-05 22:12:15.070 | +++ source /opt/stack/new/devstack/inc/ini-config
  1366. 2017-01-05 22:12:15.073 | +++ source /opt/stack/new/devstack/inc/python
  1367. 2017-01-05 22:12:15.075 | +++ source /opt/stack/new/devstack/inc/rootwrap
  1368. 2017-01-05 22:12:15.081 | ++ DEST=/opt/stack
  1369. 2017-01-05 22:12:15.081 | ++ DATA_DIR=/opt/stack/data
  1370. 2017-01-05 22:12:15.081 | ++ SERVICE_DIR=/opt/stack/status
  1371. 2017-01-05 22:12:15.081 | ++ SUBUNIT_OUTPUT=/opt/stack/devstack.subunit
  1372. 2017-01-05 22:12:15.081 | ++ [[ 3002 -eq 0 ]]
  1373. 2017-01-05 22:12:15.081 | +++ whoami
  1374. 2017-01-05 22:12:15.083 | ++ STACK_USER=stack
  1375. 2017-01-05 22:12:15.083 | ++ REGION_NAME=RegionOne
  1376. 2017-01-05 22:12:15.083 | ++ isset ENABLED_SERVICES
  1377. 2017-01-05 22:12:15.083 | ++ [[ -v ENABLED_SERVICES ]]
  1378. 2017-01-05 22:12:15.083 | ++ ENABLED_SERVICES=key
  1379. 2017-01-05 22:12:15.083 | ++ ENABLED_SERVICES+=,n-api,n-cpu,n-net,n-cond,n-sch,n-novnc,n-crt,n-cauth
  1380. 2017-01-05 22:12:15.083 | ++ ENABLED_SERVICES+=,g-api,g-reg
  1381. 2017-01-05 22:12:15.083 | ++ ENABLED_SERVICES+=,c-sch,c-api,c-vol
  1382. 2017-01-05 22:12:15.083 | ++ ENABLED_SERVICES+=,horizon
  1383. 2017-01-05 22:12:15.083 | ++ ENABLED_SERVICES+=,rabbit,tempest,mysql,dstat
  1384. 2017-01-05 22:12:15.083 | ++ ENABLE_HTTPD_MOD_WSGI_SERVICES=True
  1385. 2017-01-05 22:12:15.083 | ++ NOVA_ENABLED_APIS=ec2,osapi_compute,metadata
  1386. 2017-01-05 22:12:15.083 | ++ HORIZON_APACHE_ROOT=/dashboard
  1387. 2017-01-05 22:12:15.083 | ++ USE_SCREEN=True
  1388. 2017-01-05 22:12:15.083 | ++ [[ -f /opt/stack/new/devstack/localrc ]]
  1389. 2017-01-05 22:12:15.083 | ++ source /opt/stack/new/devstack/localrc
  1390. 2017-01-05 22:12:15.083 | +++ Q_USE_DEBUG_COMMAND=True
  1391. 2017-01-05 22:12:15.083 | +++ NETWORK_GATEWAY=10.1.0.1
  1392. 2017-01-05 22:12:15.083 | +++ USE_SCREEN=False
  1393. 2017-01-05 22:12:15.083 | +++ DEST=/opt/stack/new
  1394. 2017-01-05 22:12:15.083 | +++ DATA_DIR=/opt/stack/data
  1395. 2017-01-05 22:12:15.083 | +++ ACTIVE_TIMEOUT=90
  1396. 2017-01-05 22:12:15.083 | +++ BOOT_TIMEOUT=90
  1397. 2017-01-05 22:12:15.083 | +++ ASSOCIATE_TIMEOUT=60
  1398. 2017-01-05 22:12:15.083 | +++ TERMINATE_TIMEOUT=60
  1399. 2017-01-05 22:12:15.083 | +++ MYSQL_PASSWORD=secretmysql
  1400. 2017-01-05 22:12:15.083 | +++ DATABASE_PASSWORD=secretdatabase
  1401. 2017-01-05 22:12:15.083 | +++ RABBIT_PASSWORD=secretrabbit
  1402. 2017-01-05 22:12:15.083 | +++ ADMIN_PASSWORD=secretadmin
  1403. 2017-01-05 22:12:15.083 | +++ SERVICE_PASSWORD=secretservice
  1404. 2017-01-05 22:12:15.083 | +++ SERVICE_TOKEN=111222333444
  1405. 2017-01-05 22:12:15.083 | +++ SWIFT_HASH=1234123412341234
  1406. 2017-01-05 22:12:15.083 | +++ ROOTSLEEP=0
  1407. 2017-01-05 22:12:15.083 | +++ ERROR_ON_CLONE=True
  1408. 2017-01-05 22:12:15.083 | +++ NOVNC_FROM_PACKAGE=True
  1409. 2017-01-05 22:12:15.083 | +++ ENABLED_SERVICES=c-api,c-bak,c-sch,c-vol,ceilometer-acentral,ceilometer-acompute,ceilometer-alarm-evaluator,ceilometer-alarm-notifier,ceilometer-anotification,ceilometer-api,ceilometer-collector,cinder,dstat,g-api,g-reg,horizon,key,mysql,n-api,n-cauth,n-cond,n-cpu,n-crt,n-novnc,n-obj,n-sch,q-agt,q-dhcp,q-l3,q-lbaas,q-meta,q-metering,q-svc,quantum,rabbit,s-account,s-container,s-object,s-proxy,tempest,-c-api,-c-bak,-c-sch,-c-vol,-cinder,-s-account,-s-container,-s-object,-s-proxy,q-lbaasv2,-q-lbaas
  1410. 2017-01-05 22:12:15.083 | +++ SKIP_EXERCISES=boot_from_volume,bundle,client-env,euca
  1411. 2017-01-05 22:12:15.083 | +++ SYSLOG=False
  1412. 2017-01-05 22:12:15.083 | +++ SCREEN_LOGDIR=/opt/stack/new/screen-logs
  1413. 2017-01-05 22:12:15.083 | +++ LOGFILE=/opt/stack/new/devstacklog.txt
  1414. 2017-01-05 22:12:15.083 | +++ VERBOSE=True
  1415. 2017-01-05 22:12:15.083 | +++ FIXED_RANGE=10.1.0.0/20
  1416. 2017-01-05 22:12:15.083 | +++ IPV4_ADDRS_SAFE_TO_USE=10.1.0.0/20
  1417. 2017-01-05 22:12:15.083 | +++ FLOATING_RANGE=172.24.5.0/24
  1418. 2017-01-05 22:12:15.083 | +++ PUBLIC_NETWORK_GATEWAY=172.24.5.1
  1419. 2017-01-05 22:12:15.083 | +++ FIXED_NETWORK_SIZE=4096
  1420. 2017-01-05 22:12:15.083 | +++ VIRT_DRIVER=libvirt
  1421. 2017-01-05 22:12:15.083 | +++ SWIFT_REPLICAS=1
  1422. 2017-01-05 22:12:15.083 | +++ LOG_COLOR=False
  1423. 2017-01-05 22:12:15.083 | +++ UNDO_REQUIREMENTS=False
  1424. 2017-01-05 22:12:15.083 | +++ CINDER_PERIODIC_INTERVAL=10
  1425. 2017-01-05 22:12:15.083 | +++ export OS_NO_CACHE=True
  1426. 2017-01-05 22:12:15.083 | +++ OS_NO_CACHE=True
  1427. 2017-01-05 22:12:15.083 | +++ CEILOMETER_BACKEND=mysql
  1428. 2017-01-05 22:12:15.083 | +++ LIBS_FROM_GIT=
  1429. 2017-01-05 22:12:15.083 | +++ DATABASE_QUERY_LOGGING=True
  1430. 2017-01-05 22:12:15.083 | +++ EBTABLES_RACE_FIX=True
  1431. 2017-01-05 22:12:15.083 | +++ CINDER_SECURE_DELETE=False
  1432. 2017-01-05 22:12:15.084 | +++ CINDER_VOLUME_CLEAR=
  1433. 2017-01-05 22:12:15.084 | +++ LIBVIRT_TYPE=qemu
  1434. 2017-01-05 22:12:15.084 | +++ VOLUME_BACKING_FILE_SIZE=24G
  1435. 2017-01-05 22:12:15.084 | +++ TEMPEST_HTTP_IMAGE=http://git.openstack.org/static/openstack.png
  1436. 2017-01-05 22:12:15.084 | +++ FORCE_CONFIG_DRIVE=True
  1437. 2017-01-05 22:12:15.084 | +++ INSTALL_TESTONLY_PACKAGES=True
  1438. 2017-01-05 22:12:15.084 | +++ enable_plugin neutron-lbaas https://git.openstack.org/openstack/neutron-lbaas
  1439. 2017-01-05 22:12:15.084 | +++ local name=neutron-lbaas
  1440. 2017-01-05 22:12:15.084 | +++ local url=https://git.openstack.org/openstack/neutron-lbaas
  1441. 2017-01-05 22:12:15.084 | +++ local branch=master
  1442. 2017-01-05 22:12:15.084 | +++ DEVSTACK_PLUGINS+=,neutron-lbaas
  1443. 2017-01-05 22:12:15.084 | +++ GITREPO[$name]=https://git.openstack.org/openstack/neutron-lbaas
  1444. 2017-01-05 22:12:15.084 | +++ GITDIR[$name]=/opt/stack/new/neutron-lbaas
  1445. 2017-01-05 22:12:15.084 | +++ GITBRANCH[$name]=master
  1446. 2017-01-05 22:12:15.084 | ++ IDENTITY_API_VERSION=2.0
  1447. 2017-01-05 22:12:15.084 | +++ trueorfalse True ENABLE_IDENTITY_V2
  1448. 2017-01-05 22:12:15.085 | ++ ENABLE_IDENTITY_V2=True
  1449. 2017-01-05 22:12:15.085 | ++ '[' True == False ']'
  1450. 2017-01-05 22:12:15.086 | +++ trueorfalse False USE_VENV
  1451. 2017-01-05 22:12:15.088 | ++ USE_VENV=False
  1452. 2017-01-05 22:12:15.088 | ++ ADDITIONAL_VENV_PACKAGES=
  1453. 2017-01-05 22:12:15.088 | +++ trueorfalse False DATABASE_QUERY_LOGGING
  1454. 2017-01-05 22:12:15.090 | ++ DATABASE_QUERY_LOGGING=True
  1455. 2017-01-05 22:12:15.090 | ++ GIT_TIMEOUT=0
  1456. 2017-01-05 22:12:15.090 | ++ GIT_BASE=git://git.openstack.org
  1457. 2017-01-05 22:12:15.090 | ++ REQUIREMENTS_DIR=/opt/stack/new/requirements
  1458. 2017-01-05 22:12:15.090 | ++ CINDER_REPO=git://git.openstack.org/openstack/cinder.git
  1459. 2017-01-05 22:12:15.090 | ++ CINDER_BRANCH=stable/liberty
  1460. 2017-01-05 22:12:15.090 | ++ GLANCE_REPO=git://git.openstack.org/openstack/glance.git
  1461. 2017-01-05 22:12:15.090 | ++ GLANCE_BRANCH=stable/liberty
  1462. 2017-01-05 22:12:15.090 | ++ HEAT_REPO=git://git.openstack.org/openstack/heat.git
  1463. 2017-01-05 22:12:15.090 | ++ HEAT_BRANCH=stable/liberty
  1464. 2017-01-05 22:12:15.090 | ++ HORIZON_REPO=git://git.openstack.org/openstack/horizon.git
  1465. 2017-01-05 22:12:15.090 | ++ HORIZON_BRANCH=stable/liberty
  1466. 2017-01-05 22:12:15.090 | ++ IRONIC_REPO=git://git.openstack.org/openstack/ironic.git
  1467. 2017-01-05 22:12:15.090 | ++ IRONIC_BRANCH=stable/liberty
  1468. 2017-01-05 22:12:15.090 | ++ KEYSTONE_REPO=git://git.openstack.org/openstack/keystone.git
  1469. 2017-01-05 22:12:15.090 | ++ KEYSTONE_BRANCH=stable/liberty
  1470. 2017-01-05 22:12:15.090 | ++ NEUTRON_REPO=git://git.openstack.org/openstack/neutron.git
  1471. 2017-01-05 22:12:15.090 | ++ NEUTRON_BRANCH=stable/liberty
  1472. 2017-01-05 22:12:15.090 | ++ NEUTRON_FWAAS_REPO=git://git.openstack.org/openstack/neutron-fwaas.git
  1473. 2017-01-05 22:12:15.090 | ++ NEUTRON_FWAAS_BRANCH=stable/liberty
  1474. 2017-01-05 22:12:15.090 | ++ NEUTRON_LBAAS_REPO=git://git.openstack.org/openstack/neutron-lbaas.git
  1475. 2017-01-05 22:12:15.090 | ++ NEUTRON_LBAAS_BRANCH=stable/liberty
  1476. 2017-01-05 22:12:15.090 | ++ NEUTRON_VPNAAS_REPO=git://git.openstack.org/openstack/neutron-vpnaas.git
  1477. 2017-01-05 22:12:15.090 | ++ NEUTRON_VPNAAS_BRANCH=stable/liberty
  1478. 2017-01-05 22:12:15.090 | ++ NOVA_REPO=git://git.openstack.org/openstack/nova.git
  1479. 2017-01-05 22:12:15.090 | ++ NOVA_BRANCH=stable/liberty
  1480. 2017-01-05 22:12:15.090 | ++ SWIFT_REPO=git://git.openstack.org/openstack/swift.git
  1481. 2017-01-05 22:12:15.090 | ++ SWIFT_BRANCH=stable/liberty
  1482. 2017-01-05 22:12:15.090 | ++ REQUIREMENTS_REPO=git://git.openstack.org/openstack/requirements.git
  1483. 2017-01-05 22:12:15.090 | ++ REQUIREMENTS_BRANCH=stable/liberty
  1484. 2017-01-05 22:12:15.090 | ++ TEMPEST_REPO=git://git.openstack.org/openstack/tempest.git
  1485. 2017-01-05 22:12:15.090 | ++ TEMPEST_BRANCH=master
  1486. 2017-01-05 22:12:15.090 | ++ GITREPO["tempest-lib"]=git://git.openstack.org/openstack/tempest-lib.git
  1487. 2017-01-05 22:12:15.090 | ++ GITBRANCH["tempest-lib"]=master
  1488. 2017-01-05 22:12:15.090 | ++ GITREPO["python-cinderclient"]=git://git.openstack.org/openstack/python-cinderclient.git
  1489. 2017-01-05 22:12:15.090 | ++ GITBRANCH["python-cinderclient"]=master
  1490. 2017-01-05 22:12:15.090 | ++ GITREPO["python-glanceclient"]=git://git.openstack.org/openstack/python-glanceclient.git
  1491. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-glanceclient"]=master
  1492. 2017-01-05 22:12:15.091 | ++ GITREPO["python-heatclient"]=git://git.openstack.org/openstack/python-heatclient.git
  1493. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-heatclient"]=master
  1494. 2017-01-05 22:12:15.091 | ++ GITREPO["python-ironicclient"]=git://git.openstack.org/openstack/python-ironicclient.git
  1495. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-ironicclient"]=master
  1496. 2017-01-05 22:12:15.091 | ++ GITREPO["keystoneauth"]=git://git.openstack.org/openstack/keystoneauth.git
  1497. 2017-01-05 22:12:15.091 | ++ GITBRANCH["keystoneauth"]=master
  1498. 2017-01-05 22:12:15.091 | ++ GITREPO["python-keystoneclient"]=git://git.openstack.org/openstack/python-keystoneclient.git
  1499. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-keystoneclient"]=master
  1500. 2017-01-05 22:12:15.091 | ++ GITREPO["python-neutronclient"]=git://git.openstack.org/openstack/python-neutronclient.git
  1501. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-neutronclient"]=master
  1502. 2017-01-05 22:12:15.091 | ++ GITREPO["python-novaclient"]=git://git.openstack.org/openstack/python-novaclient.git
  1503. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-novaclient"]=master
  1504. 2017-01-05 22:12:15.091 | ++ GITREPO["python-swiftclient"]=git://git.openstack.org/openstack/python-swiftclient.git
  1505. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-swiftclient"]=master
  1506. 2017-01-05 22:12:15.091 | ++ GITREPO["python-openstackclient"]=git://git.openstack.org/openstack/python-openstackclient.git
  1507. 2017-01-05 22:12:15.091 | ++ GITBRANCH["python-openstackclient"]=master
  1508. 2017-01-05 22:12:15.091 | ++ GITDIR["python-openstackclient"]=/opt/stack/new/python-openstackclient
  1509. 2017-01-05 22:12:15.091 | ++ GITREPO["cliff"]=git://git.openstack.org/openstack/cliff.git
  1510. 2017-01-05 22:12:15.091 | ++ GITBRANCH["cliff"]=master
  1511. 2017-01-05 22:12:15.091 | ++ GITREPO["futurist"]=git://git.openstack.org/openstack/futurist.git
  1512. 2017-01-05 22:12:15.091 | ++ GITBRANCH["futurist"]=master
  1513. 2017-01-05 22:12:15.091 | ++ GITREPO["debtcollector"]=git://git.openstack.org/openstack/debtcollector.git
  1514. 2017-01-05 22:12:15.091 | ++ GITBRANCH["debtcollector"]=master
  1515. 2017-01-05 22:12:15.091 | ++ GITREPO["automaton"]=git://git.openstack.org/openstack/automaton.git
  1516. 2017-01-05 22:12:15.091 | ++ GITBRANCH["automaton"]=master
  1517. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.cache"]=git://git.openstack.org/openstack/oslo.cache.git
  1518. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.cache"]=master
  1519. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.concurrency"]=git://git.openstack.org/openstack/oslo.concurrency.git
  1520. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.concurrency"]=master
  1521. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.config"]=git://git.openstack.org/openstack/oslo.config.git
  1522. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.config"]=master
  1523. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.context"]=git://git.openstack.org/openstack/oslo.context.git
  1524. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.context"]=master
  1525. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.db"]=git://git.openstack.org/openstack/oslo.db.git
  1526. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.db"]=master
  1527. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.i18n"]=git://git.openstack.org/openstack/oslo.i18n.git
  1528. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.i18n"]=master
  1529. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.log"]=git://git.openstack.org/openstack/oslo.log.git
  1530. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.log"]=master
  1531. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.messaging"]=git://git.openstack.org/openstack/oslo.messaging.git
  1532. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.messaging"]=master
  1533. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.middleware"]=git://git.openstack.org/openstack/oslo.middleware.git
  1534. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.middleware"]=master
  1535. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.policy"]=git://git.openstack.org/openstack/oslo.policy.git
  1536. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.policy"]=master
  1537. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.reports"]=git://git.openstack.org/openstack/oslo.reports.git
  1538. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.reports"]=master
  1539. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.rootwrap"]=git://git.openstack.org/openstack/oslo.rootwrap.git
  1540. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.rootwrap"]=master
  1541. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.serialization"]=git://git.openstack.org/openstack/oslo.serialization.git
  1542. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.serialization"]=master
  1543. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.service"]=git://git.openstack.org/openstack/oslo.service.git
  1544. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.service"]=master
  1545. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.utils"]=git://git.openstack.org/openstack/oslo.utils.git
  1546. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.utils"]=master
  1547. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.versionedobjects"]=git://git.openstack.org/openstack/oslo.versionedobjects.git
  1548. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.versionedobjects"]=master
  1549. 2017-01-05 22:12:15.091 | ++ GITREPO["oslo.vmware"]=git://git.openstack.org/openstack/oslo.vmware.git
  1550. 2017-01-05 22:12:15.091 | ++ GITBRANCH["oslo.vmware"]=master
  1551. 2017-01-05 22:12:15.091 | ++ GITREPO["pycadf"]=git://git.openstack.org/openstack/pycadf.git
  1552. 2017-01-05 22:12:15.091 | ++ GITBRANCH["pycadf"]=master
  1553. 2017-01-05 22:12:15.091 | ++ GITREPO["stevedore"]=git://git.openstack.org/openstack/stevedore.git
  1554. 2017-01-05 22:12:15.091 | ++ GITBRANCH["stevedore"]=master
  1555. 2017-01-05 22:12:15.091 | ++ GITREPO["taskflow"]=git://git.openstack.org/openstack/taskflow.git
  1556. 2017-01-05 22:12:15.091 | ++ GITBRANCH["taskflow"]=master
  1557. 2017-01-05 22:12:15.091 | ++ GITREPO["tooz"]=git://git.openstack.org/openstack/tooz.git
  1558. 2017-01-05 22:12:15.091 | ++ GITBRANCH["tooz"]=master
  1559. 2017-01-05 22:12:15.091 | ++ GITREPO["pbr"]=git://git.openstack.org/openstack-dev/pbr.git
  1560. 2017-01-05 22:12:15.091 | ++ GITBRANCH["pbr"]=master
  1561. 2017-01-05 22:12:15.092 | ++ GITREPO["glance_store"]=git://git.openstack.org/openstack/glance_store.git
  1562. 2017-01-05 22:12:15.092 | ++ GITBRANCH["glance_store"]=master
  1563. 2017-01-05 22:12:15.092 | ++ HEAT_CFNTOOLS_REPO=git://git.openstack.org/openstack/heat-cfntools.git
  1564. 2017-01-05 22:12:15.092 | ++ HEAT_CFNTOOLS_BRANCH=master
  1565. 2017-01-05 22:12:15.092 | ++ HEAT_TEMPLATES_REPO=git://git.openstack.org/openstack/heat-templates.git
  1566. 2017-01-05 22:12:15.092 | ++ HEAT_TEMPLATES_BRANCH=master
  1567. 2017-01-05 22:12:15.092 | ++ GITREPO["django_openstack_auth"]=git://git.openstack.org/openstack/django_openstack_auth.git
  1568. 2017-01-05 22:12:15.092 | ++ GITBRANCH["django_openstack_auth"]=master
  1569. 2017-01-05 22:12:15.092 | ++ GITREPO["keystonemiddleware"]=git://git.openstack.org/openstack/keystonemiddleware.git
  1570. 2017-01-05 22:12:15.092 | ++ GITBRANCH["keystonemiddleware"]=master
  1571. 2017-01-05 22:12:15.092 | ++ SWIFT3_REPO=git://git.openstack.org/openstack/swift3.git
  1572. 2017-01-05 22:12:15.092 | ++ SWIFT3_BRANCH=master
  1573. 2017-01-05 22:12:15.092 | ++ GITREPO["ceilometermiddleware"]=git://git.openstack.org/openstack/ceilometermiddleware.git
  1574. 2017-01-05 22:12:15.092 | ++ GITBRANCH["ceilometermiddleware"]=master
  1575. 2017-01-05 22:12:15.092 | ++ GITDIR["ceilometermiddleware"]=/opt/stack/new/ceilometermiddleware
  1576. 2017-01-05 22:12:15.092 | ++ GITREPO["os-brick"]=git://git.openstack.org/openstack/os-brick.git
  1577. 2017-01-05 22:12:15.092 | ++ GITBRANCH["os-brick"]=master
  1578. 2017-01-05 22:12:15.092 | ++ GITREPO["ironic-lib"]=git://git.openstack.org/openstack/ironic-lib.git
  1579. 2017-01-05 22:12:15.092 | ++ GITBRANCH["ironic-lib"]=master
  1580. 2017-01-05 22:12:15.092 | ++ DIB_UTILS_REPO=git://git.openstack.org/openstack/dib-utils.git
  1581. 2017-01-05 22:12:15.092 | ++ DIB_UTILS_BRANCH=master
  1582. 2017-01-05 22:12:15.092 | ++ OAC_REPO=git://git.openstack.org/openstack/os-apply-config.git
  1583. 2017-01-05 22:12:15.092 | ++ OAC_BRANCH=master
  1584. 2017-01-05 22:12:15.092 | ++ OCC_REPO=git://git.openstack.org/openstack/os-collect-config.git
  1585. 2017-01-05 22:12:15.092 | ++ OCC_BRANCH=master
  1586. 2017-01-05 22:12:15.092 | ++ ORC_REPO=git://git.openstack.org/openstack/os-refresh-config.git
  1587. 2017-01-05 22:12:15.092 | ++ ORC_BRANCH=master
  1588. 2017-01-05 22:12:15.092 | ++ IRONIC_PYTHON_AGENT_REPO=git://git.openstack.org/openstack/ironic-python-agent.git
  1589. 2017-01-05 22:12:15.092 | ++ IRONIC_PYTHON_AGENT_BRANCH=master
  1590. 2017-01-05 22:12:15.092 | ++ NOVNC_REPO=https://github.com/kanaka/noVNC.git
  1591. 2017-01-05 22:12:15.092 | ++ NOVNC_BRANCH=master
  1592. 2017-01-05 22:12:15.092 | ++ SPICE_REPO=http://anongit.freedesktop.org/git/spice/spice-html5.git
  1593. 2017-01-05 22:12:15.092 | ++ SPICE_BRANCH=master
  1594. 2017-01-05 22:12:15.092 | ++ DEFAULT_VIRT_DRIVER=libvirt
  1595. 2017-01-05 22:12:15.092 | ++ is_package_installed xenserver-core
  1596. 2017-01-05 22:12:15.092 | ++ [[ -z xenserver-core ]]
  1597. 2017-01-05 22:12:15.092 | ++ [[ -z '' ]]
  1598. 2017-01-05 22:12:15.092 | ++ GetOSVersion
  1599. 2017-01-05 22:12:15.092 | +++ which sw_vers
  1600. 2017-01-05 22:12:15.093 | ++ [[ -x '' ]]
  1601. 2017-01-05 22:12:15.094 | +++ which lsb_release
  1602. 2017-01-05 22:12:15.095 | ++ [[ -x /usr/bin/lsb_release ]]
  1603. 2017-01-05 22:12:15.095 | +++ lsb_release -i -s
  1604. 2017-01-05 22:12:15.140 | ++ os_VENDOR=Ubuntu
  1605. 2017-01-05 22:12:15.140 | +++ lsb_release -r -s
  1606. 2017-01-05 22:12:15.191 | ++ os_RELEASE=14.04
  1607. 2017-01-05 22:12:15.191 | ++ os_UPDATE=
  1608. 2017-01-05 22:12:15.191 | ++ os_PACKAGE=rpm
  1609. 2017-01-05 22:12:15.191 | ++ [[ Debian,Ubuntu,LinuxMint =~ Ubuntu ]]
  1610. 2017-01-05 22:12:15.191 | ++ os_PACKAGE=deb
  1611. 2017-01-05 22:12:15.192 | +++ lsb_release -c -s
  1612. 2017-01-05 22:12:15.240 | ++ os_CODENAME=trusty
  1613. 2017-01-05 22:12:15.240 | ++ export os_VENDOR os_RELEASE os_UPDATE os_PACKAGE os_CODENAME
  1614. 2017-01-05 22:12:15.240 | ++ [[ deb = \d\e\b ]]
  1615. 2017-01-05 22:12:15.240 | ++ dpkg -s xenserver-core
  1616. 2017-01-05 22:12:15.267 | ++ VIRT_DRIVER=libvirt
  1617. 2017-01-05 22:12:15.267 | ++ case "$VIRT_DRIVER" in
  1618. 2017-01-05 22:12:15.267 | ++ LIBVIRT_TYPE=qemu
  1619. 2017-01-05 22:12:15.267 | ++ [[ Ubuntu =~ (Debian) ]]
  1620. 2017-01-05 22:12:15.267 | ++ LIBVIRT_GROUP=libvirtd
  1621. 2017-01-05 22:12:15.267 | ++ CIRROS_VERSION=0.3.4
  1622. 2017-01-05 22:12:15.267 | ++ CIRROS_ARCH=x86_64
  1623. 2017-01-05 22:12:15.267 | +++ trueorfalse True DOWNLOAD_DEFAULT_IMAGES
  1624. 2017-01-05 22:12:15.272 | ++ DOWNLOAD_DEFAULT_IMAGES=True
  1625. 2017-01-05 22:12:15.272 | ++ [[ True == \T\r\u\e ]]
  1626. 2017-01-05 22:12:15.272 | ++ [[ -n '' ]]
  1627. 2017-01-05 22:12:15.272 | ++ case "$VIRT_DRIVER" in
  1628. 2017-01-05 22:12:15.272 | ++ case "$LIBVIRT_TYPE" in
  1629. 2017-01-05 22:12:15.272 | ++ DEFAULT_IMAGE_NAME=cirros-0.3.4-x86_64-uec
  1630. 2017-01-05 22:12:15.272 | ++ IMAGE_URLS+=http://download.cirros-cloud.net/0.3.4/cirros-0.3.4-x86_64-uec.tar.gz
  1631. 2017-01-05 22:12:15.272 | ++ DOWNLOAD_DEFAULT_IMAGES=False
  1632. 2017-01-05 22:12:15.272 | +++ trueorfalse False PRECACHE_IMAGES
  1633. 2017-01-05 22:12:15.275 | ++ PRECACHE_IMAGES=False
  1634. 2017-01-05 22:12:15.275 | ++ [[ False == \T\r\u\e ]]
  1635. 2017-01-05 22:12:15.275 | ++ for image_url in '${IMAGE_URLS//,/ }'
  1636. 2017-01-05 22:12:15.276 | +++ echo http://download.cirros-cloud.net/0.3.4/cirros-0.3.4-x86_64-uec.tar.gz
  1637. 2017-01-05 22:12:15.276 | +++ wc -l
  1638. 2017-01-05 22:12:15.276 | +++ grep -o -F http://download.cirros-cloud.net/0.3.4/cirros-0.3.4-x86_64-uec.tar.gz
  1639. 2017-01-05 22:12:15.278 | ++ '[' 1 -gt 1 ']'
  1640. 2017-01-05 22:12:15.278 | ++ VOLUME_BACKING_FILE_SIZE=24G
  1641. 2017-01-05 22:12:15.278 | ++ VOLUME_NAME_PREFIX=volume-
  1642. 2017-01-05 22:12:15.278 | ++ INSTANCE_NAME_PREFIX=instance-
  1643. 2017-01-05 22:12:15.278 | ++ S3_SERVICE_PORT=3333
  1644. 2017-01-05 22:12:15.278 | ++ PRIVATE_NETWORK_NAME=private
  1645. 2017-01-05 22:12:15.278 | ++ PUBLIC_NETWORK_NAME=public
  1646. 2017-01-05 22:12:15.278 | ++ USE_SCREEN=False
  1647. 2017-01-05 22:12:15.278 | ++ SCREEN_NAME=stack
  1648. 2017-01-05 22:12:15.278 | ++ SERVICE_PROTOCOL=http
  1649. 2017-01-05 22:12:15.278 | +++ nproc
  1650. 2017-01-05 22:12:15.280 | +++ nproc
  1651. 2017-01-05 22:12:15.281 | ++ API_WORKERS=2
  1652. 2017-01-05 22:12:15.281 | ++ SERVICE_TIMEOUT=60
  1653. 2017-01-05 22:12:15.281 | ++ YUM=yum
  1654. 2017-01-05 22:12:15.281 | +++ trueorfalse False OFFLINE
  1655. 2017-01-05 22:12:15.283 | ++ OFFLINE=False
  1656. 2017-01-05 22:12:15.283 | +++ trueorfalse False ERROR_ON_CLONE
  1657. 2017-01-05 22:12:15.287 | ++ ERROR_ON_CLONE=True
  1658. 2017-01-05 22:12:15.287 | +++ trueorfalse True ENABLE_DEBUG_LOG_LEVEL
  1659. 2017-01-05 22:12:15.289 | ++ ENABLE_DEBUG_LOG_LEVEL=True
  1660. 2017-01-05 22:12:15.290 | ++ FLOATING_RANGE=172.24.5.0/24
  1661. 2017-01-05 22:12:15.290 | ++ FIXED_RANGE=10.1.0.0/20
  1662. 2017-01-05 22:12:15.290 | ++ FIXED_NETWORK_SIZE=4096
  1663. 2017-01-05 22:12:15.290 | ++ HOST_IP_IFACE=
  1664. 2017-01-05 22:12:15.290 | ++ HOST_IP=
  1665. 2017-01-05 22:12:15.290 | ++ HOST_IPV6=
  1666. 2017-01-05 22:12:15.290 | +++ get_default_host_ip 10.1.0.0/20 172.24.5.0/24 '' '' inet
  1667. 2017-01-05 22:12:15.290 | +++ local fixed_range=10.1.0.0/20
  1668. 2017-01-05 22:12:15.290 | +++ local floating_range=172.24.5.0/24
  1669. 2017-01-05 22:12:15.290 | +++ local host_ip_iface=
  1670. 2017-01-05 22:12:15.290 | +++ local host_ip=
  1671. 2017-01-05 22:12:15.290 | +++ local af=inet
  1672. 2017-01-05 22:12:15.290 | +++ '[' -z '' -o '' == dhcp ']'
  1673. 2017-01-05 22:12:15.290 | +++ host_ip=
  1674. 2017-01-05 22:12:15.290 | ++++ ip -f inet route
  1675. 2017-01-05 22:12:15.291 | ++++ head -1
  1676. 2017-01-05 22:12:15.292 | ++++ awk '/default/ {print $5}'
  1677. 2017-01-05 22:12:15.294 | +++ host_ip_iface=eth0
  1678. 2017-01-05 22:12:15.295 | ++++ LC_ALL=C
  1679. 2017-01-05 22:12:15.295 | ++++ sed /temporary/d
  1680. 2017-01-05 22:12:15.295 | ++++ ip -f inet addr show eth0
  1681. 2017-01-05 22:12:15.295 | ++++ awk '/inet/ {split($2,parts,"/");  print parts[1]}'
  1682. 2017-01-05 22:12:15.297 | +++ local host_ips=10.90.55.191
  1683. 2017-01-05 22:12:15.298 | +++ local ip
  1684. 2017-01-05 22:12:15.298 | +++ for ip in '$host_ips'
  1685. 2017-01-05 22:12:15.298 | +++ [[ inet == \i\n\e\t\6 ]]
  1686. 2017-01-05 22:12:15.298 | +++ address_in_net 10.90.55.191 10.1.0.0/20
  1687. 2017-01-05 22:12:15.298 | +++ local ip=10.90.55.191
  1688. 2017-01-05 22:12:15.298 | +++ local range=10.1.0.0/20
  1689. 2017-01-05 22:12:15.298 | +++ local masklen=20
  1690. 2017-01-05 22:12:15.299 | +++++ cidr2netmask 20
  1691. 2017-01-05 22:12:15.299 | +++++ local 'maskpat=255 255 255 255'
  1692. 2017-01-05 22:12:15.299 | +++++ local 'maskdgt=254 252 248 240 224 192 128'
  1693. 2017-01-05 22:12:15.299 | +++++ set -- 255 255 240
  1694. 2017-01-05 22:12:15.299 | +++++ echo 255.255.240.0
  1695. 2017-01-05 22:12:15.299 | ++++ maskip 10.1.0.0 255.255.240.0
  1696. 2017-01-05 22:12:15.299 | ++++ local ip=10.1.0.0
  1697. 2017-01-05 22:12:15.299 | ++++ local mask=255.255.240.0
  1698. 2017-01-05 22:12:15.299 | ++++ local l=10.1.0
  1699. 2017-01-05 22:12:15.299 | ++++ local r=1.0.0
  1700. 2017-01-05 22:12:15.299 | ++++ local n=255.255.240
  1701. 2017-01-05 22:12:15.299 | ++++ local m=255.240.0
  1702. 2017-01-05 22:12:15.300 | ++++ local subnet=10.1.0.0
  1703. 2017-01-05 22:12:15.300 | ++++ echo 10.1.0.0
  1704. 2017-01-05 22:12:15.300 | +++ local network=10.1.0.0
  1705. 2017-01-05 22:12:15.300 | +++++ cidr2netmask 20
  1706. 2017-01-05 22:12:15.300 | +++++ local 'maskpat=255 255 255 255'
  1707. 2017-01-05 22:12:15.300 | +++++ local 'maskdgt=254 252 248 240 224 192 128'
  1708. 2017-01-05 22:12:15.301 | +++++ set -- 255 255 240
  1709. 2017-01-05 22:12:15.301 | +++++ echo 255.255.240.0
  1710. 2017-01-05 22:12:15.301 | ++++ maskip 10.90.55.191 255.255.240.0
  1711. 2017-01-05 22:12:15.301 | ++++ local ip=10.90.55.191
  1712. 2017-01-05 22:12:15.301 | ++++ local mask=255.255.240.0
  1713. 2017-01-05 22:12:15.301 | ++++ local l=10.90.55
  1714. 2017-01-05 22:12:15.301 | ++++ local r=90.55.191
  1715. 2017-01-05 22:12:15.301 | ++++ local n=255.255.240
  1716. 2017-01-05 22:12:15.301 | ++++ local m=255.240.0
  1717. 2017-01-05 22:12:15.301 | ++++ local subnet=10.90.48.0
  1718. 2017-01-05 22:12:15.301 | ++++ echo 10.90.48.0
  1719. 2017-01-05 22:12:15.302 | +++ local subnet=10.90.48.0
  1720. 2017-01-05 22:12:15.302 | +++ [[ 10.1.0.0 == 10.90.48.0 ]]
  1721. 2017-01-05 22:12:15.302 | +++ address_in_net 10.90.55.191 172.24.5.0/24
  1722. 2017-01-05 22:12:15.302 | +++ local ip=10.90.55.191
  1723. 2017-01-05 22:12:15.302 | +++ local range=172.24.5.0/24
  1724. 2017-01-05 22:12:15.302 | +++ local masklen=24
  1725. 2017-01-05 22:12:15.302 | +++++ cidr2netmask 24
  1726. 2017-01-05 22:12:15.302 | +++++ local 'maskpat=255 255 255 255'
  1727. 2017-01-05 22:12:15.302 | +++++ local 'maskdgt=254 252 248 240 224 192 128'
  1728. 2017-01-05 22:12:15.302 | +++++ set -- 255 255 255
  1729. 2017-01-05 22:12:15.302 | +++++ echo 255.255.255.0
  1730. 2017-01-05 22:12:15.303 | ++++ maskip 172.24.5.0 255.255.255.0
  1731. 2017-01-05 22:12:15.303 | ++++ local ip=172.24.5.0
  1732. 2017-01-05 22:12:15.303 | ++++ local mask=255.255.255.0
  1733. 2017-01-05 22:12:15.303 | ++++ local l=172.24.5
  1734. 2017-01-05 22:12:15.303 | ++++ local r=24.5.0
  1735. 2017-01-05 22:12:15.303 | ++++ local n=255.255.255
  1736. 2017-01-05 22:12:15.303 | ++++ local m=255.255.0
  1737. 2017-01-05 22:12:15.303 | ++++ local subnet=172.24.5.0
  1738. 2017-01-05 22:12:15.303 | ++++ echo 172.24.5.0
  1739. 2017-01-05 22:12:15.303 | +++ local network=172.24.5.0
  1740. 2017-01-05 22:12:15.304 | +++++ cidr2netmask 24
  1741. 2017-01-05 22:12:15.304 | +++++ local 'maskpat=255 255 255 255'
  1742. 2017-01-05 22:12:15.304 | +++++ local 'maskdgt=254 252 248 240 224 192 128'
  1743. 2017-01-05 22:12:15.304 | +++++ set -- 255 255 255
  1744. 2017-01-05 22:12:15.304 | +++++ echo 255.255.255.0
  1745. 2017-01-05 22:12:15.304 | ++++ maskip 10.90.55.191 255.255.255.0
  1746. 2017-01-05 22:12:15.305 | ++++ local ip=10.90.55.191
  1747. 2017-01-05 22:12:15.305 | ++++ local mask=255.255.255.0
  1748. 2017-01-05 22:12:15.305 | ++++ local l=10.90.55
  1749. 2017-01-05 22:12:15.305 | ++++ local r=90.55.191
  1750. 2017-01-05 22:12:15.305 | ++++ local n=255.255.255
  1751. 2017-01-05 22:12:15.305 | ++++ local m=255.255.0
  1752. 2017-01-05 22:12:15.305 | ++++ local subnet=10.90.55.0
  1753. 2017-01-05 22:12:15.305 | ++++ echo 10.90.55.0
  1754. 2017-01-05 22:12:15.305 | +++ local subnet=10.90.55.0
  1755. 2017-01-05 22:12:15.305 | +++ [[ 172.24.5.0 == 10.90.55.0 ]]
  1756. 2017-01-05 22:12:15.305 | +++ host_ip=10.90.55.191
  1757. 2017-01-05 22:12:15.305 | +++ break
  1758. 2017-01-05 22:12:15.305 | +++ echo 10.90.55.191
  1759. 2017-01-05 22:12:15.306 | ++ HOST_IP=10.90.55.191
  1760. 2017-01-05 22:12:15.306 | ++ '[' 10.90.55.191 == '' ']'
  1761. 2017-01-05 22:12:15.306 | +++ get_default_host_ip '' '' '' '' inet6
  1762. 2017-01-05 22:12:15.306 | +++ local fixed_range=
  1763. 2017-01-05 22:12:15.306 | +++ local floating_range=
  1764. 2017-01-05 22:12:15.306 | +++ local host_ip_iface=
  1765. 2017-01-05 22:12:15.306 | +++ local host_ip=
  1766. 2017-01-05 22:12:15.306 | +++ local af=inet6
  1767. 2017-01-05 22:12:15.306 | +++ '[' -z '' -o '' == dhcp ']'
  1768. 2017-01-05 22:12:15.306 | +++ host_ip=
  1769. 2017-01-05 22:12:15.307 | ++++ ip -f inet6 route
  1770. 2017-01-05 22:12:15.307 | ++++ head -1
  1771. 2017-01-05 22:12:15.308 | ++++ awk '/default/ {print $5}'
  1772. 2017-01-05 22:12:15.309 | +++ host_ip_iface=
  1773. 2017-01-05 22:12:15.310 | ++++ LC_ALL=C
  1774. 2017-01-05 22:12:15.310 | ++++ ip -f inet6 addr show
  1775. 2017-01-05 22:12:15.311 | ++++ awk '/inet6/ {split($2,parts,"/");  print parts[1]}'
  1776. 2017-01-05 22:12:15.311 | ++++ sed /temporary/d
  1777. 2017-01-05 22:12:15.313 | +++ local 'host_ips=::1
  1778. 2017-01-05 22:12:15.313 | fe80::f816:3eff:fe78:b2ba'
  1779. 2017-01-05 22:12:15.313 | +++ local ip
  1780. 2017-01-05 22:12:15.313 | +++ for ip in '$host_ips'
  1781. 2017-01-05 22:12:15.313 | +++ [[ inet6 == \i\n\e\t\6 ]]
  1782. 2017-01-05 22:12:15.313 | +++ host_ip=::1
  1783. 2017-01-05 22:12:15.313 | +++ break
  1784. 2017-01-05 22:12:15.313 | +++ echo ::1
  1785. 2017-01-05 22:12:15.314 | ++ HOST_IPV6=::1
  1786. 2017-01-05 22:12:15.314 | ++ SERVICE_IP_VERSION=4
  1787. 2017-01-05 22:12:15.314 | ++ [[ 4 != \4 ]]
  1788. 2017-01-05 22:12:15.314 | ++ [[ 4 == 4 ]]
  1789. 2017-01-05 22:12:15.314 | ++ DEF_SERVICE_HOST=10.90.55.191
  1790. 2017-01-05 22:12:15.314 | ++ DEF_SERVICE_LOCAL_HOST=127.0.0.1
  1791. 2017-01-05 22:12:15.314 | ++ DEF_SERVICE_LISTEN_ADDRESS=0.0.0.0
  1792. 2017-01-05 22:12:15.314 | ++ [[ 4 == 6 ]]
  1793. 2017-01-05 22:12:15.314 | ++ SERVICE_LISTEN_ADDRESS=0.0.0.0
  1794. 2017-01-05 22:12:15.314 | ++ SERVICE_HOST=10.90.55.191
  1795. 2017-01-05 22:12:15.314 | ++ SERVICE_LOCAL_HOST=127.0.0.1
  1796. 2017-01-05 22:12:15.314 | ++ REGION_NAME=RegionOne
  1797. 2017-01-05 22:12:15.314 | +++ trueorfalse False SYSLOG
  1798. 2017-01-05 22:12:15.316 | ++ SYSLOG=False
  1799. 2017-01-05 22:12:15.316 | ++ SYSLOG_HOST=10.90.55.191
  1800. 2017-01-05 22:12:15.316 | ++ SYSLOG_PORT=516
  1801. 2017-01-05 22:12:15.316 | +++ trueorfalse True LOG_COLOR
  1802. 2017-01-05 22:12:15.318 | ++ LOG_COLOR=False
  1803. 2017-01-05 22:12:15.318 | ++ GIT_DEPTH=0
  1804. 2017-01-05 22:12:15.319 | +++ trueorfalse False USE_SSL
  1805. 2017-01-05 22:12:15.321 | ++ USE_SSL=False
  1806. 2017-01-05 22:12:15.321 | +++ trueorfalse False EBTABLES_RACE_FIX
  1807. 2017-01-05 22:12:15.323 | ++ EBTABLES_RACE_FIX=True
  1808. 2017-01-05 22:12:15.323 | ++ [[ -z '' ]]
  1809. 2017-01-05 22:12:15.323 | ++ default_logdir=/opt/stack/new/logs
  1810. 2017-01-05 22:12:15.323 | ++ [[ -z /opt/stack/new/devstacklog.txt ]]
  1811. 2017-01-05 22:12:15.323 | ++ LOGDIR=/opt/stack/new
  1812. 2017-01-05 22:12:15.323 | ++ logfile=devstacklog.txt
  1813. 2017-01-05 22:12:15.323 | ++ [[ -z /opt/stack/new ]]
  1814. 2017-01-05 22:12:15.323 | ++ [[ /opt/stack/new == \d\e\v\s\t\a\c\k\l\o\g\.\t\x\t ]]
  1815. 2017-01-05 22:12:15.323 | ++ [[ /opt/stack/new/screen-logs == \/\o\p\t\/\s\t\a\c\k\/\n\e\w ]]
  1816. 2017-01-05 22:12:15.323 | ++ unset default_logdir logfile
  1817. 2017-01-05 22:12:15.323 | + FILES=/opt/stack/new/devstack/files
  1818. 2017-01-05 22:12:15.323 | + PIP_GET_PIP_URL=https://bootstrap.pypa.io/get-pip.py
  1819. 2017-01-05 22:12:15.323 | ++ basename https://bootstrap.pypa.io/get-pip.py
  1820. 2017-01-05 22:12:15.324 | + LOCAL_PIP=/opt/stack/new/devstack/files/get-pip.py
  1821. 2017-01-05 22:12:15.324 | + GetDistro
  1822. 2017-01-05 22:12:15.324 | + GetOSVersion
  1823. 2017-01-05 22:12:15.324 | ++ which sw_vers
  1824. 2017-01-05 22:12:15.326 | + [[ -x '' ]]
  1825. 2017-01-05 22:12:15.326 | ++ which lsb_release
  1826. 2017-01-05 22:12:15.327 | + [[ -x /usr/bin/lsb_release ]]
  1827. 2017-01-05 22:12:15.327 | ++ lsb_release -i -s
  1828. 2017-01-05 22:12:15.366 | + os_VENDOR=Ubuntu
  1829. 2017-01-05 22:12:15.366 | ++ lsb_release -r -s
  1830. 2017-01-05 22:12:15.403 | + os_RELEASE=14.04
  1831. 2017-01-05 22:12:15.403 | + os_UPDATE=
  1832. 2017-01-05 22:12:15.403 | + os_PACKAGE=rpm
  1833. 2017-01-05 22:12:15.403 | + [[ Debian,Ubuntu,LinuxMint =~ Ubuntu ]]
  1834. 2017-01-05 22:12:15.403 | + os_PACKAGE=deb
  1835. 2017-01-05 22:12:15.403 | ++ lsb_release -c -s
  1836. 2017-01-05 22:12:15.441 | + os_CODENAME=trusty
  1837. 2017-01-05 22:12:15.441 | + export os_VENDOR os_RELEASE os_UPDATE os_PACKAGE os_CODENAME
  1838. 2017-01-05 22:12:15.441 | + [[ Ubuntu =~ (Ubuntu) ]]
  1839. 2017-01-05 22:12:15.441 | + DISTRO=trusty
  1840. 2017-01-05 22:12:15.441 | + export DISTRO
  1841. 2017-01-05 22:12:15.441 | + echo 'Distro: trusty'
  1842. 2017-01-05 22:12:15.441 | Distro: trusty
  1843. 2017-01-05 22:12:15.441 | + get_versions
  1844. 2017-01-05 22:12:15.441 | ++ which pip
  1845. 2017-01-05 22:12:15.443 | + PIP=/usr/local/bin/pip
  1846. 2017-01-05 22:12:15.443 | + [[ -n /usr/local/bin/pip ]]
  1847. 2017-01-05 22:12:15.444 | ++ /usr/local/bin/pip --version
  1848. 2017-01-05 22:12:15.444 | ++ awk '{ print $2}'
  1849. 2017-01-05 22:12:15.696 | + PIP_VERSION=8.1.2
  1850. 2017-01-05 22:12:15.696 | + echo 'pip: 8.1.2'
  1851. 2017-01-05 22:12:15.696 | pip: 8.1.2
  1852. 2017-01-05 22:12:15.696 | + uninstall_package python-pip
  1853. 2017-01-05 22:12:15.696 | + is_ubuntu
  1854. 2017-01-05 22:12:15.696 | + [[ -z deb ]]
  1855. 2017-01-05 22:12:15.696 | + '[' deb = deb ']'
  1856. 2017-01-05 22:12:15.696 | + apt_get purge python-pip
  1857. 2017-01-05 22:12:15.700 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes purge python-pip
  1858. 2017-01-05 22:12:15.722 | Reading package lists...
  1859. 2017-01-05 22:12:15.921 | Building dependency tree...
  1860. 2017-01-05 22:12:15.923 | Reading state information...
  1861. 2017-01-05 22:12:16.050 | Package 'python-pip' is not installed, so not removed
  1862. 2017-01-05 22:12:16.050 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  1863. 2017-01-05 22:12:16.052 | + install_get_pip
  1864. 2017-01-05 22:12:16.052 | + [[ ! -r /opt/stack/new/devstack/files/get-pip.py ]]
  1865. 2017-01-05 22:12:16.052 | + [[ -r /opt/stack/new/devstack/files/get-pip.py.downloaded ]]
  1866. 2017-01-05 22:12:16.052 | + sudo -H -E python /opt/stack/new/devstack/files/get-pip.py -c /opt/stack/new/devstack/tools/cap-pip.txt
  1867. 2017-01-05 22:12:17.416 | Collecting pip<8 (from -c /opt/stack/new/devstack/tools/cap-pip.txt (line 1))
  1868. 2017-01-05 22:12:17.479 |   Downloading http://mirror.boi.a10networks.com:81/packages/b2/d0/cd115fe345dd6f07ec1c780020a7dfe74966fceeb171e0f20d1d4905b0b7/pip-7.1.2-py2.py3-none-any.whl (1.1MB)
  1869. 2017-01-05 22:12:17.561 | Installing collected packages: pip
  1870. 2017-01-05 22:12:17.561 |   Found existing installation: pip 8.1.2
  1871. 2017-01-05 22:12:17.599 |     Uninstalling pip-8.1.2:
  1872. 2017-01-05 22:12:17.645 |       Successfully uninstalled pip-8.1.2
  1873. 2017-01-05 22:12:18.218 | Successfully installed pip-7.1.2
  1874. 2017-01-05 22:12:18.441 | You are using pip version 7.1.2, however version 9.0.1 is available.
  1875. 2017-01-05 22:12:18.441 | You should consider upgrading via the 'pip install --upgrade pip' command.
  1876. 2017-01-05 22:12:18.463 | + [[ -n '' ]]
  1877. 2017-01-05 22:12:18.463 | + pip_install -U setuptools
  1878. 2017-01-05 22:12:18.642 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -U setuptools
  1879. 2017-01-05 22:12:19.149 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  1880. 2017-01-05 22:12:19.587 | Collecting setuptools
  1881. 2017-01-05 22:12:19.883 |   Downloading http://mirror.boi.a10networks.com:81/packages/69/19/b1dff551058ce79d88b1e3688f1c735590d7ddf44d10681512133b35019f/setuptools-32.3.1-py2.py3-none-any.whl (479kB)
  1882. 2017-01-05 22:12:19.914 | Installing collected packages: setuptools
  1883. 2017-01-05 22:12:19.915 |   Found existing installation: setuptools 26.1.1
  1884. 2017-01-05 22:12:19.921 |     Uninstalling setuptools-26.1.1:
  1885. 2017-01-05 22:12:19.931 |       Successfully uninstalled setuptools-26.1.1
  1886. 2017-01-05 22:12:20.092 | Successfully installed setuptools-32.3.1
  1887. 2017-01-05 22:12:20.297 | You are using pip version 7.1.2, however version 9.0.1 is available.
  1888. 2017-01-05 22:12:20.297 | You should consider upgrading via the 'pip install --upgrade pip' command.
  1889. 2017-01-05 22:12:20.315 | + local 'test_req=-U setuptools/test-requirements.txt'
  1890. 2017-01-05 22:12:20.315 | + [[ -e -U setuptools/test-requirements.txt ]]
  1891. 2017-01-05 22:12:20.315 | + get_versions
  1892. 2017-01-05 22:12:20.316 | ++ which pip
  1893. 2017-01-05 22:12:20.317 | + PIP=/usr/local/bin/pip
  1894. 2017-01-05 22:12:20.317 | + [[ -n /usr/local/bin/pip ]]
  1895. 2017-01-05 22:12:20.318 | ++ /usr/local/bin/pip --version
  1896. 2017-01-05 22:12:20.318 | ++ awk '{ print $2}'
  1897. 2017-01-05 22:12:20.493 | + PIP_VERSION=7.1.2
  1898. 2017-01-05 22:12:20.493 | + echo 'pip: 7.1.2'
  1899. 2017-01-05 22:12:20.493 | pip: 7.1.2
  1900. 2017-01-05 22:12:20.494 | + pip_install -U os-testr
  1901. 2017-01-05 22:12:20.674 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -U os-testr
  1902. 2017-01-05 22:12:21.195 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  1903. 2017-01-05 22:12:21.337 | Collecting os-testr===0.6.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 188))
  1904. 2017-01-05 22:12:21.390 |   Downloading http://mirror.boi.a10networks.com:81/packages/b2/48/26c02ec6b7af2e12fd3f0af0bee35a4b22eb477b01fe21c09129ea5ea6f7/os_testr-0.6.0-py2-none-any.whl
  1905. 2017-01-05 22:12:21.412 | Collecting pbr===1.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 214))
  1906. 2017-01-05 22:12:21.459 |   Downloading http://mirror.boi.a10networks.com:81/packages/fc/37/94af8387babb09796d306b18cf94ee5c70388c875a16d8a88e471500452c/pbr-1.8.1-py2.py3-none-any.whl (89kB)
  1907. 2017-01-05 22:12:21.492 | Collecting python-subunit===1.2.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 269))
  1908. 2017-01-05 22:12:21.514 |   Downloading http://mirror.boi.a10networks.com:81/packages/75/00/f5829197ddfb9b8ff68b2995b5bb33519ec889282d45c27a7b98d2f40752/python_subunit-1.2.0-py2.py3-none-any.whl (112kB)
  1909. 2017-01-05 22:12:21.544 | Collecting testrepository===0.0.20 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 314))
  1910. 2017-01-05 22:12:21.562 |   Downloading http://mirror.boi.a10networks.com:81/packages/0c/85/f495b58b2b0ac907def07385219e9747b75840fa01280f228546a4a5ad7f/testrepository-0.0.20.tar.gz (84kB)
  1911. 2017-01-05 22:12:22.060 | Collecting testtools===1.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 317))
  1912. 2017-01-05 22:12:22.097 |   Downloading http://mirror.boi.a10networks.com:81/packages/9f/68/5502c0075faa5452468ba2a215705713e7a8e5c01b3907ba8beb3a4ef209/testtools-1.8.1-py2.py3-none-any.whl (161kB)
  1913. 2017-01-05 22:12:22.140 | Collecting traceback2===1.4.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 322))
  1914. 2017-01-05 22:12:22.159 |   Downloading http://mirror.boi.a10networks.com:81/packages/17/0a/6ac05a3723017a967193456a2efa0aa9ac4b51456891af1e2353bb9de21e/traceback2-1.4.0-py2.py3-none-any.whl
  1915. 2017-01-05 22:12:22.178 | Collecting unittest2===1.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  1916. 2017-01-05 22:12:22.204 |   Downloading http://mirror.boi.a10networks.com:81/packages/72/20/7f0f433060a962200b7272b8c12ba90ef5b903e218174301d0abfd523813/unittest2-1.1.0-py2.py3-none-any.whl (96kB)
  1917. 2017-01-05 22:12:22.230 | Collecting Babel===2.1.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 1))
  1918. 2017-01-05 22:12:22.252 |   Downloading http://mirror.boi.a10networks.com:81/packages/1d/6f/95f416917bbd85afd3b44417ab0d521920fbb5e65898abf21cbe788dbef8/Babel-2.1.1-py2.py3-none-any.whl (3.6MB)
  1919. 2017-01-05 22:12:22.536 | Collecting extras===0.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  1920. 2017-01-05 22:12:22.552 |   Downloading http://mirror.boi.a10networks.com:81/packages/7f/b4/44b7a534c96e7cd8fe548265352a4f9ded54da06b9f5238864661f5e3bf1/extras-0.0.3.tar.gz
  1921. 2017-01-05 22:12:22.876 | Collecting fixtures===1.4.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 119))
  1922. 2017-01-05 22:12:22.900 |   Downloading http://mirror.boi.a10networks.com:81/packages/b4/b6/4409d6bef30805cfe2bacc38040e34165244d3babcf3e3d289a68096ddb6/fixtures-1.4.0-py2.py3-none-any.whl (64kB)
  1923. 2017-01-05 22:12:22.922 | Collecting python-mimeparse===0.1.4 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 260))
  1924. 2017-01-05 22:12:22.938 |   Downloading http://mirror.boi.a10networks.com:81/packages/ae/84/0ae5a7a06a7e9ca5834876c0122242ed6cd1419ea26ebe9f1bf9c5a8d272/python-mimeparse-0.1.4.tar.gz
  1925. 2017-01-05 22:12:23.174 | Collecting linecache2===1.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 157))
  1926. 2017-01-05 22:12:23.186 |   Downloading http://mirror.boi.a10networks.com:81/packages/c7/a3/c5da2a44c85bfbb6eebcfc1dde24933f8704441b98fdde6528f4831757a6/linecache2-1.0.0-py2.py3-none-any.whl
  1927. 2017-01-05 22:12:23.211 | Collecting argparse (from unittest2===1.1.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  1928. 2017-01-05 22:12:23.232 |   Downloading http://mirror.boi.a10networks.com:81/packages/f2/94/3af39d34be01a24a6e65433d19e107099374224905f1e0cc6bbe1fd22a2f/argparse-1.4.0-py2.py3-none-any.whl
  1929. 2017-01-05 22:12:23.235 | Collecting six===1.10.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 298))
  1930. 2017-01-05 22:12:23.256 |   Downloading http://mirror.boi.a10networks.com:81/packages/c8/0a/b6723e1bc4c516cb687841499455a8505b44607ab535be01091c0f24f079/six-1.10.0-py2.py3-none-any.whl
  1931. 2017-01-05 22:12:23.264 | Collecting pytz===2015.7 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 275))
  1932. 2017-01-05 22:12:23.461 |   Downloading http://mirror.boi.a10networks.com:81/packages/c0/28/973f0382c803b21734cd7e97e0590928148ee21b1cbe8f7fed8b506204fb/pytz-2015.7-py2.py3-none-any.whl (476kB)
  1933. 2017-01-05 22:12:23.553 | Building wheels for collected packages: extras, python-mimeparse, testrepository
  1934. 2017-01-05 22:12:23.553 |   Running setup.py bdist_wheel for extras
  1935. 2017-01-05 22:12:23.816 |   Stored in directory: /root/.cache/pip/wheels/5f/35/f0/8ed3b5785a069509569c8aa51162d200582a6dc0143b1d7e0a
  1936. 2017-01-05 22:12:23.821 |   Running setup.py bdist_wheel for python-mimeparse
  1937. 2017-01-05 22:12:24.076 |   Stored in directory: /root/.cache/pip/wheels/e9/20/16/6b6efb70c1354d6878f955351574593d3d2da838ecd5ab71f6
  1938. 2017-01-05 22:12:24.077 |   Running setup.py bdist_wheel for testrepository
  1939. 2017-01-05 22:12:24.408 |   Stored in directory: /root/.cache/pip/wheels/39/e2/ae/a76502a6664065a7f489af4d5899ae3bb1cf8ef7571ee1784c
  1940. 2017-01-05 22:12:24.423 | Successfully built extras python-mimeparse testrepository
  1941. 2017-01-05 22:12:24.423 | Installing collected packages: pytz, Babel, extras, six, linecache2, traceback2, argparse, unittest2, pbr, python-mimeparse, testtools, fixtures, python-subunit, testrepository, os-testr
  1942. 2017-01-05 22:12:24.748 |   Found existing installation: six 1.5.2
  1943. 2017-01-05 22:12:24.749 |     DEPRECATION: Uninstalling a distutils installed project (six) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  1944. 2017-01-05 22:12:24.749 |     Uninstalling six-1.5.2:
  1945. 2017-01-05 22:12:24.750 |       Successfully uninstalled six-1.5.2
  1946. 2017-01-05 22:12:24.783 |   Found existing installation: argparse 1.2.1
  1947. 2017-01-05 22:12:24.783 |     DEPRECATION: Uninstalling a distutils installed project (argparse) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  1948. 2017-01-05 22:12:24.784 |     Uninstalling argparse-1.2.1:
  1949. 2017-01-05 22:12:24.787 |       Successfully uninstalled argparse-1.2.1
  1950. 2017-01-05 22:12:25.447 | Successfully installed Babel-2.1.1 argparse-1.4.0 extras-0.0.3 fixtures-1.4.0 linecache2-1.0.0 os-testr-0.6.0 pbr-1.8.1 python-mimeparse-0.1.4 python-subunit-1.2.0 pytz-2015.7 six-1.10.0 testrepository-0.0.20 testtools-1.8.1 traceback2-1.4.0 unittest2-1.1.0
  1951. 2017-01-05 22:12:25.686 | You are using pip version 7.1.2, however version 9.0.1 is available.
  1952. 2017-01-05 22:12:25.686 | You should consider upgrading via the 'pip install --upgrade pip' command.
  1953. 2017-01-05 22:12:25.712 | + local 'test_req=-U os-testr/test-requirements.txt'
  1954. 2017-01-05 22:12:25.712 | + [[ -e -U os-testr/test-requirements.txt ]]
  1955. 2017-01-05 22:12:25.712 | + TRACK_DEPENDS=False
  1956. 2017-01-05 22:12:25.712 | + [[ False = True ]]
  1957. 2017-01-05 22:12:25.712 | + source /opt/stack/new/devstack/tools/fixup_stuff.sh
  1958. 2017-01-05 22:12:25.712 | ++ [[ -z /opt/stack/new/devstack ]]
  1959. 2017-01-05 22:12:25.712 | ++ keystone_ports=35357,35358
  1960. 2017-01-05 22:12:25.712 | ++ sysctl net.ipv4.ip_local_reserved_ports
  1961. 2017-01-05 22:12:25.713 | +++ sysctl net.ipv4.ip_local_reserved_ports
  1962. 2017-01-05 22:12:25.714 | +++ awk -F= '{print $2;}'
  1963. 2017-01-05 22:12:25.714 | +++ sed 's/^ //'
  1964. 2017-01-05 22:12:25.716 | ++ reserved_ports=
  1965. 2017-01-05 22:12:25.717 | ++ [[ -z '' ]]
  1966. 2017-01-05 22:12:25.717 | ++ sudo sysctl -w net.ipv4.ip_local_reserved_ports=35357,35358
  1967. 2017-01-05 22:12:25.722 | net.ipv4.ip_local_reserved_ports = 35357,35358
  1968. 2017-01-05 22:12:25.723 | ++ pip_install 'prettytable>=0.7'
  1969. 2017-01-05 22:12:25.949 | ++ sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt 'prettytable>=0.7'
  1970. 2017-01-05 22:12:26.348 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  1971. 2017-01-05 22:12:26.456 | Requirement already satisfied (use --upgrade to upgrade): prettytable===0.7.2 in /usr/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 219))
  1972. 2017-01-05 22:12:26.640 | You are using pip version 7.1.2, however version 9.0.1 is available.
  1973. 2017-01-05 22:12:26.640 | You should consider upgrading via the 'pip install --upgrade pip' command.
  1974. 2017-01-05 22:12:26.659 | ++ local 'test_req=prettytable>=0.7/test-requirements.txt'
  1975. 2017-01-05 22:12:26.659 | ++ [[ -e prettytable>=0.7/test-requirements.txt ]]
  1976. 2017-01-05 22:12:26.659 | +++ get_package_path prettytable
  1977. 2017-01-05 22:12:26.660 | +++ local package=prettytable
  1978. 2017-01-05 22:12:26.660 | ++++ python -c 'import os; import prettytable; print(os.path.split(os.path.realpath(prettytable.__file__))[0])'
  1979. 2017-01-05 22:12:26.685 | +++ echo /usr/lib/python2.7/dist-packages
  1980. 2017-01-05 22:12:26.685 | ++ PACKAGE_DIR=/usr/lib/python2.7/dist-packages
  1981. 2017-01-05 22:12:26.686 | +++ echo /usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info
  1982. 2017-01-05 22:12:26.686 | ++ dir=/usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info
  1983. 2017-01-05 22:12:26.686 | ++ [[ -d /usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info ]]
  1984. 2017-01-05 22:12:26.686 | ++ sudo chmod +r /usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info/PKG-INFO /usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info/SOURCES.txt /usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info/dependency_links.txt /usr/lib/python2.7/dist-packages/prettytable-0.7.2.egg-info/top_level.txt
  1985. 2017-01-05 22:12:26.691 | ++ pip_install httplib2
  1986. 2017-01-05 22:12:26.886 | ++ sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt httplib2
  1987. 2017-01-05 22:12:27.348 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  1988. 2017-01-05 22:12:27.465 | Collecting httplib2===0.9.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 131))
  1989. 2017-01-05 22:12:27.529 |   Downloading http://mirror.boi.a10networks.com:81/packages/b1/e8/a49f534214a5c850faaad1678bea812991559d53bea49ecc7321f38a5757/httplib2-0.9.2.zip (210kB)
  1990. 2017-01-05 22:12:27.923 | Building wheels for collected packages: httplib2
  1991. 2017-01-05 22:12:27.924 |   Running setup.py bdist_wheel for httplib2
  1992. 2017-01-05 22:12:28.200 |   Stored in directory: /root/.cache/pip/wheels/f0/57/0f/3b0dc445fdd75c8a04ea54074ce99face61d7a5c2d85576c62
  1993. 2017-01-05 22:12:28.208 | Successfully built httplib2
  1994. 2017-01-05 22:12:28.208 | Installing collected packages: httplib2
  1995. 2017-01-05 22:12:28.278 | Successfully installed httplib2-0.9.2
  1996. 2017-01-05 22:12:28.476 | You are using pip version 7.1.2, however version 9.0.1 is available.
  1997. 2017-01-05 22:12:28.476 | You should consider upgrading via the 'pip install --upgrade pip' command.
  1998. 2017-01-05 22:12:28.498 | ++ local test_req=httplib2/test-requirements.txt
  1999. 2017-01-05 22:12:28.498 | ++ [[ -e httplib2/test-requirements.txt ]]
  2000. 2017-01-05 22:12:28.498 | +++ get_package_path httplib2
  2001. 2017-01-05 22:12:28.498 | +++ local package=httplib2
  2002. 2017-01-05 22:12:28.499 | ++++ python -c 'import os; import httplib2; print(os.path.split(os.path.realpath(httplib2.__file__))[0])'
  2003. 2017-01-05 22:12:28.530 | +++ echo /usr/local/lib/python2.7/dist-packages/httplib2
  2004. 2017-01-05 22:12:28.530 | ++ PACKAGE_DIR=/usr/local/lib/python2.7/dist-packages/httplib2
  2005. 2017-01-05 22:12:28.531 | +++ echo '/usr/local/lib/python2.7/dist-packages/httplib2-0.8*'
  2006. 2017-01-05 22:12:28.531 | ++ dir='/usr/local/lib/python2.7/dist-packages/httplib2-0.8*'
  2007. 2017-01-05 22:12:28.531 | ++ [[ -d /usr/local/lib/python2.7/dist-packages/httplib2-0.8* ]]
  2008. 2017-01-05 22:12:28.531 | ++ is_fedora
  2009. 2017-01-05 22:12:28.531 | ++ [[ -z Ubuntu ]]
  2010. 2017-01-05 22:12:28.531 | ++ '[' Ubuntu = Fedora ']'
  2011. 2017-01-05 22:12:28.531 | ++ '[' Ubuntu = 'Red Hat' ']'
  2012. 2017-01-05 22:12:28.531 | ++ '[' Ubuntu = CentOS ']'
  2013. 2017-01-05 22:12:28.531 | ++ '[' Ubuntu = OracleLinux ']'
  2014. 2017-01-05 22:12:28.531 | ++ '[' Ubuntu = CloudLinux ']'
  2015. 2017-01-05 22:12:28.531 | ++ '[' Ubuntu = kvmibm ']'
  2016. 2017-01-05 22:12:28.531 | ++ uninstall_package python-virtualenv
  2017. 2017-01-05 22:12:28.531 | ++ is_ubuntu
  2018. 2017-01-05 22:12:28.531 | ++ [[ -z deb ]]
  2019. 2017-01-05 22:12:28.531 | ++ '[' deb = deb ']'
  2020. 2017-01-05 22:12:28.531 | ++ apt_get purge python-virtualenv
  2021. 2017-01-05 22:12:28.536 | ++ sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes purge python-virtualenv
  2022. 2017-01-05 22:12:28.548 | Reading package lists...
  2023. 2017-01-05 22:12:28.706 | Building dependency tree...
  2024. 2017-01-05 22:12:28.706 | Reading state information...
  2025. 2017-01-05 22:12:28.833 | Package 'python-virtualenv' is not installed, so not removed
  2026. 2017-01-05 22:12:28.833 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  2027. 2017-01-05 22:12:28.834 | ++ pip_install -U virtualenv
  2028. 2017-01-05 22:12:29.008 | ++ sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -U virtualenv
  2029. 2017-01-05 22:12:29.398 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2030. 2017-01-05 22:12:29.500 | Collecting virtualenv===13.1.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 329))
  2031. 2017-01-05 22:12:29.593 |   Downloading http://mirror.boi.a10networks.com:81/packages/6b/e1/599c2a3c4a9e088e789489e9238e8016fb09aedd9ea81b93d6530e586ddc/virtualenv-13.1.2-py2.py3-none-any.whl (1.7MB)
  2032. 2017-01-05 22:12:29.646 | Installing collected packages: virtualenv
  2033. 2017-01-05 22:12:29.646 |   Found existing installation: virtualenv 13.1.0
  2034. 2017-01-05 22:12:29.648 |     Uninstalling virtualenv-13.1.0:
  2035. 2017-01-05 22:12:29.651 |       Successfully uninstalled virtualenv-13.1.0
  2036. 2017-01-05 22:12:29.682 | Successfully installed virtualenv-13.1.2
  2037. 2017-01-05 22:12:29.869 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2038. 2017-01-05 22:12:29.869 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2039. 2017-01-05 22:12:29.887 | ++ local 'test_req=-U virtualenv/test-requirements.txt'
  2040. 2017-01-05 22:12:29.896 | ++ [[ -e -U virtualenv/test-requirements.txt ]]
  2041. 2017-01-05 22:12:29.896 | + install_infra
  2042. 2017-01-05 22:12:29.896 | + local PIP_VIRTUAL_ENV=/opt/stack/new/requirements/.venv
  2043. 2017-01-05 22:12:29.896 | + '[' '!' -d /opt/stack/new/requirements/.venv ']'
  2044. 2017-01-05 22:12:29.896 | + virtualenv /opt/stack/new/requirements/.venv
  2045. 2017-01-05 22:12:29.925 | New python executable in /opt/stack/new/requirements/.venv/bin/python
  2046. 2017-01-05 22:12:29.968 | Please make sure you remove any previous custom paths from your /opt/stack/new/.pydistutils.cfg file.
  2047. 2017-01-05 22:12:31.228 | Installing setuptools, pip, wheel...done.
  2048. 2017-01-05 22:12:31.230 | + PIP_VIRTUAL_ENV=/opt/stack/new/requirements/.venv
  2049. 2017-01-05 22:12:31.230 | + pip_install -U pbr
  2050. 2017-01-05 22:12:31.445 | + env http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /opt/stack/new/requirements/.venv/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -U pbr
  2051. 2017-01-05 22:12:31.874 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2052. 2017-01-05 22:12:31.988 | Collecting pbr===1.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 214))
  2053. 2017-01-05 22:12:32.082 |   Downloading http://mirror.boi.a10networks.com:81/packages/fc/37/94af8387babb09796d306b18cf94ee5c70388c875a16d8a88e471500452c/pbr-1.8.1-py2.py3-none-any.whl (89kB)
  2054. 2017-01-05 22:12:32.099 | Installing collected packages: pbr
  2055. 2017-01-05 22:12:32.155 | Successfully installed pbr-1.8.1
  2056. 2017-01-05 22:12:32.379 | /opt/stack/new/requirements/.venv/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  2057. 2017-01-05 22:12:32.379 |   InsecurePlatformWarning
  2058. 2017-01-05 22:12:32.493 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2059. 2017-01-05 22:12:32.493 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2060. 2017-01-05 22:12:32.515 | + local 'test_req=-U pbr/test-requirements.txt'
  2061. 2017-01-05 22:12:32.515 | + [[ -e -U pbr/test-requirements.txt ]]
  2062. 2017-01-05 22:12:32.515 | + PIP_VIRTUAL_ENV=/opt/stack/new/requirements/.venv
  2063. 2017-01-05 22:12:32.515 | + pip_install /opt/stack/new/requirements
  2064. 2017-01-05 22:12:32.725 | + env http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /opt/stack/new/requirements/.venv/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt /opt/stack/new/requirements
  2065. 2017-01-05 22:12:33.145 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2066. 2017-01-05 22:12:33.256 | Processing /opt/stack/new/requirements
  2067. 2017-01-05 22:12:34.766 | Collecting Parsley===1.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 8))
  2068. 2017-01-05 22:12:34.811 |   Downloading http://mirror.boi.a10networks.com:81/packages/2b/d6/4fed8d65e28a970e1c5cb33ce9c7e22e3de745e1b2ae37af051ef16aea3b/Parsley-1.3-py2.py3-none-any.whl (88kB)
  2069. 2017-01-05 22:12:34.827 | Collecting fixtures===1.4.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 119))
  2070. 2017-01-05 22:12:34.857 |   Downloading http://mirror.boi.a10networks.com:81/packages/b4/b6/4409d6bef30805cfe2bacc38040e34165244d3babcf3e3d289a68096ddb6/fixtures-1.4.0-py2.py3-none-any.whl (64kB)
  2071. 2017-01-05 22:12:34.873 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 214))
  2072. 2017-01-05 22:12:34.876 | Collecting six===1.10.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 298))
  2073. 2017-01-05 22:12:34.936 |   Downloading http://mirror.boi.a10networks.com:81/packages/c8/0a/b6723e1bc4c516cb687841499455a8505b44607ab535be01091c0f24f079/six-1.10.0-py2.py3-none-any.whl
  2074. 2017-01-05 22:12:34.948 | Collecting testtools===1.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 317))
  2075. 2017-01-05 22:12:34.994 |   Downloading http://mirror.boi.a10networks.com:81/packages/9f/68/5502c0075faa5452468ba2a215705713e7a8e5c01b3907ba8beb3a4ef209/testtools-1.8.1-py2.py3-none-any.whl (161kB)
  2076. 2017-01-05 22:12:35.027 | Collecting traceback2===1.4.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 322))
  2077. 2017-01-05 22:12:35.045 |   Downloading http://mirror.boi.a10networks.com:81/packages/17/0a/6ac05a3723017a967193456a2efa0aa9ac4b51456891af1e2353bb9de21e/traceback2-1.4.0-py2.py3-none-any.whl
  2078. 2017-01-05 22:12:35.053 | Collecting unittest2===1.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  2079. 2017-01-05 22:12:35.077 |   Downloading http://mirror.boi.a10networks.com:81/packages/72/20/7f0f433060a962200b7272b8c12ba90ef5b903e218174301d0abfd523813/unittest2-1.1.0-py2.py3-none-any.whl (96kB)
  2080. 2017-01-05 22:12:35.095 | Collecting extras===0.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  2081. 2017-01-05 22:12:35.117 |   Downloading http://mirror.boi.a10networks.com:81/packages/7f/b4/44b7a534c96e7cd8fe548265352a4f9ded54da06b9f5238864661f5e3bf1/extras-0.0.3.tar.gz
  2082. 2017-01-05 22:12:35.236 | Collecting python-mimeparse===0.1.4 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 260))
  2083. 2017-01-05 22:12:35.250 |   Downloading http://mirror.boi.a10networks.com:81/packages/ae/84/0ae5a7a06a7e9ca5834876c0122242ed6cd1419ea26ebe9f1bf9c5a8d272/python-mimeparse-0.1.4.tar.gz
  2084. 2017-01-05 22:12:35.358 | Collecting linecache2===1.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 157))
  2085. 2017-01-05 22:12:35.369 |   Downloading http://mirror.boi.a10networks.com:81/packages/c7/a3/c5da2a44c85bfbb6eebcfc1dde24933f8704441b98fdde6528f4831757a6/linecache2-1.0.0-py2.py3-none-any.whl
  2086. 2017-01-05 22:12:35.376 | Collecting argparse (from unittest2===1.1.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  2087. 2017-01-05 22:12:35.395 |   Downloading http://mirror.boi.a10networks.com:81/packages/f2/94/3af39d34be01a24a6e65433d19e107099374224905f1e0cc6bbe1fd22a2f/argparse-1.4.0-py2.py3-none-any.whl
  2088. 2017-01-05 22:12:35.400 | Building wheels for collected packages: extras, python-mimeparse
  2089. 2017-01-05 22:12:35.400 |   Running setup.py bdist_wheel for extras
  2090. 2017-01-05 22:12:35.540 |   Stored in directory: /opt/stack/new/.cache/pip/wheels/5f/35/f0/8ed3b5785a069509569c8aa51162d200582a6dc0143b1d7e0a
  2091. 2017-01-05 22:12:35.541 |   Running setup.py bdist_wheel for python-mimeparse
  2092. 2017-01-05 22:12:35.668 |   Stored in directory: /opt/stack/new/.cache/pip/wheels/e9/20/16/6b6efb70c1354d6878f955351574593d3d2da838ecd5ab71f6
  2093. 2017-01-05 22:12:35.670 | Successfully built extras python-mimeparse
  2094. 2017-01-05 22:12:35.671 | Installing collected packages: Parsley, extras, six, linecache2, traceback2, argparse, unittest2, python-mimeparse, testtools, fixtures, openstack.requirements
  2095. 2017-01-05 22:12:36.065 |   Running setup.py install for openstack.requirements
  2096. 2017-01-05 22:12:37.042 | Successfully installed Parsley-1.3 argparse-1.4.0 extras-0.0.3 fixtures-1.4.0 linecache2-1.0.0 openstack.requirements-0.0.1.dev2098 python-mimeparse-0.1.4 six-1.10.0 testtools-1.8.1 traceback2-1.4.0 unittest2-1.1.0
  2097. 2017-01-05 22:12:37.234 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2098. 2017-01-05 22:12:37.234 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2099. 2017-01-05 22:12:37.252 | + local test_req=/opt/stack/new/requirements/test-requirements.txt
  2100. 2017-01-05 22:12:37.252 | + [[ -e /opt/stack/new/requirements/test-requirements.txt ]]
  2101. 2017-01-05 22:12:37.253 | + echo 'Installing test-requirements for /opt/stack/new/requirements/test-requirements.txt'
  2102. 2017-01-05 22:12:37.253 | Installing test-requirements for /opt/stack/new/requirements/test-requirements.txt
  2103. 2017-01-05 22:12:37.253 | + env http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= /opt/stack/new/requirements/.venv/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -r /opt/stack/new/requirements/test-requirements.txt
  2104. 2017-01-05 22:12:37.716 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2105. 2017-01-05 22:12:37.832 | Collecting packaging===15.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 210))
  2106. 2017-01-05 22:12:37.882 |   Downloading http://mirror.boi.a10networks.com:81/packages/2f/2b/c681de3e1dbcd469537aefb15186b800209aa1f299d933d23b48d85c9d56/packaging-15.3-py2.py3-none-any.whl
  2107. 2017-01-05 22:12:37.892 | Collecting testrepository===0.0.20 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 314))
  2108. 2017-01-05 22:12:37.908 |   Downloading http://mirror.boi.a10networks.com:81/packages/0c/85/f495b58b2b0ac907def07385219e9747b75840fa01280f228546a4a5ad7f/testrepository-0.0.20.tar.gz (84kB)
  2109. 2017-01-05 22:12:38.087 | Collecting testscenarios===0.5.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 316))
  2110. 2017-01-05 22:12:38.104 |   Downloading http://mirror.boi.a10networks.com:81/packages/da/25/2f10da0d5427989fefa5ab51e697bc02625bbb7de2be3bc8452462efac78/testscenarios-0.5.0-py2.py3-none-any.whl
  2111. 2017-01-05 22:12:38.111 | Requirement already satisfied (use --upgrade to upgrade): testtools===1.8.1 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 317))
  2112. 2017-01-05 22:12:38.113 | Requirement already satisfied (use --upgrade to upgrade): traceback2===1.4.0 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 322))
  2113. 2017-01-05 22:12:38.113 | Requirement already satisfied (use --upgrade to upgrade): unittest2===1.1.0 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  2114. 2017-01-05 22:12:38.118 | Collecting virtualenv===13.1.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 329))
  2115. 2017-01-05 22:12:38.193 |   Downloading http://mirror.boi.a10networks.com:81/packages/6b/e1/599c2a3c4a9e088e789489e9238e8016fb09aedd9ea81b93d6530e586ddc/virtualenv-13.1.2-py2.py3-none-any.whl (1.7MB)
  2116. 2017-01-05 22:12:38.259 | Collecting hacking<0.11,>=0.10 (from -r /opt/stack/new/requirements/test-requirements.txt (line 1))
  2117. 2017-01-05 22:12:38.295 |   Downloading http://mirror.boi.a10networks.com:81/packages/7d/70/296324caa48707c88643ed512276f9aaa60fc1cb33aa92de60ae5177468b/hacking-0.10.2-py2.py3-none-any.whl
  2118. 2017-01-05 22:12:38.304 | Requirement already satisfied (use --upgrade to upgrade): setuptools!=24.0.0,>=16.0 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -r /opt/stack/new/requirements/test-requirements.txt (line 7))
  2119. 2017-01-05 22:12:38.306 | Requirement already satisfied (use --upgrade to upgrade): fixtures===1.4.0 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 119))
  2120. 2017-01-05 22:12:38.310 | Collecting python-subunit===1.2.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 269))
  2121. 2017-01-05 22:12:38.327 |   Downloading http://mirror.boi.a10networks.com:81/packages/75/00/f5829197ddfb9b8ff68b2995b5bb33519ec889282d45c27a7b98d2f40752/python_subunit-1.2.0-py2.py3-none-any.whl (112kB)
  2122. 2017-01-05 22:12:38.343 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 214))
  2123. 2017-01-05 22:12:38.344 | Requirement already satisfied (use --upgrade to upgrade): extras===0.0.3 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  2124. 2017-01-05 22:12:38.344 | Requirement already satisfied (use --upgrade to upgrade): python-mimeparse===0.1.4 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 260))
  2125. 2017-01-05 22:12:38.345 | Requirement already satisfied (use --upgrade to upgrade): linecache2===1.0.0 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 157))
  2126. 2017-01-05 22:12:38.345 | Requirement already satisfied (use --upgrade to upgrade): argparse in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from unittest2===1.1.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  2127. 2017-01-05 22:12:38.346 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /opt/stack/new/requirements/.venv/lib/python2.7/site-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 298))
  2128. 2017-01-05 22:12:38.349 | Collecting mccabe==0.2.1 (from hacking<0.11,>=0.10->-r /opt/stack/new/requirements/test-requirements.txt (line 1))
  2129. 2017-01-05 22:12:38.368 |   Downloading http://mirror.boi.a10networks.com:81/packages/ec/b1/79c08edbb2a652f2f697c2b71dc08ede14e615bf6aa325237a32e0ed36f0/mccabe-0.2.1.tar.gz
  2130. 2017-01-05 22:12:38.493 | Collecting flake8==2.2.4 (from hacking<0.11,>=0.10->-r /opt/stack/new/requirements/test-requirements.txt (line 1))
  2131. 2017-01-05 22:12:38.545 |   Downloading http://mirror.boi.a10networks.com:81/packages/0d/69/3e19395889eb6e9fd35a6900fc25db3d4aa32585e6b606924ab8af69da8b/flake8-2.2.4.tar.gz
  2132. 2017-01-05 22:12:38.708 | Collecting pyflakes==0.8.1 (from hacking<0.11,>=0.10->-r /opt/stack/new/requirements/test-requirements.txt (line 1))
  2133. 2017-01-05 22:12:38.742 |   Downloading http://mirror.boi.a10networks.com:81/packages/49/94/592dfa051cb674d022c8ae6306d114dc752b3b5d3e08b896acaa4b3277f8/pyflakes-0.8.1-py2.py3-none-any.whl
  2134. 2017-01-05 22:12:38.757 | Collecting pep8==1.5.7 (from hacking<0.11,>=0.10->-r /opt/stack/new/requirements/test-requirements.txt (line 1))
  2135. 2017-01-05 22:12:38.791 |   Downloading http://mirror.boi.a10networks.com:81/packages/e2/3a/fb53887b208e7e444c13b59244fcac4ef923678e6ae33e7fc71391f37b62/pep8-1.5.7-py2.py3-none-any.whl
  2136. 2017-01-05 22:12:38.801 | Building wheels for collected packages: testrepository, mccabe, flake8
  2137. 2017-01-05 22:12:38.802 |   Running setup.py bdist_wheel for testrepository
  2138. 2017-01-05 22:12:39.056 |   Stored in directory: /opt/stack/new/.cache/pip/wheels/39/e2/ae/a76502a6664065a7f489af4d5899ae3bb1cf8ef7571ee1784c
  2139. 2017-01-05 22:12:39.075 |   Running setup.py bdist_wheel for mccabe
  2140. 2017-01-05 22:12:39.224 |   Stored in directory: /opt/stack/new/.cache/pip/wheels/63/06/b5/94e0603702126d7cd4478307204dfa72657427bb1fc802761d
  2141. 2017-01-05 22:12:39.230 |   Running setup.py bdist_wheel for flake8
  2142. 2017-01-05 22:12:39.404 |   Stored in directory: /opt/stack/new/.cache/pip/wheels/c9/90/01/b13502d35a42f080297899497f1acc0ce940969a39d3d8b449
  2143. 2017-01-05 22:12:39.408 | Successfully built testrepository mccabe flake8
  2144. 2017-01-05 22:12:39.409 | Installing collected packages: packaging, python-subunit, testrepository, testscenarios, virtualenv, mccabe, pyflakes, pep8, flake8, hacking
  2145. 2017-01-05 22:12:39.772 | Successfully installed flake8-2.2.4 hacking-0.10.2 mccabe-0.2.1 packaging-15.3 pep8-1.5.7 pyflakes-0.8.1 python-subunit-1.2.0 testrepository-0.0.20 testscenarios-0.5.0 virtualenv-13.1.2
  2146. 2017-01-05 22:12:39.967 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2147. 2017-01-05 22:12:39.967 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2148. 2017-01-05 22:12:39.986 | + unset PIP_VIRTUAL_ENV
  2149. 2017-01-05 22:12:39.986 | + use_library_from_git pbr
  2150. 2017-01-05 22:12:39.986 | + local name=pbr
  2151. 2017-01-05 22:12:39.986 | + local enabled=1
  2152. 2017-01-05 22:12:39.986 | + [[ ,, =~ ,pbr, ]]
  2153. 2017-01-05 22:12:39.986 | + return 1
  2154. 2017-01-05 22:12:39.986 | + pip_install -U pbr
  2155. 2017-01-05 22:12:40.157 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -U pbr
  2156. 2017-01-05 22:12:40.620 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2157. 2017-01-05 22:12:40.798 | Requirement already up-to-date: pbr===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 214))
  2158. 2017-01-05 22:12:41.001 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2159. 2017-01-05 22:12:41.001 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2160. 2017-01-05 22:12:41.019 | + local 'test_req=-U pbr/test-requirements.txt'
  2161. 2017-01-05 22:12:41.019 | + [[ -e -U pbr/test-requirements.txt ]]
  2162. 2017-01-05 22:12:41.019 | + run_phase stack pre-install
  2163. 2017-01-05 22:12:41.019 | + local mode=stack
  2164. 2017-01-05 22:12:41.019 | + local phase=pre-install
  2165. 2017-01-05 22:12:41.019 | + [[ -d /opt/stack/new/devstack/extras.d ]]
  2166. 2017-01-05 22:12:41.019 | + for i in '$TOP_DIR/extras.d/*.sh'
  2167. 2017-01-05 22:12:41.019 | + [[ -r /opt/stack/new/devstack/extras.d/50-ironic.sh ]]
  2168. 2017-01-05 22:12:41.019 | + source /opt/stack/new/devstack/extras.d/50-ironic.sh stack pre-install
  2169. 2017-01-05 22:12:41.020 | ++ is_service_enabled ir-api ir-cond
  2170. 2017-01-05 22:12:41.023 | ++ return 1
  2171. 2017-01-05 22:12:41.023 | + for i in '$TOP_DIR/extras.d/*.sh'
  2172. 2017-01-05 22:12:41.023 | + [[ -r /opt/stack/new/devstack/extras.d/60-ceph.sh ]]
  2173. 2017-01-05 22:12:41.023 | + source /opt/stack/new/devstack/extras.d/60-ceph.sh stack pre-install
  2174. 2017-01-05 22:12:41.023 | ++ is_service_enabled ceph
  2175. 2017-01-05 22:12:41.028 | ++ return 1
  2176. 2017-01-05 22:12:41.028 | + for i in '$TOP_DIR/extras.d/*.sh'
  2177. 2017-01-05 22:12:41.028 | + [[ -r /opt/stack/new/devstack/extras.d/80-tempest.sh ]]
  2178. 2017-01-05 22:12:41.028 | + source /opt/stack/new/devstack/extras.d/80-tempest.sh stack pre-install
  2179. 2017-01-05 22:12:41.028 | ++ is_service_enabled tempest
  2180. 2017-01-05 22:12:41.035 | ++ return 0
  2181. 2017-01-05 22:12:41.035 | ++ [[ stack == \s\o\u\r\c\e ]]
  2182. 2017-01-05 22:12:41.035 | ++ [[ stack == \s\t\a\c\k ]]
  2183. 2017-01-05 22:12:41.035 | ++ [[ pre-install == \i\n\s\t\a\l\l ]]
  2184. 2017-01-05 22:12:41.035 | ++ [[ stack == \s\t\a\c\k ]]
  2185. 2017-01-05 22:12:41.035 | ++ [[ pre-install == \p\o\s\t\-\c\o\n\f\i\g ]]
  2186. 2017-01-05 22:12:41.035 | ++ [[ stack == \s\t\a\c\k ]]
  2187. 2017-01-05 22:12:41.035 | ++ [[ pre-install == \e\x\t\r\a ]]
  2188. 2017-01-05 22:12:41.035 | ++ [[ stack == \s\t\a\c\k ]]
  2189. 2017-01-05 22:12:41.035 | ++ [[ pre-install == \p\o\s\t\-\e\x\t\r\a ]]
  2190. 2017-01-05 22:12:41.035 | ++ [[ stack == \u\n\s\t\a\c\k ]]
  2191. 2017-01-05 22:12:41.035 | ++ [[ stack == \c\l\e\a\n ]]
  2192. 2017-01-05 22:12:41.035 | + [[ stack == \s\o\u\r\c\e ]]
  2193. 2017-01-05 22:12:41.035 | + [[ stack == \o\v\e\r\r\i\d\e\_\d\e\f\a\u\l\t\s ]]
  2194. 2017-01-05 22:12:41.035 | + run_plugins stack pre-install
  2195. 2017-01-05 22:12:41.035 | + local mode=stack
  2196. 2017-01-05 22:12:41.035 | + local phase=pre-install
  2197. 2017-01-05 22:12:41.035 | + local plugins=,neutron-lbaas
  2198. 2017-01-05 22:12:41.035 | + local plugin
  2199. 2017-01-05 22:12:41.035 | + for plugin in '${plugins//,/ }'
  2200. 2017-01-05 22:12:41.035 | + local dir=/opt/stack/new/neutron-lbaas
  2201. 2017-01-05 22:12:41.035 | + [[ -f /opt/stack/new/neutron-lbaas/devstack/plugin.sh ]]
  2202. 2017-01-05 22:12:41.035 | + source /opt/stack/new/neutron-lbaas/devstack/plugin.sh stack pre-install
  2203. 2017-01-05 22:12:41.035 | ++ is_service_enabled q-lbaas q-lbaasv1 q-lbaasv2
  2204. 2017-01-05 22:12:41.038 | ++ return 0
  2205. 2017-01-05 22:12:41.038 | ++ is_service_enabled q-svc
  2206. 2017-01-05 22:12:41.041 | ++ return 0
  2207. 2017-01-05 22:12:41.042 | ++ [[ stack == \s\t\a\c\k ]]
  2208. 2017-01-05 22:12:41.042 | ++ [[ pre-install == \i\n\s\t\a\l\l ]]
  2209. 2017-01-05 22:12:41.042 | ++ [[ stack == \s\t\a\c\k ]]
  2210. 2017-01-05 22:12:41.042 | ++ [[ pre-install == \p\o\s\t\-\c\o\n\f\i\g ]]
  2211. 2017-01-05 22:12:41.042 | ++ [[ stack == \s\t\a\c\k ]]
  2212. 2017-01-05 22:12:41.042 | ++ [[ pre-install == \e\x\t\r\a ]]
  2213. 2017-01-05 22:12:41.042 | ++ [[ stack == \u\n\s\t\a\c\k ]]
  2214. 2017-01-05 22:12:41.042 | ++ [[ stack == \c\l\e\a\n ]]
  2215. 2017-01-05 22:12:41.042 | + install_rpc_backend
  2216. 2017-01-05 22:12:41.042 | + is_service_enabled rabbit
  2217. 2017-01-05 22:12:41.044 | + return 0
  2218. 2017-01-05 22:12:41.044 | + install_package rabbitmq-server
  2219. 2017-01-05 22:12:41.044 | + update_package_repo
  2220. 2017-01-05 22:12:41.044 | + NO_UPDATE_REPOS=False
  2221. 2017-01-05 22:12:41.044 | + REPOS_UPDATED=True
  2222. 2017-01-05 22:12:41.044 | + RETRY_UPDATE=False
  2223. 2017-01-05 22:12:41.044 | + [[ False = \T\r\u\e ]]
  2224. 2017-01-05 22:12:41.044 | + is_ubuntu
  2225. 2017-01-05 22:12:41.044 | + [[ -z deb ]]
  2226. 2017-01-05 22:12:41.044 | + '[' deb = deb ']'
  2227. 2017-01-05 22:12:41.044 | + apt_get_update
  2228. 2017-01-05 22:12:41.044 | + [[ True == \T\r\u\e ]]
  2229. 2017-01-05 22:12:41.044 | + [[ False != \T\r\u\e ]]
  2230. 2017-01-05 22:12:41.044 | + return
  2231. 2017-01-05 22:12:41.044 | + real_install_package rabbitmq-server
  2232. 2017-01-05 22:12:41.044 | + is_ubuntu
  2233. 2017-01-05 22:12:41.044 | + [[ -z deb ]]
  2234. 2017-01-05 22:12:41.044 | + '[' deb = deb ']'
  2235. 2017-01-05 22:12:41.044 | + apt_get install rabbitmq-server
  2236. 2017-01-05 22:12:41.047 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install rabbitmq-server
  2237. 2017-01-05 22:12:41.066 | Reading package lists...
  2238. 2017-01-05 22:12:41.242 | Building dependency tree...
  2239. 2017-01-05 22:12:41.243 | Reading state information...
  2240. 2017-01-05 22:12:41.364 | The following extra packages will be installed:
  2241. 2017-01-05 22:12:41.364 |   erlang-asn1 erlang-base erlang-corba erlang-crypto erlang-diameter
  2242. 2017-01-05 22:12:41.364 |   erlang-edoc erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic
  2243. 2017-01-05 22:12:41.364 |   erlang-inets erlang-mnesia erlang-nox erlang-odbc erlang-os-mon
  2244. 2017-01-05 22:12:41.364 |   erlang-parsetools erlang-percept erlang-public-key erlang-runtime-tools
  2245. 2017-01-05 22:12:41.364 |   erlang-snmp erlang-ssh erlang-ssl erlang-syntax-tools erlang-tools
  2246. 2017-01-05 22:12:41.364 |   erlang-webtool erlang-xmerl libodbc1
  2247. 2017-01-05 22:12:41.365 | Suggested packages:
  2248. 2017-01-05 22:12:41.365 |   erlang erlang-manpages erlang-doc xsltproc fop erlang-ic-java
  2249. 2017-01-05 22:12:41.365 |   erlang-observer libmyodbc odbc-postgresql tdsodbc unixodbc-bin
  2250. 2017-01-05 22:12:41.366 | The following NEW packages will be installed:
  2251. 2017-01-05 22:12:41.366 |   erlang-asn1 erlang-base erlang-corba erlang-crypto erlang-diameter
  2252. 2017-01-05 22:12:41.366 |   erlang-edoc erlang-eldap erlang-erl-docgen erlang-eunit erlang-ic
  2253. 2017-01-05 22:12:41.366 |   erlang-inets erlang-mnesia erlang-nox erlang-odbc erlang-os-mon
  2254. 2017-01-05 22:12:41.367 |   erlang-parsetools erlang-percept erlang-public-key erlang-runtime-tools
  2255. 2017-01-05 22:12:41.367 |   erlang-snmp erlang-ssh erlang-ssl erlang-syntax-tools erlang-tools
  2256. 2017-01-05 22:12:41.367 |   erlang-webtool erlang-xmerl libodbc1 rabbitmq-server
  2257. 2017-01-05 22:12:41.651 | 0 upgraded, 28 newly installed, 0 to remove and 78 not upgraded.
  2258. 2017-01-05 22:12:41.651 | Need to get 0 B/22.5 MB of archives.
  2259. 2017-01-05 22:12:41.651 | After this operation, 39.8 MB of additional disk space will be used.
  2260. 2017-01-05 22:12:41.768 | Selecting previously unselected package libodbc1:amd64.
  2261. 2017-01-05 22:12:41.812 | (Reading database ... 71796 files and directories currently installed.)
  2262. 2017-01-05 22:12:41.816 | Preparing to unpack .../libodbc1_2.2.14p2-5ubuntu5_amd64.deb ...
  2263. 2017-01-05 22:12:41.833 | Unpacking libodbc1:amd64 (2.2.14p2-5ubuntu5) ...
  2264. 2017-01-05 22:12:42.008 | Selecting previously unselected package erlang-base.
  2265. 2017-01-05 22:12:42.009 | Preparing to unpack .../erlang-base_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2266. 2017-01-05 22:12:42.025 | Unpacking erlang-base (1:16.b.3-dfsg-1ubuntu2.1) ...
  2267. 2017-01-05 22:12:42.840 | Selecting previously unselected package erlang-asn1.
  2268. 2017-01-05 22:12:42.845 | Preparing to unpack .../erlang-asn1_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2269. 2017-01-05 22:12:42.884 | Unpacking erlang-asn1 (1:16.b.3-dfsg-1ubuntu2.1) ...
  2270. 2017-01-05 22:12:43.088 | Selecting previously unselected package erlang-mnesia.
  2271. 2017-01-05 22:12:43.094 | Preparing to unpack .../erlang-mnesia_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2272. 2017-01-05 22:12:43.110 | Unpacking erlang-mnesia (1:16.b.3-dfsg-1ubuntu2.1) ...
  2273. 2017-01-05 22:12:43.308 | Selecting previously unselected package erlang-runtime-tools.
  2274. 2017-01-05 22:12:43.312 | Preparing to unpack .../erlang-runtime-tools_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2275. 2017-01-05 22:12:43.332 | Unpacking erlang-runtime-tools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2276. 2017-01-05 22:12:43.512 | Selecting previously unselected package erlang-crypto.
  2277. 2017-01-05 22:12:43.517 | Preparing to unpack .../erlang-crypto_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2278. 2017-01-05 22:12:43.533 | Unpacking erlang-crypto (1:16.b.3-dfsg-1ubuntu2.1) ...
  2279. 2017-01-05 22:12:43.652 | Selecting previously unselected package erlang-public-key.
  2280. 2017-01-05 22:12:43.657 | Preparing to unpack .../erlang-public-key_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2281. 2017-01-05 22:12:43.684 | Unpacking erlang-public-key (1:16.b.3-dfsg-1ubuntu2.1) ...
  2282. 2017-01-05 22:12:43.840 | Selecting previously unselected package erlang-ssl.
  2283. 2017-01-05 22:12:43.843 | Preparing to unpack .../erlang-ssl_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2284. 2017-01-05 22:12:43.858 | Unpacking erlang-ssl (1:16.b.3-dfsg-1ubuntu2.1) ...
  2285. 2017-01-05 22:12:44.052 | Selecting previously unselected package erlang-inets.
  2286. 2017-01-05 22:12:44.056 | Preparing to unpack .../erlang-inets_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2287. 2017-01-05 22:12:44.076 | Unpacking erlang-inets (1:16.b.3-dfsg-1ubuntu2.1) ...
  2288. 2017-01-05 22:12:44.360 | Selecting previously unselected package erlang-corba.
  2289. 2017-01-05 22:12:44.365 | Preparing to unpack .../erlang-corba_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2290. 2017-01-05 22:12:44.382 | Unpacking erlang-corba (1:16.b.3-dfsg-1ubuntu2.1) ...
  2291. 2017-01-05 22:12:44.893 | Selecting previously unselected package erlang-syntax-tools.
  2292. 2017-01-05 22:12:44.901 | Preparing to unpack .../erlang-syntax-tools_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2293. 2017-01-05 22:12:44.916 | Unpacking erlang-syntax-tools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2294. 2017-01-05 22:12:45.088 | Selecting previously unselected package erlang-diameter.
  2295. 2017-01-05 22:12:45.093 | Preparing to unpack .../erlang-diameter_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2296. 2017-01-05 22:12:45.109 | Unpacking erlang-diameter (1:16.b.3-dfsg-1ubuntu2.1) ...
  2297. 2017-01-05 22:12:45.284 | Selecting previously unselected package erlang-xmerl.
  2298. 2017-01-05 22:12:45.286 | Preparing to unpack .../erlang-xmerl_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2299. 2017-01-05 22:12:45.301 | Unpacking erlang-xmerl (1:16.b.3-dfsg-1ubuntu2.1) ...
  2300. 2017-01-05 22:12:45.511 | Selecting previously unselected package erlang-edoc.
  2301. 2017-01-05 22:12:45.519 | Preparing to unpack .../erlang-edoc_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2302. 2017-01-05 22:12:45.535 | Unpacking erlang-edoc (1:16.b.3-dfsg-1ubuntu2.1) ...
  2303. 2017-01-05 22:12:45.703 | Selecting previously unselected package erlang-eldap.
  2304. 2017-01-05 22:12:45.708 | Preparing to unpack .../erlang-eldap_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2305. 2017-01-05 22:12:45.726 | Unpacking erlang-eldap (1:16.b.3-dfsg-1ubuntu2.1) ...
  2306. 2017-01-05 22:12:45.830 | Selecting previously unselected package erlang-erl-docgen.
  2307. 2017-01-05 22:12:45.835 | Preparing to unpack .../erlang-erl-docgen_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2308. 2017-01-05 22:12:45.849 | Unpacking erlang-erl-docgen (1:16.b.3-dfsg-1ubuntu2.1) ...
  2309. 2017-01-05 22:12:46.003 | Selecting previously unselected package erlang-eunit.
  2310. 2017-01-05 22:12:46.012 | Preparing to unpack .../erlang-eunit_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2311. 2017-01-05 22:12:46.027 | Unpacking erlang-eunit (1:16.b.3-dfsg-1ubuntu2.1) ...
  2312. 2017-01-05 22:12:46.169 | Selecting previously unselected package erlang-ic.
  2313. 2017-01-05 22:12:46.176 | Preparing to unpack .../erlang-ic_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2314. 2017-01-05 22:12:46.191 | Unpacking erlang-ic (1:16.b.3-dfsg-1ubuntu2.1) ...
  2315. 2017-01-05 22:12:46.416 | Selecting previously unselected package erlang-odbc.
  2316. 2017-01-05 22:12:46.425 | Preparing to unpack .../erlang-odbc_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2317. 2017-01-05 22:12:46.442 | Unpacking erlang-odbc (1:16.b.3-dfsg-1ubuntu2.1) ...
  2318. 2017-01-05 22:12:46.558 | Selecting previously unselected package erlang-snmp.
  2319. 2017-01-05 22:12:46.563 | Preparing to unpack .../erlang-snmp_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2320. 2017-01-05 22:12:46.578 | Unpacking erlang-snmp (1:16.b.3-dfsg-1ubuntu2.1) ...
  2321. 2017-01-05 22:12:46.895 | Selecting previously unselected package erlang-os-mon.
  2322. 2017-01-05 22:12:46.901 | Preparing to unpack .../erlang-os-mon_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2323. 2017-01-05 22:12:46.916 | Unpacking erlang-os-mon (1:16.b.3-dfsg-1ubuntu2.1) ...
  2324. 2017-01-05 22:12:47.047 | Selecting previously unselected package erlang-parsetools.
  2325. 2017-01-05 22:12:47.053 | Preparing to unpack .../erlang-parsetools_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2326. 2017-01-05 22:12:47.068 | Unpacking erlang-parsetools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2327. 2017-01-05 22:12:47.206 | Selecting previously unselected package erlang-percept.
  2328. 2017-01-05 22:12:47.211 | Preparing to unpack .../erlang-percept_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2329. 2017-01-05 22:12:47.225 | Unpacking erlang-percept (1:16.b.3-dfsg-1ubuntu2.1) ...
  2330. 2017-01-05 22:12:47.369 | Selecting previously unselected package erlang-ssh.
  2331. 2017-01-05 22:12:47.378 | Preparing to unpack .../erlang-ssh_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2332. 2017-01-05 22:12:47.394 | Unpacking erlang-ssh (1:16.b.3-dfsg-1ubuntu2.1) ...
  2333. 2017-01-05 22:12:47.620 | Selecting previously unselected package erlang-webtool.
  2334. 2017-01-05 22:12:47.627 | Preparing to unpack .../erlang-webtool_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2335. 2017-01-05 22:12:47.648 | Unpacking erlang-webtool (1:16.b.3-dfsg-1ubuntu2.1) ...
  2336. 2017-01-05 22:12:47.794 | Selecting previously unselected package erlang-tools.
  2337. 2017-01-05 22:12:47.802 | Preparing to unpack .../erlang-tools_1%3a16.b.3-dfsg-1ubuntu2.1_amd64.deb ...
  2338. 2017-01-05 22:12:47.820 | Unpacking erlang-tools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2339. 2017-01-05 22:12:48.016 | Selecting previously unselected package erlang-nox.
  2340. 2017-01-05 22:12:48.021 | Preparing to unpack .../erlang-nox_1%3a16.b.3-dfsg-1ubuntu2.1_all.deb ...
  2341. 2017-01-05 22:12:48.049 | Unpacking erlang-nox (1:16.b.3-dfsg-1ubuntu2.1) ...
  2342. 2017-01-05 22:12:48.180 | Selecting previously unselected package rabbitmq-server.
  2343. 2017-01-05 22:12:48.187 | Preparing to unpack .../rabbitmq-server_3.2.4-1_all.deb ...
  2344. 2017-01-05 22:12:48.204 | Unpacking rabbitmq-server (3.2.4-1) ...
  2345. 2017-01-05 22:12:48.702 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  2346. 2017-01-05 22:12:48.962 | Processing triggers for ureadahead (0.100.0-16) ...
  2347. 2017-01-05 22:12:49.062 | Setting up libodbc1:amd64 (2.2.14p2-5ubuntu5) ...
  2348. 2017-01-05 22:12:49.137 | Setting up erlang-base (1:16.b.3-dfsg-1ubuntu2.1) ...
  2349. 2017-01-05 22:12:49.255 | Searching for services which depend on erlang and should be started...none found.
  2350. 2017-01-05 22:12:49.273 | Setting up erlang-asn1 (1:16.b.3-dfsg-1ubuntu2.1) ...
  2351. 2017-01-05 22:12:49.321 | Setting up erlang-mnesia (1:16.b.3-dfsg-1ubuntu2.1) ...
  2352. 2017-01-05 22:12:49.369 | Setting up erlang-runtime-tools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2353. 2017-01-05 22:12:49.429 | Setting up erlang-crypto (1:16.b.3-dfsg-1ubuntu2.1) ...
  2354. 2017-01-05 22:12:49.475 | Setting up erlang-public-key (1:16.b.3-dfsg-1ubuntu2.1) ...
  2355. 2017-01-05 22:12:49.519 | Setting up erlang-ssl (1:16.b.3-dfsg-1ubuntu2.1) ...
  2356. 2017-01-05 22:12:49.561 | Setting up erlang-inets (1:16.b.3-dfsg-1ubuntu2.1) ...
  2357. 2017-01-05 22:12:49.607 | Setting up erlang-corba (1:16.b.3-dfsg-1ubuntu2.1) ...
  2358. 2017-01-05 22:12:49.649 | Setting up erlang-syntax-tools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2359. 2017-01-05 22:12:49.706 | Setting up erlang-diameter (1:16.b.3-dfsg-1ubuntu2.1) ...
  2360. 2017-01-05 22:12:49.939 | Setting up erlang-xmerl (1:16.b.3-dfsg-1ubuntu2.1) ...
  2361. 2017-01-05 22:12:49.994 | Setting up erlang-edoc (1:16.b.3-dfsg-1ubuntu2.1) ...
  2362. 2017-01-05 22:12:50.044 | Setting up erlang-eldap (1:16.b.3-dfsg-1ubuntu2.1) ...
  2363. 2017-01-05 22:12:50.113 | Setting up erlang-erl-docgen (1:16.b.3-dfsg-1ubuntu2.1) ...
  2364. 2017-01-05 22:12:50.171 | Setting up erlang-eunit (1:16.b.3-dfsg-1ubuntu2.1) ...
  2365. 2017-01-05 22:12:50.225 | Setting up erlang-ic (1:16.b.3-dfsg-1ubuntu2.1) ...
  2366. 2017-01-05 22:12:50.282 | Setting up erlang-odbc (1:16.b.3-dfsg-1ubuntu2.1) ...
  2367. 2017-01-05 22:12:50.330 | Setting up erlang-snmp (1:16.b.3-dfsg-1ubuntu2.1) ...
  2368. 2017-01-05 22:12:50.379 | Setting up erlang-os-mon (1:16.b.3-dfsg-1ubuntu2.1) ...
  2369. 2017-01-05 22:12:50.444 | Setting up erlang-parsetools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2370. 2017-01-05 22:12:50.500 | Setting up erlang-percept (1:16.b.3-dfsg-1ubuntu2.1) ...
  2371. 2017-01-05 22:12:50.563 | Setting up erlang-ssh (1:16.b.3-dfsg-1ubuntu2.1) ...
  2372. 2017-01-05 22:12:50.617 | Setting up erlang-webtool (1:16.b.3-dfsg-1ubuntu2.1) ...
  2373. 2017-01-05 22:12:50.669 | Setting up erlang-tools (1:16.b.3-dfsg-1ubuntu2.1) ...
  2374. 2017-01-05 22:12:50.719 | Setting up erlang-nox (1:16.b.3-dfsg-1ubuntu2.1) ...
  2375. 2017-01-05 22:12:50.784 | Setting up rabbitmq-server (3.2.4-1) ...
  2376. 2017-01-05 22:12:50.970 | Adding group `rabbitmq' (GID 119) ...
  2377. 2017-01-05 22:12:51.036 | Done.
  2378. 2017-01-05 22:12:51.106 | Adding system user `rabbitmq' (UID 114) ...
  2379. 2017-01-05 22:12:51.106 | Adding new user `rabbitmq' (UID 114) with group `rabbitmq' ...
  2380. 2017-01-05 22:12:51.215 | Not creating home directory `/var/lib/rabbitmq'.
  2381. 2017-01-05 22:12:51.247 |  * Starting message broker rabbitmq-server
  2382. 2017-01-05 22:12:53.832 |    ...done.
  2383. 2017-01-05 22:12:53.849 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  2384. 2017-01-05 22:12:53.917 | Processing triggers for ureadahead (0.100.0-16) ...
  2385. 2017-01-05 22:12:54.268 | + real_install_package rabbitmq-server
  2386. 2017-01-05 22:12:54.268 | + is_ubuntu
  2387. 2017-01-05 22:12:54.268 | + [[ -z deb ]]
  2388. 2017-01-05 22:12:54.268 | + '[' deb = deb ']'
  2389. 2017-01-05 22:12:54.268 | + apt_get install rabbitmq-server
  2390. 2017-01-05 22:12:54.274 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install rabbitmq-server
  2391. 2017-01-05 22:12:54.305 | Reading package lists...
  2392. 2017-01-05 22:12:54.502 | Building dependency tree...
  2393. 2017-01-05 22:12:54.503 | Reading state information...
  2394. 2017-01-05 22:12:54.670 | rabbitmq-server is already the newest version.
  2395. 2017-01-05 22:12:54.670 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  2396. 2017-01-05 22:12:54.672 | + is_service_enabled mysql postgresql
  2397. 2017-01-05 22:12:54.675 | + return 0
  2398. 2017-01-05 22:12:54.675 | + install_database
  2399. 2017-01-05 22:12:54.675 | + install_database_mysql
  2400. 2017-01-05 22:12:54.675 | + is_ubuntu
  2401. 2017-01-05 22:12:54.675 | + [[ -z deb ]]
  2402. 2017-01-05 22:12:54.675 | + '[' deb = deb ']'
  2403. 2017-01-05 22:12:54.675 | + sudo debconf-set-selections
  2404. 2017-01-05 22:12:54.888 | + [[ ! -e /opt/stack/new/.my.cnf ]]
  2405. 2017-01-05 22:12:54.888 | + cat
  2406. 2017-01-05 22:12:54.890 | + chmod 0600 /opt/stack/new/.my.cnf
  2407. 2017-01-05 22:12:54.892 | + is_suse
  2408. 2017-01-05 22:12:54.892 | + [[ -z Ubuntu ]]
  2409. 2017-01-05 22:12:54.892 | + '[' Ubuntu = openSUSE ']'
  2410. 2017-01-05 22:12:54.892 | + '[' Ubuntu = 'SUSE LINUX' ']'
  2411. 2017-01-05 22:12:54.892 | + is_oraclelinux
  2412. 2017-01-05 22:12:54.892 | + [[ -z Ubuntu ]]
  2413. 2017-01-05 22:12:54.892 | + '[' Ubuntu = OracleLinux ']'
  2414. 2017-01-05 22:12:54.892 | + is_fedora
  2415. 2017-01-05 22:12:54.892 | + [[ -z Ubuntu ]]
  2416. 2017-01-05 22:12:54.892 | + '[' Ubuntu = Fedora ']'
  2417. 2017-01-05 22:12:54.892 | + '[' Ubuntu = 'Red Hat' ']'
  2418. 2017-01-05 22:12:54.892 | + '[' Ubuntu = CentOS ']'
  2419. 2017-01-05 22:12:54.892 | + '[' Ubuntu = OracleLinux ']'
  2420. 2017-01-05 22:12:54.892 | + '[' Ubuntu = CloudLinux ']'
  2421. 2017-01-05 22:12:54.892 | + '[' Ubuntu = kvmibm ']'
  2422. 2017-01-05 22:12:54.892 | + is_ubuntu
  2423. 2017-01-05 22:12:54.892 | + [[ -z deb ]]
  2424. 2017-01-05 22:12:54.892 | + '[' deb = deb ']'
  2425. 2017-01-05 22:12:54.892 | + install_package mysql-server
  2426. 2017-01-05 22:12:54.892 | + update_package_repo
  2427. 2017-01-05 22:12:54.892 | + NO_UPDATE_REPOS=False
  2428. 2017-01-05 22:12:54.892 | + REPOS_UPDATED=True
  2429. 2017-01-05 22:12:54.893 | + RETRY_UPDATE=False
  2430. 2017-01-05 22:12:54.893 | + [[ False = \T\r\u\e ]]
  2431. 2017-01-05 22:12:54.893 | + is_ubuntu
  2432. 2017-01-05 22:12:54.893 | + [[ -z deb ]]
  2433. 2017-01-05 22:12:54.893 | + '[' deb = deb ']'
  2434. 2017-01-05 22:12:54.893 | + apt_get_update
  2435. 2017-01-05 22:12:54.893 | + [[ True == \T\r\u\e ]]
  2436. 2017-01-05 22:12:54.893 | + [[ False != \T\r\u\e ]]
  2437. 2017-01-05 22:12:54.893 | + return
  2438. 2017-01-05 22:12:54.893 | + real_install_package mysql-server
  2439. 2017-01-05 22:12:54.893 | + is_ubuntu
  2440. 2017-01-05 22:12:54.893 | + [[ -z deb ]]
  2441. 2017-01-05 22:12:54.893 | + '[' deb = deb ']'
  2442. 2017-01-05 22:12:54.893 | + apt_get install mysql-server
  2443. 2017-01-05 22:12:54.899 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install mysql-server
  2444. 2017-01-05 22:12:54.918 | Reading package lists...
  2445. 2017-01-05 22:12:55.067 | Building dependency tree...
  2446. 2017-01-05 22:12:55.068 | Reading state information...
  2447. 2017-01-05 22:12:55.178 | mysql-server is already the newest version.
  2448. 2017-01-05 22:12:55.178 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  2449. 2017-01-05 22:12:55.180 | + real_install_package mysql-server
  2450. 2017-01-05 22:12:55.180 | + is_ubuntu
  2451. 2017-01-05 22:12:55.180 | + [[ -z deb ]]
  2452. 2017-01-05 22:12:55.180 | + '[' deb = deb ']'
  2453. 2017-01-05 22:12:55.180 | + apt_get install mysql-server
  2454. 2017-01-05 22:12:55.184 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install mysql-server
  2455. 2017-01-05 22:12:55.198 | Reading package lists...
  2456. 2017-01-05 22:12:55.368 | Building dependency tree...
  2457. 2017-01-05 22:12:55.369 | Reading state information...
  2458. 2017-01-05 22:12:55.505 | mysql-server is already the newest version.
  2459. 2017-01-05 22:12:55.505 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  2460. 2017-01-05 22:12:55.507 | + install_database_python
  2461. 2017-01-05 22:12:55.507 | + install_database_python_mysql
  2462. 2017-01-05 22:12:55.507 | + pip_install_gr PyMySQL
  2463. 2017-01-05 22:12:55.507 | + local name=PyMySQL
  2464. 2017-01-05 22:12:55.507 | ++ get_from_global_requirements PyMySQL
  2465. 2017-01-05 22:12:55.507 | ++ local package=PyMySQL
  2466. 2017-01-05 22:12:55.508 | +++ grep -i -h '^PyMySQL' /opt/stack/new/requirements/global-requirements.txt
  2467. 2017-01-05 22:12:55.508 | +++ cut -d# -f1
  2468. 2017-01-05 22:12:55.510 | ++ local 'required_pkg=PyMySQL>=0.6.2,!=0.7.7  '
  2469. 2017-01-05 22:12:55.510 | ++ [[ PyMySQL>=0.6.2,!=0.7.7   == '' ]]
  2470. 2017-01-05 22:12:55.510 | ++ echo 'PyMySQL>=0.6.2,!=0.7.7'
  2471. 2017-01-05 22:12:55.510 | + local 'clean_name=PyMySQL>=0.6.2,!=0.7.7'
  2472. 2017-01-05 22:12:55.510 | + pip_install 'PyMySQL>=0.6.2,!=0.7.7'
  2473. 2017-01-05 22:12:55.728 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt 'PyMySQL>=0.6.2,!=0.7.7'
  2474. 2017-01-05 22:12:56.122 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2475. 2017-01-05 22:12:56.238 | Collecting PyMySQL===0.6.7 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 16))
  2476. 2017-01-05 22:12:56.291 |   Downloading http://mirror.boi.a10networks.com:81/packages/ba/6e/6424311a769caebf3f164028f4abc835dadd2fffd02c1f5c72b77c5681a0/PyMySQL-0.6.7-py2.py3-none-any.whl (69kB)
  2477. 2017-01-05 22:12:56.312 | Installing collected packages: PyMySQL
  2478. 2017-01-05 22:12:56.396 | Successfully installed PyMySQL-0.6.7
  2479. 2017-01-05 22:12:56.613 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2480. 2017-01-05 22:12:56.614 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2481. 2017-01-05 22:12:56.637 | + local 'test_req=PyMySQL>=0.6.2,!=0.7.7/test-requirements.txt'
  2482. 2017-01-05 22:12:56.637 | + [[ -e PyMySQL>=0.6.2,!=0.7.7/test-requirements.txt ]]
  2483. 2017-01-05 22:12:56.637 | + [[ PyMySQL == \M\y\S\Q\L\-\p\y\t\h\o\n ]]
  2484. 2017-01-05 22:12:56.637 | + [[ PyMySQL == \P\y\M\y\S\Q\L ]]
  2485. 2017-01-05 22:12:56.637 | + ADDITIONAL_VENV_PACKAGES+=,PyMySQL
  2486. 2017-01-05 22:12:56.637 | + is_service_enabled neutron
  2487. 2017-01-05 22:12:56.640 | + return 0
  2488. 2017-01-05 22:12:56.640 | + install_neutron_agent_packages
  2489. 2017-01-05 22:12:56.640 | + is_service_enabled q-l3
  2490. 2017-01-05 22:12:56.644 | + return 0
  2491. 2017-01-05 22:12:56.644 | + install_package radvd
  2492. 2017-01-05 22:12:56.644 | + update_package_repo
  2493. 2017-01-05 22:12:56.644 | + NO_UPDATE_REPOS=False
  2494. 2017-01-05 22:12:56.644 | + REPOS_UPDATED=True
  2495. 2017-01-05 22:12:56.644 | + RETRY_UPDATE=False
  2496. 2017-01-05 22:12:56.644 | + [[ False = \T\r\u\e ]]
  2497. 2017-01-05 22:12:56.644 | + is_ubuntu
  2498. 2017-01-05 22:12:56.644 | + [[ -z deb ]]
  2499. 2017-01-05 22:12:56.644 | + '[' deb = deb ']'
  2500. 2017-01-05 22:12:56.644 | + apt_get_update
  2501. 2017-01-05 22:12:56.644 | + [[ True == \T\r\u\e ]]
  2502. 2017-01-05 22:12:56.644 | + [[ False != \T\r\u\e ]]
  2503. 2017-01-05 22:12:56.644 | + return
  2504. 2017-01-05 22:12:56.644 | + real_install_package radvd
  2505. 2017-01-05 22:12:56.644 | + is_ubuntu
  2506. 2017-01-05 22:12:56.644 | + [[ -z deb ]]
  2507. 2017-01-05 22:12:56.644 | + '[' deb = deb ']'
  2508. 2017-01-05 22:12:56.644 | + apt_get install radvd
  2509. 2017-01-05 22:12:56.647 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install radvd
  2510. 2017-01-05 22:12:56.663 | Reading package lists...
  2511. 2017-01-05 22:12:56.873 | Building dependency tree...
  2512. 2017-01-05 22:12:56.875 | Reading state information...
  2513. 2017-01-05 22:12:57.022 | The following extra packages will be installed:
  2514. 2017-01-05 22:12:57.022 |   libdaemon0
  2515. 2017-01-05 22:12:57.024 | The following NEW packages will be installed:
  2516. 2017-01-05 22:12:57.024 |   libdaemon0 radvd
  2517. 2017-01-05 22:12:57.191 | 0 upgraded, 2 newly installed, 0 to remove and 78 not upgraded.
  2518. 2017-01-05 22:12:57.191 | Need to get 0 B/79.6 kB of archives.
  2519. 2017-01-05 22:12:57.191 | After this operation, 248 kB of additional disk space will be used.
  2520. 2017-01-05 22:12:57.316 | Selecting previously unselected package libdaemon0.
  2521. 2017-01-05 22:12:57.369 | (Reading database ... 73811 files and directories currently installed.)
  2522. 2017-01-05 22:12:57.374 | Preparing to unpack .../libdaemon0_0.14-2ubuntu1_amd64.deb ...
  2523. 2017-01-05 22:12:57.392 | Unpacking libdaemon0 (0.14-2ubuntu1) ...
  2524. 2017-01-05 22:12:57.544 | Selecting previously unselected package radvd.
  2525. 2017-01-05 22:12:57.553 | Preparing to unpack .../radvd_1%3a1.9.1-1.1ubuntu2_amd64.deb ...
  2526. 2017-01-05 22:12:57.570 | Unpacking radvd (1:1.9.1-1.1ubuntu2) ...
  2527. 2017-01-05 22:12:57.729 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  2528. 2017-01-05 22:12:57.896 | Processing triggers for ureadahead (0.100.0-16) ...
  2529. 2017-01-05 22:12:58.001 | Setting up libdaemon0 (0.14-2ubuntu1) ...
  2530. 2017-01-05 22:12:58.086 | Setting up radvd (1:1.9.1-1.1ubuntu2) ...
  2531. 2017-01-05 22:12:58.365 | dpkg-statoverride: warning: --update given but /var/run/radvd does not exist
  2532. 2017-01-05 22:12:58.406 | Starting radvd:
  2533. 2017-01-05 22:12:58.406 | * /etc/radvd.conf does not exist or is empty.
  2534. 2017-01-05 22:12:58.406 | * See /usr/share/doc/radvd/README.Debian
  2535. 2017-01-05 22:12:58.406 | * radvd will *not* be started.
  2536. 2017-01-05 22:12:58.422 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  2537. 2017-01-05 22:12:58.491 | Processing triggers for ureadahead (0.100.0-16) ...
  2538. 2017-01-05 22:12:58.840 | + real_install_package radvd
  2539. 2017-01-05 22:12:58.840 | + is_ubuntu
  2540. 2017-01-05 22:12:58.840 | + [[ -z deb ]]
  2541. 2017-01-05 22:12:58.840 | + '[' deb = deb ']'
  2542. 2017-01-05 22:12:58.840 | + apt_get install radvd
  2543. 2017-01-05 22:12:58.845 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install radvd
  2544. 2017-01-05 22:12:58.860 | Reading package lists...
  2545. 2017-01-05 22:12:59.036 | Building dependency tree...
  2546. 2017-01-05 22:12:59.036 | Reading state information...
  2547. 2017-01-05 22:12:59.164 | radvd is already the newest version.
  2548. 2017-01-05 22:12:59.164 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  2549. 2017-01-05 22:12:59.166 | + is_service_enabled q-agt q-dhcp q-l3
  2550. 2017-01-05 22:12:59.170 | + return 0
  2551. 2017-01-05 22:12:59.170 | + neutron_plugin_install_agent_packages
  2552. 2017-01-05 22:12:59.170 | + _neutron_ovs_base_install_agent_packages
  2553. 2017-01-05 22:12:59.170 | ++ get_packages openvswitch
  2554. 2017-01-05 22:12:59.178 | + install_package fakeroot make openvswitch-switch
  2555. 2017-01-05 22:12:59.179 | + update_package_repo
  2556. 2017-01-05 22:12:59.179 | + NO_UPDATE_REPOS=False
  2557. 2017-01-05 22:12:59.179 | + REPOS_UPDATED=True
  2558. 2017-01-05 22:12:59.179 | + RETRY_UPDATE=False
  2559. 2017-01-05 22:12:59.179 | + [[ False = \T\r\u\e ]]
  2560. 2017-01-05 22:12:59.179 | + is_ubuntu
  2561. 2017-01-05 22:12:59.179 | + [[ -z deb ]]
  2562. 2017-01-05 22:12:59.179 | + '[' deb = deb ']'
  2563. 2017-01-05 22:12:59.179 | + apt_get_update
  2564. 2017-01-05 22:12:59.179 | + [[ True == \T\r\u\e ]]
  2565. 2017-01-05 22:12:59.179 | + [[ False != \T\r\u\e ]]
  2566. 2017-01-05 22:12:59.179 | + return
  2567. 2017-01-05 22:12:59.179 | + real_install_package fakeroot make openvswitch-switch
  2568. 2017-01-05 22:12:59.179 | + is_ubuntu
  2569. 2017-01-05 22:12:59.179 | + [[ -z deb ]]
  2570. 2017-01-05 22:12:59.179 | + '[' deb = deb ']'
  2571. 2017-01-05 22:12:59.179 | + apt_get install fakeroot make openvswitch-switch
  2572. 2017-01-05 22:12:59.183 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install fakeroot make openvswitch-switch
  2573. 2017-01-05 22:12:59.198 | Reading package lists...
  2574. 2017-01-05 22:12:59.377 | Building dependency tree...
  2575. 2017-01-05 22:12:59.378 | Reading state information...
  2576. 2017-01-05 22:12:59.501 | make is already the newest version.
  2577. 2017-01-05 22:12:59.501 | make set to manually installed.
  2578. 2017-01-05 22:12:59.501 | The following extra packages will be installed:
  2579. 2017-01-05 22:12:59.501 |   libfakeroot openvswitch-common
  2580. 2017-01-05 22:12:59.501 | Suggested packages:
  2581. 2017-01-05 22:12:59.501 |   openvswitch-datapath-module
  2582. 2017-01-05 22:12:59.503 | The following NEW packages will be installed:
  2583. 2017-01-05 22:12:59.503 |   fakeroot libfakeroot openvswitch-common openvswitch-switch
  2584. 2017-01-05 22:12:59.681 | 0 upgraded, 4 newly installed, 0 to remove and 78 not upgraded.
  2585. 2017-01-05 22:12:59.681 | Need to get 0 B/1387 kB of archives.
  2586. 2017-01-05 22:12:59.681 | After this operation, 6681 kB of additional disk space will be used.
  2587. 2017-01-05 22:12:59.776 | Selecting previously unselected package libfakeroot:amd64.
  2588. 2017-01-05 22:12:59.835 | (Reading database ... 73831 files and directories currently installed.)
  2589. 2017-01-05 22:12:59.839 | Preparing to unpack .../libfakeroot_1.20-3ubuntu2_amd64.deb ...
  2590. 2017-01-05 22:12:59.857 | Unpacking libfakeroot:amd64 (1.20-3ubuntu2) ...
  2591. 2017-01-05 22:13:00.044 | Selecting previously unselected package fakeroot.
  2592. 2017-01-05 22:13:00.049 | Preparing to unpack .../fakeroot_1.20-3ubuntu2_amd64.deb ...
  2593. 2017-01-05 22:13:00.070 | Unpacking fakeroot (1.20-3ubuntu2) ...
  2594. 2017-01-05 22:13:00.488 | Selecting previously unselected package openvswitch-common.
  2595. 2017-01-05 22:13:00.497 | Preparing to unpack .../openvswitch-common_2.0.2-0ubuntu0.14.04.3_amd64.deb ...
  2596. 2017-01-05 22:13:00.514 | Unpacking openvswitch-common (2.0.2-0ubuntu0.14.04.3) ...
  2597. 2017-01-05 22:13:00.741 | Selecting previously unselected package openvswitch-switch.
  2598. 2017-01-05 22:13:00.748 | Preparing to unpack .../openvswitch-switch_2.0.2-0ubuntu0.14.04.3_amd64.deb ...
  2599. 2017-01-05 22:13:00.769 | Unpacking openvswitch-switch (2.0.2-0ubuntu0.14.04.3) ...
  2600. 2017-01-05 22:13:01.014 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  2601. 2017-01-05 22:13:01.673 | Processing triggers for ureadahead (0.100.0-16) ...
  2602. 2017-01-05 22:13:01.817 | Setting up libfakeroot:amd64 (1.20-3ubuntu2) ...
  2603. 2017-01-05 22:13:01.992 | Setting up fakeroot (1.20-3ubuntu2) ...
  2604. 2017-01-05 22:13:02.118 | update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode
  2605. 2017-01-05 22:13:02.235 | Setting up openvswitch-common (2.0.2-0ubuntu0.14.04.3) ...
  2606. 2017-01-05 22:13:02.382 | Setting up openvswitch-switch (2.0.2-0ubuntu0.14.04.3) ...
  2607. 2017-01-05 22:13:03.366 | openvswitch-switch start/running
  2608. 2017-01-05 22:13:03.399 | Processing triggers for ureadahead (0.100.0-16) ...
  2609. 2017-01-05 22:13:03.770 | + real_install_package fakeroot make openvswitch-switch
  2610. 2017-01-05 22:13:03.770 | + is_ubuntu
  2611. 2017-01-05 22:13:03.770 | + [[ -z deb ]]
  2612. 2017-01-05 22:13:03.770 | + '[' deb = deb ']'
  2613. 2017-01-05 22:13:03.770 | + apt_get install fakeroot make openvswitch-switch
  2614. 2017-01-05 22:13:03.779 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install fakeroot make openvswitch-switch
  2615. 2017-01-05 22:13:03.806 | Reading package lists...
  2616. 2017-01-05 22:13:04.020 | Building dependency tree...
  2617. 2017-01-05 22:13:04.021 | Reading state information...
  2618. 2017-01-05 22:13:04.146 | fakeroot is already the newest version.
  2619. 2017-01-05 22:13:04.146 | make is already the newest version.
  2620. 2017-01-05 22:13:04.146 | openvswitch-switch is already the newest version.
  2621. 2017-01-05 22:13:04.146 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  2622. 2017-01-05 22:13:04.148 | + is_ubuntu
  2623. 2017-01-05 22:13:04.148 | + [[ -z deb ]]
  2624. 2017-01-05 22:13:04.148 | + '[' deb = deb ']'
  2625. 2017-01-05 22:13:04.148 | + _neutron_ovs_base_install_ubuntu_dkms
  2626. 2017-01-05 22:13:04.148 | ++ uname -r
  2627. 2017-01-05 22:13:04.150 | + local kernel_version=3.13.0-95-generic
  2628. 2017-01-05 22:13:04.150 | ++ echo 3.13.0-95-generic
  2629. 2017-01-05 22:13:04.150 | ++ cut -d. -f1-2
  2630. 2017-01-05 22:13:04.152 | + local kernel_major_minor=3.13
  2631. 2017-01-05 22:13:04.153 | ++ vercmp_numbers 3.13 3.13
  2632. 2017-01-05 22:13:04.153 | ++ typeset v1=3.13 v2=3.13 sep
  2633. 2017-01-05 22:13:04.153 | ++ typeset -a ver1 ver2
  2634. 2017-01-05 22:13:04.153 | ++ deprecated 'vercmp_numbers is deprecated for more generic vercmp'
  2635. 2017-01-05 22:13:04.153 | /opt/stack/new/devstack/functions: line 527: deprecated: command not found
  2636. 2017-01-05 22:13:04.154 | ++ IFS=.
  2637. 2017-01-05 22:13:04.154 | ++ read -ra ver1
  2638. 2017-01-05 22:13:04.154 | ++ IFS=.
  2639. 2017-01-05 22:13:04.154 | ++ read -ra ver2
  2640. 2017-01-05 22:13:04.154 | ++ _vercmp_r 2 3 13 3 13
  2641. 2017-01-05 22:13:04.154 | ++ typeset sep
  2642. 2017-01-05 22:13:04.155 | ++ ver1=()
  2643. 2017-01-05 22:13:04.155 | ++ ver2=()
  2644. 2017-01-05 22:13:04.155 | ++ typeset -a ver1 ver2
  2645. 2017-01-05 22:13:04.155 | ++ sep=2
  2646. 2017-01-05 22:13:04.155 | ++ shift
  2647. 2017-01-05 22:13:04.155 | ++ ver1=("${@:1:sep}")
  2648. 2017-01-05 22:13:04.155 | ++ ver2=("${@:sep+1}")
  2649. 2017-01-05 22:13:04.155 | ++ (( ver1 > ver2 ))
  2650. 2017-01-05 22:13:04.155 | ++ (( ver2 > ver1 ))
  2651. 2017-01-05 22:13:04.155 | ++ (( sep <= 1 ))
  2652. 2017-01-05 22:13:04.155 | ++ _vercmp_r 1 13 13
  2653. 2017-01-05 22:13:04.155 | ++ typeset sep
  2654. 2017-01-05 22:13:04.155 | ++ ver1=()
  2655. 2017-01-05 22:13:04.155 | ++ ver2=()
  2656. 2017-01-05 22:13:04.155 | ++ typeset -a ver1 ver2
  2657. 2017-01-05 22:13:04.155 | ++ sep=1
  2658. 2017-01-05 22:13:04.155 | ++ shift
  2659. 2017-01-05 22:13:04.155 | ++ ver1=("${@:1:sep}")
  2660. 2017-01-05 22:13:04.155 | ++ ver2=("${@:sep+1}")
  2661. 2017-01-05 22:13:04.155 | ++ (( ver1 > ver2 ))
  2662. 2017-01-05 22:13:04.155 | ++ (( ver2 > ver1 ))
  2663. 2017-01-05 22:13:04.155 | ++ (( sep <= 1 ))
  2664. 2017-01-05 22:13:04.155 | ++ echo 0
  2665. 2017-01-05 22:13:04.155 | ++ return 0
  2666. 2017-01-05 22:13:04.155 | + '[' 0 -lt 0 ']'
  2667. 2017-01-05 22:13:04.155 | + restart_service openvswitch-switch
  2668. 2017-01-05 22:13:04.155 | + is_ubuntu
  2669. 2017-01-05 22:13:04.155 | + [[ -z deb ]]
  2670. 2017-01-05 22:13:04.155 | + '[' deb = deb ']'
  2671. 2017-01-05 22:13:04.156 | + sudo /usr/sbin/service openvswitch-switch restart
  2672. 2017-01-05 22:13:04.531 | openvswitch-switch stop/waiting
  2673. 2017-01-05 22:13:04.938 | openvswitch-switch start/running
  2674. 2017-01-05 22:13:04.939 | + is_service_enabled q-lbaas
  2675. 2017-01-05 22:13:04.944 | + return 1
  2676. 2017-01-05 22:13:04.944 | + echo_summary 'Installing OpenStack project source'
  2677. 2017-01-05 22:13:04.944 | + [[ -t 3 ]]
  2678. 2017-01-05 22:13:04.944 | + echo -e Installing OpenStack project source
  2679. 2017-01-05 22:13:04.944 | + install_oslo
  2680. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib automaton
  2681. 2017-01-05 22:13:04.944 | + local name=automaton
  2682. 2017-01-05 22:13:04.944 | + use_library_from_git automaton
  2683. 2017-01-05 22:13:04.944 | + local name=automaton
  2684. 2017-01-05 22:13:04.944 | + local enabled=1
  2685. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,automaton, ]]
  2686. 2017-01-05 22:13:04.944 | + return 1
  2687. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib cliff
  2688. 2017-01-05 22:13:04.944 | + local name=cliff
  2689. 2017-01-05 22:13:04.944 | + use_library_from_git cliff
  2690. 2017-01-05 22:13:04.944 | + local name=cliff
  2691. 2017-01-05 22:13:04.944 | + local enabled=1
  2692. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,cliff, ]]
  2693. 2017-01-05 22:13:04.944 | + return 1
  2694. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib debtcollector
  2695. 2017-01-05 22:13:04.944 | + local name=debtcollector
  2696. 2017-01-05 22:13:04.944 | + use_library_from_git debtcollector
  2697. 2017-01-05 22:13:04.944 | + local name=debtcollector
  2698. 2017-01-05 22:13:04.944 | + local enabled=1
  2699. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,debtcollector, ]]
  2700. 2017-01-05 22:13:04.944 | + return 1
  2701. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib futurist
  2702. 2017-01-05 22:13:04.944 | + local name=futurist
  2703. 2017-01-05 22:13:04.944 | + use_library_from_git futurist
  2704. 2017-01-05 22:13:04.944 | + local name=futurist
  2705. 2017-01-05 22:13:04.944 | + local enabled=1
  2706. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,futurist, ]]
  2707. 2017-01-05 22:13:04.944 | + return 1
  2708. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib oslo.cache
  2709. 2017-01-05 22:13:04.944 | + local name=oslo.cache
  2710. 2017-01-05 22:13:04.944 | + use_library_from_git oslo.cache
  2711. 2017-01-05 22:13:04.944 | + local name=oslo.cache
  2712. 2017-01-05 22:13:04.944 | + local enabled=1
  2713. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,oslo.cache, ]]
  2714. 2017-01-05 22:13:04.944 | + return 1
  2715. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib oslo.concurrency
  2716. 2017-01-05 22:13:04.944 | + local name=oslo.concurrency
  2717. 2017-01-05 22:13:04.944 | + use_library_from_git oslo.concurrency
  2718. 2017-01-05 22:13:04.944 | + local name=oslo.concurrency
  2719. 2017-01-05 22:13:04.944 | + local enabled=1
  2720. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,oslo.concurrency, ]]
  2721. 2017-01-05 22:13:04.944 | + return 1
  2722. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib oslo.config
  2723. 2017-01-05 22:13:04.944 | + local name=oslo.config
  2724. 2017-01-05 22:13:04.944 | + use_library_from_git oslo.config
  2725. 2017-01-05 22:13:04.944 | + local name=oslo.config
  2726. 2017-01-05 22:13:04.944 | + local enabled=1
  2727. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,oslo.config, ]]
  2728. 2017-01-05 22:13:04.944 | + return 1
  2729. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib oslo.context
  2730. 2017-01-05 22:13:04.944 | + local name=oslo.context
  2731. 2017-01-05 22:13:04.944 | + use_library_from_git oslo.context
  2732. 2017-01-05 22:13:04.944 | + local name=oslo.context
  2733. 2017-01-05 22:13:04.944 | + local enabled=1
  2734. 2017-01-05 22:13:04.944 | + [[ ,, =~ ,oslo.context, ]]
  2735. 2017-01-05 22:13:04.944 | + return 1
  2736. 2017-01-05 22:13:04.944 | + _do_install_oslo_lib oslo.db
  2737. 2017-01-05 22:13:04.944 | + local name=oslo.db
  2738. 2017-01-05 22:13:04.944 | + use_library_from_git oslo.db
  2739. 2017-01-05 22:13:04.944 | + local name=oslo.db
  2740. 2017-01-05 22:13:04.945 | + local enabled=1
  2741. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.db, ]]
  2742. 2017-01-05 22:13:04.945 | + return 1
  2743. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.i18n
  2744. 2017-01-05 22:13:04.945 | + local name=oslo.i18n
  2745. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.i18n
  2746. 2017-01-05 22:13:04.945 | + local name=oslo.i18n
  2747. 2017-01-05 22:13:04.945 | + local enabled=1
  2748. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.i18n, ]]
  2749. 2017-01-05 22:13:04.945 | + return 1
  2750. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.log
  2751. 2017-01-05 22:13:04.945 | + local name=oslo.log
  2752. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.log
  2753. 2017-01-05 22:13:04.945 | + local name=oslo.log
  2754. 2017-01-05 22:13:04.945 | + local enabled=1
  2755. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.log, ]]
  2756. 2017-01-05 22:13:04.945 | + return 1
  2757. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.messaging
  2758. 2017-01-05 22:13:04.945 | + local name=oslo.messaging
  2759. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.messaging
  2760. 2017-01-05 22:13:04.945 | + local name=oslo.messaging
  2761. 2017-01-05 22:13:04.945 | + local enabled=1
  2762. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.messaging, ]]
  2763. 2017-01-05 22:13:04.945 | + return 1
  2764. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.middleware
  2765. 2017-01-05 22:13:04.945 | + local name=oslo.middleware
  2766. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.middleware
  2767. 2017-01-05 22:13:04.945 | + local name=oslo.middleware
  2768. 2017-01-05 22:13:04.945 | + local enabled=1
  2769. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.middleware, ]]
  2770. 2017-01-05 22:13:04.945 | + return 1
  2771. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.policy
  2772. 2017-01-05 22:13:04.945 | + local name=oslo.policy
  2773. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.policy
  2774. 2017-01-05 22:13:04.945 | + local name=oslo.policy
  2775. 2017-01-05 22:13:04.945 | + local enabled=1
  2776. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.policy, ]]
  2777. 2017-01-05 22:13:04.945 | + return 1
  2778. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.reports
  2779. 2017-01-05 22:13:04.945 | + local name=oslo.reports
  2780. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.reports
  2781. 2017-01-05 22:13:04.945 | + local name=oslo.reports
  2782. 2017-01-05 22:13:04.945 | + local enabled=1
  2783. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.reports, ]]
  2784. 2017-01-05 22:13:04.945 | + return 1
  2785. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.rootwrap
  2786. 2017-01-05 22:13:04.945 | + local name=oslo.rootwrap
  2787. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.rootwrap
  2788. 2017-01-05 22:13:04.945 | + local name=oslo.rootwrap
  2789. 2017-01-05 22:13:04.945 | + local enabled=1
  2790. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.rootwrap, ]]
  2791. 2017-01-05 22:13:04.945 | + return 1
  2792. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.serialization
  2793. 2017-01-05 22:13:04.945 | + local name=oslo.serialization
  2794. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.serialization
  2795. 2017-01-05 22:13:04.945 | + local name=oslo.serialization
  2796. 2017-01-05 22:13:04.945 | + local enabled=1
  2797. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.serialization, ]]
  2798. 2017-01-05 22:13:04.945 | + return 1
  2799. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.service
  2800. 2017-01-05 22:13:04.945 | + local name=oslo.service
  2801. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.service
  2802. 2017-01-05 22:13:04.945 | + local name=oslo.service
  2803. 2017-01-05 22:13:04.945 | + local enabled=1
  2804. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.service, ]]
  2805. 2017-01-05 22:13:04.945 | + return 1
  2806. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.utils
  2807. 2017-01-05 22:13:04.945 | + local name=oslo.utils
  2808. 2017-01-05 22:13:04.945 | + use_library_from_git oslo.utils
  2809. 2017-01-05 22:13:04.945 | + local name=oslo.utils
  2810. 2017-01-05 22:13:04.945 | + local enabled=1
  2811. 2017-01-05 22:13:04.945 | + [[ ,, =~ ,oslo.utils, ]]
  2812. 2017-01-05 22:13:04.945 | + return 1
  2813. 2017-01-05 22:13:04.945 | + _do_install_oslo_lib oslo.versionedobjects
  2814. 2017-01-05 22:13:04.946 | + local name=oslo.versionedobjects
  2815. 2017-01-05 22:13:04.946 | + use_library_from_git oslo.versionedobjects
  2816. 2017-01-05 22:13:04.946 | + local name=oslo.versionedobjects
  2817. 2017-01-05 22:13:04.946 | + local enabled=1
  2818. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,oslo.versionedobjects, ]]
  2819. 2017-01-05 22:13:04.946 | + return 1
  2820. 2017-01-05 22:13:04.946 | + _do_install_oslo_lib oslo.vmware
  2821. 2017-01-05 22:13:04.946 | + local name=oslo.vmware
  2822. 2017-01-05 22:13:04.946 | + use_library_from_git oslo.vmware
  2823. 2017-01-05 22:13:04.946 | + local name=oslo.vmware
  2824. 2017-01-05 22:13:04.946 | + local enabled=1
  2825. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,oslo.vmware, ]]
  2826. 2017-01-05 22:13:04.946 | + return 1
  2827. 2017-01-05 22:13:04.946 | + _do_install_oslo_lib pycadf
  2828. 2017-01-05 22:13:04.946 | + local name=pycadf
  2829. 2017-01-05 22:13:04.946 | + use_library_from_git pycadf
  2830. 2017-01-05 22:13:04.946 | + local name=pycadf
  2831. 2017-01-05 22:13:04.946 | + local enabled=1
  2832. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,pycadf, ]]
  2833. 2017-01-05 22:13:04.946 | + return 1
  2834. 2017-01-05 22:13:04.946 | + _do_install_oslo_lib stevedore
  2835. 2017-01-05 22:13:04.946 | + local name=stevedore
  2836. 2017-01-05 22:13:04.946 | + use_library_from_git stevedore
  2837. 2017-01-05 22:13:04.946 | + local name=stevedore
  2838. 2017-01-05 22:13:04.946 | + local enabled=1
  2839. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,stevedore, ]]
  2840. 2017-01-05 22:13:04.946 | + return 1
  2841. 2017-01-05 22:13:04.946 | + _do_install_oslo_lib taskflow
  2842. 2017-01-05 22:13:04.946 | + local name=taskflow
  2843. 2017-01-05 22:13:04.946 | + use_library_from_git taskflow
  2844. 2017-01-05 22:13:04.946 | + local name=taskflow
  2845. 2017-01-05 22:13:04.946 | + local enabled=1
  2846. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,taskflow, ]]
  2847. 2017-01-05 22:13:04.946 | + return 1
  2848. 2017-01-05 22:13:04.946 | + _do_install_oslo_lib tooz
  2849. 2017-01-05 22:13:04.946 | + local name=tooz
  2850. 2017-01-05 22:13:04.946 | + use_library_from_git tooz
  2851. 2017-01-05 22:13:04.946 | + local name=tooz
  2852. 2017-01-05 22:13:04.946 | + local enabled=1
  2853. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,tooz, ]]
  2854. 2017-01-05 22:13:04.946 | + return 1
  2855. 2017-01-05 22:13:04.946 | + install_keystoneauth
  2856. 2017-01-05 22:13:04.946 | + use_library_from_git keystoneauth
  2857. 2017-01-05 22:13:04.946 | + local name=keystoneauth
  2858. 2017-01-05 22:13:04.946 | + local enabled=1
  2859. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,keystoneauth, ]]
  2860. 2017-01-05 22:13:04.946 | + return 1
  2861. 2017-01-05 22:13:04.946 | + install_keystoneclient
  2862. 2017-01-05 22:13:04.946 | + use_library_from_git python-keystoneclient
  2863. 2017-01-05 22:13:04.946 | + local name=python-keystoneclient
  2864. 2017-01-05 22:13:04.946 | + local enabled=1
  2865. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,python-keystoneclient, ]]
  2866. 2017-01-05 22:13:04.946 | + return 1
  2867. 2017-01-05 22:13:04.946 | + install_glanceclient
  2868. 2017-01-05 22:13:04.946 | + use_library_from_git python-glanceclient
  2869. 2017-01-05 22:13:04.946 | + local name=python-glanceclient
  2870. 2017-01-05 22:13:04.946 | + local enabled=1
  2871. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,python-glanceclient, ]]
  2872. 2017-01-05 22:13:04.946 | + return 1
  2873. 2017-01-05 22:13:04.946 | + install_cinderclient
  2874. 2017-01-05 22:13:04.946 | + use_library_from_git python-cinderclient
  2875. 2017-01-05 22:13:04.946 | + local name=python-cinderclient
  2876. 2017-01-05 22:13:04.946 | + local enabled=1
  2877. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,python-cinderclient, ]]
  2878. 2017-01-05 22:13:04.946 | + return 1
  2879. 2017-01-05 22:13:04.946 | + install_novaclient
  2880. 2017-01-05 22:13:04.946 | + use_library_from_git python-novaclient
  2881. 2017-01-05 22:13:04.946 | + local name=python-novaclient
  2882. 2017-01-05 22:13:04.946 | + local enabled=1
  2883. 2017-01-05 22:13:04.946 | + [[ ,, =~ ,python-novaclient, ]]
  2884. 2017-01-05 22:13:04.946 | + return 1
  2885. 2017-01-05 22:13:04.946 | + is_service_enabled swift glance horizon
  2886. 2017-01-05 22:13:04.948 | + return 0
  2887. 2017-01-05 22:13:04.948 | + install_swiftclient
  2888. 2017-01-05 22:13:04.948 | + use_library_from_git python-swiftclient
  2889. 2017-01-05 22:13:04.948 | + local name=python-swiftclient
  2890. 2017-01-05 22:13:04.948 | + local enabled=1
  2891. 2017-01-05 22:13:04.948 | + [[ ,, =~ ,python-swiftclient, ]]
  2892. 2017-01-05 22:13:04.948 | + return 1
  2893. 2017-01-05 22:13:04.948 | + is_service_enabled neutron nova horizon
  2894. 2017-01-05 22:13:04.951 | + return 0
  2895. 2017-01-05 22:13:04.951 | + install_neutronclient
  2896. 2017-01-05 22:13:04.951 | + use_library_from_git python-neutronclient
  2897. 2017-01-05 22:13:04.951 | + local name=python-neutronclient
  2898. 2017-01-05 22:13:04.951 | + local enabled=1
  2899. 2017-01-05 22:13:04.951 | + [[ ,, =~ ,python-neutronclient, ]]
  2900. 2017-01-05 22:13:04.951 | + return 1
  2901. 2017-01-05 22:13:04.951 | + is_service_enabled heat horizon
  2902. 2017-01-05 22:13:04.953 | + return 0
  2903. 2017-01-05 22:13:04.953 | + install_heatclient
  2904. 2017-01-05 22:13:04.953 | + use_library_from_git python-heatclient
  2905. 2017-01-05 22:13:04.953 | + local name=python-heatclient
  2906. 2017-01-05 22:13:04.953 | + local enabled=1
  2907. 2017-01-05 22:13:04.953 | + [[ ,, =~ ,python-heatclient, ]]
  2908. 2017-01-05 22:13:04.953 | + return 1
  2909. 2017-01-05 22:13:04.953 | + install_keystonemiddleware
  2910. 2017-01-05 22:13:04.953 | + use_library_from_git keystonemiddleware
  2911. 2017-01-05 22:13:04.953 | + local name=keystonemiddleware
  2912. 2017-01-05 22:13:04.953 | + local enabled=1
  2913. 2017-01-05 22:13:04.953 | + [[ ,, =~ ,keystonemiddleware, ]]
  2914. 2017-01-05 22:13:04.953 | + return 1
  2915. 2017-01-05 22:13:04.953 | + pip_install_gr keystonemiddleware
  2916. 2017-01-05 22:13:04.953 | + local name=keystonemiddleware
  2917. 2017-01-05 22:13:04.953 | ++ get_from_global_requirements keystonemiddleware
  2918. 2017-01-05 22:13:04.953 | ++ local package=keystonemiddleware
  2919. 2017-01-05 22:13:04.954 | +++ grep -i -h '^keystonemiddleware' /opt/stack/new/requirements/global-requirements.txt
  2920. 2017-01-05 22:13:04.954 | +++ cut -d# -f1
  2921. 2017-01-05 22:13:04.956 | ++ local 'required_pkg=keystonemiddleware>=2.0.0,!=2.4.0'
  2922. 2017-01-05 22:13:04.956 | ++ [[ keystonemiddleware>=2.0.0,!=2.4.0 == '' ]]
  2923. 2017-01-05 22:13:04.956 | ++ echo 'keystonemiddleware>=2.0.0,!=2.4.0'
  2924. 2017-01-05 22:13:04.956 | + local 'clean_name=keystonemiddleware>=2.0.0,!=2.4.0'
  2925. 2017-01-05 22:13:04.956 | + pip_install 'keystonemiddleware>=2.0.0,!=2.4.0'
  2926. 2017-01-05 22:13:05.128 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt 'keystonemiddleware>=2.0.0,!=2.4.0'
  2927. 2017-01-05 22:13:05.652 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  2928. 2017-01-05 22:13:05.767 | Collecting keystonemiddleware===2.3.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 152))
  2929. 2017-01-05 22:13:05.863 |   Downloading http://mirror.boi.a10networks.com:81/packages/8e/c8/389d80b1fcb27149ed65b3c90d1f83976e660b0750c812dc0b76839db4fd/keystonemiddleware-2.3.1-py2.py3-none-any.whl (101kB)
  2930. 2017-01-05 22:13:05.894 | Collecting oslo.config===2.4.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 191))
  2931. 2017-01-05 22:13:05.942 |   Downloading http://mirror.boi.a10networks.com:81/packages/24/ed/3c51f71c632b26f64b51c2c7ce40d5798d233fbcc195afbec96cfcaffddd/oslo.config-2.4.0-py2.py3-none-any.whl (73kB)
  2932. 2017-01-05 22:13:05.964 | Collecting oslo.context===1.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 192))
  2933. 2017-01-05 22:13:05.989 |   Downloading http://mirror.boi.a10networks.com:81/packages/0d/16/ab2bc689f5b8ed5f74f7e05fe6495e141989afd77d29991c675616b72b1d/oslo.context-1.0.0-py2.py3-none-any.whl
  2934. 2017-01-05 22:13:06.004 | Collecting oslo.i18n===2.6.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 194))
  2935. 2017-01-05 22:13:06.036 |   Downloading http://mirror.boi.a10networks.com:81/packages/9c/f9/ff2bcfa99ae7dfcf5b5743df30055073bd16cbe7cb3a345734032a5f28dc/oslo.i18n-2.6.0-py2.py3-none-any.whl
  2936. 2017-01-05 22:13:06.054 | Collecting oslo.serialization===1.10.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 201))
  2937. 2017-01-05 22:13:06.085 |   Downloading http://mirror.boi.a10networks.com:81/packages/70/47/0cfa4feda188064dae3383272ec97acee04aa8ecf3929817c7703e2e1866/oslo.serialization-1.10.0-py2.py3-none-any.whl
  2938. 2017-01-05 22:13:06.101 | Collecting oslo.utils===2.5.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 203))
  2939. 2017-01-05 22:13:06.153 |   Downloading http://mirror.boi.a10networks.com:81/packages/2d/01/ee23167e5e7b11a9881d262e15b0ee7137e396d3b7d84c298cf2d5ce72eb/oslo.utils-2.5.0-py2.py3-none-any.whl (59kB)
  2940. 2017-01-05 22:13:06.169 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 214))
  2941. 2017-01-05 22:13:06.176 | Collecting pycadf===1.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 228))
  2942. 2017-01-05 22:13:06.200 |   Downloading http://mirror.boi.a10networks.com:81/packages/c3/63/bd53de41ba0a2f0bd6f03a5f555b7ada55403c56ecd48aa654b385a7ebba/pycadf-1.1.0-py2-none-any.whl
  2943. 2017-01-05 22:13:06.220 | Collecting python-keystoneclient===1.7.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 255))
  2944. 2017-01-05 22:13:06.265 |   Downloading http://mirror.boi.a10networks.com:81/packages/82/0e/0d630e72c5f5aaf29c9ace67431b25965dc528a28fc23b65ba6ac19e5381/python_keystoneclient-1.7.2-py2.py3-none-any.whl (430kB)
  2945. 2017-01-05 22:13:06.317 | Requirement already satisfied (use --upgrade to upgrade): pytz===2015.7 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 275))
  2946. 2017-01-05 22:13:06.319 | Collecting requests===2.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 282))
  2947. 2017-01-05 22:13:06.398 |   Downloading http://mirror.boi.a10networks.com:81/packages/c0/0f/a911a44c89ba01b23d8fe3defbdfca1e962de6f11a11da32658902cdc2a4/requests-2.8.1-py2.py3-none-any.whl (497kB)
  2948. 2017-01-05 22:13:06.433 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 298))
  2949. 2017-01-05 22:13:06.440 | Collecting stevedore===1.8.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 307))
  2950. 2017-01-05 22:13:06.472 |   Downloading http://mirror.boi.a10networks.com:81/packages/bb/b6/26bf9536fd3a64be8d30b82e39929273dfa420fc6ca111e1c676b9387b28/stevedore-1.8.0-py2.py3-none-any.whl
  2951. 2017-01-05 22:13:06.493 | Collecting WebOb===1.5.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 25))
  2952. 2017-01-05 22:13:06.531 |   Downloading http://mirror.boi.a10networks.com:81/packages/be/5a/54446f93cdb8a120f6cd4e515814cbedfc049f1e1a1dcab852927641da51/WebOb-1.5.1-py2.py3-none-any.whl (79kB)
  2953. 2017-01-05 22:13:06.546 | Requirement already satisfied (use --upgrade to upgrade): Babel===2.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 1))
  2954. 2017-01-05 22:13:06.547 | Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/local/lib/python2.7/dist-packages (from oslo.config===2.4.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 191))
  2955. 2017-01-05 22:13:06.548 | Collecting netaddr===0.7.18 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 166))
  2956. 2017-01-05 22:13:06.616 |   Downloading http://mirror.boi.a10networks.com:81/packages/04/9c/46c719f026dc87822ccce2530049f3c0865e85307b7ab50beb28008e10c0/netaddr-0.7.18-py2.py3-none-any.whl (1.5MB)
  2957. 2017-01-05 22:13:06.693 | Collecting msgpack-python===0.4.6 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 165))
  2958. 2017-01-05 22:13:06.791 |   Downloading http://mirror.boi.a10networks.com:81/packages/15/ce/ff2840885789ef8035f66cd506ea05bdb228340307d5e71a7b1e3f82224c/msgpack-python-0.4.6.tar.gz (116kB)
  2959. 2017-01-05 22:13:07.253 | Collecting iso8601===0.1.11 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 138))
  2960. 2017-01-05 22:13:07.317 |   Downloading http://mirror.boi.a10networks.com:81/packages/0f/66/c8226c2d105e83c2203a2e47a7eef1b23c4bb3d7ea8d2feadce116ff8f7d/iso8601-0.1.11-py2.py3-none-any.whl
  2961. 2017-01-05 22:13:07.344 | Collecting monotonic===0.4 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 162))
  2962. 2017-01-05 22:13:07.365 |   Downloading http://mirror.boi.a10networks.com:81/packages/6f/8b/66b7c2d721b376e8f13fc22c9219543161fe25289264df6f6ae3fcc2d43d/monotonic-0.4.tar.gz
  2963. 2017-01-05 22:13:07.620 | Collecting netifaces===0.10.4 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 167))
  2964. 2017-01-05 22:13:07.651 |   Downloading http://mirror.boi.a10networks.com:81/packages/18/fa/dd13d4910aea339c0bb87d2b3838d8fd923c11869b1f6e741dbd0ff3bc00/netifaces-0.10.4.tar.gz
  2965. 2017-01-05 22:13:07.901 | Collecting debtcollector===0.8.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 90))
  2966. 2017-01-05 22:13:07.981 |   Downloading http://mirror.boi.a10networks.com:81/packages/a9/10/92e8d400bdc455941082ceccc98eac804ccd9d216877c5e5e6bf73566b6e/debtcollector-0.8.0-py2.py3-none-any.whl
  2967. 2017-01-05 22:13:08.007 | Requirement already satisfied (use --upgrade to upgrade): prettytable===0.7.2 in /usr/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 219))
  2968. 2017-01-05 22:13:08.022 | Collecting wrapt===1.10.6 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 336))
  2969. 2017-01-05 22:13:08.055 |   Downloading http://mirror.boi.a10networks.com:81/packages/0f/94/0862c5e97a818aa6053a1a376364c664aa050e09cb65e18bd11f414c978a/wrapt-1.10.6.tar.gz
  2970. 2017-01-05 22:13:08.364 | Building wheels for collected packages: monotonic, msgpack-python, netifaces, wrapt
  2971. 2017-01-05 22:13:08.365 |   Running setup.py bdist_wheel for monotonic
  2972. 2017-01-05 22:13:08.628 |   Stored in directory: /root/.cache/pip/wheels/4f/6e/e7/876c45705c36448d8bec9bd8f0300352a7679425ab8cace825
  2973. 2017-01-05 22:13:08.633 |   Running setup.py bdist_wheel for msgpack-python
  2974. 2017-01-05 22:13:12.267 |   Stored in directory: /root/.cache/pip/wheels/f3/e8/48/f9df099ffb0a984b35f6cde722ab1bf47b9cebe5b70bd0980c
  2975. 2017-01-05 22:13:12.276 |   Running setup.py bdist_wheel for netifaces
  2976. 2017-01-05 22:13:14.263 |   Stored in directory: /root/.cache/pip/wheels/a5/98/03/45a46b8442dfb3bf519f458ea0d7e660a10ab9caf329e3a68c
  2977. 2017-01-05 22:13:14.268 |   Running setup.py bdist_wheel for wrapt
  2978. 2017-01-05 22:13:15.156 |   Stored in directory: /root/.cache/pip/wheels/a0/d0/af/e6c9ca91f854b6407b309f0b50164646a7c4361280376e94fd
  2979. 2017-01-05 22:13:15.161 | Successfully built monotonic msgpack-python netifaces wrapt
  2980. 2017-01-05 22:13:15.162 | Installing collected packages: WebOb, wrapt, debtcollector, iso8601, msgpack-python, monotonic, oslo.i18n, netifaces, netaddr, oslo.utils, oslo.serialization, stevedore, oslo.config, pycadf, requests, python-keystoneclient, oslo.context, keystonemiddleware
  2981. 2017-01-05 22:13:15.321 |   Found existing installation: netaddr 0.7.10
  2982. 2017-01-05 22:13:15.321 |     DEPRECATION: Uninstalling a distutils installed project (netaddr) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  2983. 2017-01-05 22:13:15.322 |     Uninstalling netaddr-0.7.10:
  2984. 2017-01-05 22:13:15.322 |       Successfully uninstalled netaddr-0.7.10
  2985. 2017-01-05 22:13:15.529 |   Found existing installation: requests 2.12.4
  2986. 2017-01-05 22:13:15.534 |     Uninstalling requests-2.12.4:
  2987. 2017-01-05 22:13:15.547 |       Successfully uninstalled requests-2.12.4
  2988. 2017-01-05 22:13:16.370 | Successfully installed WebOb-1.5.1 debtcollector-0.8.0 iso8601-0.1.11 keystonemiddleware-2.3.1 monotonic-0.4 msgpack-python-0.4.6 netaddr-0.7.18 netifaces-0.10.4 oslo.config-2.4.0 oslo.context-1.0.0 oslo.i18n-2.6.0 oslo.serialization-1.10.0 oslo.utils-2.5.0 pycadf-1.1.0 python-keystoneclient-1.7.2 requests-2.8.1 stevedore-1.8.0 wrapt-1.10.6
  2989. 2017-01-05 22:13:16.579 | You are using pip version 7.1.2, however version 9.0.1 is available.
  2990. 2017-01-05 22:13:16.579 | You should consider upgrading via the 'pip install --upgrade pip' command.
  2991. 2017-01-05 22:13:16.604 | + local 'test_req=keystonemiddleware>=2.0.0,!=2.4.0/test-requirements.txt'
  2992. 2017-01-05 22:13:16.604 | + [[ -e keystonemiddleware>=2.0.0,!=2.4.0/test-requirements.txt ]]
  2993. 2017-01-05 22:13:16.604 | + is_service_enabled keystone
  2994. 2017-01-05 22:13:16.607 | + return 0
  2995. 2017-01-05 22:13:16.607 | + '[' 10.90.55.191 == 10.90.55.191 ']'
  2996. 2017-01-05 22:13:16.607 | + stack_install_service keystone
  2997. 2017-01-05 22:13:16.607 | + local service=keystone
  2998. 2017-01-05 22:13:16.607 | + type install_keystone
  2999. 2017-01-05 22:13:16.607 | + [[ False = True ]]
  3000. 2017-01-05 22:13:16.607 | + install_keystone
  3001. 2017-01-05 22:13:16.607 | + is_service_enabled ldap
  3002. 2017-01-05 22:13:16.609 | + return 1
  3003. 2017-01-05 22:13:16.609 | + pip_install python-memcached
  3004. 2017-01-05 22:13:16.788 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt python-memcached
  3005. 2017-01-05 22:13:17.249 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  3006. 2017-01-05 22:13:17.365 | Collecting python-memcached===1.57 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 259))
  3007. 2017-01-05 22:13:17.410 |   Downloading http://mirror.boi.a10networks.com:81/packages/fb/1b/f089034da61ceb4c6104d584c640f996cf2e1e1a1ae0414c4733a32ffd04/python_memcached-1.57-py2.py3-none-any.whl
  3008. 2017-01-05 22:13:17.424 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 298))
  3009. 2017-01-05 22:13:17.425 | Installing collected packages: python-memcached
  3010. 2017-01-05 22:13:17.454 | Successfully installed python-memcached-1.57
  3011. 2017-01-05 22:13:17.663 | You are using pip version 7.1.2, however version 9.0.1 is available.
  3012. 2017-01-05 22:13:17.663 | You should consider upgrading via the 'pip install --upgrade pip' command.
  3013. 2017-01-05 22:13:17.681 | + local test_req=python-memcached/test-requirements.txt
  3014. 2017-01-05 22:13:17.681 | + [[ -e python-memcached/test-requirements.txt ]]
  3015. 2017-01-05 22:13:17.681 | + git_clone git://git.openstack.org/openstack/keystone.git /opt/stack/new/keystone stable/liberty
  3016. 2017-01-05 22:13:17.681 | + local git_remote=git://git.openstack.org/openstack/keystone.git
  3017. 2017-01-05 22:13:17.681 | + local git_dest=/opt/stack/new/keystone
  3018. 2017-01-05 22:13:17.681 | + local git_ref=stable/liberty
  3019. 2017-01-05 22:13:17.681 | ++ pwd
  3020. 2017-01-05 22:13:17.682 | + local orig_dir=/opt/stack/new/devstack
  3021. 2017-01-05 22:13:17.682 | + local git_clone_flags=
  3022. 2017-01-05 22:13:17.682 | ++ trueorfalse False RECLONE
  3023. 2017-01-05 22:13:17.685 | + RECLONE=False
  3024. 2017-01-05 22:13:17.685 | + [[ 0 -gt 0 ]]
  3025. 2017-01-05 22:13:17.685 | + [[ False = \T\r\u\e ]]
  3026. 2017-01-05 22:13:17.685 | + echo stable/liberty
  3027. 2017-01-05 22:13:17.685 | + egrep -q '^refs'
  3028. 2017-01-05 22:13:17.687 | + [[ ! -d /opt/stack/new/keystone ]]
  3029. 2017-01-05 22:13:17.687 | + [[ False = \T\r\u\e ]]
  3030. 2017-01-05 22:13:17.687 | + cd /opt/stack/new/keystone
  3031. 2017-01-05 22:13:17.687 | + git show --oneline
  3032. 2017-01-05 22:13:17.690 | + head -1
  3033. 2017-01-05 22:13:17.691 | f19f131 Fix the usage of tempest.client.Manager class
  3034. 2017-01-05 22:13:17.691 | + cd /opt/stack/new/devstack
  3035. 2017-01-05 22:13:17.691 | + setup_develop /opt/stack/new/keystone
  3036. 2017-01-05 22:13:17.691 | + local project_dir=/opt/stack/new/keystone
  3037. 2017-01-05 22:13:17.691 | + setup_package_with_constraints_edit /opt/stack/new/keystone -e
  3038. 2017-01-05 22:13:17.691 | + local project_dir=/opt/stack/new/keystone
  3039. 2017-01-05 22:13:17.691 | + local flags=-e
  3040. 2017-01-05 22:13:17.691 | + '[' -n /opt/stack/new/requirements ']'
  3041. 2017-01-05 22:13:17.692 | ++ awk '/^name.*=/ {print $3}' /opt/stack/new/keystone/setup.cfg
  3042. 2017-01-05 22:13:17.693 | + local name=keystone
  3043. 2017-01-05 22:13:17.694 | + /opt/stack/new/requirements/.venv/bin/edit-constraints /opt/stack/new/requirements/upper-constraints.txt -- keystone '-e file:///opt/stack/new/keystone#egg=keystone'
  3044. 2017-01-05 22:13:17.772 | + setup_package /opt/stack/new/keystone -e
  3045. 2017-01-05 22:13:17.772 | + local project_dir=/opt/stack/new/keystone
  3046. 2017-01-05 22:13:17.772 | + local flags=-e
  3047. 2017-01-05 22:13:17.772 | + pip_install -e /opt/stack/new/keystone
  3048. 2017-01-05 22:13:17.982 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -e /opt/stack/new/keystone
  3049. 2017-01-05 22:13:18.445 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  3050. 2017-01-05 22:13:18.554 | Obtaining file:///opt/stack/new/keystone
  3051. 2017-01-05 22:13:19.652 | Requirement already satisfied (use --upgrade to upgrade): Babel===2.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 2))
  3052. 2017-01-05 22:13:19.664 | Collecting Paste===2.0.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 10))
  3053. 2017-01-05 22:13:19.748 |   Downloading http://mirror.boi.a10networks.com:81/packages/13/aa/0d43fa109c73545214af96137bb72d4c858fd14877e7f5dce5c27ca4c692/Paste-2.0.2-py2-none-any.whl (610kB)
  3054. 2017-01-05 22:13:19.809 | Collecting PasteDeploy===1.5.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 11))
  3055. 2017-01-05 22:13:19.831 |   Downloading http://mirror.boi.a10networks.com:81/packages/31/28/51201a54aeecbd02eff767d17050b302f6fd98fdfecb4e3f4c9301ba6ef8/PasteDeploy-1.5.2-py2.py3-none-any.whl
  3056. 2017-01-05 22:13:19.856 | Collecting Routes===2.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 20))
  3057. 2017-01-05 22:13:19.889 |   Downloading http://mirror.boi.a10networks.com:81/packages/22/34/017eb6771d63d5d0fde58d490f4a1a3a911cf2c6b7d7f75a884a3963e5dd/Routes-2.2-py2-none-any.whl (46kB)
  3058. 2017-01-05 22:13:19.915 | Collecting SQLAlchemy===1.0.10 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 21))
  3059. 2017-01-05 22:13:19.982 |   Downloading http://mirror.boi.a10networks.com:81/packages/1e/14/d2923a8c87d8e50e3a7d1654b83ba009f7e766b5706180f7f2c8a4884c1d/SQLAlchemy-1.0.10.tar.gz (4.7MB)
  3060. 2017-01-05 22:13:20.929 | Requirement already satisfied (use --upgrade to upgrade): WebOb===1.5.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 26))
  3061. 2017-01-05 22:13:20.939 | Collecting cryptography===1.1.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 89))
  3062. 2017-01-05 22:13:21.143 |   Downloading http://mirror.boi.a10networks.com:81/packages/41/89/87b58b48121a9f0f7f75f0a2ca5c2e6dc96b434b5940c8214d1c60c618a2/cryptography-1.1.2.tar.gz (349kB)
  3063. 2017-01-05 22:13:21.509 | Collecting dogpile.cache===0.5.7 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 110))
  3064. 2017-01-05 22:13:21.530 |   Downloading http://mirror.boi.a10networks.com:81/packages/07/74/2a83bedf758156d9c95d112691bbad870d3b77ccbcfb781b4ef836ea7d96/dogpile.cache-0.5.7.tar.gz (288kB)
  3065. 2017-01-05 22:13:21.943 | Collecting dogpile.core===0.4.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 111))
  3066. 2017-01-05 22:13:21.960 |   Downloading http://mirror.boi.a10networks.com:81/packages/0e/77/e72abc04c22aedf874301861e5c1e761231c288b5de369c18be8f4b5c9bb/dogpile.core-0.4.1.tar.gz (99kB)
  3067. 2017-01-05 22:13:22.321 | Collecting enum34===1.1.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 114))
  3068. 2017-01-05 22:13:22.349 |   Downloading http://mirror.boi.a10networks.com:81/packages/2a/aa/713a32614841c98a563f6e519205089768910482896a2ac522a6890d1beb/enum34-1.1.1.tar.gz (46kB)
  3069. 2017-01-05 22:13:22.627 | Collecting idna===2.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 134))
  3070. 2017-01-05 22:13:22.643 |   Downloading http://mirror.boi.a10networks.com:81/packages/7c/75/b566d769455929ee6ab308d8a1c6c5aecc4928e72b25d42dd019c99f7015/idna-2.0-py2.py3-none-any.whl (61kB)
  3071. 2017-01-05 22:13:22.665 | Collecting ipaddress===1.0.15 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 136))
  3072. 2017-01-05 22:13:22.688 |   Downloading http://mirror.boi.a10networks.com:81/packages/2e/88/9d24e5e953970af73e058e5a7166c31ffc05a5dfe6439cf97cc86776439d/ipaddress-1.0.15-py27-none-any.whl
  3073. 2017-01-05 22:13:22.715 | Collecting jsonschema===2.5.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 147))
  3074. 2017-01-05 22:13:22.749 |   Downloading http://mirror.boi.a10networks.com:81/packages/bd/cc/5388547ea3504bd8cbf99ba2ae7a3231598f54038e9b228cbd174f8ec6a1/jsonschema-2.5.1-py2.py3-none-any.whl
  3075. 2017-01-05 22:13:22.769 | Requirement already satisfied (use --upgrade to upgrade): keystonemiddleware===2.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 153))
  3076. 2017-01-05 22:13:22.772 | Requirement already satisfied (use --upgrade to upgrade): msgpack-python===0.4.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 166))
  3077. 2017-01-05 22:13:22.785 | Collecting oauthlib===1.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 176))
  3078. 2017-01-05 22:13:22.813 |   Downloading http://mirror.boi.a10networks.com:81/packages/db/73/2a73deac557e3d2489e4aa14d606e20d6a445cd24a1f8661a6b1d26b41c6/oauthlib-1.0.3.tar.gz (109kB)
  3079. 2017-01-05 22:13:23.183 | Collecting oslo.cache===1.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 190))
  3080. 2017-01-05 22:13:23.215 |   Downloading http://mirror.boi.a10networks.com:81/packages/7c/1a/c72234b39a462e5cc54e06b78ea09df695fe76acd88e0ac42cb80f301642/oslo.cache-1.0.0-py2.py3-none-any.whl
  3081. 2017-01-05 22:13:23.239 | Collecting oslo.concurrency===2.6.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 191))
  3082. 2017-01-05 22:13:23.277 |   Downloading http://mirror.boi.a10networks.com:81/packages/10/00/4e86250f4ed677f51f338666b694fc09da1b181a4f0728581eeccc715dae/oslo.concurrency-2.6.1-py2.py3-none-any.whl
  3083. 2017-01-05 22:13:23.291 | Requirement already satisfied (use --upgrade to upgrade): oslo.config===2.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 192))
  3084. 2017-01-05 22:13:23.292 | Requirement already satisfied (use --upgrade to upgrade): oslo.context===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 193))
  3085. 2017-01-05 22:13:23.300 | Collecting oslo.db===2.6.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 194))
  3086. 2017-01-05 22:13:23.352 |   Downloading http://mirror.boi.a10networks.com:81/packages/b4/b1/ca9c245e0a0022a0808ce30aa5132e1fd0e954377d831724375352f29adc/oslo.db-2.6.0-py2-none-any.whl (143kB)
  3087. 2017-01-05 22:13:23.375 | Requirement already satisfied (use --upgrade to upgrade): oslo.i18n===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 195))
  3088. 2017-01-05 22:13:23.385 | Collecting oslo.log===1.11.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 196))
  3089. 2017-01-05 22:13:23.425 |   Downloading http://mirror.boi.a10networks.com:81/packages/d8/42/491ec7d87727ed74167c788390630472feb62e19ab63ec90b908903b87dc/oslo.log-1.11.0-py2.py3-none-any.whl
  3090. 2017-01-05 22:13:23.447 | Collecting oslo.messaging===2.5.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 197))
  3091. 2017-01-05 22:13:23.506 |   Downloading http://mirror.boi.a10networks.com:81/packages/7c/05/2464874723821505bcff6e193b74bc0b336044fa5afce1fe6b394d59a286/oslo.messaging-2.5.0-py2-none-any.whl (216kB)
  3092. 2017-01-05 22:13:23.546 | Collecting oslo.middleware===2.8.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 198))
  3093. 2017-01-05 22:13:23.587 |   Downloading http://mirror.boi.a10networks.com:81/packages/00/8c/775bbcdfc06cc805bd7390b2ca0700bdf5db47766841368005963cc5f116/oslo.middleware-2.8.0-py2.py3-none-any.whl (40kB)
  3094. 2017-01-05 22:13:23.612 | Collecting oslo.policy===0.11.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 199))
  3095. 2017-01-05 22:13:23.643 |   Downloading http://mirror.boi.a10networks.com:81/packages/3e/f8/8f8a5e2a8170bfa1688e8a1416c88c26bb31523ae663201f2247c52df9da/oslo.policy-0.11.0-py2.py3-none-any.whl
  3096. 2017-01-05 22:13:23.657 | Requirement already satisfied (use --upgrade to upgrade): oslo.serialization===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 202))
  3097. 2017-01-05 22:13:23.667 | Collecting oslo.service===0.9.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 203))
  3098. 2017-01-05 22:13:23.698 |   Downloading http://mirror.boi.a10networks.com:81/packages/46/e5/b82593bd6c07a20484546d3f14512edc832eb1c23ca81b179bde6f86b596/oslo.service-0.9.1-py2.py3-none-any.whl (58kB)
  3099. 2017-01-05 22:13:23.716 | Requirement already satisfied (use --upgrade to upgrade): oslo.utils===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 204))
  3100. 2017-01-05 22:13:23.725 | Collecting osprofiler===0.3.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 209))
  3101. 2017-01-05 22:13:23.741 |   Downloading http://mirror.boi.a10networks.com:81/packages/21/33/f10c549c139466506b083d5c3ab82423949b71ce1306d81f3b3ae93a6c25/osprofiler-0.3.1-py2-none-any.whl
  3102. 2017-01-05 22:13:23.763 | Collecting passlib===1.6.5 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 213))
  3103. 2017-01-05 22:13:23.786 |   Downloading http://mirror.boi.a10networks.com:81/packages/2d/a7/1a3363e5d531d438267a79d43d4b8d224655adef489e98fc96678fe16ed1/passlib-1.6.5-py2.py3-none-any.whl (317kB)
  3104. 2017-01-05 22:13:23.818 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 215))
  3105. 2017-01-05 22:13:23.827 | Collecting pyasn1===0.1.9 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 227))
  3106. 2017-01-05 22:13:23.866 |   Downloading http://mirror.boi.a10networks.com:81/packages/69/be/e8946f7867b84b0e61a613f6fd56f63266190b1a470f945178f7cbc4d0ae/pyasn1-0.1.9-py2.py3-none-any.whl
  3107. 2017-01-05 22:13:23.880 | Requirement already satisfied (use --upgrade to upgrade): pycadf===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 229))
  3108. 2017-01-05 22:13:23.889 | Collecting pysaml2===4.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 239))
  3109. 2017-01-05 22:13:23.905 |   Downloading http://mirror.boi.a10networks.com:81/packages/e1/fa/02d86da68af02ecf22e741d8d784b80dd1308b2d378befac345dfa2bba22/pysaml2-4.0.0.tar.gz (13.6MB)
  3110. 2017-01-05 22:13:25.576 | Collecting python-dateutil===2.4.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 249))
  3111. 2017-01-05 22:13:25.598 |   Downloading http://mirror.boi.a10networks.com:81/packages/22/75/666cd70de6a70cc7c6560429340ee7ef08196c93f552428983a808423755/python_dateutil-2.4.2-py2.py3-none-any.whl (188kB)
  3112. 2017-01-05 22:13:25.617 | Requirement already satisfied (use --upgrade to upgrade): python-keystoneclient===1.7.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 256))
  3113. 2017-01-05 22:13:25.619 | Requirement already satisfied (use --upgrade to upgrade): pytz===2015.7 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 276))
  3114. 2017-01-05 22:13:25.628 | Collecting repoze.lru===0.6 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 281))
  3115. 2017-01-05 22:13:25.639 |   Downloading http://mirror.boi.a10networks.com:81/packages/6e/1e/aa15cc90217e086dc8769872c8778b409812ff036bf021b15795638939e4/repoze.lru-0.6.tar.gz
  3116. 2017-01-05 22:13:25.942 | Collecting repoze.who===2.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 282))
  3117. 2017-01-05 22:13:25.963 |   Downloading http://mirror.boi.a10networks.com:81/packages/c8/de/dca780170469d718b1bcf72cf8c5bf9ca2a03284ec37d22ed943daa25794/repoze.who-2.2.tar.gz (308kB)
  3118. 2017-01-05 22:13:26.262 | Requirement already satisfied (use --upgrade to upgrade): requests===2.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 283))
  3119. 2017-01-05 22:13:26.273 | Collecting retrying===1.3.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 289))
  3120. 2017-01-05 22:13:26.286 |   Downloading http://mirror.boi.a10networks.com:81/packages/44/ef/beae4b4ef80902f22e3af073397f079c96969c69b2c7d52a57ea9ae61c9d/retrying-1.3.3.tar.gz
  3121. 2017-01-05 22:13:26.549 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 299))
  3122. 2017-01-05 22:13:26.558 | Collecting sqlalchemy-migrate===0.10.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 306))
  3123. 2017-01-05 22:13:26.581 |   Downloading http://mirror.boi.a10networks.com:81/packages/17/38/e9fcd6466f9d7259c27e727251546e7efae0a83a545e2e7e4f9682d54e57/sqlalchemy_migrate-0.10.0-py2-none-any.whl (108kB)
  3124. 2017-01-05 22:13:26.613 | Collecting sqlparse===0.1.18 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 307))
  3125. 2017-01-05 22:13:26.632 |   Downloading http://mirror.boi.a10networks.com:81/packages/85/7d/0d217b6132f1dd3fd22d1b1fbc16bb9fd951f5c1a3af814bb8a22edc5da3/sqlparse-0.1.18.tar.gz (58kB)
  3126. 2017-01-05 22:13:26.908 | Requirement already satisfied (use --upgrade to upgrade): stevedore===1.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 308))
  3127. 2017-01-05 22:13:26.919 | Collecting testresources===1.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 316))
  3128. 2017-01-05 22:13:26.933 |   Downloading http://mirror.boi.a10networks.com:81/packages/d9/30/220b99a514778056530c3fc8fb10d1f87070047ec2ce029c423a44c79db1/testresources-1.0.0-py2.py3-none-any.whl
  3129. 2017-01-05 22:13:26.953 | Collecting testscenarios===0.5.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 317))
  3130. 2017-01-05 22:13:26.968 |   Downloading http://mirror.boi.a10networks.com:81/packages/da/25/2f10da0d5427989fefa5ab51e697bc02625bbb7de2be3bc8452462efac78/testscenarios-0.5.0-py2.py3-none-any.whl
  3131. 2017-01-05 22:13:26.992 | Requirement already satisfied (use --upgrade to upgrade): testtools===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 318))
  3132. 2017-01-05 22:13:26.995 | Requirement already satisfied (use --upgrade to upgrade): traceback2===1.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 323))
  3133. 2017-01-05 22:13:27.011 | Collecting trollius===2.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 325))
  3134. 2017-01-05 22:13:27.054 |   Downloading http://mirror.boi.a10networks.com:81/packages/12/e0/561130a8992c1e7c4cc343607641e2ccc933b2a0a57e7755062bae7ff3a2/trollius-2.0.tar.gz (273kB)
  3135. 2017-01-05 22:13:27.422 | Requirement already satisfied (use --upgrade to upgrade): unittest2===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 328))
  3136. 2017-01-05 22:13:27.424 | Collecting zope.interface===4.1.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 343))
  3137. 2017-01-05 22:13:27.555 |   Downloading http://mirror.boi.a10networks.com:81/packages/9d/81/2509ca3c6f59080123c1a8a97125eb48414022618cec0e64eb1313727bfe/zope.interface-4.1.3.tar.gz (141kB)
  3138. 2017-01-05 22:13:27.845 | Requirement already satisfied (use --upgrade to upgrade): setuptools in /usr/local/lib/python2.7/dist-packages (from cryptography===1.1.2->-c /opt/stack/new/requirements/upper-constraints.txt (line 89))
  3139. 2017-01-05 22:13:27.856 | Collecting cffi===1.3.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 80))
  3140. 2017-01-05 22:13:28.052 |   Downloading http://mirror.boi.a10networks.com:81/packages/7b/4c/93881d3184d41d83134124366b0ce170074024ecc37cbb11a9f6cdbc6a8f/cffi-1.3.1.tar.gz (351kB)
  3141. 2017-01-05 22:13:28.519 | Collecting functools32===3.2.3.post2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 123))
  3142. 2017-01-05 22:13:28.533 |   Downloading http://mirror.boi.a10networks.com:81/packages/5e/1a/0aa2c8195a204a9f51284018562dea77e25511f02fe924fac202fc012172/functools32-3.2.3-2.zip
  3143. 2017-01-05 22:13:28.808 | Collecting fasteners===0.14.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 118))
  3144. 2017-01-05 22:13:28.834 |   Downloading http://mirror.boi.a10networks.com:81/packages/14/3a/096c7ad18e102d4f219f5dd15951f9728ca5092a3385d2e8f79a7c1e1017/fasteners-0.14.1-py2.py3-none-any.whl
  3145. 2017-01-05 22:13:28.847 | Requirement already satisfied (use --upgrade to upgrade): iso8601===0.1.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 139))
  3146. 2017-01-05 22:13:28.848 | Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/local/lib/python2.7/dist-packages (from oslo.config===2.4.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 192))
  3147. 2017-01-05 22:13:28.848 | Requirement already satisfied (use --upgrade to upgrade): netaddr===0.7.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 167))
  3148. 2017-01-05 22:13:28.858 | Collecting alembic===0.8.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 59))
  3149. 2017-01-05 22:13:28.886 |   Downloading http://mirror.boi.a10networks.com:81/packages/6a/1d/f39b252718c0fef449d5db94d747148e7835ea3f84eb8ba22cf9fa344c8f/alembic-0.8.3.tar.gz (935kB)
  3150. 2017-01-05 22:13:29.301 | Requirement already satisfied (use --upgrade to upgrade): debtcollector===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 91))
  3151. 2017-01-05 22:13:29.311 | Collecting futurist===0.8.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 125))
  3152. 2017-01-05 22:13:29.337 |   Downloading http://mirror.boi.a10networks.com:81/packages/ae/9d/8ad9d7bd74ce865b0263fd0a235b45eadaafe8461ed1f50ed5d3e193913c/futurist-0.8.0-py2.py3-none-any.whl
  3153. 2017-01-05 22:13:29.361 | Collecting greenlet===0.4.9 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 129))
  3154. 2017-01-05 22:13:29.454 |   Downloading http://mirror.boi.a10networks.com:81/packages/4e/3d/9d421539b74e33608b245092870156b2e171fb49f2b51390aa4641eecb4a/greenlet-0.4.9.zip (78kB)
  3155. 2017-01-05 22:13:29.734 | Collecting cachetools===1.1.5 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 75))
  3156. 2017-01-05 22:13:29.762 |   Downloading http://mirror.boi.a10networks.com:81/packages/98/b7/ebd078cf49a73a39a7cc58da13dc679864e2bf957335e5a869c4a0813da6/cachetools-1.1.5-py2.py3-none-any.whl
  3157. 2017-01-05 22:13:29.781 | Collecting kombu===3.0.30 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 154))
  3158. 2017-01-05 22:13:29.896 |   Downloading http://mirror.boi.a10networks.com:81/packages/a5/1f/8c02e99defbb54be092db3605220fd54aa8569b2b931c46337be5a2b1322/kombu-3.0.30-py2.py3-none-any.whl (241kB)
  3159. 2017-01-05 22:13:29.941 | Collecting PyYAML===3.11 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 18))
  3160. 2017-01-05 22:13:29.964 |   Downloading http://mirror.boi.a10networks.com:81/packages/04/60/abfb3a665ee0569b60c89148b7187ddd8a36cb65e254fba945ae1315645d/PyYAML-3.11.zip (371kB)
  3161. 2017-01-05 22:13:30.323 | Collecting amqp===1.4.8 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 60))
  3162. 2017-01-05 22:13:30.354 |   Downloading http://mirror.boi.a10networks.com:81/packages/70/3f/4499bf2984c6a7212036ba8a250e2ab5b4d355ea34c60b5febf366ef42ca/amqp-1.4.8-py2.py3-none-any.whl (51kB)
  3163. 2017-01-05 22:13:30.377 | Collecting eventlet===0.17.4 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  3164. 2017-01-05 22:13:30.397 |   Downloading http://mirror.boi.a10networks.com:81/packages/3a/4d/28e823ad34bcdb16e9e036f73416c304067980b111df50f353c42835e797/eventlet-0.17.4-py2.py3-none-any.whl (136kB)
  3165. 2017-01-05 22:13:30.432 | Collecting aioeventlet===0.4 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 58))
  3166. 2017-01-05 22:13:30.445 |   Downloading http://mirror.boi.a10networks.com:81/packages/65/63/501e18660ffe5d30c2ea856beeab30d41072600d5461beb13ba4bbba35f4/aioeventlet-0.4-py2-none-any.whl
  3167. 2017-01-05 22:13:30.461 | Requirement already satisfied (use --upgrade to upgrade): monotonic===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 163))
  3168. 2017-01-05 22:13:30.461 | Requirement already satisfied (use --upgrade to upgrade): netifaces===0.10.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 168))
  3169. 2017-01-05 22:13:30.470 | Collecting decorator===4.0.6 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 92))
  3170. 2017-01-05 22:13:30.489 |   Downloading http://mirror.boi.a10networks.com:81/packages/33/de/f87b10da4cebbea3f33386cc73e495a2a4a2ddfafaae8d58ac80b4d9494b/decorator-4.0.6-py2.py3-none-any.whl
  3171. 2017-01-05 22:13:30.507 | Collecting pycrypto===2.6.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 231))
  3172. 2017-01-05 22:13:30.520 |   Downloading http://mirror.boi.a10networks.com:81/packages/60/db/645aa9af249f059cc3a368b118de33889219e0362141e75d4eaf6f80f163/pycrypto-2.6.1.tar.gz (446kB)
  3173. 2017-01-05 22:13:30.867 | Collecting pyOpenSSL===0.15.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 225))
  3174. 2017-01-05 22:13:30.896 |   Downloading http://mirror.boi.a10networks.com:81/packages/37/2f/840f2656e4bcf257cb814825bb751a9197ca6f39f1fa036ab111920ac7ef/pyOpenSSL-0.15.1-py2.py3-none-any.whl (102kB)
  3175. 2017-01-05 22:13:30.906 | Requirement already satisfied (use --upgrade to upgrade): prettytable===0.7.2 in /usr/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 220))
  3176. 2017-01-05 22:13:30.916 | Collecting Tempita===0.5.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 24))
  3177. 2017-01-05 22:13:30.930 |   Downloading http://mirror.boi.a10networks.com:81/packages/56/c8/8ed6eee83dbddf7b0fc64dd5d4454bc05e6ccaafff47991f73f2894d9ff4/Tempita-0.5.2.tar.gz
  3178. 2017-01-05 22:13:31.275 | Requirement already satisfied (use --upgrade to upgrade): extras===0.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 116))
  3179. 2017-01-05 22:13:31.275 | Requirement already satisfied (use --upgrade to upgrade): python-mimeparse===0.1.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 261))
  3180. 2017-01-05 22:13:31.276 | Requirement already satisfied (use --upgrade to upgrade): linecache2===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 158))
  3181. 2017-01-05 22:13:31.284 | Collecting futures===3.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 124))
  3182. 2017-01-05 22:13:31.306 |   Downloading http://mirror.boi.a10networks.com:81/packages/26/7d/a7e1130b63514cd7192f0ba0b53bdda7f96df88641ee0c97bfed8477f324/futures-3.0.3-py2-none-any.whl
  3183. 2017-01-05 22:13:31.326 | Collecting pycparser===2.14 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 230))
  3184. 2017-01-05 22:13:31.341 |   Downloading http://mirror.boi.a10networks.com:81/packages/6d/31/666614af3db0acf377876d48688c5d334b6e493b96d21aa7d332169bee50/pycparser-2.14.tar.gz (223kB)
  3185. 2017-01-05 22:13:31.655 | Collecting Mako===1.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 6))
  3186. 2017-01-05 22:13:31.698 |   Downloading http://mirror.boi.a10networks.com:81/packages/36/17/8f76e7acf8679ad70b23e61710152785d32de71a783a873a655f855d0d46/Mako-1.0.3.tar.gz (565kB)
  3187. 2017-01-05 22:13:32.083 | Collecting python-editor===0.5 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 251))
  3188. 2017-01-05 22:13:32.097 |   Downloading http://mirror.boi.a10networks.com:81/packages/70/f4/61ed2565eeb4fa2aa0bd0bd70ae5883edda9f2a1d94e6702be24c6710b7b/python-editor-0.5.tar.gz
  3189. 2017-01-05 22:13:32.356 | Requirement already satisfied (use --upgrade to upgrade): wrapt===1.10.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 337))
  3190. 2017-01-05 22:13:32.366 | Collecting contextlib2===0.4.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 86))
  3191. 2017-01-05 22:13:32.384 |   Downloading http://mirror.boi.a10networks.com:81/packages/f7/b8/1771dd295299daebff372526543a582b667f3a882ea45e81ec0eb497bc5d/contextlib2-0.4.0.tar.gz
  3192. 2017-01-05 22:13:32.715 | Collecting anyjson===0.3.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 61))
  3193. 2017-01-05 22:13:32.732 |   Downloading http://mirror.boi.a10networks.com:81/packages/c3/4d/d4089e1a3dd25b46bebdb55a992b0797cff657b4477bc32ce28038fdecbc/anyjson-0.3.3.tar.gz
  3194. 2017-01-05 22:13:33.015 | Collecting MarkupSafe===0.23 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 7))
  3195. 2017-01-05 22:13:33.032 |   Downloading http://mirror.boi.a10networks.com:81/packages/c0/41/bae1254e0396c0cc8cf1751cb7d9afc90a602353695af5952530482c963f/MarkupSafe-0.23.tar.gz
  3196. 2017-01-05 22:13:33.299 | Building wheels for collected packages: Mako, MarkupSafe, PyYAML, SQLAlchemy, Tempita, alembic, anyjson, cffi, contextlib2, cryptography, dogpile.cache, dogpile.core, enum34, functools32, greenlet, oauthlib, pycparser, pycrypto, pysaml2, python-editor, repoze.lru, repoze.who, retrying, sqlparse, trollius, zope.interface
  3197. 2017-01-05 22:13:33.300 |   Running setup.py bdist_wheel for Mako
  3198. 2017-01-05 22:13:33.664 |   Stored in directory: /root/.cache/pip/wheels/fd/6f/ed/6e0dbe8a4be6276bc65de71a84051bb6e022199809e88c35f2
  3199. 2017-01-05 22:13:33.683 |   Running setup.py bdist_wheel for MarkupSafe
  3200. 2017-01-05 22:13:34.171 |   Stored in directory: /root/.cache/pip/wheels/8b/94/a1/55829e0242ce657624910e6407927c04fac280061d2b450339
  3201. 2017-01-05 22:13:34.175 |   Running setup.py bdist_wheel for PyYAML
  3202. 2017-01-05 22:13:38.488 |   Stored in directory: /root/.cache/pip/wheels/0c/9d/af/d539218301ef8ef8e1189131b4e0faef2070b3835244d539e2
  3203. 2017-01-05 22:13:38.513 |   Running setup.py bdist_wheel for SQLAlchemy
  3204. 2017-01-05 22:13:39.767 |   Stored in directory: /root/.cache/pip/wheels/d2/7e/67/7a20068a7940f29e1e521684fd0ba3ffa33ff0c3edeec7eef1
  3205. 2017-01-05 22:13:39.838 |   Running setup.py bdist_wheel for Tempita
  3206. 2017-01-05 22:13:40.130 |   Stored in directory: /root/.cache/pip/wheels/c1/5a/4b/8c3e31b3111621d2d56eeed010299634514f33fe4089621456
  3207. 2017-01-05 22:13:40.134 |   Running setup.py bdist_wheel for alembic
  3208. 2017-01-05 22:13:40.516 |   Stored in directory: /root/.cache/pip/wheels/4a/0f/50/fc0ffdac35cd086479a2ecd6d43b12e890d0f5be7b0b6fe9ef
  3209. 2017-01-05 22:13:40.536 |   Running setup.py bdist_wheel for anyjson
  3210. 2017-01-05 22:13:40.828 |   Stored in directory: /root/.cache/pip/wheels/74/d0/d6/d295b0586479a9f4d57463db9459f0f07be3221bdbb223c70d
  3211. 2017-01-05 22:13:40.831 |   Running setup.py bdist_wheel for cffi
  3212. 2017-01-05 22:13:43.392 |   Stored in directory: /root/.cache/pip/wheels/f9/e0/f4/7de4b1986da588d24b2459cebec7ac6c5278356423bdb27b54
  3213. 2017-01-05 22:13:43.406 |   Running setup.py bdist_wheel for contextlib2
  3214. 2017-01-05 22:13:43.668 |   Stored in directory: /root/.cache/pip/wheels/81/eb/f2/264e419a9866a6ed3b4be0438232b843949b2e327604348ed1
  3215. 2017-01-05 22:13:43.668 |   Running setup.py bdist_wheel for cryptography
  3216. 2017-01-05 22:14:02.292 |   Stored in directory: /root/.cache/pip/wheels/de/ff/28/f533cb531a103a7d83cd4e98c06c013f7e29ba492c4d62b74d
  3217. 2017-01-05 22:14:02.332 |   Running setup.py bdist_wheel for dogpile.cache
  3218. 2017-01-05 22:14:02.648 |   Stored in directory: /root/.cache/pip/wheels/e1/bb/04/c9f64f8a419c5e00920e759f637c6fd0dc7aad58cfe8cce884
  3219. 2017-01-05 22:14:02.656 |   Running setup.py bdist_wheel for dogpile.core
  3220. 2017-01-05 22:14:02.956 |   Stored in directory: /root/.cache/pip/wheels/c2/c7/d1/27332bf79230cd4009de5afd65ea0522550d0fb34441303dac
  3221. 2017-01-05 22:14:02.962 |   Running setup.py bdist_wheel for enum34
  3222. 2017-01-05 22:14:03.240 |   Stored in directory: /root/.cache/pip/wheels/ec/5a/af/2acdbd743589f9e997e65c9e5ffad75b794d3aaddcf47fabc5
  3223. 2017-01-05 22:14:03.242 |   Running setup.py bdist_wheel for functools32
  3224. 2017-01-05 22:14:03.504 |   Stored in directory: /root/.cache/pip/wheels/35/bd/d8/3d946cba18fb3b37ae1e905a471134cdcd37d08550439916a5
  3225. 2017-01-05 22:14:03.508 |   Running setup.py bdist_wheel for greenlet
  3226. 2017-01-05 22:14:04.228 |   Stored in directory: /root/.cache/pip/wheels/a0/59/de/3f95fc25822c10dfb5b29deba31ce0df60dd2ca72d76bfe4ef
  3227. 2017-01-05 22:14:04.228 |   Running setup.py bdist_wheel for oauthlib
  3228. 2017-01-05 22:14:04.572 |   Stored in directory: /root/.cache/pip/wheels/02/14/71/893a0c32e2bda1e16e32791b2cf299cb292f2b56df49e600e1
  3229. 2017-01-05 22:14:04.585 |   Running setup.py bdist_wheel for pycparser
  3230. 2017-01-05 22:14:05.084 |   Stored in directory: /root/.cache/pip/wheels/66/43/44/753576942d0dfff97969271bcfc33e6408f369885684301df8
  3231. 2017-01-05 22:14:05.099 |   Running setup.py bdist_wheel for pycrypto
  3232. 2017-01-05 22:14:12.110 |   Stored in directory: /root/.cache/pip/wheels/d3/e1/4f/d5d7108596ee31f8a1597b4bffae154b0fe03f60067b4c609d
  3233. 2017-01-05 22:14:12.147 |   Running setup.py bdist_wheel for pysaml2
  3234. 2017-01-05 22:14:12.609 |   Stored in directory: /root/.cache/pip/wheels/37/01/5a/ce454410f9df2989b10427fc8f966256197852fee6901c8f75
  3235. 2017-01-05 22:14:12.679 |   Running setup.py bdist_wheel for python-editor
  3236. 2017-01-05 22:14:13.035 |   Stored in directory: /root/.cache/pip/wheels/34/7d/38/61498adb9f55fc5d85dace0bf228bd45c34168ee2c482689ad
  3237. 2017-01-05 22:14:13.038 |   Running setup.py bdist_wheel for repoze.lru
  3238. 2017-01-05 22:14:13.392 |   Stored in directory: /root/.cache/pip/wheels/ee/37/44/4e45fcccfa5048c7616bcb003b0076a2860410959452d0da96
  3239. 2017-01-05 22:14:13.394 |   Running setup.py bdist_wheel for repoze.who
  3240. 2017-01-05 22:14:13.744 |   Stored in directory: /root/.cache/pip/wheels/07/62/ac/41ba33463e8d22cc23aa55ea34f8814f0c2a6d65b01109d7c2
  3241. 2017-01-05 22:14:13.756 |   Running setup.py bdist_wheel for retrying
  3242. 2017-01-05 22:14:14.048 |   Stored in directory: /root/.cache/pip/wheels/ca/1d/0b/deca67f1ffbe0314f6ac08844559d9a7e2e36ce942b95adbb8
  3243. 2017-01-05 22:14:14.049 |   Running setup.py bdist_wheel for sqlparse
  3244. 2017-01-05 22:14:14.352 |   Stored in directory: /root/.cache/pip/wheels/70/52/c6/1b639aacda21e87d3ffa84aadb20339ad12195930b2a4b3007
  3245. 2017-01-05 22:14:14.359 |   Running setup.py bdist_wheel for trollius
  3246. 2017-01-05 22:14:14.684 |   Stored in directory: /root/.cache/pip/wheels/23/98/3a/5349b9a3e5ba554173b9725fc3f7ef4483ae3ed265d15ab91b
  3247. 2017-01-05 22:14:14.694 |   Running setup.py bdist_wheel for zope.interface
  3248. 2017-01-05 22:14:15.400 |   Stored in directory: /root/.cache/pip/wheels/6b/81/49/247195c1cd889eb887c2014ec71a6dd67e321dc1a2f0f9425c
  3249. 2017-01-05 22:14:15.416 | Successfully built Mako MarkupSafe PyYAML SQLAlchemy Tempita alembic anyjson cffi contextlib2 cryptography dogpile.cache dogpile.core enum34 functools32 greenlet oauthlib pycparser pycrypto pysaml2 python-editor repoze.lru repoze.who retrying sqlparse trollius zope.interface
  3250. 2017-01-05 22:14:15.417 | Installing collected packages: MarkupSafe, Mako, Paste, PasteDeploy, PyYAML, repoze.lru, Routes, SQLAlchemy, Tempita, greenlet, eventlet, futures, trollius, aioeventlet, python-editor, alembic, amqp, anyjson, cachetools, pycparser, cffi, contextlib2, idna, pyasn1, enum34, ipaddress, cryptography, decorator, dogpile.core, dogpile.cache, fasteners, functools32, futurist, jsonschema, kombu, oauthlib, oslo.log, oslo.cache, retrying, oslo.concurrency, sqlparse, sqlalchemy-migrate, testscenarios, testresources, oslo.db, oslo.middleware, oslo.service, oslo.messaging, oslo.policy, osprofiler, passlib, pyOpenSSL, pycrypto, zope.interface, repoze.who, python-dateutil, pysaml2, keystone
  3251. 2017-01-05 22:14:15.683 |   Found existing installation: PyYAML 3.10
  3252. 2017-01-05 22:14:15.683 |     DEPRECATION: Uninstalling a distutils installed project (PyYAML) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  3253. 2017-01-05 22:14:15.683 |     Uninstalling PyYAML-3.10:
  3254. 2017-01-05 22:14:15.683 |       Successfully uninstalled PyYAML-3.10
  3255. 2017-01-05 22:14:17.783 |   Found existing installation: pyOpenSSL 0.13
  3256. 2017-01-05 22:14:17.783 |     DEPRECATION: Uninstalling a distutils installed project (pyOpenSSL) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  3257. 2017-01-05 22:14:17.783 |     Uninstalling pyOpenSSL-0.13:
  3258. 2017-01-05 22:14:17.784 |       Successfully uninstalled pyOpenSSL-0.13
  3259. 2017-01-05 22:14:17.975 |   Found existing installation: zope.interface 4.0.5
  3260. 2017-01-05 22:14:17.977 |     Uninstalling zope.interface-4.0.5:
  3261. 2017-01-05 22:14:17.977 |       Successfully uninstalled zope.interface-4.0.5
  3262. 2017-01-05 22:14:18.423 |   Running setup.py develop for keystone
  3263. 2017-01-05 22:14:21.001 | Successfully installed Mako-1.0.3 MarkupSafe-0.23 Paste-2.0.2 PasteDeploy-1.5.2 PyYAML-3.11 Routes-2.2 SQLAlchemy-1.0.10 Tempita-0.5.2 aioeventlet-0.4 alembic-0.8.3 amqp-1.4.8 anyjson-0.3.3 cachetools-1.1.5 cffi-1.3.1 contextlib2-0.4.0 cryptography-1.1.2 decorator-4.0.6 dogpile.cache-0.5.7 dogpile.core-0.4.1 enum34-1.1.1 eventlet-0.17.4 fasteners-0.14.1 functools32-3.2.3.post2 futures-3.0.3 futurist-0.8.0 greenlet-0.4.9 idna-2.0 ipaddress-1.0.15 jsonschema-2.5.1 keystone kombu-3.0.30 oauthlib-1.0.3 oslo.cache-1.0.0 oslo.concurrency-2.6.1 oslo.db-2.6.0 oslo.log-1.11.0 oslo.messaging-2.5.0 oslo.middleware-2.8.0 oslo.policy-0.11.0 oslo.service-0.9.1 osprofiler-0.3.1 passlib-1.6.5 pyOpenSSL-0.15.1 pyasn1-0.1.9 pycparser-2.14 pycrypto-2.6.1 pysaml2-4.0.0 python-dateutil-2.4.2 python-editor-0.5 repoze.lru-0.6 repoze.who-2.2 retrying-1.3.3 sqlalchemy-migrate-0.10.0 sqlparse-0.1.18 testresources-1.0.0 testscenarios-0.5.0 trollius-2.0 zope.interface-4.1.3
  3264. 2017-01-05 22:14:21.285 | You are using pip version 7.1.2, however version 9.0.1 is available.
  3265. 2017-01-05 22:14:21.285 | You should consider upgrading via the 'pip install --upgrade pip' command.
  3266. 2017-01-05 22:14:21.312 | + local 'test_req=-e /opt/stack/new/keystone/test-requirements.txt'
  3267. 2017-01-05 22:14:21.312 | + [[ -e -e /opt/stack/new/keystone/test-requirements.txt ]]
  3268. 2017-01-05 22:14:21.312 | + [[ -e == \-\e ]]
  3269. 2017-01-05 22:14:21.312 | + safe_chown -R stack /opt/stack/new/keystone/keystone.egg-info
  3270. 2017-01-05 22:14:21.312 | + _safe_permission_operation chown -R stack /opt/stack/new/keystone/keystone.egg-info
  3271. 2017-01-05 22:14:21.316 | + sudo chown -R stack /opt/stack/new/keystone/keystone.egg-info
  3272. 2017-01-05 22:14:21.323 | + '[' True == True ']'
  3273. 2017-01-05 22:14:21.323 | + install_apache_wsgi
  3274. 2017-01-05 22:14:21.323 | + is_ubuntu
  3275. 2017-01-05 22:14:21.323 | + [[ -z deb ]]
  3276. 2017-01-05 22:14:21.323 | + '[' deb = deb ']'
  3277. 2017-01-05 22:14:21.323 | + install_package apache2 libapache2-mod-wsgi
  3278. 2017-01-05 22:14:21.323 | + update_package_repo
  3279. 2017-01-05 22:14:21.323 | + NO_UPDATE_REPOS=False
  3280. 2017-01-05 22:14:21.323 | + REPOS_UPDATED=True
  3281. 2017-01-05 22:14:21.323 | + RETRY_UPDATE=False
  3282. 2017-01-05 22:14:21.324 | + [[ False = \T\r\u\e ]]
  3283. 2017-01-05 22:14:21.324 | + is_ubuntu
  3284. 2017-01-05 22:14:21.324 | + [[ -z deb ]]
  3285. 2017-01-05 22:14:21.324 | + '[' deb = deb ']'
  3286. 2017-01-05 22:14:21.324 | + apt_get_update
  3287. 2017-01-05 22:14:21.324 | + [[ True == \T\r\u\e ]]
  3288. 2017-01-05 22:14:21.324 | + [[ False != \T\r\u\e ]]
  3289. 2017-01-05 22:14:21.324 | + return
  3290. 2017-01-05 22:14:21.324 | + real_install_package apache2 libapache2-mod-wsgi
  3291. 2017-01-05 22:14:21.324 | + is_ubuntu
  3292. 2017-01-05 22:14:21.324 | + [[ -z deb ]]
  3293. 2017-01-05 22:14:21.324 | + '[' deb = deb ']'
  3294. 2017-01-05 22:14:21.324 | + apt_get install apache2 libapache2-mod-wsgi
  3295. 2017-01-05 22:14:21.327 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
  3296. 2017-01-05 22:14:21.338 | Reading package lists...
  3297. 2017-01-05 22:14:21.469 | Building dependency tree...
  3298. 2017-01-05 22:14:21.470 | Reading state information...
  3299. 2017-01-05 22:14:21.555 | The following extra packages will be installed:
  3300. 2017-01-05 22:14:21.555 |   apache2-bin apache2-data libapr1 libaprutil1 libaprutil1-dbd-sqlite3
  3301. 2017-01-05 22:14:21.555 |   libaprutil1-ldap
  3302. 2017-01-05 22:14:21.555 | Suggested packages:
  3303. 2017-01-05 22:14:21.555 |   apache2-doc apache2-suexec-pristine apache2-suexec-custom apache2-utils
  3304. 2017-01-05 22:14:21.556 | The following NEW packages will be installed:
  3305. 2017-01-05 22:14:21.556 |   apache2 apache2-bin apache2-data libapache2-mod-wsgi libapr1 libaprutil1
  3306. 2017-01-05 22:14:21.556 |   libaprutil1-dbd-sqlite3 libaprutil1-ldap
  3307. 2017-01-05 22:14:21.757 | 0 upgraded, 8 newly installed, 0 to remove and 78 not upgraded.
  3308. 2017-01-05 22:14:21.757 | Need to get 0 B/1335 kB of archives.
  3309. 2017-01-05 22:14:21.757 | After this operation, 5492 kB of additional disk space will be used.
  3310. 2017-01-05 22:14:21.896 | Selecting previously unselected package libapr1:amd64.
  3311. 2017-01-05 22:14:21.945 | (Reading database ... 73960 files and directories currently installed.)
  3312. 2017-01-05 22:14:21.949 | Preparing to unpack .../libapr1_1.5.0-1_amd64.deb ...
  3313. 2017-01-05 22:14:21.967 | Unpacking libapr1:amd64 (1.5.0-1) ...
  3314. 2017-01-05 22:14:22.137 | Selecting previously unselected package libaprutil1:amd64.
  3315. 2017-01-05 22:14:22.144 | Preparing to unpack .../libaprutil1_1.5.3-1_amd64.deb ...
  3316. 2017-01-05 22:14:22.161 | Unpacking libaprutil1:amd64 (1.5.3-1) ...
  3317. 2017-01-05 22:14:22.292 | Selecting previously unselected package libaprutil1-dbd-sqlite3:amd64.
  3318. 2017-01-05 22:14:22.292 | Preparing to unpack .../libaprutil1-dbd-sqlite3_1.5.3-1_amd64.deb ...
  3319. 2017-01-05 22:14:22.308 | Unpacking libaprutil1-dbd-sqlite3:amd64 (1.5.3-1) ...
  3320. 2017-01-05 22:14:22.424 | Selecting previously unselected package libaprutil1-ldap:amd64.
  3321. 2017-01-05 22:14:22.433 | Preparing to unpack .../libaprutil1-ldap_1.5.3-1_amd64.deb ...
  3322. 2017-01-05 22:14:22.450 | Unpacking libaprutil1-ldap:amd64 (1.5.3-1) ...
  3323. 2017-01-05 22:14:22.556 | Selecting previously unselected package apache2-bin.
  3324. 2017-01-05 22:14:22.559 | Preparing to unpack .../apache2-bin_2.4.7-1ubuntu4.13_amd64.deb ...
  3325. 2017-01-05 22:14:22.575 | Unpacking apache2-bin (2.4.7-1ubuntu4.13) ...
  3326. 2017-01-05 22:14:22.856 | Selecting previously unselected package apache2-data.
  3327. 2017-01-05 22:14:22.866 | Preparing to unpack .../apache2-data_2.4.7-1ubuntu4.13_all.deb ...
  3328. 2017-01-05 22:14:22.882 | Unpacking apache2-data (2.4.7-1ubuntu4.13) ...
  3329. 2017-01-05 22:14:23.167 | Selecting previously unselected package apache2.
  3330. 2017-01-05 22:14:23.167 | Preparing to unpack .../apache2_2.4.7-1ubuntu4.13_amd64.deb ...
  3331. 2017-01-05 22:14:23.190 | Unpacking apache2 (2.4.7-1ubuntu4.13) ...
  3332. 2017-01-05 22:14:23.492 | Selecting previously unselected package libapache2-mod-wsgi.
  3333. 2017-01-05 22:14:23.499 | Preparing to unpack .../libapache2-mod-wsgi_3.4-4ubuntu2.1.14.04.2_amd64.deb ...
  3334. 2017-01-05 22:14:23.517 | Unpacking libapache2-mod-wsgi (3.4-4ubuntu2.1.14.04.2) ...
  3335. 2017-01-05 22:14:23.627 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  3336. 2017-01-05 22:14:24.136 | Processing triggers for ureadahead (0.100.0-16) ...
  3337. 2017-01-05 22:14:24.173 | Processing triggers for ufw (0.34~rc-0ubuntu2) ...
  3338. 2017-01-05 22:14:24.409 | Setting up libapr1:amd64 (1.5.0-1) ...
  3339. 2017-01-05 22:14:24.504 | Setting up libaprutil1:amd64 (1.5.3-1) ...
  3340. 2017-01-05 22:14:24.578 | Setting up libaprutil1-dbd-sqlite3:amd64 (1.5.3-1) ...
  3341. 2017-01-05 22:14:24.630 | Setting up libaprutil1-ldap:amd64 (1.5.3-1) ...
  3342. 2017-01-05 22:14:24.682 | Setting up apache2-bin (2.4.7-1ubuntu4.13) ...
  3343. 2017-01-05 22:14:24.729 | Setting up apache2-data (2.4.7-1ubuntu4.13) ...
  3344. 2017-01-05 22:14:24.773 | Setting up apache2 (2.4.7-1ubuntu4.13) ...
  3345. 2017-01-05 22:14:27.505 | Enabling module mpm_event.
  3346. 2017-01-05 22:14:27.549 | Enabling module authz_core.
  3347. 2017-01-05 22:14:27.551 | Enabling module authz_host.
  3348. 2017-01-05 22:14:27.581 | Enabling module authn_core.
  3349. 2017-01-05 22:14:27.584 | Enabling module auth_basic.
  3350. 2017-01-05 22:14:27.614 | Enabling module access_compat.
  3351. 2017-01-05 22:14:27.644 | Enabling module authn_file.
  3352. 2017-01-05 22:14:27.674 | Enabling module authz_user.
  3353. 2017-01-05 22:14:27.705 | Enabling module alias.
  3354. 2017-01-05 22:14:27.733 | Enabling module dir.
  3355. 2017-01-05 22:14:27.763 | Enabling module autoindex.
  3356. 2017-01-05 22:14:27.793 | Enabling module env.
  3357. 2017-01-05 22:14:27.824 | Enabling module mime.
  3358. 2017-01-05 22:14:27.854 | Enabling module negotiation.
  3359. 2017-01-05 22:14:27.885 | Enabling module setenvif.
  3360. 2017-01-05 22:14:27.916 | Enabling module filter.
  3361. 2017-01-05 22:14:27.947 | Enabling module deflate.
  3362. 2017-01-05 22:14:28.008 | Enabling module status.
  3363. 2017-01-05 22:14:28.050 | Enabling conf charset.
  3364. 2017-01-05 22:14:28.087 | Enabling conf localized-error-pages.
  3365. 2017-01-05 22:14:28.125 | Enabling conf other-vhosts-access-log.
  3366. 2017-01-05 22:14:28.160 | Enabling conf security.
  3367. 2017-01-05 22:14:28.201 | Enabling conf serve-cgi-bin.
  3368. 2017-01-05 22:14:28.254 | Enabling site 000-default.
  3369. 2017-01-05 22:14:28.313 |  * Starting web server apache2
  3370. 2017-01-05 22:14:28.385 | AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.0.1. Set the 'ServerName' directive globally to suppress this message
  3371. 2017-01-05 22:14:29.391 |  *
  3372. 2017-01-05 22:14:29.440 | Setting up libapache2-mod-wsgi (3.4-4ubuntu2.1.14.04.2) ...
  3373. 2017-01-05 22:14:29.738 | apache2_invoke: Enable module wsgi
  3374. 2017-01-05 22:14:29.805 |  * Restarting web server apache2
  3375. 2017-01-05 22:14:31.006 | AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.0.1. Set the 'ServerName' directive globally to suppress this message
  3376. 2017-01-05 22:14:31.018 |    ...done.
  3377. 2017-01-05 22:14:31.035 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  3378. 2017-01-05 22:14:31.108 | Processing triggers for ureadahead (0.100.0-16) ...
  3379. 2017-01-05 22:14:31.171 | Processing triggers for ufw (0.34~rc-0ubuntu2) ...
  3380. 2017-01-05 22:14:31.670 | + real_install_package apache2 libapache2-mod-wsgi
  3381. 2017-01-05 22:14:31.670 | + is_ubuntu
  3382. 2017-01-05 22:14:31.670 | + [[ -z deb ]]
  3383. 2017-01-05 22:14:31.670 | + '[' deb = deb ']'
  3384. 2017-01-05 22:14:31.670 | + apt_get install apache2 libapache2-mod-wsgi
  3385. 2017-01-05 22:14:31.675 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
  3386. 2017-01-05 22:14:31.692 | Reading package lists...
  3387. 2017-01-05 22:14:31.845 | Building dependency tree...
  3388. 2017-01-05 22:14:31.845 | Reading state information...
  3389. 2017-01-05 22:14:31.967 | apache2 is already the newest version.
  3390. 2017-01-05 22:14:31.967 | libapache2-mod-wsgi is already the newest version.
  3391. 2017-01-05 22:14:31.967 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  3392. 2017-01-05 22:14:31.969 | + sudo a2enmod wsgi
  3393. 2017-01-05 22:14:32.001 | Module wsgi already enabled
  3394. 2017-01-05 22:14:32.002 | + sudo a2enmod version
  3395. 2017-01-05 22:14:32.060 | ERROR: Module version does not exist!
  3396. 2017-01-05 22:14:32.063 | + true
  3397. 2017-01-05 22:14:32.063 | + is_ssl_enabled_service key
  3398. 2017-01-05 22:14:32.063 | + local services=key
  3399. 2017-01-05 22:14:32.063 | + local service=
  3400. 2017-01-05 22:14:32.063 | + '[' False == False ']'
  3401. 2017-01-05 22:14:32.063 | + return 1
  3402. 2017-01-05 22:14:32.063 | + [[ False = True ]]
  3403. 2017-01-05 22:14:32.063 | + configure_keystone
  3404. 2017-01-05 22:14:32.063 | + sudo install -d -o stack /etc/keystone
  3405. 2017-01-05 22:14:32.071 | + [[ /etc/keystone != \/\o\p\t\/\s\t\a\c\k\/\n\e\w\/\k\e\y\s\t\o\n\e\/\e\t\c ]]
  3406. 2017-01-05 22:14:32.071 | + install -m 600 /opt/stack/new/keystone/etc/keystone.conf.sample /etc/keystone/keystone.conf
  3407. 2017-01-05 22:14:32.073 | + cp -p /opt/stack/new/keystone/etc/policy.json /etc/keystone
  3408. 2017-01-05 22:14:32.076 | + [[ -f /opt/stack/new/keystone/etc/keystone-paste.ini ]]
  3409. 2017-01-05 22:14:32.076 | + cp -p /opt/stack/new/keystone/etc/keystone-paste.ini /etc/keystone/keystone-paste.ini
  3410. 2017-01-05 22:14:32.077 | + [[ -f /etc/keystone/keystone-paste.ini ]]
  3411. 2017-01-05 22:14:32.077 | + iniset /etc/keystone/keystone.conf paste_deploy config_file /etc/keystone/keystone-paste.ini
  3412. 2017-01-05 22:14:32.094 | + '[' True == False ']'
  3413. 2017-01-05 22:14:32.094 | + configure_keystone_extensions
  3414. 2017-01-05 22:14:32.094 | + local extension_value
  3415. 2017-01-05 22:14:32.094 | + local api_v3
  3416. 2017-01-05 22:14:32.094 | + local extension
  3417. 2017-01-05 22:14:32.094 | + local api_v3_extension
  3418. 2017-01-05 22:14:32.094 | + is_service_enabled ldap
  3419. 2017-01-05 22:14:32.097 | + return 1
  3420. 2017-01-05 22:14:32.097 | + iniset /etc/keystone/keystone.conf identity driver sql
  3421. 2017-01-05 22:14:32.113 | + iniset /etc/keystone/keystone.conf assignment driver sql
  3422. 2017-01-05 22:14:32.126 | + iniset_rpc_backend keystone /etc/keystone/keystone.conf
  3423. 2017-01-05 22:14:32.126 | + local package=keystone
  3424. 2017-01-05 22:14:32.126 | + local file=/etc/keystone/keystone.conf
  3425. 2017-01-05 22:14:32.126 | + local section=DEFAULT
  3426. 2017-01-05 22:14:32.126 | + is_service_enabled rabbit
  3427. 2017-01-05 22:14:32.128 | + return 0
  3428. 2017-01-05 22:14:32.128 | + iniset /etc/keystone/keystone.conf DEFAULT rpc_backend rabbit
  3429. 2017-01-05 22:14:32.141 | + iniset /etc/keystone/keystone.conf oslo_messaging_rabbit rabbit_hosts 10.90.55.191
  3430. 2017-01-05 22:14:32.154 | + iniset /etc/keystone/keystone.conf oslo_messaging_rabbit rabbit_password secretrabbit
  3431. 2017-01-05 22:14:32.167 | + iniset /etc/keystone/keystone.conf oslo_messaging_rabbit rabbit_userid stackrabbit
  3432. 2017-01-05 22:14:32.180 | + '[' -n '' ']'
  3433. 2017-01-05 22:14:32.180 | + '[' -n '' ']'
  3434. 2017-01-05 22:14:32.180 | + iniset /etc/keystone/keystone.conf eventlet_server admin_bind_host 10.90.55.191
  3435. 2017-01-05 22:14:32.194 | + is_ssl_enabled_service key
  3436. 2017-01-05 22:14:32.194 | + local services=key
  3437. 2017-01-05 22:14:32.194 | + local service=
  3438. 2017-01-05 22:14:32.194 | + '[' False == False ']'
  3439. 2017-01-05 22:14:32.194 | + return 1
  3440. 2017-01-05 22:14:32.194 | + is_service_enabled tls-proxy
  3441. 2017-01-05 22:14:32.196 | + return 1
  3442. 2017-01-05 22:14:32.196 | + iniset /etc/keystone/keystone.conf DEFAULT admin_token 111222333444
  3443. 2017-01-05 22:14:32.209 | + [[ '' != '' ]]
  3444. 2017-01-05 22:14:32.210 | ++ database_connection_url keystone
  3445. 2017-01-05 22:14:32.210 | ++ local db=keystone
  3446. 2017-01-05 22:14:32.210 | ++ database_connection_url_mysql keystone
  3447. 2017-01-05 22:14:32.210 | ++ local db=keystone
  3448. 2017-01-05 22:14:32.210 | ++ echo 'mysql+pymysql://root:secretmysql@127.0.0.1/keystone?charset=utf8'
  3449. 2017-01-05 22:14:32.210 | + iniset /etc/keystone/keystone.conf database connection 'mysql+pymysql://root:secretmysql@127.0.0.1/keystone?charset=utf8'
  3450. 2017-01-05 22:14:32.224 | + iniset /etc/keystone/keystone.conf token driver sql
  3451. 2017-01-05 22:14:32.237 | + iniset /etc/keystone/keystone.conf catalog driver sql
  3452. 2017-01-05 22:14:32.250 | + [[ sql = \s\q\l ]]
  3453. 2017-01-05 22:14:32.250 | + inicomment /etc/keystone/keystone.conf catalog template_file
  3454. 2017-01-05 22:14:32.258 | + '[' False '!=' False ']'
  3455. 2017-01-05 22:14:32.258 | + '[' False == True ']'
  3456. 2017-01-05 22:14:32.258 | + iniset /etc/keystone/keystone.conf DEFAULT debug True
  3457. 2017-01-05 22:14:32.272 | + '[' True == True ']'
  3458. 2017-01-05 22:14:32.273 | + iniset /etc/keystone/keystone.conf DEFAULT logging_context_format_string '%(process)d %(levelname)s %(name)s [%(request_id)s %(user_identity)s] %(instance)s%(message)s'
  3459. 2017-01-05 22:14:32.285 | + iniset /etc/keystone/keystone.conf DEFAULT logging_default_format_string '%(process)d %(levelname)s %(name)s [-] %(instance)s%(message)s'
  3460. 2017-01-05 22:14:32.298 | + iniset /etc/keystone/keystone.conf DEFAULT logging_debug_format_suffix '%(funcName)s %(pathname)s:%(lineno)d'
  3461. 2017-01-05 22:14:32.314 | + iniset /etc/keystone/keystone.conf DEFAULT logging_exception_prefix '%(process)d TRACE %(name)s %(instance)s'
  3462. 2017-01-05 22:14:32.329 | + _config_keystone_apache_wsgi
  3463. 2017-01-05 22:14:32.329 | ++ apache_site_config_for keystone
  3464. 2017-01-05 22:14:32.330 | ++ local site=keystone
  3465. 2017-01-05 22:14:32.330 | ++ is_ubuntu
  3466. 2017-01-05 22:14:32.330 | ++ [[ -z deb ]]
  3467. 2017-01-05 22:14:32.330 | ++ '[' deb = deb ']'
  3468. 2017-01-05 22:14:32.330 | +++ get_apache_version
  3469. 2017-01-05 22:14:32.330 | +++ is_ubuntu
  3470. 2017-01-05 22:14:32.330 | +++ [[ -z deb ]]
  3471. 2017-01-05 22:14:32.330 | +++ '[' deb = deb ']'
  3472. 2017-01-05 22:14:32.331 | ++++ sudo /usr/sbin/apache2ctl -v
  3473. 2017-01-05 22:14:32.332 | ++++ cut -f2 -d/
  3474. 2017-01-05 22:14:32.333 | ++++ awk '/Server version/ {print $3}'
  3475. 2017-01-05 22:14:32.374 | +++ local version_str=2.4.7
  3476. 2017-01-05 22:14:32.374 | +++ [[ 2.4.7 =~ ^2\.2\. ]]
  3477. 2017-01-05 22:14:32.374 | +++ [[ 2.4.7 =~ ^2\.4\. ]]
  3478. 2017-01-05 22:14:32.374 | +++ echo 2.4
  3479. 2017-01-05 22:14:32.374 | ++ local apache_version=2.4
  3480. 2017-01-05 22:14:32.374 | ++ [[ 2.4 == \2\.\2 ]]
  3481. 2017-01-05 22:14:32.374 | ++ echo /etc/apache2/sites-available/keystone.conf
  3482. 2017-01-05 22:14:32.375 | + local keystone_apache_conf=/etc/apache2/sites-available/keystone.conf
  3483. 2017-01-05 22:14:32.375 | + local keystone_ssl=
  3484. 2017-01-05 22:14:32.375 | + local keystone_certfile=
  3485. 2017-01-05 22:14:32.375 | + local keystone_keyfile=
  3486. 2017-01-05 22:14:32.375 | + local keystone_service_port=5000
  3487. 2017-01-05 22:14:32.375 | + local keystone_auth_port=35357
  3488. 2017-01-05 22:14:32.375 | + local venv_path=
  3489. 2017-01-05 22:14:32.375 | + is_ssl_enabled_service key
  3490. 2017-01-05 22:14:32.375 | + local services=key
  3491. 2017-01-05 22:14:32.375 | + local service=
  3492. 2017-01-05 22:14:32.375 | + '[' False == False ']'
  3493. 2017-01-05 22:14:32.375 | + return 1
  3494. 2017-01-05 22:14:32.375 | + is_service_enabled tls-proxy
  3495. 2017-01-05 22:14:32.378 | + return 1
  3496. 2017-01-05 22:14:32.378 | + [[ False = True ]]
  3497. 2017-01-05 22:14:32.378 | + sudo cp /opt/stack/new/devstack/files/apache-keystone.template /etc/apache2/sites-available/keystone.conf
  3498. 2017-01-05 22:14:32.383 | + sudo sed -e '
  3499. 2017-01-05 22:14:32.383 |         s|%PUBLICPORT%|5000|g;
  3500. 2017-01-05 22:14:32.383 |         s|%ADMINPORT%|35357|g;
  3501. 2017-01-05 22:14:32.383 |         s|%APACHE_NAME%|apache2|g;
  3502. 2017-01-05 22:14:32.383 |         s|%SSLENGINE%||g;
  3503. 2017-01-05 22:14:32.383 |         s|%SSLCERTFILE%||g;
  3504. 2017-01-05 22:14:32.383 |         s|%SSLKEYFILE%||g;
  3505. 2017-01-05 22:14:32.383 |         s|%USER%|stack|g;
  3506. 2017-01-05 22:14:32.383 |         s|%VIRTUALENV%||g
  3507. 2017-01-05 22:14:32.383 |         s|%KEYSTONE_BIN%|/usr/local/bin|g
  3508. 2017-01-05 22:14:32.383 |     ' -i /etc/apache2/sites-available/keystone.conf
  3509. 2017-01-05 22:14:32.390 | + iniset /etc/keystone/keystone.conf DEFAULT max_token_size 16384
  3510. 2017-01-05 22:14:32.404 | + iniset /etc/keystone/keystone.conf eventlet_server admin_workers 2
  3511. 2017-01-05 22:14:32.416 | + iniset /etc/keystone/keystone.conf fernet_tokens key_repository /etc/keystone/fernet-keys/
  3512. 2017-01-05 22:14:32.430 | + is_service_enabled s-proxy
  3513. 2017-01-05 22:14:32.433 | + return 1
  3514. 2017-01-05 22:14:32.433 | + is_service_enabled g-api n-api
  3515. 2017-01-05 22:14:32.435 | + return 0
  3516. 2017-01-05 22:14:32.435 | + stack_install_service glance
  3517. 2017-01-05 22:14:32.435 | + local service=glance
  3518. 2017-01-05 22:14:32.435 | + type install_glance
  3519. 2017-01-05 22:14:32.435 | + [[ False = True ]]
  3520. 2017-01-05 22:14:32.436 | + install_glance
  3521. 2017-01-05 22:14:32.436 | + use_library_from_git glance_store
  3522. 2017-01-05 22:14:32.436 | + local name=glance_store
  3523. 2017-01-05 22:14:32.436 | + local enabled=1
  3524. 2017-01-05 22:14:32.436 | + [[ ,, =~ ,glance_store, ]]
  3525. 2017-01-05 22:14:32.436 | + return 1
  3526. 2017-01-05 22:14:32.436 | + git_clone git://git.openstack.org/openstack/glance.git /opt/stack/new/glance stable/liberty
  3527. 2017-01-05 22:14:32.436 | + local git_remote=git://git.openstack.org/openstack/glance.git
  3528. 2017-01-05 22:14:32.436 | + local git_dest=/opt/stack/new/glance
  3529. 2017-01-05 22:14:32.436 | + local git_ref=stable/liberty
  3530. 2017-01-05 22:14:32.436 | ++ pwd
  3531. 2017-01-05 22:14:32.436 | + local orig_dir=/opt/stack/new/devstack
  3532. 2017-01-05 22:14:32.436 | + local git_clone_flags=
  3533. 2017-01-05 22:14:32.436 | ++ trueorfalse False RECLONE
  3534. 2017-01-05 22:14:32.439 | + RECLONE=False
  3535. 2017-01-05 22:14:32.439 | + [[ 0 -gt 0 ]]
  3536. 2017-01-05 22:14:32.439 | + [[ False = \T\r\u\e ]]
  3537. 2017-01-05 22:14:32.439 | + echo stable/liberty
  3538. 2017-01-05 22:14:32.439 | + egrep -q '^refs'
  3539. 2017-01-05 22:14:32.440 | + [[ ! -d /opt/stack/new/glance ]]
  3540. 2017-01-05 22:14:32.441 | + [[ False = \T\r\u\e ]]
  3541. 2017-01-05 22:14:32.441 | + cd /opt/stack/new/glance
  3542. 2017-01-05 22:14:32.441 | + git show --oneline
  3543. 2017-01-05 22:14:32.441 | + head -1
  3544. 2017-01-05 22:14:32.445 | 9496b9d Allow for oslo.concurrency 2.3.0
  3545. 2017-01-05 22:14:32.445 | + cd /opt/stack/new/devstack
  3546. 2017-01-05 22:14:32.445 | + is_service_enabled g-search
  3547. 2017-01-05 22:14:32.447 | + return 1
  3548. 2017-01-05 22:14:32.447 | + setup_develop /opt/stack/new/glance
  3549. 2017-01-05 22:14:32.447 | + local project_dir=/opt/stack/new/glance
  3550. 2017-01-05 22:14:32.447 | + setup_package_with_constraints_edit /opt/stack/new/glance -e
  3551. 2017-01-05 22:14:32.447 | + local project_dir=/opt/stack/new/glance
  3552. 2017-01-05 22:14:32.447 | + local flags=-e
  3553. 2017-01-05 22:14:32.447 | + '[' -n /opt/stack/new/requirements ']'
  3554. 2017-01-05 22:14:32.448 | ++ awk '/^name.*=/ {print $3}' /opt/stack/new/glance/setup.cfg
  3555. 2017-01-05 22:14:32.449 | + local name=glance
  3556. 2017-01-05 22:14:32.449 | + /opt/stack/new/requirements/.venv/bin/edit-constraints /opt/stack/new/requirements/upper-constraints.txt -- glance '-e file:///opt/stack/new/glance#egg=glance'
  3557. 2017-01-05 22:14:32.556 | + setup_package /opt/stack/new/glance -e
  3558. 2017-01-05 22:14:32.556 | + local project_dir=/opt/stack/new/glance
  3559. 2017-01-05 22:14:32.556 | + local flags=-e
  3560. 2017-01-05 22:14:32.556 | + pip_install -e /opt/stack/new/glance
  3561. 2017-01-05 22:14:32.937 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -e /opt/stack/new/glance
  3562. 2017-01-05 22:14:33.642 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  3563. 2017-01-05 22:14:33.750 | Obtaining file:///opt/stack/new/glance
  3564. 2017-01-05 22:14:34.687 | Requirement already satisfied (use --upgrade to upgrade): Paste===2.0.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 10))
  3565. 2017-01-05 22:14:34.688 | Requirement already satisfied (use --upgrade to upgrade): PasteDeploy===1.5.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 11))
  3566. 2017-01-05 22:14:34.689 | Requirement already satisfied (use --upgrade to upgrade): Routes===2.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 20))
  3567. 2017-01-05 22:14:34.690 | Requirement already satisfied (use --upgrade to upgrade): SQLAlchemy===1.0.10 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 21))
  3568. 2017-01-05 22:14:34.716 | Collecting WSME===0.8.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 25))
  3569. 2017-01-05 22:14:34.768 |   Downloading http://mirror.boi.a10networks.com:81/packages/74/5b/7d0a199b778da4619f51e91e3fefcc52398e0f8a0f6e77b1bd4ab6175811/WSME-0.8.0-py2-none-any.whl (89kB)
  3570. 2017-01-05 22:14:34.803 | Requirement already satisfied (use --upgrade to upgrade): WebOb===1.5.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 26))
  3571. 2017-01-05 22:14:34.805 | Requirement already satisfied (use --upgrade to upgrade): anyjson===0.3.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 61))
  3572. 2017-01-05 22:14:34.824 | Collecting castellan===0.3.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 77))
  3573. 2017-01-05 22:14:34.840 |   Downloading http://mirror.boi.a10networks.com:81/packages/c5/03/5b45c0eac09ffc34a9c4bda9c64cbd9c220446a62075e09073d569db9ccb/castellan-0.3.1-py2.py3-none-any.whl (57kB)
  3574. 2017-01-05 22:14:34.876 | Requirement already satisfied (use --upgrade to upgrade): cryptography===1.1.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 89))
  3575. 2017-01-05 22:14:34.878 | Requirement already satisfied (use --upgrade to upgrade): enum34===1.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 114))
  3576. 2017-01-05 22:14:34.880 | Requirement already satisfied (use --upgrade to upgrade): eventlet===0.17.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  3577. 2017-01-05 22:14:34.881 | Requirement already satisfied (use --upgrade to upgrade): futurist===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 125))
  3578. 2017-01-05 22:14:34.901 | Collecting glance-store===0.10.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 127))
  3579. 2017-01-05 22:14:34.935 |   Downloading http://mirror.boi.a10networks.com:81/packages/04/34/e9adee481047e013a870306e5ba47593d6c2bb2ed720b43ee68544504362/glance_store-0.10.0-py2.py3-none-any.whl (126kB)
  3580. 2017-01-05 22:14:34.976 | Requirement already satisfied (use --upgrade to upgrade): greenlet===0.4.9 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 129))
  3581. 2017-01-05 22:14:34.977 | Requirement already satisfied (use --upgrade to upgrade): httplib2===0.9.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 132))
  3582. 2017-01-05 22:14:34.977 | Requirement already satisfied (use --upgrade to upgrade): idna===2.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 134))
  3583. 2017-01-05 22:14:34.978 | Requirement already satisfied (use --upgrade to upgrade): ipaddress===1.0.15 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 136))
  3584. 2017-01-05 22:14:34.979 | Requirement already satisfied (use --upgrade to upgrade): iso8601===0.1.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 139))
  3585. 2017-01-05 22:14:34.979 | Requirement already satisfied (use --upgrade to upgrade): jsonschema===2.5.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 147))
  3586. 2017-01-05 22:14:34.981 | Requirement already satisfied (use --upgrade to upgrade): keystonemiddleware===2.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 154))
  3587. 2017-01-05 22:14:34.983 | Requirement already satisfied (use --upgrade to upgrade): monotonic===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 164))
  3588. 2017-01-05 22:14:34.984 | Requirement already satisfied (use --upgrade to upgrade): netaddr===0.7.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 168))
  3589. 2017-01-05 22:14:34.985 | Requirement already satisfied (use --upgrade to upgrade): oslo.concurrency===2.6.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 192))
  3590. 2017-01-05 22:14:34.987 | Requirement already satisfied (use --upgrade to upgrade): oslo.config===2.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 193))
  3591. 2017-01-05 22:14:34.988 | Requirement already satisfied (use --upgrade to upgrade): oslo.context===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 194))
  3592. 2017-01-05 22:14:34.989 | Requirement already satisfied (use --upgrade to upgrade): oslo.db===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 195))
  3593. 2017-01-05 22:14:34.991 | Requirement already satisfied (use --upgrade to upgrade): oslo.i18n===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 196))
  3594. 2017-01-05 22:14:34.992 | Requirement already satisfied (use --upgrade to upgrade): oslo.log===1.11.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 197))
  3595. 2017-01-05 22:14:34.994 | Requirement already satisfied (use --upgrade to upgrade): oslo.messaging===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 198))
  3596. 2017-01-05 22:14:34.997 | Requirement already satisfied (use --upgrade to upgrade): oslo.middleware===2.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 199))
  3597. 2017-01-05 22:14:34.999 | Requirement already satisfied (use --upgrade to upgrade): oslo.policy===0.11.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 200))
  3598. 2017-01-05 22:14:35.001 | Requirement already satisfied (use --upgrade to upgrade): oslo.serialization===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 203))
  3599. 2017-01-05 22:14:35.002 | Requirement already satisfied (use --upgrade to upgrade): oslo.service===0.9.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 204))
  3600. 2017-01-05 22:14:35.005 | Requirement already satisfied (use --upgrade to upgrade): oslo.utils===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 205))
  3601. 2017-01-05 22:14:35.007 | Requirement already satisfied (use --upgrade to upgrade): osprofiler===0.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 210))
  3602. 2017-01-05 22:14:35.009 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 216))
  3603. 2017-01-05 22:14:35.009 | Requirement already satisfied (use --upgrade to upgrade): pyOpenSSL===0.15.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 226))
  3604. 2017-01-05 22:14:35.010 | Requirement already satisfied (use --upgrade to upgrade): pyasn1===0.1.9 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 228))
  3605. 2017-01-05 22:14:35.011 | Requirement already satisfied (use --upgrade to upgrade): pycadf===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 230))
  3606. 2017-01-05 22:14:35.012 | Requirement already satisfied (use --upgrade to upgrade): pycrypto===2.6.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 232))
  3607. 2017-01-05 22:14:35.012 | Requirement already satisfied (use --upgrade to upgrade): python-keystoneclient===1.7.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 257))
  3608. 2017-01-05 22:14:35.014 | Requirement already satisfied (use --upgrade to upgrade): pytz===2015.7 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 277))
  3609. 2017-01-05 22:14:35.016 | Requirement already satisfied (use --upgrade to upgrade): repoze.lru===0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 282))
  3610. 2017-01-05 22:14:35.016 | Requirement already satisfied (use --upgrade to upgrade): requests===2.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 284))
  3611. 2017-01-05 22:14:35.019 | Requirement already satisfied (use --upgrade to upgrade): retrying===1.3.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 290))
  3612. 2017-01-05 22:14:35.033 | Collecting semantic-version===2.4.2 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 295))
  3613. 2017-01-05 22:14:35.050 |   Downloading http://mirror.boi.a10networks.com:81/packages/eb/d0/f9cd54744c360be93e802152fdc507b672a49909ea52be14cf3adba39280/semantic_version-2.4.2.tar.gz
  3614. 2017-01-05 22:14:35.451 | Collecting simplegeneric===0.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 297))
  3615. 2017-01-05 22:14:35.465 |   Downloading http://mirror.boi.a10networks.com:81/packages/3d/57/4d9c9e3ae9a255cd4e1106bb57e24056d3d0709fc01b2e3e345898e49d5b/simplegeneric-0.8.1.zip
  3616. 2017-01-05 22:14:35.835 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 300))
  3617. 2017-01-05 22:14:35.836 | Requirement already satisfied (use --upgrade to upgrade): sqlalchemy-migrate===0.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 307))
  3618. 2017-01-05 22:14:35.837 | Requirement already satisfied (use --upgrade to upgrade): sqlparse===0.1.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 308))
  3619. 2017-01-05 22:14:35.838 | Requirement already satisfied (use --upgrade to upgrade): stevedore===1.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 309))
  3620. 2017-01-05 22:14:35.853 | Collecting taskflow===1.25.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 313))
  3621. 2017-01-05 22:14:35.894 |   Downloading http://mirror.boi.a10networks.com:81/packages/ed/2d/91d67a01b76dc66114f5c9890cf97adf9887c74216533d7410ec796f21bc/taskflow-1.25.0-py2.py3-none-any.whl (467kB)
  3622. 2017-01-05 22:14:35.957 | Requirement already satisfied (use --upgrade to upgrade): testresources===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 317))
  3623. 2017-01-05 22:14:35.958 | Requirement already satisfied (use --upgrade to upgrade): testscenarios===0.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 318))
  3624. 2017-01-05 22:14:35.959 | Requirement already satisfied (use --upgrade to upgrade): testtools===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 319))
  3625. 2017-01-05 22:14:35.961 | Requirement already satisfied (use --upgrade to upgrade): traceback2===1.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 324))
  3626. 2017-01-05 22:14:35.961 | Requirement already satisfied (use --upgrade to upgrade): trollius===2.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 326))
  3627. 2017-01-05 22:14:35.962 | Requirement already satisfied (use --upgrade to upgrade): unittest2===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 329))
  3628. 2017-01-05 22:14:35.963 | Requirement already satisfied (use --upgrade to upgrade): Babel===2.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 2))
  3629. 2017-01-05 22:14:35.964 | Requirement already satisfied (use --upgrade to upgrade): setuptools in /usr/local/lib/python2.7/dist-packages (from cryptography===1.1.2->-c /opt/stack/new/requirements/upper-constraints.txt (line 89))
  3630. 2017-01-05 22:14:35.965 | Requirement already satisfied (use --upgrade to upgrade): cffi===1.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 80))
  3631. 2017-01-05 22:14:35.966 | Requirement already satisfied (use --upgrade to upgrade): futures===3.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 124))
  3632. 2017-01-05 22:14:35.966 | Requirement already satisfied (use --upgrade to upgrade): contextlib2===0.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 86))
  3633. 2017-01-05 22:14:35.967 | Requirement already satisfied (use --upgrade to upgrade): functools32===3.2.3.post2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 123))
  3634. 2017-01-05 22:14:35.967 | Requirement already satisfied (use --upgrade to upgrade): fasteners===0.14.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 118))
  3635. 2017-01-05 22:14:35.968 | Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/local/lib/python2.7/dist-packages (from oslo.config===2.4.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 193))
  3636. 2017-01-05 22:14:35.968 | Requirement already satisfied (use --upgrade to upgrade): alembic===0.8.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 59))
  3637. 2017-01-05 22:14:35.969 | Requirement already satisfied (use --upgrade to upgrade): debtcollector===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 91))
  3638. 2017-01-05 22:14:35.970 | Requirement already satisfied (use --upgrade to upgrade): cachetools===1.1.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 75))
  3639. 2017-01-05 22:14:35.971 | Requirement already satisfied (use --upgrade to upgrade): kombu===3.0.30 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 155))
  3640. 2017-01-05 22:14:35.972 | Requirement already satisfied (use --upgrade to upgrade): PyYAML===3.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 18))
  3641. 2017-01-05 22:14:35.973 | Requirement already satisfied (use --upgrade to upgrade): amqp===1.4.8 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 60))
  3642. 2017-01-05 22:14:35.974 | Requirement already satisfied (use --upgrade to upgrade): aioeventlet===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 58))
  3643. 2017-01-05 22:14:35.974 | Requirement already satisfied (use --upgrade to upgrade): msgpack-python===0.4.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 167))
  3644. 2017-01-05 22:14:35.975 | Requirement already satisfied (use --upgrade to upgrade): netifaces===0.10.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 169))
  3645. 2017-01-05 22:14:35.976 | Requirement already satisfied (use --upgrade to upgrade): prettytable===0.7.2 in /usr/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 221))
  3646. 2017-01-05 22:14:35.976 | Requirement already satisfied (use --upgrade to upgrade): decorator===4.0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 92))
  3647. 2017-01-05 22:14:35.977 | Requirement already satisfied (use --upgrade to upgrade): Tempita===0.5.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 24))
  3648. 2017-01-05 22:14:35.991 | Collecting networkx===1.10 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 170))
  3649. 2017-01-05 22:14:36.045 |   Downloading http://mirror.boi.a10networks.com:81/packages/cb/fc/9b1c805b9abe249b9ce786d2ac9e6808d7776237d195365d50188a38dc30/networkx-1.10.tar.gz (1.2MB)
  3650. 2017-01-05 22:14:36.685 | Collecting automaton===1.0.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 66))
  3651. 2017-01-05 22:14:36.706 |   Downloading http://mirror.boi.a10networks.com:81/packages/3d/b3/0e499f91d73d991d95d070fe60d30f65ba97b12c2f9d51d68c7f782fdc35/automaton-1.0.0-py2.py3-none-any.whl
  3652. 2017-01-05 22:14:36.724 | Requirement already satisfied (use --upgrade to upgrade): extras===0.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 116))
  3653. 2017-01-05 22:14:36.724 | Requirement already satisfied (use --upgrade to upgrade): python-mimeparse===0.1.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 262))
  3654. 2017-01-05 22:14:36.725 | Requirement already satisfied (use --upgrade to upgrade): linecache2===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 159))
  3655. 2017-01-05 22:14:36.725 | Requirement already satisfied (use --upgrade to upgrade): pycparser===2.14 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 231))
  3656. 2017-01-05 22:14:36.726 | Requirement already satisfied (use --upgrade to upgrade): python-editor===0.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 252))
  3657. 2017-01-05 22:14:36.726 | Requirement already satisfied (use --upgrade to upgrade): Mako===1.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 6))
  3658. 2017-01-05 22:14:36.727 | Requirement already satisfied (use --upgrade to upgrade): wrapt===1.10.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 338))
  3659. 2017-01-05 22:14:36.727 | Requirement already satisfied (use --upgrade to upgrade): MarkupSafe===0.23 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 7))
  3660. 2017-01-05 22:14:36.729 | Building wheels for collected packages: networkx, semantic-version, simplegeneric
  3661. 2017-01-05 22:14:36.729 |   Running setup.py bdist_wheel for networkx
  3662. 2017-01-05 22:14:37.593 |   Stored in directory: /root/.cache/pip/wheels/7c/bf/55/eb2fc4b8a5e61d7a739328555e43f553dad035383d9a2ad159
  3663. 2017-01-05 22:14:37.686 |   Running setup.py bdist_wheel for semantic-version
  3664. 2017-01-05 22:14:38.088 |   Stored in directory: /root/.cache/pip/wheels/26/d3/bb/22c8c2c42d70628a3f7ef4252ffe821d2fa2d8a3062c97574e
  3665. 2017-01-05 22:14:38.091 |   Running setup.py bdist_wheel for simplegeneric
  3666. 2017-01-05 22:14:38.480 |   Stored in directory: /root/.cache/pip/wheels/cf/8d/8b/27ea1b8f49b23b0f9875cf396a5f212c12d5e51be6f720293b
  3667. 2017-01-05 22:14:38.482 | Successfully built networkx semantic-version simplegeneric
  3668. 2017-01-05 22:14:38.483 | Installing collected packages: simplegeneric, WSME, automaton, castellan, glance-store, networkx, semantic-version, taskflow, glance
  3669. 2017-01-05 22:14:39.706 |   Running setup.py develop for glance
  3670. 2017-01-05 22:14:41.092 | Successfully installed WSME-0.8.0 automaton-1.0.0 castellan-0.3.1 glance glance-store-0.10.0 networkx-1.10 semantic-version-2.4.2 simplegeneric-0.8.1 taskflow-1.25.0
  3671. 2017-01-05 22:14:41.320 | You are using pip version 7.1.2, however version 9.0.1 is available.
  3672. 2017-01-05 22:14:41.320 | You should consider upgrading via the 'pip install --upgrade pip' command.
  3673. 2017-01-05 22:14:41.346 | + local 'test_req=-e /opt/stack/new/glance/test-requirements.txt'
  3674. 2017-01-05 22:14:41.346 | + [[ -e -e /opt/stack/new/glance/test-requirements.txt ]]
  3675. 2017-01-05 22:14:41.346 | + [[ -e == \-\e ]]
  3676. 2017-01-05 22:14:41.346 | + safe_chown -R stack /opt/stack/new/glance/glance.egg-info
  3677. 2017-01-05 22:14:41.346 | + _safe_permission_operation chown -R stack /opt/stack/new/glance/glance.egg-info
  3678. 2017-01-05 22:14:41.354 | + sudo chown -R stack /opt/stack/new/glance/glance.egg-info
  3679. 2017-01-05 22:14:41.360 | + [[ False = True ]]
  3680. 2017-01-05 22:14:41.360 | + configure_glance
  3681. 2017-01-05 22:14:41.360 | + sudo install -d -o stack /etc/glance /etc/glance/metadefs
  3682. 2017-01-05 22:14:41.372 | + cp /opt/stack/new/glance/etc/glance-registry.conf /etc/glance/glance-registry.conf
  3683. 2017-01-05 22:14:41.373 | + iniset /etc/glance/glance-registry.conf DEFAULT debug True
  3684. 2017-01-05 22:14:41.384 | + iniset /etc/glance/glance-registry.conf DEFAULT bind_host 0.0.0.0
  3685. 2017-01-05 22:14:41.403 | + inicomment /etc/glance/glance-registry.conf DEFAULT log_file
  3686. 2017-01-05 22:14:41.413 | ++ database_connection_url glance
  3687. 2017-01-05 22:14:41.413 | ++ local db=glance
  3688. 2017-01-05 22:14:41.413 | ++ database_connection_url_mysql glance
  3689. 2017-01-05 22:14:41.413 | ++ local db=glance
  3690. 2017-01-05 22:14:41.413 | ++ echo 'mysql+pymysql://root:secretmysql@127.0.0.1/glance?charset=utf8'
  3691. 2017-01-05 22:14:41.414 | + local 'dburl=mysql+pymysql://root:secretmysql@127.0.0.1/glance?charset=utf8'
  3692. 2017-01-05 22:14:41.414 | + iniset /etc/glance/glance-registry.conf database connection 'mysql+pymysql://root:secretmysql@127.0.0.1/glance?charset=utf8'
  3693. 2017-01-05 22:14:41.429 | + iniset /etc/glance/glance-registry.conf DEFAULT use_syslog False
  3694. 2017-01-05 22:14:41.443 | + iniset /etc/glance/glance-registry.conf DEFAULT workers 2
  3695. 2017-01-05 22:14:41.457 | + iniset /etc/glance/glance-registry.conf paste_deploy flavor keystone
  3696. 2017-01-05 22:14:41.471 | + configure_auth_token_middleware /etc/glance/glance-registry.conf glance /var/cache/glance/registry
  3697. 2017-01-05 22:14:41.471 | + local conf_file=/etc/glance/glance-registry.conf
  3698. 2017-01-05 22:14:41.471 | + local admin_user=glance
  3699. 2017-01-05 22:14:41.471 | + local signing_dir=/var/cache/glance/registry
  3700. 2017-01-05 22:14:41.471 | + local section=keystone_authtoken
  3701. 2017-01-05 22:14:41.471 | + iniset /etc/glance/glance-registry.conf keystone_authtoken auth_plugin password
  3702. 2017-01-05 22:14:41.483 | + iniset /etc/glance/glance-registry.conf keystone_authtoken auth_url http://10.90.55.191:35357
  3703. 2017-01-05 22:14:41.495 | + iniset /etc/glance/glance-registry.conf keystone_authtoken username glance
  3704. 2017-01-05 22:14:41.508 | + iniset /etc/glance/glance-registry.conf keystone_authtoken password secretservice
  3705. 2017-01-05 22:14:41.522 | + iniset /etc/glance/glance-registry.conf keystone_authtoken user_domain_id default
  3706. 2017-01-05 22:14:41.534 | + iniset /etc/glance/glance-registry.conf keystone_authtoken project_name service
  3707. 2017-01-05 22:14:41.552 | + iniset /etc/glance/glance-registry.conf keystone_authtoken project_domain_id default
  3708. 2017-01-05 22:14:41.565 | + iniset /etc/glance/glance-registry.conf keystone_authtoken auth_uri http://10.90.55.191:5000
  3709. 2017-01-05 22:14:41.576 | + iniset /etc/glance/glance-registry.conf keystone_authtoken cafile /opt/stack/data/ca-bundle.pem
  3710. 2017-01-05 22:14:41.588 | + iniset /etc/glance/glance-registry.conf keystone_authtoken signing_dir /var/cache/glance/registry
  3711. 2017-01-05 22:14:41.598 | + iniset /etc/glance/glance-registry.conf keystone_authtoken memcache_servers 127.0.0.1:11211
  3712. 2017-01-05 22:14:41.609 | + iniset /etc/glance/glance-registry.conf DEFAULT notification_driver messaging
  3713. 2017-01-05 22:14:41.619 | + iniset_rpc_backend glance /etc/glance/glance-registry.conf
  3714. 2017-01-05 22:14:41.619 | + local package=glance
  3715. 2017-01-05 22:14:41.619 | + local file=/etc/glance/glance-registry.conf
  3716. 2017-01-05 22:14:41.619 | + local section=DEFAULT
  3717. 2017-01-05 22:14:41.619 | + is_service_enabled rabbit
  3718. 2017-01-05 22:14:41.621 | + return 0
  3719. 2017-01-05 22:14:41.621 | + iniset /etc/glance/glance-registry.conf DEFAULT rpc_backend rabbit
  3720. 2017-01-05 22:14:41.631 | + iniset /etc/glance/glance-registry.conf oslo_messaging_rabbit rabbit_hosts 10.90.55.191
  3721. 2017-01-05 22:14:41.641 | + iniset /etc/glance/glance-registry.conf oslo_messaging_rabbit rabbit_password secretrabbit
  3722. 2017-01-05 22:14:41.661 | + iniset /etc/glance/glance-registry.conf oslo_messaging_rabbit rabbit_userid stackrabbit
  3723. 2017-01-05 22:14:41.670 | + '[' -n '' ']'
  3724. 2017-01-05 22:14:41.670 | + '[' -n '' ']'
  3725. 2017-01-05 22:14:41.670 | + cp /opt/stack/new/glance/etc/glance-api.conf /etc/glance/glance-api.conf
  3726. 2017-01-05 22:14:41.672 | + iniset /etc/glance/glance-api.conf DEFAULT debug True
  3727. 2017-01-05 22:14:41.684 | + iniset /etc/glance/glance-api.conf DEFAULT bind_host 0.0.0.0
  3728. 2017-01-05 22:14:41.694 | + inicomment /etc/glance/glance-api.conf DEFAULT log_file
  3729. 2017-01-05 22:14:41.700 | + iniset /etc/glance/glance-api.conf database connection 'mysql+pymysql://root:secretmysql@127.0.0.1/glance?charset=utf8'
  3730. 2017-01-05 22:14:41.710 | + iniset /etc/glance/glance-api.conf DEFAULT use_syslog False
  3731. 2017-01-05 22:14:41.720 | + iniset /etc/glance/glance-api.conf DEFAULT image_cache_dir /opt/stack/data/glance/cache/
  3732. 2017-01-05 22:14:41.731 | + iniset /etc/glance/glance-api.conf paste_deploy flavor keystone+cachemanagement
  3733. 2017-01-05 22:14:41.741 | + configure_auth_token_middleware /etc/glance/glance-api.conf glance /var/cache/glance/api
  3734. 2017-01-05 22:14:41.741 | + local conf_file=/etc/glance/glance-api.conf
  3735. 2017-01-05 22:14:41.741 | + local admin_user=glance
  3736. 2017-01-05 22:14:41.741 | + local signing_dir=/var/cache/glance/api
  3737. 2017-01-05 22:14:41.741 | + local section=keystone_authtoken
  3738. 2017-01-05 22:14:41.741 | + iniset /etc/glance/glance-api.conf keystone_authtoken auth_plugin password
  3739. 2017-01-05 22:14:41.752 | + iniset /etc/glance/glance-api.conf keystone_authtoken auth_url http://10.90.55.191:35357
  3740. 2017-01-05 22:14:41.762 | + iniset /etc/glance/glance-api.conf keystone_authtoken username glance
  3741. 2017-01-05 22:14:41.772 | + iniset /etc/glance/glance-api.conf keystone_authtoken password secretservice
  3742. 2017-01-05 22:14:41.782 | + iniset /etc/glance/glance-api.conf keystone_authtoken user_domain_id default
  3743. 2017-01-05 22:14:41.792 | + iniset /etc/glance/glance-api.conf keystone_authtoken project_name service
  3744. 2017-01-05 22:14:41.802 | + iniset /etc/glance/glance-api.conf keystone_authtoken project_domain_id default
  3745. 2017-01-05 22:14:41.813 | + iniset /etc/glance/glance-api.conf keystone_authtoken auth_uri http://10.90.55.191:5000
  3746. 2017-01-05 22:14:41.823 | + iniset /etc/glance/glance-api.conf keystone_authtoken cafile /opt/stack/data/ca-bundle.pem
  3747. 2017-01-05 22:14:41.833 | + iniset /etc/glance/glance-api.conf keystone_authtoken signing_dir /var/cache/glance/api
  3748. 2017-01-05 22:14:41.845 | + iniset /etc/glance/glance-api.conf keystone_authtoken memcache_servers 127.0.0.1:11211
  3749. 2017-01-05 22:14:41.855 | + iniset /etc/glance/glance-api.conf DEFAULT notification_driver messaging
  3750. 2017-01-05 22:14:41.865 | + iniset_rpc_backend glance /etc/glance/glance-api.conf
  3751. 2017-01-05 22:14:41.865 | + local package=glance
  3752. 2017-01-05 22:14:41.865 | + local file=/etc/glance/glance-api.conf
  3753. 2017-01-05 22:14:41.865 | + local section=DEFAULT
  3754. 2017-01-05 22:14:41.865 | + is_service_enabled rabbit
  3755. 2017-01-05 22:14:41.867 | + return 0
  3756. 2017-01-05 22:14:41.867 | + iniset /etc/glance/glance-api.conf DEFAULT rpc_backend rabbit
  3757. 2017-01-05 22:14:41.878 | + iniset /etc/glance/glance-api.conf oslo_messaging_rabbit rabbit_hosts 10.90.55.191
  3758. 2017-01-05 22:14:41.889 | + iniset /etc/glance/glance-api.conf oslo_messaging_rabbit rabbit_password secretrabbit
  3759. 2017-01-05 22:14:41.899 | + iniset /etc/glance/glance-api.conf oslo_messaging_rabbit rabbit_userid stackrabbit
  3760. 2017-01-05 22:14:41.911 | + '[' -n '' ']'
  3761. 2017-01-05 22:14:41.911 | + '[' -n '' ']'
  3762. 2017-01-05 22:14:41.911 | + '[' libvirt = xenserver ']'
  3763. 2017-01-05 22:14:41.911 | + '[' libvirt = libvirt ']'
  3764. 2017-01-05 22:14:41.911 | + '[' qemu = parallels ']'
  3765. 2017-01-05 22:14:41.911 | + iniset /etc/glance/glance-api.conf glance_store filesystem_store_datadir /opt/stack/data/glance/images/
  3766. 2017-01-05 22:14:41.922 | + iniset /etc/glance/glance-api.conf DEFAULT registry_host 10.90.55.191
  3767. 2017-01-05 22:14:41.933 | + iniset /etc/glance/glance-api.conf DEFAULT workers 2
  3768. 2017-01-05 22:14:41.945 | + is_service_enabled s-proxy
  3769. 2017-01-05 22:14:41.947 | + return 1
  3770. 2017-01-05 22:14:41.947 | + is_service_enabled tls-proxy
  3771. 2017-01-05 22:14:41.949 | + return 1
  3772. 2017-01-05 22:14:41.949 | + is_ssl_enabled_service glance
  3773. 2017-01-05 22:14:41.949 | + local services=glance
  3774. 2017-01-05 22:14:41.949 | + local service=
  3775. 2017-01-05 22:14:41.949 | + '[' False == False ']'
  3776. 2017-01-05 22:14:41.949 | + return 1
  3777. 2017-01-05 22:14:41.949 | + is_ssl_enabled_service glance
  3778. 2017-01-05 22:14:41.949 | + local services=glance
  3779. 2017-01-05 22:14:41.949 | + local service=
  3780. 2017-01-05 22:14:41.949 | + '[' False == False ']'
  3781. 2017-01-05 22:14:41.949 | + return 1
  3782. 2017-01-05 22:14:41.949 | + is_service_enabled tls-proxy
  3783. 2017-01-05 22:14:41.951 | + return 1
  3784. 2017-01-05 22:14:41.951 | + '[' False == True ']'
  3785. 2017-01-05 22:14:41.951 | + cp -p /opt/stack/new/glance/etc/glance-registry-paste.ini /etc/glance/glance-registry-paste.ini
  3786. 2017-01-05 22:14:41.952 | + cp -p /opt/stack/new/glance/etc/glance-api-paste.ini /etc/glance/glance-api-paste.ini
  3787. 2017-01-05 22:14:41.953 | + cp /opt/stack/new/glance/etc/glance-cache.conf /etc/glance/glance-cache.conf
  3788. 2017-01-05 22:14:41.954 | + iniset /etc/glance/glance-cache.conf DEFAULT debug True
  3789. 2017-01-05 22:14:41.963 | + inicomment /etc/glance/glance-cache.conf DEFAULT log_file
  3790. 2017-01-05 22:14:41.966 | + iniset /etc/glance/glance-cache.conf DEFAULT use_syslog False
  3791. 2017-01-05 22:14:41.974 | + iniset /etc/glance/glance-cache.conf DEFAULT image_cache_dir /opt/stack/data/glance/cache/
  3792. 2017-01-05 22:14:41.983 | + iniuncomment /etc/glance/glance-cache.conf DEFAULT auth_url
  3793. 2017-01-05 22:14:41.987 | + iniset /etc/glance/glance-cache.conf DEFAULT auth_url http://10.90.55.191:35357/v2.0
  3794. 2017-01-05 22:14:41.995 | + iniuncomment /etc/glance/glance-cache.conf DEFAULT auth_tenant_name
  3795. 2017-01-05 22:14:41.999 | + iniset /etc/glance/glance-cache.conf DEFAULT admin_tenant_name service
  3796. 2017-01-05 22:14:42.007 | + iniuncomment /etc/glance/glance-cache.conf DEFAULT auth_user
  3797. 2017-01-05 22:14:42.011 | + iniset /etc/glance/glance-cache.conf DEFAULT admin_user glance
  3798. 2017-01-05 22:14:42.019 | + iniuncomment /etc/glance/glance-cache.conf DEFAULT auth_password
  3799. 2017-01-05 22:14:42.023 | + iniset /etc/glance/glance-cache.conf DEFAULT admin_password secretservice
  3800. 2017-01-05 22:14:42.031 | + iniset /etc/glance/glance-cache.conf DEFAULT registry_host 10.90.55.191
  3801. 2017-01-05 22:14:42.041 | + iniset /etc/glance/glance-cache.conf glance_store filesystem_store_datadir /opt/stack/data/glance/images/
  3802. 2017-01-05 22:14:42.053 | + cp -p /opt/stack/new/glance/etc/policy.json /etc/glance/policy.json
  3803. 2017-01-05 22:14:42.054 | + cp -p /opt/stack/new/glance/etc/schema-image.json /etc/glance/schema-image.json
  3804. 2017-01-05 22:14:42.056 | + cp -p /opt/stack/new/glance/etc/metadefs/compute-aggr-disk-filter.json /opt/stack/new/glance/etc/metadefs/compute-aggr-iops-filter.json /opt/stack/new/glance/etc/metadefs/compute-aggr-num-instances.json /opt/stack/new/glance/etc/metadefs/compute-cpu-pinning.json /opt/stack/new/glance/etc/metadefs/compute-guest-shutdown.json /opt/stack/new/glance/etc/metadefs/compute-host-capabilities.json /opt/stack/new/glance/etc/metadefs/compute-hypervisor.json /opt/stack/new/glance/etc/metadefs/compute-instance-data.json /opt/stack/new/glance/etc/metadefs/compute-libvirt-image.json /opt/stack/new/glance/etc/metadefs/compute-libvirt.json /opt/stack/new/glance/etc/metadefs/compute-quota.json /opt/stack/new/glance/etc/metadefs/compute-randomgen.json /opt/stack/new/glance/etc/metadefs/compute-trust.json /opt/stack/new/glance/etc/metadefs/compute-vcputopology.json /opt/stack/new/glance/etc/metadefs/compute-vmware-flavor.json /opt/stack/new/glance/etc/metadefs/compute-vmware-quota-flavor.json /opt/stack/new/glance/etc/metadefs/compute-vmware.json /opt/stack/new/glance/etc/metadefs/compute-watchdog.json /opt/stack/new/glance/etc/metadefs/compute-xenapi.json /opt/stack/new/glance/etc/metadefs/glance-common-image-props.json /opt/stack/new/glance/etc/metadefs/operating-system.json /opt/stack/new/glance/etc/metadefs/software-databases.json /opt/stack/new/glance/etc/metadefs/software-runtimes.json /opt/stack/new/glance/etc/metadefs/software-webservers.json /etc/glance/metadefs
  3805. 2017-01-05 22:14:42.059 | + is_ssl_enabled_service cinder
  3806. 2017-01-05 22:14:42.059 | + local services=cinder
  3807. 2017-01-05 22:14:42.059 | + local service=
  3808. 2017-01-05 22:14:42.059 | + '[' False == False ']'
  3809. 2017-01-05 22:14:42.059 | + return 1
  3810. 2017-01-05 22:14:42.059 | + is_service_enabled tls-proxy
  3811. 2017-01-05 22:14:42.062 | + return 1
  3812. 2017-01-05 22:14:42.062 | + is_service_enabled g-search
  3813. 2017-01-05 22:14:42.065 | + return 1
  3814. 2017-01-05 22:14:42.065 | + is_service_enabled cinder
  3815. 2017-01-05 22:14:42.068 | + return 1
  3816. 2017-01-05 22:14:42.068 | + is_service_enabled neutron
  3817. 2017-01-05 22:14:42.072 | + return 0
  3818. 2017-01-05 22:14:42.072 | + stack_install_service neutron
  3819. 2017-01-05 22:14:42.072 | + local service=neutron
  3820. 2017-01-05 22:14:42.072 | + type install_neutron
  3821. 2017-01-05 22:14:42.072 | + [[ False = True ]]
  3822. 2017-01-05 22:14:42.072 | + install_neutron
  3823. 2017-01-05 22:14:42.072 | + git_clone git://git.openstack.org/openstack/neutron.git /opt/stack/new/neutron stable/liberty
  3824. 2017-01-05 22:14:42.072 | + local git_remote=git://git.openstack.org/openstack/neutron.git
  3825. 2017-01-05 22:14:42.072 | + local git_dest=/opt/stack/new/neutron
  3826. 2017-01-05 22:14:42.072 | + local git_ref=stable/liberty
  3827. 2017-01-05 22:14:42.072 | ++ pwd
  3828. 2017-01-05 22:14:42.072 | + local orig_dir=/opt/stack/new/devstack
  3829. 2017-01-05 22:14:42.072 | + local git_clone_flags=
  3830. 2017-01-05 22:14:42.073 | ++ trueorfalse False RECLONE
  3831. 2017-01-05 22:14:42.076 | + RECLONE=False
  3832. 2017-01-05 22:14:42.076 | + [[ 0 -gt 0 ]]
  3833. 2017-01-05 22:14:42.076 | + [[ False = \T\r\u\e ]]
  3834. 2017-01-05 22:14:42.076 | + egrep -q '^refs'
  3835. 2017-01-05 22:14:42.076 | + echo stable/liberty
  3836. 2017-01-05 22:14:42.077 | + [[ ! -d /opt/stack/new/neutron ]]
  3837. 2017-01-05 22:14:42.077 | + [[ False = \T\r\u\e ]]
  3838. 2017-01-05 22:14:42.077 | + cd /opt/stack/new/neutron
  3839. 2017-01-05 22:14:42.077 | + git show --oneline
  3840. 2017-01-05 22:14:42.078 | + head -1
  3841. 2017-01-05 22:14:42.081 | 4387d4a New option for num_threads for state change server
  3842. 2017-01-05 22:14:42.082 | + cd /opt/stack/new/devstack
  3843. 2017-01-05 22:14:42.082 | + setup_develop /opt/stack/new/neutron
  3844. 2017-01-05 22:14:42.082 | + local project_dir=/opt/stack/new/neutron
  3845. 2017-01-05 22:14:42.082 | + setup_package_with_constraints_edit /opt/stack/new/neutron -e
  3846. 2017-01-05 22:14:42.082 | + local project_dir=/opt/stack/new/neutron
  3847. 2017-01-05 22:14:42.082 | + local flags=-e
  3848. 2017-01-05 22:14:42.082 | + '[' -n /opt/stack/new/requirements ']'
  3849. 2017-01-05 22:14:42.083 | ++ awk '/^name.*=/ {print $3}' /opt/stack/new/neutron/setup.cfg
  3850. 2017-01-05 22:14:42.084 | + local name=neutron
  3851. 2017-01-05 22:14:42.084 | + /opt/stack/new/requirements/.venv/bin/edit-constraints /opt/stack/new/requirements/upper-constraints.txt -- neutron '-e file:///opt/stack/new/neutron#egg=neutron'
  3852. 2017-01-05 22:14:42.195 | + setup_package /opt/stack/new/neutron -e
  3853. 2017-01-05 22:14:42.195 | + local project_dir=/opt/stack/new/neutron
  3854. 2017-01-05 22:14:42.195 | + local flags=-e
  3855. 2017-01-05 22:14:42.195 | + pip_install -e /opt/stack/new/neutron
  3856. 2017-01-05 22:14:42.589 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -e /opt/stack/new/neutron
  3857. 2017-01-05 22:14:43.364 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  3858. 2017-01-05 22:14:43.498 | Obtaining file:///opt/stack/new/neutron
  3859. 2017-01-05 22:14:44.846 | Collecting Jinja2===2.8 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 5))
  3860. 2017-01-05 22:14:44.893 |   Downloading http://mirror.boi.a10networks.com:81/packages/96/a1/c56bc4d99dc2663514a8481511e80eba8994133ae75eebdadfc91a5597d9/Jinja2-2.8-py2.py3-none-any.whl (263kB)
  3861. 2017-01-05 22:14:44.932 | Requirement already satisfied (use --upgrade to upgrade): MarkupSafe===0.23 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 7))
  3862. 2017-01-05 22:14:44.932 | Requirement already satisfied (use --upgrade to upgrade): Paste===2.0.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 10))
  3863. 2017-01-05 22:14:44.933 | Requirement already satisfied (use --upgrade to upgrade): PasteDeploy===1.5.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 11))
  3864. 2017-01-05 22:14:44.934 | Requirement already satisfied (use --upgrade to upgrade): Routes===2.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 20))
  3865. 2017-01-05 22:14:44.935 | Requirement already satisfied (use --upgrade to upgrade): SQLAlchemy===1.0.10 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 21))
  3866. 2017-01-05 22:14:44.936 | Requirement already satisfied (use --upgrade to upgrade): WebOb===1.5.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 26))
  3867. 2017-01-05 22:14:44.937 | Requirement already satisfied (use --upgrade to upgrade): alembic===0.8.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 59))
  3868. 2017-01-05 22:14:44.938 | Requirement already satisfied (use --upgrade to upgrade): debtcollector===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 91))
  3869. 2017-01-05 22:14:44.939 | Requirement already satisfied (use --upgrade to upgrade): eventlet===0.17.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  3870. 2017-01-05 22:14:44.940 | Requirement already satisfied (use --upgrade to upgrade): greenlet===0.4.9 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 130))
  3871. 2017-01-05 22:14:44.940 | Requirement already satisfied (use --upgrade to upgrade): httplib2===0.9.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 133))
  3872. 2017-01-05 22:14:44.941 | Requirement already satisfied (use --upgrade to upgrade): keystonemiddleware===2.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 155))
  3873. 2017-01-05 22:14:44.942 | Requirement already satisfied (use --upgrade to upgrade): netaddr===0.7.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 169))
  3874. 2017-01-05 22:14:44.943 | Requirement already satisfied (use --upgrade to upgrade): oslo.concurrency===2.6.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 193))
  3875. 2017-01-05 22:14:44.945 | Requirement already satisfied (use --upgrade to upgrade): oslo.config===2.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 194))
  3876. 2017-01-05 22:14:44.946 | Requirement already satisfied (use --upgrade to upgrade): oslo.context===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 195))
  3877. 2017-01-05 22:14:44.946 | Requirement already satisfied (use --upgrade to upgrade): oslo.db===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 196))
  3878. 2017-01-05 22:14:44.948 | Requirement already satisfied (use --upgrade to upgrade): oslo.i18n===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 197))
  3879. 2017-01-05 22:14:44.949 | Requirement already satisfied (use --upgrade to upgrade): oslo.log===1.11.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 198))
  3880. 2017-01-05 22:14:44.951 | Requirement already satisfied (use --upgrade to upgrade): oslo.messaging===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 199))
  3881. 2017-01-05 22:14:44.953 | Requirement already satisfied (use --upgrade to upgrade): oslo.middleware===2.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 200))
  3882. 2017-01-05 22:14:44.954 | Requirement already satisfied (use --upgrade to upgrade): oslo.policy===0.11.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 201))
  3883. 2017-01-05 22:14:44.970 | Collecting oslo.rootwrap===3.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 203))
  3884. 2017-01-05 22:14:44.997 |   Downloading http://mirror.boi.a10networks.com:81/packages/99/ca/a30ca7f21e1f8669b614afeaf3cc03d5700a31649b4c1aaac4a0f27d98ac/oslo.rootwrap-3.1.0-py2.py3-none-any.whl
  3885. 2017-01-05 22:14:45.015 | Requirement already satisfied (use --upgrade to upgrade): oslo.serialization===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 204))
  3886. 2017-01-05 22:14:45.016 | Requirement already satisfied (use --upgrade to upgrade): oslo.service===0.9.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 205))
  3887. 2017-01-05 22:14:45.018 | Requirement already satisfied (use --upgrade to upgrade): oslo.utils===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 206))
  3888. 2017-01-05 22:14:45.033 | Collecting oslo.versionedobjects===1.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 207))
  3889. 2017-01-05 22:14:45.067 |   Downloading http://mirror.boi.a10networks.com:81/packages/ce/4d/bfab251f1dffc3376a17f71d375cd0b78c7300dd5f4aacaaa3d2258a4795/oslo.versionedobjects-1.1.0-py2.py3-none-any.whl (68kB)
  3890. 2017-01-05 22:14:45.089 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 217))
  3891. 2017-01-05 22:14:45.103 | Collecting pecan===1.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 218))
  3892. 2017-01-05 22:14:45.135 |   Downloading http://mirror.boi.a10networks.com:81/packages/0d/ae/5590f2b82adacc68d74946e3a704c3344d3dbda3368a0412db7869699a55/pecan-1.0.3-py2-none-any.whl (146kB)
  3893. 2017-01-05 22:14:45.169 | Requirement already satisfied (use --upgrade to upgrade): pycadf===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 231))
  3894. 2017-01-05 22:14:45.170 | Requirement already satisfied (use --upgrade to upgrade): python-editor===0.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 253))
  3895. 2017-01-05 22:14:45.170 | Requirement already satisfied (use --upgrade to upgrade): python-keystoneclient===1.7.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 258))
  3896. 2017-01-05 22:14:45.185 | Collecting python-neutronclient===3.1.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 266))
  3897. 2017-01-05 22:14:45.211 |   Downloading http://mirror.boi.a10networks.com:81/packages/c3/c8/dc7f6e7eff0f3af2d84ac8272df4d3765a083a06b550f20a2e2b8ca90ce4/python_neutronclient-3.1.1-py2.py3-none-any.whl (229kB)
  3898. 2017-01-05 22:14:45.264 | Collecting python-novaclient===2.35.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 267))
  3899. 2017-01-05 22:14:45.304 |   Downloading http://mirror.boi.a10networks.com:81/packages/e5/ad/c1ab4c07da7399970c910b71192798ed46c8a5b5dba896f4f6b7238522d0/python_novaclient-2.35.0-py2.py3-none-any.whl (330kB)
  3900. 2017-01-05 22:14:45.352 | Requirement already satisfied (use --upgrade to upgrade): pytz===2015.7 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 278))
  3901. 2017-01-05 22:14:45.353 | Requirement already satisfied (use --upgrade to upgrade): repoze.lru===0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 283))
  3902. 2017-01-05 22:14:45.354 | Requirement already satisfied (use --upgrade to upgrade): requests===2.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 285))
  3903. 2017-01-05 22:14:45.356 | Requirement already satisfied (use --upgrade to upgrade): retrying===1.3.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 291))
  3904. 2017-01-05 22:14:45.372 | Collecting ryu===3.26 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 294))
  3905. 2017-01-05 22:14:45.479 |   Downloading http://mirror.boi.a10networks.com:81/packages/44/3b/f8092902a460a61b498f4098d75edda9cc2a4ccf1124d7dfb34a4addc6c4/ryu-3.26.tar.gz (1.2MB)
  3906. 2017-01-05 22:14:46.552 | Collecting simplejson===3.8.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 299))
  3907. 2017-01-05 22:14:46.625 |   Downloading http://mirror.boi.a10networks.com:81/packages/70/b0/c8169f6c2b7927614bea25636485992248ae0b1d7bc83858a9185461f57b/simplejson-3.8.1.tar.gz (76kB)
  3908. 2017-01-05 22:14:47.159 | Collecting singledispatch===3.4.0.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 300))
  3909. 2017-01-05 22:14:47.171 |   Downloading http://mirror.boi.a10networks.com:81/packages/c5/10/369f50bcd4621b263927b0a1519987a04383d4a98fb10438042ad410cf88/singledispatch-3.4.0.3-py2.py3-none-any.whl
  3910. 2017-01-05 22:14:47.190 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 301))
  3911. 2017-01-05 22:14:47.191 | Requirement already satisfied (use --upgrade to upgrade): sqlalchemy-migrate===0.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 308))
  3912. 2017-01-05 22:14:47.192 | Requirement already satisfied (use --upgrade to upgrade): sqlparse===0.1.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 309))
  3913. 2017-01-05 22:14:47.192 | Requirement already satisfied (use --upgrade to upgrade): stevedore===1.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 310))
  3914. 2017-01-05 22:14:47.193 | Requirement already satisfied (use --upgrade to upgrade): testresources===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 318))
  3915. 2017-01-05 22:14:47.194 | Requirement already satisfied (use --upgrade to upgrade): testscenarios===0.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 319))
  3916. 2017-01-05 22:14:47.195 | Requirement already satisfied (use --upgrade to upgrade): testtools===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 320))
  3917. 2017-01-05 22:14:47.197 | Requirement already satisfied (use --upgrade to upgrade): traceback2===1.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 325))
  3918. 2017-01-05 22:14:47.197 | Requirement already satisfied (use --upgrade to upgrade): trollius===2.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 327))
  3919. 2017-01-05 22:14:47.198 | Requirement already satisfied (use --upgrade to upgrade): unittest2===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 330))
  3920. 2017-01-05 22:14:47.199 | Requirement already satisfied (use --upgrade to upgrade): wrapt===1.10.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 339))
  3921. 2017-01-05 22:14:47.200 | Requirement already satisfied (use --upgrade to upgrade): Mako===1.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 6))
  3922. 2017-01-05 22:14:47.201 | Requirement already satisfied (use --upgrade to upgrade): Babel===2.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 2))
  3923. 2017-01-05 22:14:47.201 | Requirement already satisfied (use --upgrade to upgrade): fasteners===0.14.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 118))
  3924. 2017-01-05 22:14:47.202 | Requirement already satisfied (use --upgrade to upgrade): iso8601===0.1.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 140))
  3925. 2017-01-05 22:14:47.203 | Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/local/lib/python2.7/dist-packages (from oslo.config===2.4.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 194))
  3926. 2017-01-05 22:14:47.203 | Requirement already satisfied (use --upgrade to upgrade): futurist===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 125))
  3927. 2017-01-05 22:14:47.205 | Requirement already satisfied (use --upgrade to upgrade): cachetools===1.1.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 75))
  3928. 2017-01-05 22:14:47.205 | Requirement already satisfied (use --upgrade to upgrade): kombu===3.0.30 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 156))
  3929. 2017-01-05 22:14:47.207 | Requirement already satisfied (use --upgrade to upgrade): PyYAML===3.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 18))
  3930. 2017-01-05 22:14:47.207 | Requirement already satisfied (use --upgrade to upgrade): amqp===1.4.8 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 60))
  3931. 2017-01-05 22:14:47.208 | Requirement already satisfied (use --upgrade to upgrade): aioeventlet===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 58))
  3932. 2017-01-05 22:14:47.209 | Requirement already satisfied (use --upgrade to upgrade): msgpack-python===0.4.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 168))
  3933. 2017-01-05 22:14:47.209 | Requirement already satisfied (use --upgrade to upgrade): monotonic===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 165))
  3934. 2017-01-05 22:14:47.210 | Requirement already satisfied (use --upgrade to upgrade): netifaces===0.10.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 170))
  3935. 2017-01-05 22:14:47.226 | Collecting logutils===0.3.3 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 162))
  3936. 2017-01-05 22:14:47.235 |   Downloading http://mirror.boi.a10networks.com:81/packages/bc/53/c4abf7b947383a7a56f282ad68328322cd08a93e2528151038ad6c17d012/logutils-0.3.3.tar.gz
  3937. 2017-01-05 22:14:47.668 | Collecting WebTest===2.0.20 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 27))
  3938. 2017-01-05 22:14:47.698 |   Downloading http://mirror.boi.a10networks.com:81/packages/ce/26/3b3ec19145831971664d3d3a31a013c9e9d65b56effda43709ef772087d1/WebTest-2.0.20-py2-none-any.whl
  3939. 2017-01-05 22:14:47.719 | Requirement already satisfied (use --upgrade to upgrade): prettytable===0.7.2 in /usr/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 222))
  3940. 2017-01-05 22:14:47.734 | Collecting cliff===1.15.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 82))
  3941. 2017-01-05 22:14:47.761 |   Downloading http://mirror.boi.a10networks.com:81/packages/b8/d0/23b1a5ab909641814c3be779d8f3f9ae549432d8969755ecb198bd5aee6d/cliff-1.15.0-py2-none-any.whl
  3942. 2017-01-05 22:14:47.784 | Requirement already satisfied (use --upgrade to upgrade): decorator===4.0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 92))
  3943. 2017-01-05 22:14:47.784 | Requirement already satisfied (use --upgrade to upgrade): Tempita===0.5.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 24))
  3944. 2017-01-05 22:14:47.785 | Requirement already satisfied (use --upgrade to upgrade): extras===0.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 116))
  3945. 2017-01-05 22:14:47.785 | Requirement already satisfied (use --upgrade to upgrade): python-mimeparse===0.1.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 263))
  3946. 2017-01-05 22:14:47.786 | Requirement already satisfied (use --upgrade to upgrade): linecache2===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 160))
  3947. 2017-01-05 22:14:47.786 | Requirement already satisfied (use --upgrade to upgrade): futures===3.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 124))
  3948. 2017-01-05 22:14:47.787 | Requirement already satisfied (use --upgrade to upgrade): contextlib2===0.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 86))
  3949. 2017-01-05 22:14:47.787 | Requirement already satisfied (use --upgrade to upgrade): anyjson===0.3.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 61))
  3950. 2017-01-05 22:14:47.802 | Collecting beautifulsoup4===4.4.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 71))
  3951. 2017-01-05 22:14:47.821 |   Downloading http://mirror.boi.a10networks.com:81/packages/33/62/f3e97eaa87fc4de0cb9b8c51d253cf0df621c6de6b25164dcbab203e5ff7/beautifulsoup4-4.4.1-py2-none-any.whl (81kB)
  3952. 2017-01-05 22:14:47.858 | Collecting waitress===0.8.10 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 333))
  3953. 2017-01-05 22:14:47.878 |   Downloading http://mirror.boi.a10networks.com:81/packages/0d/2a/607f6d13af40c9105c0a361af16f25ba660e69a80dd0a44d50fae4f149e7/waitress-0.8.10-py2-none-any.whl (119kB)
  3954. 2017-01-05 22:14:47.919 | Collecting cmd2===0.6.8 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 84))
  3955. 2017-01-05 22:14:47.963 |   Downloading http://mirror.boi.a10networks.com:81/packages/20/65/6e5518c6bbfe9fe33be1364a6e83d372f837019dfdb31b207b2db3d84865/cmd2-0.6.8.tar.gz
  3956. 2017-01-05 22:14:48.389 | Collecting pyparsing===2.0.6 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 239))
  3957. 2017-01-05 22:14:48.474 |   Downloading http://mirror.boi.a10networks.com:81/packages/75/af/dbfea3f224a6980c18336a0feefc37f8011cf2b356e6090a35f2cd23f686/pyparsing-2.0.6-py2.py3-none-any.whl
  3958. 2017-01-05 22:14:48.512 | Collecting unicodecsv===0.14.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 329))
  3959. 2017-01-05 22:14:48.525 |   Downloading http://mirror.boi.a10networks.com:81/packages/6f/a4/691ab63b17505a26096608cc309960b5a6bdf39e4ba1a793d5f9b1a53270/unicodecsv-0.14.1.tar.gz
  3960. 2017-01-05 22:14:48.941 | Building wheels for collected packages: cmd2, logutils, ryu, simplejson, unicodecsv
  3961. 2017-01-05 22:14:48.942 |   Running setup.py bdist_wheel for cmd2
  3962. 2017-01-05 22:14:49.364 |   Stored in directory: /root/.cache/pip/wheels/70/fb/79/e842099561c29752b9f23dfccfc956097d6e50f3c8e1fa51c3
  3963. 2017-01-05 22:14:49.366 |   Running setup.py bdist_wheel for logutils
  3964. 2017-01-05 22:14:49.768 |   Stored in directory: /root/.cache/pip/wheels/c3/ed/1d/2f3268e673b2ecb3947f6ceae3d31771f6046f15e4b73706a8
  3965. 2017-01-05 22:14:49.769 |   Running setup.py bdist_wheel for ryu
  3966. 2017-01-05 22:14:51.398 |   Stored in directory: /root/.cache/pip/wheels/59/c6/1d/b6abdf71a6d31d6fc54f067609fdf8a9791f02887f67096189
  3967. 2017-01-05 22:14:51.625 |   Running setup.py bdist_wheel for simplejson
  3968. 2017-01-05 22:14:52.916 |   Stored in directory: /root/.cache/pip/wheels/e1/d7/4f/7dae6255be9d2007faec908a7429d1b268eef7021122fb0549
  3969. 2017-01-05 22:14:52.921 |   Running setup.py bdist_wheel for unicodecsv
  3970. 2017-01-05 22:14:53.336 |   Stored in directory: /root/.cache/pip/wheels/87/8f/d5/c63a7a783872250e99426f71b4e6bd6cbbaf8d4fdb08211ed0
  3971. 2017-01-05 22:14:53.337 | Successfully built cmd2 logutils ryu simplejson unicodecsv
  3972. 2017-01-05 22:14:53.338 | Installing collected packages: Jinja2, beautifulsoup4, waitress, WebTest, pyparsing, cmd2, unicodecsv, cliff, logutils, oslo.rootwrap, oslo.versionedobjects, singledispatch, pecan, simplejson, python-neutronclient, python-novaclient, ryu, neutron
  3973. 2017-01-05 22:14:55.361 |   Running setup.py develop for neutron
  3974. 2017-01-05 22:14:57.494 | Successfully installed Jinja2-2.8 WebTest-2.0.20 beautifulsoup4-4.4.1 cliff-1.15.0 cmd2-0.6.8 logutils-0.3.3 neutron oslo.rootwrap-3.1.0 oslo.versionedobjects-1.1.0 pecan-1.0.3 pyparsing-2.0.6 python-neutronclient-3.1.1 python-novaclient-2.35.0 ryu-3.26 simplejson-3.8.1 singledispatch-3.4.0.3 unicodecsv-0.14.1 waitress-0.8.10
  3975. 2017-01-05 22:14:57.735 | You are using pip version 7.1.2, however version 9.0.1 is available.
  3976. 2017-01-05 22:14:57.736 | You should consider upgrading via the 'pip install --upgrade pip' command.
  3977. 2017-01-05 22:14:57.760 | + local 'test_req=-e /opt/stack/new/neutron/test-requirements.txt'
  3978. 2017-01-05 22:14:57.760 | + [[ -e -e /opt/stack/new/neutron/test-requirements.txt ]]
  3979. 2017-01-05 22:14:57.760 | + [[ -e == \-\e ]]
  3980. 2017-01-05 22:14:57.760 | + safe_chown -R stack /opt/stack/new/neutron/neutron.egg-info
  3981. 2017-01-05 22:14:57.760 | + _safe_permission_operation chown -R stack /opt/stack/new/neutron/neutron.egg-info
  3982. 2017-01-05 22:14:57.763 | + sudo chown -R stack /opt/stack/new/neutron/neutron.egg-info
  3983. 2017-01-05 22:14:57.769 | + is_service_enabled q-fwaas
  3984. 2017-01-05 22:14:57.771 | + return 1
  3985. 2017-01-05 22:14:57.771 | + is_service_enabled q-lbaas
  3986. 2017-01-05 22:14:57.773 | + return 1
  3987. 2017-01-05 22:14:57.773 | + is_service_enabled q-vpn
  3988. 2017-01-05 22:14:57.775 | + return 1
  3989. 2017-01-05 22:14:57.775 | + '[' libvirt == xenserver ']'
  3990. 2017-01-05 22:14:57.775 | + [[ False = True ]]
  3991. 2017-01-05 22:14:57.775 | + install_neutron_third_party
  3992. 2017-01-05 22:14:57.775 | + _neutron_third_party_do install
  3993. 2017-01-05 22:14:57.775 | + is_service_enabled nova
  3994. 2017-01-05 22:14:57.777 | + return 0
  3995. 2017-01-05 22:14:57.777 | + stack_install_service nova
  3996. 2017-01-05 22:14:57.777 | + local service=nova
  3997. 2017-01-05 22:14:57.777 | + type install_nova
  3998. 2017-01-05 22:14:57.777 | + [[ False = True ]]
  3999. 2017-01-05 22:14:57.777 | + install_nova
  4000. 2017-01-05 22:14:57.777 | + is_service_enabled n-cpu
  4001. 2017-01-05 22:14:57.779 | + return 0
  4002. 2017-01-05 22:14:57.779 | + [[ -r /opt/stack/new/devstack/lib/nova_plugins/hypervisor-libvirt ]]
  4003. 2017-01-05 22:14:57.779 | + install_nova_hypervisor
  4004. 2017-01-05 22:14:57.779 | + install_libvirt
  4005. 2017-01-05 22:14:57.779 | + is_ubuntu
  4006. 2017-01-05 22:14:57.779 | + [[ -z deb ]]
  4007. 2017-01-05 22:14:57.779 | + '[' deb = deb ']'
  4008. 2017-01-05 22:14:57.779 | + is_arch aarch64
  4009. 2017-01-05 22:14:57.780 | ++ uname -m
  4010. 2017-01-05 22:14:57.780 | + [[ x86_64 == \a\a\r\c\h\6\4 ]]
  4011. 2017-01-05 22:14:57.781 | + install_package qemu-kvm
  4012. 2017-01-05 22:14:57.781 | + update_package_repo
  4013. 2017-01-05 22:14:57.781 | + NO_UPDATE_REPOS=False
  4014. 2017-01-05 22:14:57.781 | + REPOS_UPDATED=True
  4015. 2017-01-05 22:14:57.781 | + RETRY_UPDATE=False
  4016. 2017-01-05 22:14:57.781 | + [[ False = \T\r\u\e ]]
  4017. 2017-01-05 22:14:57.781 | + is_ubuntu
  4018. 2017-01-05 22:14:57.781 | + [[ -z deb ]]
  4019. 2017-01-05 22:14:57.781 | + '[' deb = deb ']'
  4020. 2017-01-05 22:14:57.781 | + apt_get_update
  4021. 2017-01-05 22:14:57.781 | + [[ True == \T\r\u\e ]]
  4022. 2017-01-05 22:14:57.781 | + [[ False != \T\r\u\e ]]
  4023. 2017-01-05 22:14:57.781 | + return
  4024. 2017-01-05 22:14:57.781 | + real_install_package qemu-kvm
  4025. 2017-01-05 22:14:57.781 | + is_ubuntu
  4026. 2017-01-05 22:14:57.781 | + [[ -z deb ]]
  4027. 2017-01-05 22:14:57.781 | + '[' deb = deb ']'
  4028. 2017-01-05 22:14:57.781 | + apt_get install qemu-kvm
  4029. 2017-01-05 22:14:57.784 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install qemu-kvm
  4030. 2017-01-05 22:14:57.795 | Reading package lists...
  4031. 2017-01-05 22:14:57.927 | Building dependency tree...
  4032. 2017-01-05 22:14:57.928 | Reading state information...
  4033. 2017-01-05 22:14:58.022 | The following extra packages will be installed:
  4034. 2017-01-05 22:14:58.022 |   ipxe-qemu libbluetooth3 libbrlapi0.6 libcaca0 libfdt1 libsdl1.2debian
  4035. 2017-01-05 22:14:58.022 |   libseccomp2 libspice-server1 libusbredirparser1 libxen-4.4 libxenstore3.0
  4036. 2017-01-05 22:14:58.022 |   libyajl2 qemu-keymaps qemu-system-common qemu-system-x86 seabios
  4037. 2017-01-05 22:14:58.023 | Suggested packages:
  4038. 2017-01-05 22:14:58.023 |   samba vde2 sgabios kvm-ipxe-precise
  4039. 2017-01-05 22:14:58.023 | Recommended packages:
  4040. 2017-01-05 22:14:58.023 |   cpu-checker
  4041. 2017-01-05 22:14:58.024 | The following NEW packages will be installed:
  4042. 2017-01-05 22:14:58.024 |   ipxe-qemu libbluetooth3 libbrlapi0.6 libcaca0 libfdt1 libsdl1.2debian
  4043. 2017-01-05 22:14:58.024 |   libseccomp2 libspice-server1 libusbredirparser1 libxen-4.4 libxenstore3.0
  4044. 2017-01-05 22:14:58.024 |   libyajl2 qemu-keymaps qemu-kvm qemu-system-common qemu-system-x86 seabios
  4045. 2017-01-05 22:14:58.043 | 0 upgraded, 17 newly installed, 0 to remove and 78 not upgraded.
  4046. 2017-01-05 22:14:58.043 | Need to get 2427 kB/3890 kB of archives.
  4047. 2017-01-05 22:14:58.043 | After this operation, 20.4 MB of additional disk space will be used.
  4048. 2017-01-05 22:14:58.043 | Get:1 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main qemu-system-common amd64 2.0.0+dfsg-2ubuntu1.30 [159 kB]
  4049. 2017-01-05 22:14:58.048 | Get:2 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libxenstore3.0 amd64 4.4.2-0ubuntu0.14.04.7 [19.5 kB]
  4050. 2017-01-05 22:14:58.050 | Get:3 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libxen-4.4 amd64 4.4.2-0ubuntu0.14.04.7 [273 kB]
  4051. 2017-01-05 22:14:58.058 | Get:4 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main qemu-keymaps all 2.0.0+dfsg-2ubuntu1.30 [22.1 kB]
  4052. 2017-01-05 22:14:58.060 | Get:5 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main qemu-system-x86 amd64 2.0.0+dfsg-2ubuntu1.30 [1945 kB]
  4053. 2017-01-05 22:14:58.101 | Get:6 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main qemu-kvm amd64 2.0.0+dfsg-2ubuntu1.30 [7142 B]
  4054. 2017-01-05 22:14:58.315 | Fetched 2427 kB in 0s (39.0 MB/s)
  4055. 2017-01-05 22:14:58.420 | Selecting previously unselected package libbluetooth3:amd64.
  4056. 2017-01-05 22:14:58.468 | (Reading database ... 74603 files and directories currently installed.)
  4057. 2017-01-05 22:14:58.472 | Preparing to unpack .../libbluetooth3_4.101-0ubuntu13.1_amd64.deb ...
  4058. 2017-01-05 22:14:58.489 | Unpacking libbluetooth3:amd64 (4.101-0ubuntu13.1) ...
  4059. 2017-01-05 22:14:58.665 | Selecting previously unselected package libcaca0:amd64.
  4060. 2017-01-05 22:14:58.672 | Preparing to unpack .../libcaca0_0.99.beta18-1ubuntu5_amd64.deb ...
  4061. 2017-01-05 22:14:58.689 | Unpacking libcaca0:amd64 (0.99.beta18-1ubuntu5) ...
  4062. 2017-01-05 22:14:58.860 | Selecting previously unselected package libsdl1.2debian:amd64.
  4063. 2017-01-05 22:14:58.865 | Preparing to unpack .../libsdl1.2debian_1.2.15-8ubuntu1.1_amd64.deb ...
  4064. 2017-01-05 22:14:58.880 | Unpacking libsdl1.2debian:amd64 (1.2.15-8ubuntu1.1) ...
  4065. 2017-01-05 22:14:59.055 | Selecting previously unselected package libseccomp2:amd64.
  4066. 2017-01-05 22:14:59.063 | Preparing to unpack .../libseccomp2_2.1.0+dfsg-1_amd64.deb ...
  4067. 2017-01-05 22:14:59.080 | Unpacking libseccomp2:amd64 (2.1.0+dfsg-1) ...
  4068. 2017-01-05 22:14:59.240 | Selecting previously unselected package libspice-server1:amd64.
  4069. 2017-01-05 22:14:59.249 | Preparing to unpack .../libspice-server1_0.12.4-0nocelt2ubuntu1.3_amd64.deb ...
  4070. 2017-01-05 22:14:59.266 | Unpacking libspice-server1:amd64 (0.12.4-0nocelt2ubuntu1.3) ...
  4071. 2017-01-05 22:14:59.516 | Selecting previously unselected package libusbredirparser1:amd64.
  4072. 2017-01-05 22:14:59.520 | Preparing to unpack .../libusbredirparser1_0.6-2ubuntu1.1_amd64.deb ...
  4073. 2017-01-05 22:14:59.536 | Unpacking libusbredirparser1:amd64 (0.6-2ubuntu1.1) ...
  4074. 2017-01-05 22:14:59.700 | Selecting previously unselected package qemu-system-common.
  4075. 2017-01-05 22:14:59.708 | Preparing to unpack .../qemu-system-common_2.0.0+dfsg-2ubuntu1.30_amd64.deb ...
  4076. 2017-01-05 22:14:59.859 | Unpacking qemu-system-common (2.0.0+dfsg-2ubuntu1.30) ...
  4077. 2017-01-05 22:15:00.067 | Selecting previously unselected package libbrlapi0.6:amd64.
  4078. 2017-01-05 22:15:00.077 | Preparing to unpack .../libbrlapi0.6_5.0-2ubuntu2_amd64.deb ...
  4079. 2017-01-05 22:15:00.095 | Unpacking libbrlapi0.6:amd64 (5.0-2ubuntu2) ...
  4080. 2017-01-05 22:15:00.280 | Selecting previously unselected package libfdt1:amd64.
  4081. 2017-01-05 22:15:00.286 | Preparing to unpack .../libfdt1_1.4.0+dfsg-1_amd64.deb ...
  4082. 2017-01-05 22:15:00.305 | Unpacking libfdt1:amd64 (1.4.0+dfsg-1) ...
  4083. 2017-01-05 22:15:00.488 | Selecting previously unselected package libyajl2:amd64.
  4084. 2017-01-05 22:15:00.496 | Preparing to unpack .../libyajl2_2.0.4-4_amd64.deb ...
  4085. 2017-01-05 22:15:00.514 | Unpacking libyajl2:amd64 (2.0.4-4) ...
  4086. 2017-01-05 22:15:00.681 | Selecting previously unselected package ipxe-qemu.
  4087. 2017-01-05 22:15:00.687 | Preparing to unpack .../ipxe-qemu_1.0.0+git-20131111.c3d1e78-2ubuntu1.1_all.deb ...
  4088. 2017-01-05 22:15:00.737 | Unpacking ipxe-qemu (1.0.0+git-20131111.c3d1e78-2ubuntu1.1) ...
  4089. 2017-01-05 22:15:00.946 | Selecting previously unselected package libxenstore3.0.
  4090. 2017-01-05 22:15:00.953 | Preparing to unpack .../libxenstore3.0_4.4.2-0ubuntu0.14.04.7_amd64.deb ...
  4091. 2017-01-05 22:15:00.969 | Unpacking libxenstore3.0 (4.4.2-0ubuntu0.14.04.7) ...
  4092. 2017-01-05 22:15:01.104 | Selecting previously unselected package libxen-4.4.
  4093. 2017-01-05 22:15:01.110 | Preparing to unpack .../libxen-4.4_4.4.2-0ubuntu0.14.04.7_amd64.deb ...
  4094. 2017-01-05 22:15:01.125 | Unpacking libxen-4.4 (4.4.2-0ubuntu0.14.04.7) ...
  4095. 2017-01-05 22:15:01.312 | Selecting previously unselected package qemu-keymaps.
  4096. 2017-01-05 22:15:01.322 | Preparing to unpack .../qemu-keymaps_2.0.0+dfsg-2ubuntu1.30_all.deb ...
  4097. 2017-01-05 22:15:01.340 | Unpacking qemu-keymaps (2.0.0+dfsg-2ubuntu1.30) ...
  4098. 2017-01-05 22:15:01.512 | Selecting previously unselected package seabios.
  4099. 2017-01-05 22:15:01.517 | Preparing to unpack .../seabios_1.7.4-4ubuntu1_all.deb ...
  4100. 2017-01-05 22:15:01.536 | Unpacking seabios (1.7.4-4ubuntu1) ...
  4101. 2017-01-05 22:15:01.753 | Selecting previously unselected package qemu-system-x86.
  4102. 2017-01-05 22:15:01.762 | Preparing to unpack .../qemu-system-x86_2.0.0+dfsg-2ubuntu1.30_amd64.deb ...
  4103. 2017-01-05 22:15:01.792 | Unpacking qemu-system-x86 (2.0.0+dfsg-2ubuntu1.30) ...
  4104. 2017-01-05 22:15:02.313 | Selecting previously unselected package qemu-kvm.
  4105. 2017-01-05 22:15:02.322 | Preparing to unpack .../qemu-kvm_2.0.0+dfsg-2ubuntu1.30_amd64.deb ...
  4106. 2017-01-05 22:15:02.359 | Unpacking qemu-kvm (2.0.0+dfsg-2ubuntu1.30) ...
  4107. 2017-01-05 22:15:02.446 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  4108. 2017-01-05 22:15:02.707 | Processing triggers for ureadahead (0.100.0-16) ...
  4109. 2017-01-05 22:15:02.821 | Setting up libbluetooth3:amd64 (4.101-0ubuntu13.1) ...
  4110. 2017-01-05 22:15:02.917 | Setting up libcaca0:amd64 (0.99.beta18-1ubuntu5) ...
  4111. 2017-01-05 22:15:03.011 | Setting up libsdl1.2debian:amd64 (1.2.15-8ubuntu1.1) ...
  4112. 2017-01-05 22:15:03.096 | Setting up libseccomp2:amd64 (2.1.0+dfsg-1) ...
  4113. 2017-01-05 22:15:03.185 | Setting up libspice-server1:amd64 (0.12.4-0nocelt2ubuntu1.3) ...
  4114. 2017-01-05 22:15:03.271 | Setting up libusbredirparser1:amd64 (0.6-2ubuntu1.1) ...
  4115. 2017-01-05 22:15:03.361 | Setting up qemu-system-common (2.0.0+dfsg-2ubuntu1.30) ...
  4116. 2017-01-05 22:15:03.511 | Setting up libbrlapi0.6:amd64 (5.0-2ubuntu2) ...
  4117. 2017-01-05 22:15:03.585 | Setting up libfdt1:amd64 (1.4.0+dfsg-1) ...
  4118. 2017-01-05 22:15:03.664 | Setting up libyajl2:amd64 (2.0.4-4) ...
  4119. 2017-01-05 22:15:03.741 | Setting up ipxe-qemu (1.0.0+git-20131111.c3d1e78-2ubuntu1.1) ...
  4120. 2017-01-05 22:15:03.788 | Setting up libxenstore3.0 (4.4.2-0ubuntu0.14.04.7) ...
  4121. 2017-01-05 22:15:03.884 | Setting up libxen-4.4 (4.4.2-0ubuntu0.14.04.7) ...
  4122. 2017-01-05 22:15:03.967 | Setting up qemu-keymaps (2.0.0+dfsg-2ubuntu1.30) ...
  4123. 2017-01-05 22:15:04.015 | Setting up seabios (1.7.4-4ubuntu1) ...
  4124. 2017-01-05 22:15:04.112 | Setting up qemu-system-x86 (2.0.0+dfsg-2ubuntu1.30) ...
  4125. 2017-01-05 22:15:04.302 | qemu-kvm start/running
  4126. 2017-01-05 22:15:04.354 | Processing triggers for ureadahead (0.100.0-16) ...
  4127. 2017-01-05 22:15:04.409 | Setting up qemu-kvm (2.0.0+dfsg-2ubuntu1.30) ...
  4128. 2017-01-05 22:15:04.463 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  4129. 2017-01-05 22:15:04.794 | + real_install_package qemu-kvm
  4130. 2017-01-05 22:15:04.794 | + is_ubuntu
  4131. 2017-01-05 22:15:04.794 | + [[ -z deb ]]
  4132. 2017-01-05 22:15:04.794 | + '[' deb = deb ']'
  4133. 2017-01-05 22:15:04.794 | + apt_get install qemu-kvm
  4134. 2017-01-05 22:15:04.798 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install qemu-kvm
  4135. 2017-01-05 22:15:04.812 | Reading package lists...
  4136. 2017-01-05 22:15:04.958 | Building dependency tree...
  4137. 2017-01-05 22:15:04.958 | Reading state information...
  4138. 2017-01-05 22:15:05.058 | qemu-kvm is already the newest version.
  4139. 2017-01-05 22:15:05.058 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  4140. 2017-01-05 22:15:05.059 | + install_package libguestfs0
  4141. 2017-01-05 22:15:05.059 | + update_package_repo
  4142. 2017-01-05 22:15:05.059 | + NO_UPDATE_REPOS=False
  4143. 2017-01-05 22:15:05.059 | + REPOS_UPDATED=True
  4144. 2017-01-05 22:15:05.059 | + RETRY_UPDATE=False
  4145. 2017-01-05 22:15:05.059 | + [[ False = \T\r\u\e ]]
  4146. 2017-01-05 22:15:05.059 | + is_ubuntu
  4147. 2017-01-05 22:15:05.059 | + [[ -z deb ]]
  4148. 2017-01-05 22:15:05.059 | + '[' deb = deb ']'
  4149. 2017-01-05 22:15:05.059 | + apt_get_update
  4150. 2017-01-05 22:15:05.059 | + [[ True == \T\r\u\e ]]
  4151. 2017-01-05 22:15:05.059 | + [[ False != \T\r\u\e ]]
  4152. 2017-01-05 22:15:05.059 | + return
  4153. 2017-01-05 22:15:05.059 | + real_install_package libguestfs0
  4154. 2017-01-05 22:15:05.059 | + is_ubuntu
  4155. 2017-01-05 22:15:05.060 | + [[ -z deb ]]
  4156. 2017-01-05 22:15:05.060 | + '[' deb = deb ']'
  4157. 2017-01-05 22:15:05.060 | + apt_get install libguestfs0
  4158. 2017-01-05 22:15:05.063 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install libguestfs0
  4159. 2017-01-05 22:15:05.085 | Reading package lists...
  4160. 2017-01-05 22:15:05.230 | Building dependency tree...
  4161. 2017-01-05 22:15:05.231 | Reading state information...
  4162. 2017-01-05 22:15:05.332 | The following extra packages will be installed:
  4163. 2017-01-05 22:15:05.332 |   btrfs-tools icoutils jfsutils ldmtool libencode-locale-perl
  4164. 2017-01-05 22:15:05.332 |   libfile-listing-perl libhtml-parser-perl libhtml-tagset-perl
  4165. 2017-01-05 22:15:05.332 |   libhtml-tree-perl libhttp-cookies-perl libhttp-date-perl
  4166. 2017-01-05 22:15:05.332 |   libhttp-message-perl libhttp-negotiate-perl libio-html-perl
  4167. 2017-01-05 22:15:05.332 |   libio-socket-ssl-perl libjson-glib-1.0-0 libjson-glib-1.0-common
  4168. 2017-01-05 22:15:05.332 |   libldm-1.0-0 liblwp-mediatypes-perl liblwp-protocol-https-perl liblzo2-2
  4169. 2017-01-05 22:15:05.332 |   libnet-http-perl libnet-ssleay-perl libnetpbm10 liburi-perl libvirt0
  4170. 2017-01-05 22:15:05.332 |   libwww-perl libwww-robotrules-perl netpbm reiserfsprogs scrub supermin
  4171. 2017-01-05 22:15:05.332 |   xfsprogs zfs-fuse
  4172. 2017-01-05 22:15:05.333 | Suggested packages:
  4173. 2017-01-05 22:15:05.333 |   libterm-readline-gnu-perl libterm-readline-perl-perl libdata-dump-perl
  4174. 2017-01-05 22:15:05.333 |   libcrypt-ssleay-perl libauthen-ntlm-perl xfsdump attr quota
  4175. 2017-01-05 22:15:05.333 |   nfs-kernel-server
  4176. 2017-01-05 22:15:05.333 | Recommended packages:
  4177. 2017-01-05 22:15:05.333 |   libhtml-format-perl libio-socket-inet6-perl libio-socket-ip-perl
  4178. 2017-01-05 22:15:05.333 |   libhtml-form-perl libhttp-daemon-perl libmailtools-perl ghostscript
  4179. 2017-01-05 22:15:05.334 | The following NEW packages will be installed:
  4180. 2017-01-05 22:15:05.334 |   btrfs-tools icoutils jfsutils ldmtool libencode-locale-perl
  4181. 2017-01-05 22:15:05.334 |   libfile-listing-perl libguestfs0 libhtml-parser-perl libhtml-tagset-perl
  4182. 2017-01-05 22:15:05.334 |   libhtml-tree-perl libhttp-cookies-perl libhttp-date-perl
  4183. 2017-01-05 22:15:05.334 |   libhttp-message-perl libhttp-negotiate-perl libio-html-perl
  4184. 2017-01-05 22:15:05.335 |   libio-socket-ssl-perl libjson-glib-1.0-0 libjson-glib-1.0-common
  4185. 2017-01-05 22:15:05.335 |   libldm-1.0-0 liblwp-mediatypes-perl liblwp-protocol-https-perl liblzo2-2
  4186. 2017-01-05 22:15:05.335 |   libnet-http-perl libnet-ssleay-perl libnetpbm10 liburi-perl libvirt0
  4187. 2017-01-05 22:15:05.335 |   libwww-perl libwww-robotrules-perl netpbm reiserfsprogs scrub supermin
  4188. 2017-01-05 22:15:05.335 |   xfsprogs zfs-fuse
  4189. 2017-01-05 22:15:05.592 |
  4190. Extracting templates from packages: 85%
  4191. Extracting templates from packages: 100%
  4192. 2017-01-05 22:15:05.610 | 0 upgraded, 35 newly installed, 0 to remove and 78 not upgraded.
  4193. 2017-01-05 22:15:05.610 | Need to get 0 B/7362 kB of archives.
  4194. 2017-01-05 22:15:05.610 | After this operation, 28.6 MB of additional disk space will be used.
  4195. 2017-01-05 22:15:05.669 | Selecting previously unselected package libjson-glib-1.0-common.
  4196. 2017-01-05 22:15:05.699 | (Reading database ... 74844 files and directories currently installed.)
  4197. 2017-01-05 22:15:05.702 | Preparing to unpack .../libjson-glib-1.0-common_0.16.2-1ubuntu1_all.deb ...
  4198. 2017-01-05 22:15:05.719 | Unpacking libjson-glib-1.0-common (0.16.2-1ubuntu1) ...
  4199. 2017-01-05 22:15:05.864 | Selecting previously unselected package libjson-glib-1.0-0:amd64.
  4200. 2017-01-05 22:15:05.870 | Preparing to unpack .../libjson-glib-1.0-0_0.16.2-1ubuntu1_amd64.deb ...
  4201. 2017-01-05 22:15:05.891 | Unpacking libjson-glib-1.0-0:amd64 (0.16.2-1ubuntu1) ...
  4202. 2017-01-05 22:15:06.066 | Selecting previously unselected package liblzo2-2:amd64.
  4203. 2017-01-05 22:15:06.074 | Preparing to unpack .../liblzo2-2_2.06-1.2ubuntu1.1_amd64.deb ...
  4204. 2017-01-05 22:15:06.096 | Unpacking liblzo2-2:amd64 (2.06-1.2ubuntu1.1) ...
  4205. 2017-01-05 22:15:06.280 | Selecting previously unselected package libvirt0.
  4206. 2017-01-05 22:15:06.289 | Preparing to unpack .../libvirt0_1.2.2-0ubuntu13.1.17_amd64.deb ...
  4207. 2017-01-05 22:15:06.305 | Unpacking libvirt0 (1.2.2-0ubuntu13.1.17) ...
  4208. 2017-01-05 22:15:06.540 | Selecting previously unselected package supermin.
  4209. 2017-01-05 22:15:06.541 | Preparing to unpack .../supermin_4.1.6-1_amd64.deb ...
  4210. 2017-01-05 22:15:06.557 | Unpacking supermin (4.1.6-1) ...
  4211. 2017-01-05 22:15:06.764 | Selecting previously unselected package btrfs-tools.
  4212. 2017-01-05 22:15:06.765 | Preparing to unpack .../btrfs-tools_3.12-1ubuntu0.1_amd64.deb ...
  4213. 2017-01-05 22:15:06.785 | Unpacking btrfs-tools (3.12-1ubuntu0.1) ...
  4214. 2017-01-05 22:15:06.976 | Selecting previously unselected package reiserfsprogs.
  4215. 2017-01-05 22:15:06.983 | Preparing to unpack .../reiserfsprogs_1%3a3.6.24-1_amd64.deb ...
  4216. 2017-01-05 22:15:07.003 | Unpacking reiserfsprogs (1:3.6.24-1) ...
  4217. 2017-01-05 22:15:07.216 | Selecting previously unselected package zfs-fuse.
  4218. 2017-01-05 22:15:07.216 | Preparing to unpack .../zfs-fuse_0.7.0-10.1_amd64.deb ...
  4219. 2017-01-05 22:15:07.232 | Unpacking zfs-fuse (0.7.0-10.1) ...
  4220. 2017-01-05 22:15:07.524 | Selecting previously unselected package jfsutils.
  4221. 2017-01-05 22:15:07.534 | Preparing to unpack .../jfsutils_1.1.15-2.1_amd64.deb ...
  4222. 2017-01-05 22:15:07.549 | Unpacking jfsutils (1.1.15-2.1) ...
  4223. 2017-01-05 22:15:07.747 | Selecting previously unselected package scrub.
  4224. 2017-01-05 22:15:07.757 | Preparing to unpack .../scrub_2.5.2-2_amd64.deb ...
  4225. 2017-01-05 22:15:07.774 | Unpacking scrub (2.5.2-2) ...
  4226. 2017-01-05 22:15:07.936 | Selecting previously unselected package xfsprogs.
  4227. 2017-01-05 22:15:07.945 | Preparing to unpack .../xfsprogs_3.1.9ubuntu2_amd64.deb ...
  4228. 2017-01-05 22:15:07.962 | Unpacking xfsprogs (3.1.9ubuntu2) ...
  4229. 2017-01-05 22:15:08.252 | Selecting previously unselected package libnetpbm10.
  4230. 2017-01-05 22:15:08.258 | Preparing to unpack .../libnetpbm10_2%3a10.0-15ubuntu2_amd64.deb ...
  4231. 2017-01-05 22:15:08.276 | Unpacking libnetpbm10 (2:10.0-15ubuntu2) ...
  4232. 2017-01-05 22:15:08.404 | Selecting previously unselected package netpbm.
  4233. 2017-01-05 22:15:08.414 | Preparing to unpack .../netpbm_2%3a10.0-15ubuntu2_amd64.deb ...
  4234. 2017-01-05 22:15:08.430 | Unpacking netpbm (2:10.0-15ubuntu2) ...
  4235. 2017-01-05 22:15:08.808 | Selecting previously unselected package libencode-locale-perl.
  4236. 2017-01-05 22:15:08.814 | Preparing to unpack .../libencode-locale-perl_1.03-1_all.deb ...
  4237. 2017-01-05 22:15:08.830 | Unpacking libencode-locale-perl (1.03-1) ...
  4238. 2017-01-05 22:15:08.942 | Selecting previously unselected package libhttp-date-perl.
  4239. 2017-01-05 22:15:08.950 | Preparing to unpack .../libhttp-date-perl_6.02-1_all.deb ...
  4240. 2017-01-05 22:15:08.966 | Unpacking libhttp-date-perl (6.02-1) ...
  4241. 2017-01-05 22:15:09.092 | Selecting previously unselected package libfile-listing-perl.
  4242. 2017-01-05 22:15:09.099 | Preparing to unpack .../libfile-listing-perl_6.04-1_all.deb ...
  4243. 2017-01-05 22:15:09.116 | Unpacking libfile-listing-perl (6.04-1) ...
  4244. 2017-01-05 22:15:09.244 | Selecting previously unselected package liburi-perl.
  4245. 2017-01-05 22:15:09.250 | Preparing to unpack .../liburi-perl_1.60-1_all.deb ...
  4246. 2017-01-05 22:15:09.284 | Unpacking liburi-perl (1.60-1) ...
  4247. 2017-01-05 22:15:09.452 | Selecting previously unselected package libhtml-tagset-perl.
  4248. 2017-01-05 22:15:09.461 | Preparing to unpack .../libhtml-tagset-perl_3.20-2_all.deb ...
  4249. 2017-01-05 22:15:09.478 | Unpacking libhtml-tagset-perl (3.20-2) ...
  4250. 2017-01-05 22:15:09.608 | Selecting previously unselected package libhtml-parser-perl.
  4251. 2017-01-05 22:15:09.619 | Preparing to unpack .../libhtml-parser-perl_3.71-1build1_amd64.deb ...
  4252. 2017-01-05 22:15:09.637 | Unpacking libhtml-parser-perl (3.71-1build1) ...
  4253. 2017-01-05 22:15:09.784 | Selecting previously unselected package libhtml-tree-perl.
  4254. 2017-01-05 22:15:09.790 | Preparing to unpack .../libhtml-tree-perl_5.03-1_all.deb ...
  4255. 2017-01-05 22:15:09.808 | Unpacking libhtml-tree-perl (5.03-1) ...
  4256. 2017-01-05 22:15:09.968 | Selecting previously unselected package libio-html-perl.
  4257. 2017-01-05 22:15:09.974 | Preparing to unpack .../libio-html-perl_1.00-1_all.deb ...
  4258. 2017-01-05 22:15:09.992 | Unpacking libio-html-perl (1.00-1) ...
  4259. 2017-01-05 22:15:10.112 | Selecting previously unselected package liblwp-mediatypes-perl.
  4260. 2017-01-05 22:15:10.121 | Preparing to unpack .../liblwp-mediatypes-perl_6.02-1_all.deb ...
  4261. 2017-01-05 22:15:10.139 | Unpacking liblwp-mediatypes-perl (6.02-1) ...
  4262. 2017-01-05 22:15:10.261 | Selecting previously unselected package libhttp-message-perl.
  4263. 2017-01-05 22:15:10.271 | Preparing to unpack .../libhttp-message-perl_6.06-1_all.deb ...
  4264. 2017-01-05 22:15:10.287 | Unpacking libhttp-message-perl (6.06-1) ...
  4265. 2017-01-05 22:15:10.408 | Selecting previously unselected package libhttp-cookies-perl.
  4266. 2017-01-05 22:15:10.417 | Preparing to unpack .../libhttp-cookies-perl_6.00-2_all.deb ...
  4267. 2017-01-05 22:15:10.434 | Unpacking libhttp-cookies-perl (6.00-2) ...
  4268. 2017-01-05 22:15:10.555 | Selecting previously unselected package libhttp-negotiate-perl.
  4269. 2017-01-05 22:15:10.561 | Preparing to unpack .../libhttp-negotiate-perl_6.00-2_all.deb ...
  4270. 2017-01-05 22:15:10.577 | Unpacking libhttp-negotiate-perl (6.00-2) ...
  4271. 2017-01-05 22:15:10.689 | Selecting previously unselected package libnet-ssleay-perl.
  4272. 2017-01-05 22:15:10.698 | Preparing to unpack .../libnet-ssleay-perl_1.58-1_amd64.deb ...
  4273. 2017-01-05 22:15:10.715 | Unpacking libnet-ssleay-perl (1.58-1) ...
  4274. 2017-01-05 22:15:11.613 | Selecting previously unselected package libio-socket-ssl-perl.
  4275. 2017-01-05 22:15:11.621 | Preparing to unpack .../libio-socket-ssl-perl_1.965-1ubuntu1_all.deb ...
  4276. 2017-01-05 22:15:11.640 | Unpacking libio-socket-ssl-perl (1.965-1ubuntu1) ...
  4277. 2017-01-05 22:15:11.792 | Selecting previously unselected package libnet-http-perl.
  4278. 2017-01-05 22:15:11.802 | Preparing to unpack .../libnet-http-perl_6.06-1_all.deb ...
  4279. 2017-01-05 22:15:11.821 | Unpacking libnet-http-perl (6.06-1) ...
  4280. 2017-01-05 22:15:11.959 | Selecting previously unselected package liblwp-protocol-https-perl.
  4281. 2017-01-05 22:15:11.972 | Preparing to unpack .../liblwp-protocol-https-perl_6.04-2ubuntu0.1_all.deb ...
  4282. 2017-01-05 22:15:11.990 | Unpacking liblwp-protocol-https-perl (6.04-2ubuntu0.1) ...
  4283. 2017-01-05 22:15:12.156 | Selecting previously unselected package libwww-robotrules-perl.
  4284. 2017-01-05 22:15:12.168 | Preparing to unpack .../libwww-robotrules-perl_6.01-1_all.deb ...
  4285. 2017-01-05 22:15:12.191 | Unpacking libwww-robotrules-perl (6.01-1) ...
  4286. 2017-01-05 22:15:12.322 | Selecting previously unselected package libwww-perl.
  4287. 2017-01-05 22:15:12.333 | Preparing to unpack .../libwww-perl_6.05-2_all.deb ...
  4288. 2017-01-05 22:15:12.351 | Unpacking libwww-perl (6.05-2) ...
  4289. 2017-01-05 22:15:12.515 | Selecting previously unselected package icoutils.
  4290. 2017-01-05 22:15:12.521 | Preparing to unpack .../icoutils_0.31.0-2_amd64.deb ...
  4291. 2017-01-05 22:15:12.537 | Unpacking icoutils (0.31.0-2) ...
  4292. 2017-01-05 22:15:12.818 | Selecting previously unselected package libldm-1.0-0.
  4293. 2017-01-05 22:15:12.829 | Preparing to unpack .../libldm-1.0-0_0.2.3-2ubuntu1_amd64.deb ...
  4294. 2017-01-05 22:15:12.946 | Unpacking libldm-1.0-0 (0.2.3-2ubuntu1) ...
  4295. 2017-01-05 22:15:13.084 | Selecting previously unselected package ldmtool.
  4296. 2017-01-05 22:15:13.089 | Preparing to unpack .../ldmtool_0.2.3-2ubuntu1_amd64.deb ...
  4297. 2017-01-05 22:15:13.106 | Unpacking ldmtool (0.2.3-2ubuntu1) ...
  4298. 2017-01-05 22:15:13.240 | Selecting previously unselected package libguestfs0:amd64.
  4299. 2017-01-05 22:15:13.244 | Preparing to unpack .../libguestfs0_1%3a1.24.5-1ubuntu0.1_amd64.deb ...
  4300. 2017-01-05 22:15:13.262 | Unpacking libguestfs0:amd64 (1:1.24.5-1ubuntu0.1) ...
  4301. 2017-01-05 22:15:13.452 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  4302. 2017-01-05 22:15:14.526 | Processing triggers for ureadahead (0.100.0-16) ...
  4303. 2017-01-05 22:15:14.645 | Setting up libjson-glib-1.0-common (0.16.2-1ubuntu1) ...
  4304. 2017-01-05 22:15:14.694 | Setting up libjson-glib-1.0-0:amd64 (0.16.2-1ubuntu1) ...
  4305. 2017-01-05 22:15:14.776 | Setting up liblzo2-2:amd64 (2.06-1.2ubuntu1.1) ...
  4306. 2017-01-05 22:15:14.869 | Setting up libvirt0 (1.2.2-0ubuntu13.1.17) ...
  4307. 2017-01-05 22:15:14.937 | Setting up supermin (4.1.6-1) ...
  4308. 2017-01-05 22:15:14.985 | Setting up btrfs-tools (3.12-1ubuntu0.1) ...
  4309. 2017-01-05 22:15:15.031 | update-initramfs: deferring update (trigger activated)
  4310. 2017-01-05 22:15:15.094 | Setting up reiserfsprogs (1:3.6.24-1) ...
  4311. 2017-01-05 22:15:15.159 | Setting up zfs-fuse (0.7.0-10.1) ...
  4312. 2017-01-05 22:15:16.383 |  * Starting zfs-fuse zfs-fuse
  4313. 2017-01-05 22:15:16.594 |    ...done.
  4314. 2017-01-05 22:15:16.595 |  * Immunizing zfs-fuse against OOM kills and sendsigs signals...
  4315. 2017-01-05 22:15:16.599 |    ...done.
  4316. 2017-01-05 22:15:16.599 |  * Mounting ZFS filesystems...
  4317. 2017-01-05 22:15:16.604 |    ...done.
  4318. 2017-01-05 22:15:16.640 | Setting up jfsutils (1.1.15-2.1) ...
  4319. 2017-01-05 22:15:16.687 | Setting up scrub (2.5.2-2) ...
  4320. 2017-01-05 22:15:16.751 | Setting up xfsprogs (3.1.9ubuntu2) ...
  4321. 2017-01-05 22:15:16.821 | Setting up libnetpbm10 (2:10.0-15ubuntu2) ...
  4322. 2017-01-05 22:15:16.893 | Setting up netpbm (2:10.0-15ubuntu2) ...
  4323. 2017-01-05 22:15:16.939 | Setting up libencode-locale-perl (1.03-1) ...
  4324. 2017-01-05 22:15:16.983 | Setting up libhttp-date-perl (6.02-1) ...
  4325. 2017-01-05 22:15:17.031 | Setting up libfile-listing-perl (6.04-1) ...
  4326. 2017-01-05 22:15:17.080 | Setting up liburi-perl (1.60-1) ...
  4327. 2017-01-05 22:15:17.123 | Setting up libhtml-tagset-perl (3.20-2) ...
  4328. 2017-01-05 22:15:17.197 | Setting up libhtml-parser-perl (3.71-1build1) ...
  4329. 2017-01-05 22:15:17.241 | Setting up libhtml-tree-perl (5.03-1) ...
  4330. 2017-01-05 22:15:17.284 | Setting up libio-html-perl (1.00-1) ...
  4331. 2017-01-05 22:15:17.327 | Setting up liblwp-mediatypes-perl (6.02-1) ...
  4332. 2017-01-05 22:15:17.374 | Setting up libhttp-message-perl (6.06-1) ...
  4333. 2017-01-05 22:15:17.420 | Setting up libhttp-cookies-perl (6.00-2) ...
  4334. 2017-01-05 22:15:17.467 | Setting up libhttp-negotiate-perl (6.00-2) ...
  4335. 2017-01-05 22:15:17.517 | Setting up libnet-ssleay-perl (1.58-1) ...
  4336. 2017-01-05 22:15:17.566 | Setting up libio-socket-ssl-perl (1.965-1ubuntu1) ...
  4337. 2017-01-05 22:15:17.623 | Setting up libnet-http-perl (6.06-1) ...
  4338. 2017-01-05 22:15:17.675 | Setting up libwww-robotrules-perl (6.01-1) ...
  4339. 2017-01-05 22:15:17.719 | Setting up libldm-1.0-0 (0.2.3-2ubuntu1) ...
  4340. 2017-01-05 22:15:17.784 | Setting up ldmtool (0.2.3-2ubuntu1) ...
  4341. 2017-01-05 22:15:17.843 | Setting up liblwp-protocol-https-perl (6.04-2ubuntu0.1) ...
  4342. 2017-01-05 22:15:17.902 | Setting up libwww-perl (6.05-2) ...
  4343. 2017-01-05 22:15:17.952 | Setting up icoutils (0.31.0-2) ...
  4344. 2017-01-05 22:15:18.141 | Processing triggers for ureadahead (0.100.0-16) ...
  4345. 2017-01-05 22:15:18.190 | Setting up libguestfs0:amd64 (1:1.24.5-1ubuntu0.1) ...
  4346. 2017-01-05 22:15:18.256 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  4347. 2017-01-05 22:15:18.320 | Processing triggers for initramfs-tools (0.103ubuntu4.4) ...
  4348. 2017-01-05 22:15:18.350 | update-initramfs: Generating /boot/initrd.img-3.13.0-95-generic
  4349. 2017-01-05 22:15:29.027 | + real_install_package libguestfs0
  4350. 2017-01-05 22:15:29.027 | + is_ubuntu
  4351. 2017-01-05 22:15:29.027 | + [[ -z deb ]]
  4352. 2017-01-05 22:15:29.027 | + '[' deb = deb ']'
  4353. 2017-01-05 22:15:29.027 | + apt_get install libguestfs0
  4354. 2017-01-05 22:15:29.033 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install libguestfs0
  4355. 2017-01-05 22:15:29.052 | Reading package lists...
  4356. 2017-01-05 22:15:29.241 | Building dependency tree...
  4357. 2017-01-05 22:15:29.242 | Reading state information...
  4358. 2017-01-05 22:15:29.382 | libguestfs0 is already the newest version.
  4359. 2017-01-05 22:15:29.383 | 0 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
  4360. 2017-01-05 22:15:29.384 | + install_package libvirt-bin libvirt-dev
  4361. 2017-01-05 22:15:29.384 | + update_package_repo
  4362. 2017-01-05 22:15:29.384 | + NO_UPDATE_REPOS=False
  4363. 2017-01-05 22:15:29.384 | + REPOS_UPDATED=True
  4364. 2017-01-05 22:15:29.384 | + RETRY_UPDATE=False
  4365. 2017-01-05 22:15:29.384 | + [[ False = \T\r\u\e ]]
  4366. 2017-01-05 22:15:29.384 | + is_ubuntu
  4367. 2017-01-05 22:15:29.384 | + [[ -z deb ]]
  4368. 2017-01-05 22:15:29.385 | + '[' deb = deb ']'
  4369. 2017-01-05 22:15:29.385 | + apt_get_update
  4370. 2017-01-05 22:15:29.385 | + [[ True == \T\r\u\e ]]
  4371. 2017-01-05 22:15:29.385 | + [[ False != \T\r\u\e ]]
  4372. 2017-01-05 22:15:29.385 | + return
  4373. 2017-01-05 22:15:29.385 | + real_install_package libvirt-bin libvirt-dev
  4374. 2017-01-05 22:15:29.385 | + is_ubuntu
  4375. 2017-01-05 22:15:29.385 | + [[ -z deb ]]
  4376. 2017-01-05 22:15:29.385 | + '[' deb = deb ']'
  4377. 2017-01-05 22:15:29.385 | + apt_get install libvirt-bin libvirt-dev
  4378. 2017-01-05 22:15:29.390 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install libvirt-bin libvirt-dev
  4379. 2017-01-05 22:15:29.407 | Reading package lists...
  4380. 2017-01-05 22:15:29.588 | Building dependency tree...
  4381. 2017-01-05 22:15:29.589 | Reading state information...
  4382. 2017-01-05 22:15:29.728 | The following extra packages will be installed:
  4383. 2017-01-05 22:15:29.728 |   cgroup-lite libnetcf1 libnl-3-200 libnl-genl-3-200 libnl-route-3-200
  4384. 2017-01-05 22:15:29.728 |   libpciaccess0 libxen-dev
  4385. 2017-01-05 22:15:29.728 | Recommended packages:
  4386. 2017-01-05 22:15:29.728 |   libxml2-utils
  4387. 2017-01-05 22:15:29.729 | The following NEW packages will be installed:
  4388. 2017-01-05 22:15:29.729 |   cgroup-lite libnetcf1 libnl-route-3-200 libpciaccess0 libvirt-bin
  4389. 2017-01-05 22:15:29.729 |   libvirt-dev libxen-dev
  4390. 2017-01-05 22:15:29.730 | The following packages will be upgraded:
  4391. 2017-01-05 22:15:29.730 |   libnl-3-200 libnl-genl-3-200
  4392. 2017-01-05 22:15:29.750 | 2 upgraded, 7 newly installed, 0 to remove and 76 not upgraded.
  4393. 2017-01-05 22:15:29.750 | Need to get 606 kB/2843 kB of archives.
  4394. 2017-01-05 22:15:29.750 | After this operation, 17.7 MB of additional disk space will be used.
  4395. 2017-01-05 22:15:29.750 | Get:1 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main libnl-genl-3-200 amd64 3.2.21-1ubuntu4 [10.2 kB]
  4396. 2017-01-05 22:15:29.752 | Get:2 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main libnl-3-200 amd64 3.2.21-1ubuntu4 [45.6 kB]
  4397. 2017-01-05 22:15:29.755 | Get:3 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main libnl-route-3-200 amd64 3.2.21-1ubuntu4 [96.1 kB]
  4398. 2017-01-05 22:15:29.760 | Get:4 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main libxen-dev amd64 4.4.2-0ubuntu0.14.04.7 [454 kB]
  4399. 2017-01-05 22:15:29.970 | Fetched 606 kB in 0s (19.3 MB/s)
  4400. 2017-01-05 22:15:30.101 | (Reading database ... 76057 files and directories currently installed.)
  4401. 2017-01-05 22:15:30.105 | Preparing to unpack .../libnl-genl-3-200_3.2.21-1ubuntu4_amd64.deb ...
  4402. 2017-01-05 22:15:30.157 | Unpacking libnl-genl-3-200:amd64 (3.2.21-1ubuntu4) over (3.2.21-1ubuntu3) ...
  4403. 2017-01-05 22:15:30.351 | Preparing to unpack .../libnl-3-200_3.2.21-1ubuntu4_amd64.deb ...
  4404. 2017-01-05 22:15:30.405 | Unpacking libnl-3-200:amd64 (3.2.21-1ubuntu4) over (3.2.21-1ubuntu3) ...
  4405. 2017-01-05 22:15:30.584 | Selecting previously unselected package libnl-route-3-200:amd64.
  4406. 2017-01-05 22:15:30.590 | Preparing to unpack .../libnl-route-3-200_3.2.21-1ubuntu4_amd64.deb ...
  4407. 2017-01-05 22:15:30.606 | Unpacking libnl-route-3-200:amd64 (3.2.21-1ubuntu4) ...
  4408. 2017-01-05 22:15:30.760 | Selecting previously unselected package libpciaccess0:amd64.
  4409. 2017-01-05 22:15:30.766 | Preparing to unpack .../libpciaccess0_0.13.2-1_amd64.deb ...
  4410. 2017-01-05 22:15:30.780 | Unpacking libpciaccess0:amd64 (0.13.2-1) ...
  4411. 2017-01-05 22:15:30.921 | Selecting previously unselected package libnetcf1.
  4412. 2017-01-05 22:15:30.927 | Preparing to unpack .../libnetcf1_1%3a0.2.3-4ubuntu1_amd64.deb ...
  4413. 2017-01-05 22:15:30.942 | Unpacking libnetcf1 (1:0.2.3-4ubuntu1) ...
  4414. 2017-01-05 22:15:31.119 | Selecting previously unselected package cgroup-lite.
  4415. 2017-01-05 22:15:31.125 | Preparing to unpack .../cgroup-lite_1.9_all.deb ...
  4416. 2017-01-05 22:15:31.141 | Unpacking cgroup-lite (1.9) ...
  4417. 2017-01-05 22:15:31.334 | Selecting previously unselected package libvirt-bin.
  4418. 2017-01-05 22:15:31.340 | Preparing to unpack .../libvirt-bin_1.2.2-0ubuntu13.1.17_amd64.deb ...
  4419. 2017-01-05 22:15:31.356 | Unpacking libvirt-bin (1.2.2-0ubuntu13.1.17) ...
  4420. 2017-01-05 22:15:31.828 | Selecting previously unselected package libxen-dev.
  4421. 2017-01-05 22:15:31.837 | Preparing to unpack .../libxen-dev_4.4.2-0ubuntu0.14.04.7_amd64.deb ...
  4422. 2017-01-05 22:15:31.854 | Unpacking libxen-dev (4.4.2-0ubuntu0.14.04.7) ...
  4423. 2017-01-05 22:15:32.058 | Selecting previously unselected package libvirt-dev.
  4424. 2017-01-05 22:15:32.065 | Preparing to unpack .../libvirt-dev_1.2.2-0ubuntu13.1.17_amd64.deb ...
  4425. 2017-01-05 22:15:32.081 | Unpacking libvirt-dev (1.2.2-0ubuntu13.1.17) ...
  4426. 2017-01-05 22:15:32.173 | Processing triggers for ureadahead (0.100.0-16) ...
  4427. 2017-01-05 22:15:32.214 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  4428. 2017-01-05 22:15:32.584 | Setting up libnl-3-200:amd64 (3.2.21-1ubuntu4) ...
  4429. 2017-01-05 22:15:32.705 | Setting up libnl-genl-3-200:amd64 (3.2.21-1ubuntu4) ...
  4430. 2017-01-05 22:15:32.768 | Setting up libnl-route-3-200:amd64 (3.2.21-1ubuntu4) ...
  4431. 2017-01-05 22:15:32.830 | Setting up libpciaccess0:amd64 (0.13.2-1) ...
  4432. 2017-01-05 22:15:32.910 | Setting up libnetcf1 (1:0.2.3-4ubuntu1) ...
  4433. 2017-01-05 22:15:32.975 | Setting up cgroup-lite (1.9) ...
  4434. 2017-01-05 22:15:33.130 | cgroup-lite start/running
  4435. 2017-01-05 22:15:33.153 | Setting up libxen-dev (4.4.2-0ubuntu0.14.04.7) ...
  4436. 2017-01-05 22:15:33.197 | Setting up libvirt-dev (1.2.2-0ubuntu13.1.17) ...
  4437. 2017-01-05 22:15:33.254 | Processing triggers for ureadahead (0.100.0-16) ...
  4438. 2017-01-05 22:15:33.305 | Setting up libvirt-bin (1.2.2-0ubuntu13.1.17) ...
  4439. 2017-01-05 22:15:34.215 | Adding group `libvirtd' (GID 121) ...
  4440. 2017-01-05 22:15:34.259 | Done.
  4441. 2017-01-05 22:15:37.017 | libvirt-bin start/running, process 27651
  4442. 2017-01-05 22:15:37.033 | Setting up libvirt-bin dnsmasq configuration.
  4443. 2017-01-05 22:15:37.060 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  4444. 2017-01-05 22:15:37.107 | Processing triggers for ureadahead (0.100.0-16) ...
  4445. 2017-01-05 22:15:37.488 | + real_install_package libvirt-bin libvirt-dev
  4446. 2017-01-05 22:15:37.488 | + is_ubuntu
  4447. 2017-01-05 22:15:37.488 | + [[ -z deb ]]
  4448. 2017-01-05 22:15:37.488 | + '[' deb = deb ']'
  4449. 2017-01-05 22:15:37.488 | + apt_get install libvirt-bin libvirt-dev
  4450. 2017-01-05 22:15:37.497 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install libvirt-bin libvirt-dev
  4451. 2017-01-05 22:15:37.519 | Reading package lists...
  4452. 2017-01-05 22:15:37.691 | Building dependency tree...
  4453. 2017-01-05 22:15:37.692 | Reading state information...
  4454. 2017-01-05 22:15:37.800 | libvirt-bin is already the newest version.
  4455. 2017-01-05 22:15:37.800 | libvirt-dev is already the newest version.
  4456. 2017-01-05 22:15:37.800 | 0 upgraded, 0 newly installed, 0 to remove and 76 not upgraded.
  4457. 2017-01-05 22:15:37.802 | + pip_install_gr libvirt-python
  4458. 2017-01-05 22:15:37.802 | + local name=libvirt-python
  4459. 2017-01-05 22:15:37.802 | ++ get_from_global_requirements libvirt-python
  4460. 2017-01-05 22:15:37.802 | ++ local package=libvirt-python
  4461. 2017-01-05 22:15:37.803 | +++ grep -i -h '^libvirt-python' /opt/stack/new/requirements/global-requirements.txt
  4462. 2017-01-05 22:15:37.803 | +++ cut -d# -f1
  4463. 2017-01-05 22:15:37.805 | ++ local 'required_pkg=libvirt-python>=1.2.5                   '
  4464. 2017-01-05 22:15:37.805 | ++ [[ libvirt-python>=1.2.5                    == '' ]]
  4465. 2017-01-05 22:15:37.805 | ++ echo 'libvirt-python>=1.2.5'
  4466. 2017-01-05 22:15:37.805 | + local 'clean_name=libvirt-python>=1.2.5'
  4467. 2017-01-05 22:15:37.805 | + pip_install 'libvirt-python>=1.2.5'
  4468. 2017-01-05 22:15:38.372 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt 'libvirt-python>=1.2.5'
  4469. 2017-01-05 22:15:39.100 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  4470. 2017-01-05 22:15:39.237 | Collecting libvirt-python===1.3.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 159))
  4471. 2017-01-05 22:15:39.283 |   Downloading http://mirror.boi.a10networks.com:81/packages/50/de/b6ed5a842416e7cba04eca50aa5c8617fa74eb0d8463b03efb36df37673c/libvirt-python-1.3.0.tar.gz (171kB)
  4472. 2017-01-05 22:15:39.798 | Building wheels for collected packages: libvirt-python
  4473. 2017-01-05 22:15:39.799 |   Running setup.py bdist_wheel for libvirt-python
  4474. 2017-01-05 22:15:45.476 |   Stored in directory: /root/.cache/pip/wheels/9b/4d/c0/c303c2d3f774cfd5d2dbd5b60a520afb9f8e6fa06f2892cff2
  4475. 2017-01-05 22:15:45.489 | Successfully built libvirt-python
  4476. 2017-01-05 22:15:45.489 | Installing collected packages: libvirt-python
  4477. 2017-01-05 22:15:45.732 | Successfully installed libvirt-python-1.3.0
  4478. 2017-01-05 22:15:45.985 | You are using pip version 7.1.2, however version 9.0.1 is available.
  4479. 2017-01-05 22:15:45.985 | You should consider upgrading via the 'pip install --upgrade pip' command.
  4480. 2017-01-05 22:15:46.008 | + local 'test_req=libvirt-python>=1.2.5/test-requirements.txt'
  4481. 2017-01-05 22:15:46.008 | + [[ -e libvirt-python>=1.2.5/test-requirements.txt ]]
  4482. 2017-01-05 22:15:46.008 | + [[ True == \T\r\u\e ]]
  4483. 2017-01-05 22:15:46.008 | + TOP_DIR=/opt/stack/new/devstack
  4484. 2017-01-05 22:15:46.008 | + /opt/stack/new/devstack/tools/install_ebtables_workaround.sh
  4485. 2017-01-05 22:15:46.018 | /sbin/ebtables: ELF 64-bit LSB  shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.24, BuildID[sha1]=0ef4a11c252d02263c195e80caf44719e533aded, stripped
  4486. 2017-01-05 22:15:46.033 | Replaced ebtables with locking workaround
  4487. 2017-01-05 22:15:46.033 | + [[ qemu == \l\x\c ]]
  4488. 2017-01-05 22:15:46.033 | + is_service_enabled n-novnc
  4489. 2017-01-05 22:15:46.037 | + return 0
  4490. 2017-01-05 22:15:46.037 | ++ trueorfalse False NOVNC_FROM_PACKAGE
  4491. 2017-01-05 22:15:46.040 | + NOVNC_FROM_PACKAGE=True
  4492. 2017-01-05 22:15:46.040 | + '[' True = True ']'
  4493. 2017-01-05 22:15:46.040 | + NOVNC_WEB_DIR=/usr/share/novnc
  4494. 2017-01-05 22:15:46.040 | + install_package novnc
  4495. 2017-01-05 22:15:46.040 | + update_package_repo
  4496. 2017-01-05 22:15:46.040 | + NO_UPDATE_REPOS=False
  4497. 2017-01-05 22:15:46.040 | + REPOS_UPDATED=True
  4498. 2017-01-05 22:15:46.040 | + RETRY_UPDATE=False
  4499. 2017-01-05 22:15:46.040 | + [[ False = \T\r\u\e ]]
  4500. 2017-01-05 22:15:46.040 | + is_ubuntu
  4501. 2017-01-05 22:15:46.040 | + [[ -z deb ]]
  4502. 2017-01-05 22:15:46.040 | + '[' deb = deb ']'
  4503. 2017-01-05 22:15:46.040 | + apt_get_update
  4504. 2017-01-05 22:15:46.040 | + [[ True == \T\r\u\e ]]
  4505. 2017-01-05 22:15:46.040 | + [[ False != \T\r\u\e ]]
  4506. 2017-01-05 22:15:46.040 | + return
  4507. 2017-01-05 22:15:46.040 | + real_install_package novnc
  4508. 2017-01-05 22:15:46.040 | + is_ubuntu
  4509. 2017-01-05 22:15:46.040 | + [[ -z deb ]]
  4510. 2017-01-05 22:15:46.040 | + '[' deb = deb ']'
  4511. 2017-01-05 22:15:46.040 | + apt_get install novnc
  4512. 2017-01-05 22:15:46.043 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install novnc
  4513. 2017-01-05 22:15:46.055 | Reading package lists...
  4514. 2017-01-05 22:15:46.194 | Building dependency tree...
  4515. 2017-01-05 22:15:46.195 | Reading state information...
  4516. 2017-01-05 22:15:46.298 | The following extra packages will be installed:
  4517. 2017-01-05 22:15:46.298 |   libblas3 libgfortran3 libjs-sphinxdoc libjs-swfobject libjs-underscore
  4518. 2017-01-05 22:15:46.298 |   liblapack3 librabbitmq1 python-amqp python-amqplib python-anyjson
  4519. 2017-01-05 22:15:46.298 |   python-babel python-babel-localedata python-boto python-cinderclient
  4520. 2017-01-05 22:15:46.298 |   python-cliff python-cmd2 python-crypto python-decorator python-dns
  4521. 2017-01-05 22:15:46.298 |   python-eventlet python-formencode python-glanceclient python-greenlet
  4522. 2017-01-05 22:15:46.298 |   python-httplib2 python-iso8601 python-jinja2 python-json-patch
  4523. 2017-01-05 22:15:46.298 |   python-jsonschema python-keystoneclient python-kombu python-librabbitmq
  4524. 2017-01-05 22:15:46.298 |   python-lxml python-m2crypto python-markupsafe python-migrate python-mock
  4525. 2017-01-05 22:15:46.298 |   python-neutronclient python-nova python-novnc python-numpy
  4526. 2017-01-05 22:15:46.298 |   python-oslo.config python-oslo.messaging python-oslo.rootwrap
  4527. 2017-01-05 22:15:46.298 |   python-paramiko python-paste python-pastedeploy python-pastedeploy-tpl
  4528. 2017-01-05 22:15:46.298 |   python-pbr python-pyasn1 python-pycadf python-pyparsing python-repoze.lru
  4529. 2017-01-05 22:15:46.298 |   python-routes python-setuptools python-simplejson python-sqlalchemy
  4530. 2017-01-05 22:15:46.298 |   python-sqlalchemy-ext python-stevedore python-suds python-tempita python-tz
  4531. 2017-01-05 22:15:46.298 |   python-warlock python-webob websockify
  4532. 2017-01-05 22:15:46.299 | Suggested packages:
  4533. 2017-01-05 22:15:46.299 |   javascript-common python-amqp-doc python-amqplib-doc python-crypto-dbg
  4534. 2017-01-05 22:15:46.299 |   python-crypto-doc python-egenix-mxdatetime python-greenlet-doc
  4535. 2017-01-05 22:15:46.299 |   python-greenlet-dev python-greenlet-dbg python-jinja2-doc python-beanstalkc
  4536. 2017-01-05 22:15:46.299 |   python-django python-kombu-doc python-pika python-pymongo python-lxml-dbg
  4537. 2017-01-05 22:15:46.299 |   python-mock-doc python-ldap gfortran python-nose python-numpy-dbg
  4538. 2017-01-05 22:15:46.299 |   python-numpy-doc python-pastescript python-pastewebkit libjs-mochikit
  4539. 2017-01-05 22:15:46.300 |   libapache2-mod-python libapache2-mod-scgi python-pgsql doc-base
  4540. 2017-01-05 22:15:46.300 |   python-sqlalchemy-doc python-psycopg2 python-kinterbasdb python-pymssql
  4541. 2017-01-05 22:15:46.300 |   python-webob-doc
  4542. 2017-01-05 22:15:46.300 | Recommended packages:
  4543. 2017-01-05 22:15:46.300 |   python-cliff-doc python-openid python-scgi
  4544. 2017-01-05 22:15:46.301 | The following NEW packages will be installed:
  4545. 2017-01-05 22:15:46.301 |   libblas3 libgfortran3 libjs-sphinxdoc libjs-swfobject libjs-underscore
  4546. 2017-01-05 22:15:46.301 |   liblapack3 librabbitmq1 novnc python-amqp python-amqplib python-anyjson
  4547. 2017-01-05 22:15:46.301 |   python-babel python-babel-localedata python-boto python-cinderclient
  4548. 2017-01-05 22:15:46.301 |   python-cliff python-cmd2 python-crypto python-decorator python-dns
  4549. 2017-01-05 22:15:46.301 |   python-eventlet python-formencode python-glanceclient python-greenlet
  4550. 2017-01-05 22:15:46.301 |   python-httplib2 python-iso8601 python-jinja2 python-json-patch
  4551. 2017-01-05 22:15:46.301 |   python-jsonschema python-keystoneclient python-kombu python-librabbitmq
  4552. 2017-01-05 22:15:46.301 |   python-lxml python-m2crypto python-markupsafe python-migrate python-mock
  4553. 2017-01-05 22:15:46.301 |   python-neutronclient python-nova python-novnc python-numpy
  4554. 2017-01-05 22:15:46.301 |   python-oslo.config python-oslo.messaging python-oslo.rootwrap
  4555. 2017-01-05 22:15:46.301 |   python-paramiko python-paste python-pastedeploy python-pastedeploy-tpl
  4556. 2017-01-05 22:15:46.301 |   python-pbr python-pyasn1 python-pycadf python-pyparsing python-repoze.lru
  4557. 2017-01-05 22:15:46.301 |   python-routes python-setuptools python-simplejson python-sqlalchemy
  4558. 2017-01-05 22:15:46.301 |   python-sqlalchemy-ext python-stevedore python-suds python-tempita python-tz
  4559. 2017-01-05 22:15:46.301 |   python-warlock python-webob websockify
  4560. 2017-01-05 22:15:46.323 | 0 upgraded, 65 newly installed, 0 to remove and 76 not upgraded.
  4561. 2017-01-05 22:15:46.323 | Need to get 8103 kB/12.9 MB of archives.
  4562. 2017-01-05 22:15:46.323 | After this operation, 95.2 MB of additional disk space will be used.
  4563. 2017-01-05 22:15:46.323 | Get:1 http://mirror.boi.a10networks.com/ubuntu/ trusty/main librabbitmq1 amd64 0.4.1-1 [35.2 kB]
  4564. 2017-01-05 22:15:46.326 | Get:2 http://mirror.boi.a10networks.com/ubuntu/ trusty/universe libjs-swfobject all 2.2+dfsg-1 [8474 B]
  4565. 2017-01-05 22:15:46.327 | Get:3 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-amqplib all 1.0.2-1 [34.9 kB]
  4566. 2017-01-05 22:15:46.330 | Get:4 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-anyjson all 0.3.3-1build1 [7096 B]
  4567. 2017-01-05 22:15:46.331 | Get:5 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-babel-localedata all 1.3+dfsg.1-2ubuntu2 [1929 kB]
  4568. 2017-01-05 22:15:46.378 | Get:6 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-tz all 2012c-1ubuntu0.1 [32.0 kB]
  4569. 2017-01-05 22:15:46.380 | Get:7 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-babel all 1.3+dfsg.1-2ubuntu2 [69.7 kB]
  4570. 2017-01-05 22:15:46.382 | Get:8 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-boto all 2.20.1-2ubuntu2 [618 kB]
  4571. 2017-01-05 22:15:46.396 | Get:9 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-simplejson amd64 3.3.1-1ubuntu6 [54.7 kB]
  4572. 2017-01-05 22:15:46.399 | Get:10 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-pbr all 0.7.0-0ubuntu2 [36.1 kB]
  4573. 2017-01-05 22:15:46.400 | Get:11 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-cinderclient all 1:1.0.8-0ubuntu2 [72.4 kB]
  4574. 2017-01-05 22:15:46.403 | Get:12 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-greenlet amd64 0.4.2-1ubuntu0.1 [16.8 kB]
  4575. 2017-01-05 22:15:46.404 | Get:13 http://mirror.boi.a10networks.com/ubuntu/ trusty/main libjs-underscore all 1.4.4-2ubuntu1 [45.6 kB]
  4576. 2017-01-05 22:15:46.406 | Get:14 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main libjs-sphinxdoc all 1.2.2+dfsg-1ubuntu1.1 [41.4 kB]
  4577. 2017-01-05 22:15:46.408 | Get:15 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-eventlet all 0.13.0-1ubuntu2.3 [203 kB]
  4578. 2017-01-05 22:15:46.413 | Get:16 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-httplib2 all 0.8-2build1 [35.4 kB]
  4579. 2017-01-05 22:15:46.415 | Get:17 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-iso8601 all 0.1.10-0ubuntu1 [11.7 kB]
  4580. 2017-01-05 22:15:46.416 | Get:18 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-oslo.config all 1:1.2.1-0ubuntu2 [21.6 kB]
  4581. 2017-01-05 22:15:46.417 | Get:19 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-keystoneclient all 1:0.7.1-ubuntu1.3 [139 kB]
  4582. 2017-01-05 22:15:46.421 | Get:20 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-setuptools all 3.3-1ubuntu2 [230 kB]
  4583. 2017-01-05 22:15:46.427 | Get:21 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-json-patch all 1.3-4 [2312 B]
  4584. 2017-01-05 22:15:46.428 | Get:22 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-mock all 1.0.1-3 [23.8 kB]
  4585. 2017-01-05 22:15:46.430 | Get:23 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-jsonschema all 2.3.0-1build1 [27.2 kB]
  4586. 2017-01-05 22:15:46.470 | Get:24 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-warlock all 1.1.0-0ubuntu2 [5278 B]
  4587. 2017-01-05 22:15:46.472 | Get:25 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-glanceclient all 1:0.12.0-0ubuntu1.1 [34.2 kB]
  4588. 2017-01-05 22:15:46.474 | Get:26 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-librabbitmq amd64 1.0.3-0ubuntu1 [26.9 kB]
  4589. 2017-01-05 22:15:46.475 | Get:27 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-amqp all 1.3.3-1ubuntu1.1 [35.3 kB]
  4590. 2017-01-05 22:15:46.477 | Get:28 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-kombu all 3.0.7-1ubuntu1 [133 kB]
  4591. 2017-01-05 22:15:46.482 | Get:29 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-decorator all 3.4.0-2build1 [19.2 kB]
  4592. 2017-01-05 22:15:46.483 | Get:30 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-sqlalchemy all 0.8.4-1build1 [532 kB]
  4593. 2017-01-05 22:15:46.495 | Get:31 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-tempita all 0.5.2-1build1 [13.8 kB]
  4594. 2017-01-05 22:15:46.497 | Get:32 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-migrate all 0.8.2-3ubuntu1 [122 kB]
  4595. 2017-01-05 22:15:46.500 | Get:33 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-pyparsing all 2.0.1+dfsg1-1build1 [34.3 kB]
  4596. 2017-01-05 22:15:46.502 | Get:34 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-cmd2 all 0.6.7-2fakesync1build1 [22.2 kB]
  4597. 2017-01-05 22:15:46.504 | Get:35 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-cliff all 1.4.5-1ubuntu2 [16.7 kB]
  4598. 2017-01-05 22:15:46.505 | Get:36 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-neutronclient all 1:2.3.4-0ubuntu1 [81.4 kB]
  4599. 2017-01-05 22:15:46.508 | Get:37 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-crypto amd64 2.6.1-4build1 [239 kB]
  4600. 2017-01-05 22:15:46.515 | Get:38 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-paramiko all 1.10.1-1git1build1 [106 kB]
  4601. 2017-01-05 22:15:46.518 | Get:39 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-dns all 2.3.6-3 [26.0 kB]
  4602. 2017-01-05 22:15:46.520 | Get:40 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-formencode all 1.2.6-1ubuntu1 [75.1 kB]
  4603. 2017-01-05 22:15:46.523 | Get:41 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-paste all 1.7.5.1-6ubuntu3 [367 kB]
  4604. 2017-01-05 22:15:46.531 | Get:42 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-pastedeploy-tpl all 1.5.2-1 [4518 B]
  4605. 2017-01-05 22:15:46.533 | Get:43 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-pastedeploy all 1.5.2-1 [25.5 kB]
  4606. 2017-01-05 22:15:46.534 | Get:44 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-pyasn1 all 0.1.7-1ubuntu2 [44.2 kB]
  4607. 2017-01-05 22:15:46.536 | Get:45 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-stevedore all 0.14.1-1 [15.1 kB]
  4608. 2017-01-05 22:15:46.538 | Get:46 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-oslo.messaging all 1.3.0-0ubuntu1.5 [65.2 kB]
  4609. 2017-01-05 22:15:46.540 | Get:47 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-webob all 1.3.1-1 [57.9 kB]
  4610. 2017-01-05 22:15:46.543 | Get:48 http://mirror.boi.a10networks.com/ubuntu/ trusty-security/main python-pycadf all 0.4.1-0ubuntu1.1 [43.5 kB]
  4611. 2017-01-05 22:15:46.582 | Get:49 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-repoze.lru all 0.6-4 [11.3 kB]
  4612. 2017-01-05 22:15:46.583 | Get:50 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-routes all 2.0-1build1 [76.6 kB]
  4613. 2017-01-05 22:15:46.586 | Get:51 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-sqlalchemy-ext amd64 0.8.4-1build1 [13.6 kB]
  4614. 2017-01-05 22:15:46.587 | Get:52 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-suds all 0.4.1-11ubuntu0.1 [91.8 kB]
  4615. 2017-01-05 22:15:46.590 | Get:53 http://mirror.boi.a10networks.com/ubuntu/ trusty/main python-oslo.rootwrap all 1.2.0-0ubuntu1 [15.9 kB]
  4616. 2017-01-05 22:15:46.592 | Get:54 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/main python-nova all 1:2014.1.5-0ubuntu1.5 [1890 kB]
  4617. 2017-01-05 22:15:46.632 | Get:55 http://mirror.boi.a10networks.com/ubuntu/ trusty/universe python-novnc all 1:0.4+dfsg+1+20131010+gitf68af8af3d-2 [18.9 kB]
  4618. 2017-01-05 22:15:46.634 | Get:56 http://mirror.boi.a10networks.com/ubuntu/ trusty-updates/universe websockify amd64 0.5.1+dfsg1-3ubuntu0.14.04.1 [35.1 kB]
  4619. 2017-01-05 22:15:46.636 | Get:57 http://mirror.boi.a10networks.com/ubuntu/ trusty/universe novnc all 1:0.4+dfsg+1+20131010+gitf68af8af3d-2 [112 kB]
  4620. 2017-01-05 22:15:47.000 |
  4621. Extracting templates from packages: 46%
  4622. Extracting templates from packages: 92%
  4623. Extracting templates from packages: 100%
  4624. 2017-01-05 22:15:47.018 | Fetched 8103 kB in 0s (25.5 MB/s)
  4625. 2017-01-05 22:15:47.176 | Selecting previously unselected package libgfortran3:amd64.
  4626. 2017-01-05 22:15:47.225 | (Reading database ... 76375 files and directories currently installed.)
  4627. 2017-01-05 22:15:47.229 | Preparing to unpack .../libgfortran3_4.8.4-2ubuntu1~14.04.3_amd64.deb ...
  4628. 2017-01-05 22:15:47.246 | Unpacking libgfortran3:amd64 (4.8.4-2ubuntu1~14.04.3) ...
  4629. 2017-01-05 22:15:47.476 | Selecting previously unselected package librabbitmq1.
  4630. 2017-01-05 22:15:47.482 | Preparing to unpack .../librabbitmq1_0.4.1-1_amd64.deb ...
  4631. 2017-01-05 22:15:47.503 | Unpacking librabbitmq1 (0.4.1-1) ...
  4632. 2017-01-05 22:15:47.619 | Selecting previously unselected package libjs-swfobject.
  4633. 2017-01-05 22:15:47.627 | Preparing to unpack .../libjs-swfobject_2.2+dfsg-1_all.deb ...
  4634. 2017-01-05 22:15:47.645 | Unpacking libjs-swfobject (2.2+dfsg-1) ...
  4635. 2017-01-05 22:15:47.794 | Selecting previously unselected package python-amqplib.
  4636. 2017-01-05 22:15:47.805 | Preparing to unpack .../python-amqplib_1.0.2-1_all.deb ...
  4637. 2017-01-05 22:15:47.823 | Unpacking python-amqplib (1.0.2-1) ...
  4638. 2017-01-05 22:15:47.988 | Selecting previously unselected package python-anyjson.
  4639. 2017-01-05 22:15:47.992 | Preparing to unpack .../python-anyjson_0.3.3-1build1_all.deb ...
  4640. 2017-01-05 22:15:48.009 | Unpacking python-anyjson (0.3.3-1build1) ...
  4641. 2017-01-05 22:15:48.156 | Selecting previously unselected package python-babel-localedata.
  4642. 2017-01-05 22:15:48.165 | Preparing to unpack .../python-babel-localedata_1.3+dfsg.1-2ubuntu2_all.deb ...
  4643. 2017-01-05 22:15:48.182 | Unpacking python-babel-localedata (1.3+dfsg.1-2ubuntu2) ...
  4644. 2017-01-05 22:15:48.844 | Selecting previously unselected package python-tz.
  4645. 2017-01-05 22:15:48.848 | Preparing to unpack .../python-tz_2012c-1ubuntu0.1_all.deb ...
  4646. 2017-01-05 22:15:48.863 | Unpacking python-tz (2012c-1ubuntu0.1) ...
  4647. 2017-01-05 22:15:49.064 | Selecting previously unselected package python-babel.
  4648. 2017-01-05 22:15:49.069 | Preparing to unpack .../python-babel_1.3+dfsg.1-2ubuntu2_all.deb ...
  4649. 2017-01-05 22:15:49.088 | Unpacking python-babel (1.3+dfsg.1-2ubuntu2) ...
  4650. 2017-01-05 22:15:49.254 | Selecting previously unselected package python-boto.
  4651. 2017-01-05 22:15:49.261 | Preparing to unpack .../python-boto_2.20.1-2ubuntu2_all.deb ...
  4652. 2017-01-05 22:15:49.278 | Unpacking python-boto (2.20.1-2ubuntu2) ...
  4653. 2017-01-05 22:15:49.652 | Selecting previously unselected package python-simplejson.
  4654. 2017-01-05 22:15:49.660 | Preparing to unpack .../python-simplejson_3.3.1-1ubuntu6_amd64.deb ...
  4655. 2017-01-05 22:15:49.680 | Unpacking python-simplejson (3.3.1-1ubuntu6) ...
  4656. 2017-01-05 22:15:49.860 | Selecting previously unselected package python-pbr.
  4657. 2017-01-05 22:15:49.863 | Preparing to unpack .../python-pbr_0.7.0-0ubuntu2_all.deb ...
  4658. 2017-01-05 22:15:49.882 | Unpacking python-pbr (0.7.0-0ubuntu2) ...
  4659. 2017-01-05 22:15:50.084 | Selecting previously unselected package python-cinderclient.
  4660. 2017-01-05 22:15:50.090 | Preparing to unpack .../python-cinderclient_1%3a1.0.8-0ubuntu2_all.deb ...
  4661. 2017-01-05 22:15:50.109 | Unpacking python-cinderclient (1:1.0.8-0ubuntu2) ...
  4662. 2017-01-05 22:15:50.380 | Selecting previously unselected package python-greenlet.
  4663. 2017-01-05 22:15:50.390 | Preparing to unpack .../python-greenlet_0.4.2-1ubuntu0.1_amd64.deb ...
  4664. 2017-01-05 22:15:50.410 | Unpacking python-greenlet (0.4.2-1ubuntu0.1) ...
  4665. 2017-01-05 22:15:50.580 | Selecting previously unselected package libjs-underscore.
  4666. 2017-01-05 22:15:50.589 | Preparing to unpack .../libjs-underscore_1.4.4-2ubuntu1_all.deb ...
  4667. 2017-01-05 22:15:50.613 | Unpacking libjs-underscore (1.4.4-2ubuntu1) ...
  4668. 2017-01-05 22:15:50.864 | Selecting previously unselected package libjs-sphinxdoc.
  4669. 2017-01-05 22:15:50.866 | Preparing to unpack .../libjs-sphinxdoc_1.2.2+dfsg-1ubuntu1.1_all.deb ...
  4670. 2017-01-05 22:15:50.901 | Unpacking libjs-sphinxdoc (1.2.2+dfsg-1ubuntu1.1) ...
  4671. 2017-01-05 22:15:51.116 | Selecting previously unselected package python-eventlet.
  4672. 2017-01-05 22:15:51.123 | Preparing to unpack .../python-eventlet_0.13.0-1ubuntu2.3_all.deb ...
  4673. 2017-01-05 22:15:51.147 | Unpacking python-eventlet (0.13.0-1ubuntu2.3) ...
  4674. 2017-01-05 22:15:51.764 | Selecting previously unselected package python-httplib2.
  4675. 2017-01-05 22:15:51.768 | Preparing to unpack .../python-httplib2_0.8-2build1_all.deb ...
  4676. 2017-01-05 22:15:51.787 | Unpacking python-httplib2 (0.8-2build1) ...
  4677. 2017-01-05 22:15:51.964 | Selecting previously unselected package python-iso8601.
  4678. 2017-01-05 22:15:51.972 | Preparing to unpack .../python-iso8601_0.1.10-0ubuntu1_all.deb ...
  4679. 2017-01-05 22:15:52.009 | Unpacking python-iso8601 (0.1.10-0ubuntu1) ...
  4680. 2017-01-05 22:15:52.328 | Selecting previously unselected package python-oslo.config.
  4681. 2017-01-05 22:15:52.338 | Preparing to unpack .../python-oslo.config_1%3a1.2.1-0ubuntu2_all.deb ...
  4682. 2017-01-05 22:15:52.379 | Unpacking python-oslo.config (1:1.2.1-0ubuntu2) ...
  4683. 2017-01-05 22:15:52.722 | Selecting previously unselected package python-keystoneclient.
  4684. 2017-01-05 22:15:52.730 | Preparing to unpack .../python-keystoneclient_1%3a0.7.1-ubuntu1.3_all.deb ...
  4685. 2017-01-05 22:15:52.754 | Unpacking python-keystoneclient (1:0.7.1-ubuntu1.3) ...
  4686. 2017-01-05 22:15:53.337 | Selecting previously unselected package python-setuptools.
  4687. 2017-01-05 22:15:53.346 | Preparing to unpack .../python-setuptools_3.3-1ubuntu2_all.deb ...
  4688. 2017-01-05 22:15:53.364 | Unpacking python-setuptools (3.3-1ubuntu2) ...
  4689. 2017-01-05 22:15:53.797 | Selecting previously unselected package python-json-patch.
  4690. 2017-01-05 22:15:53.806 | Preparing to unpack .../python-json-patch_1.3-4_all.deb ...
  4691. 2017-01-05 22:15:53.852 | Unpacking python-json-patch (1.3-4) ...
  4692. 2017-01-05 22:15:54.084 | Selecting previously unselected package python-mock.
  4693. 2017-01-05 22:15:54.094 | Preparing to unpack .../python-mock_1.0.1-3_all.deb ...
  4694. 2017-01-05 22:15:54.117 | Unpacking python-mock (1.0.1-3) ...
  4695. 2017-01-05 22:15:54.332 | Selecting previously unselected package python-jsonschema.
  4696. 2017-01-05 22:15:54.338 | Preparing to unpack .../python-jsonschema_2.3.0-1build1_all.deb ...
  4697. 2017-01-05 22:15:54.361 | Unpacking python-jsonschema (2.3.0-1build1) ...
  4698. 2017-01-05 22:15:54.628 | Selecting previously unselected package python-warlock.
  4699. 2017-01-05 22:15:54.636 | Preparing to unpack .../python-warlock_1.1.0-0ubuntu2_all.deb ...
  4700. 2017-01-05 22:15:54.653 | Unpacking python-warlock (1.1.0-0ubuntu2) ...
  4701. 2017-01-05 22:15:54.788 | Selecting previously unselected package python-glanceclient.
  4702. 2017-01-05 22:15:54.794 | Preparing to unpack .../python-glanceclient_1%3a0.12.0-0ubuntu1.1_all.deb ...
  4703. 2017-01-05 22:15:54.815 | Unpacking python-glanceclient (1:0.12.0-0ubuntu1.1) ...
  4704. 2017-01-05 22:15:55.112 | Selecting previously unselected package python-markupsafe.
  4705. 2017-01-05 22:15:55.118 | Preparing to unpack .../python-markupsafe_0.18-1build2_amd64.deb ...
  4706. 2017-01-05 22:15:55.146 | Unpacking python-markupsafe (0.18-1build2) ...
  4707. 2017-01-05 22:15:55.431 | Selecting previously unselected package python-jinja2.
  4708. 2017-01-05 22:15:55.444 | Preparing to unpack .../python-jinja2_2.7.2-2_all.deb ...
  4709. 2017-01-05 22:15:55.485 | Unpacking python-jinja2 (2.7.2-2) ...
  4710. 2017-01-05 22:15:56.048 | Selecting previously unselected package python-librabbitmq.
  4711. 2017-01-05 22:15:56.057 | Preparing to unpack .../python-librabbitmq_1.0.3-0ubuntu1_amd64.deb ...
  4712. 2017-01-05 22:15:56.093 | Unpacking python-librabbitmq (1.0.3-0ubuntu1) ...
  4713. 2017-01-05 22:15:56.356 | Selecting previously unselected package python-amqp.
  4714. 2017-01-05 22:15:56.363 | Preparing to unpack .../python-amqp_1.3.3-1ubuntu1.1_all.deb ...
  4715. 2017-01-05 22:15:56.393 | Unpacking python-amqp (1.3.3-1ubuntu1.1) ...
  4716. 2017-01-05 22:15:56.691 | Selecting previously unselected package python-kombu.
  4717. 2017-01-05 22:15:56.699 | Preparing to unpack .../python-kombu_3.0.7-1ubuntu1_all.deb ...
  4718. 2017-01-05 22:15:56.729 | Unpacking python-kombu (3.0.7-1ubuntu1) ...
  4719. 2017-01-05 22:15:57.479 | Selecting previously unselected package python-lxml.
  4720. 2017-01-05 22:15:57.487 | Preparing to unpack .../python-lxml_3.3.3-1ubuntu0.1_amd64.deb ...
  4721. 2017-01-05 22:15:57.516 | Unpacking python-lxml (3.3.3-1ubuntu0.1) ...
  4722. 2017-01-05 22:15:58.116 | Selecting previously unselected package python-m2crypto.
  4723. 2017-01-05 22:15:58.123 | Preparing to unpack .../python-m2crypto_0.21.1-3ubuntu5_amd64.deb ...
  4724. 2017-01-05 22:15:58.156 | Unpacking python-m2crypto (0.21.1-3ubuntu5) ...
  4725. 2017-01-05 22:15:58.660 | Selecting previously unselected package python-decorator.
  4726. 2017-01-05 22:15:58.668 | Preparing to unpack .../python-decorator_3.4.0-2build1_all.deb ...
  4727. 2017-01-05 22:15:58.692 | Unpacking python-decorator (3.4.0-2build1) ...
  4728. 2017-01-05 22:15:58.970 | Selecting previously unselected package python-sqlalchemy.
  4729. 2017-01-05 22:15:58.980 | Preparing to unpack .../python-sqlalchemy_0.8.4-1build1_all.deb ...
  4730. 2017-01-05 22:15:59.029 | Unpacking python-sqlalchemy (0.8.4-1build1) ...
  4731. 2017-01-05 22:15:59.988 | Selecting previously unselected package python-tempita.
  4732. 2017-01-05 22:15:59.994 | Preparing to unpack .../python-tempita_0.5.2-1build1_all.deb ...
  4733. 2017-01-05 22:16:00.012 | Unpacking python-tempita (0.5.2-1build1) ...
  4734. 2017-01-05 22:16:00.192 | Selecting previously unselected package python-migrate.
  4735. 2017-01-05 22:16:00.199 | Preparing to unpack .../python-migrate_0.8.2-3ubuntu1_all.deb ...
  4736. 2017-01-05 22:16:00.220 | Unpacking python-migrate (0.8.2-3ubuntu1) ...
  4737. 2017-01-05 22:16:00.480 | Selecting previously unselected package python-pyparsing.
  4738. 2017-01-05 22:16:00.484 | Preparing to unpack .../python-pyparsing_2.0.1+dfsg1-1build1_all.deb ...
  4739. 2017-01-05 22:16:00.502 | Unpacking python-pyparsing (2.0.1+dfsg1-1build1) ...
  4740. 2017-01-05 22:16:00.656 | Selecting previously unselected package python-cmd2.
  4741. 2017-01-05 22:16:00.660 | Preparing to unpack .../python-cmd2_0.6.7-2fakesync1build1_all.deb ...
  4742. 2017-01-05 22:16:00.677 | Unpacking python-cmd2 (0.6.7-2fakesync1build1) ...
  4743. 2017-01-05 22:16:00.816 | Selecting previously unselected package python-cliff.
  4744. 2017-01-05 22:16:00.823 | Preparing to unpack .../python-cliff_1.4.5-1ubuntu2_all.deb ...
  4745. 2017-01-05 22:16:00.838 | Unpacking python-cliff (1.4.5-1ubuntu2) ...
  4746. 2017-01-05 22:16:01.077 | Selecting previously unselected package python-neutronclient.
  4747. 2017-01-05 22:16:01.086 | Preparing to unpack .../python-neutronclient_1%3a2.3.4-0ubuntu1_all.deb ...
  4748. 2017-01-05 22:16:01.118 | Unpacking python-neutronclient (1:2.3.4-0ubuntu1) ...
  4749. 2017-01-05 22:16:01.392 | Selecting previously unselected package python-crypto.
  4750. 2017-01-05 22:16:01.403 | Preparing to unpack .../python-crypto_2.6.1-4build1_amd64.deb ...
  4751. 2017-01-05 22:16:01.420 | Unpacking python-crypto (2.6.1-4build1) ...
  4752. 2017-01-05 22:16:02.151 | Selecting previously unselected package python-paramiko.
  4753. 2017-01-05 22:16:02.162 | Preparing to unpack .../python-paramiko_1.10.1-1git1build1_all.deb ...
  4754. 2017-01-05 22:16:02.181 | Unpacking python-paramiko (1.10.1-1git1build1) ...
  4755. 2017-01-05 22:16:02.400 | Selecting previously unselected package python-dns.
  4756. 2017-01-05 22:16:02.409 | Preparing to unpack .../python-dns_2.3.6-3_all.deb ...
  4757. 2017-01-05 22:16:02.426 | Unpacking python-dns (2.3.6-3) ...
  4758. 2017-01-05 22:16:02.570 | Selecting previously unselected package python-formencode.
  4759. 2017-01-05 22:16:02.576 | Preparing to unpack .../python-formencode_1.2.6-1ubuntu1_all.deb ...
  4760. 2017-01-05 22:16:02.591 | Unpacking python-formencode (1.2.6-1ubuntu1) ...
  4761. 2017-01-05 22:16:02.755 | Selecting previously unselected package python-paste.
  4762. 2017-01-05 22:16:02.762 | Preparing to unpack .../python-paste_1.7.5.1-6ubuntu3_all.deb ...
  4763. 2017-01-05 22:16:02.795 | Unpacking python-paste (1.7.5.1-6ubuntu3) ...
  4764. 2017-01-05 22:16:03.428 | Selecting previously unselected package python-pastedeploy-tpl.
  4765. 2017-01-05 22:16:03.435 | Preparing to unpack .../python-pastedeploy-tpl_1.5.2-1_all.deb ...
  4766. 2017-01-05 22:16:03.453 | Unpacking python-pastedeploy-tpl (1.5.2-1) ...
  4767. 2017-01-05 22:16:03.596 | Selecting previously unselected package python-pastedeploy.
  4768. 2017-01-05 22:16:03.606 | Preparing to unpack .../python-pastedeploy_1.5.2-1_all.deb ...
  4769. 2017-01-05 22:16:03.624 | Unpacking python-pastedeploy (1.5.2-1) ...
  4770. 2017-01-05 22:16:03.796 | Selecting previously unselected package python-pyasn1.
  4771. 2017-01-05 22:16:03.806 | Preparing to unpack .../python-pyasn1_0.1.7-1ubuntu2_all.deb ...
  4772. 2017-01-05 22:16:03.825 | Unpacking python-pyasn1 (0.1.7-1ubuntu2) ...
  4773. 2017-01-05 22:16:04.030 | Selecting previously unselected package python-stevedore.
  4774. 2017-01-05 22:16:04.041 | Preparing to unpack .../python-stevedore_0.14.1-1_all.deb ...
  4775. 2017-01-05 22:16:04.063 | Unpacking python-stevedore (0.14.1-1) ...
  4776. 2017-01-05 22:16:04.248 | Selecting previously unselected package python-oslo.messaging.
  4777. 2017-01-05 22:16:04.258 | Preparing to unpack .../python-oslo.messaging_1.3.0-0ubuntu1.5_all.deb ...
  4778. 2017-01-05 22:16:04.276 | Unpacking python-oslo.messaging (1.3.0-0ubuntu1.5) ...
  4779. 2017-01-05 22:16:04.472 | Selecting previously unselected package python-webob.
  4780. 2017-01-05 22:16:04.483 | Preparing to unpack .../python-webob_1.3.1-1_all.deb ...
  4781. 2017-01-05 22:16:04.500 | Unpacking python-webob (1.3.1-1) ...
  4782. 2017-01-05 22:16:04.664 | Selecting previously unselected package python-pycadf.
  4783. 2017-01-05 22:16:04.671 | Preparing to unpack .../python-pycadf_0.4.1-0ubuntu1.1_all.deb ...
  4784. 2017-01-05 22:16:04.686 | Unpacking python-pycadf (0.4.1-0ubuntu1.1) ...
  4785. 2017-01-05 22:16:05.150 | Selecting previously unselected package python-repoze.lru.
  4786. 2017-01-05 22:16:05.159 | Preparing to unpack .../python-repoze.lru_0.6-4_all.deb ...
  4787. 2017-01-05 22:16:05.186 | Unpacking python-repoze.lru (0.6-4) ...
  4788. 2017-01-05 22:16:05.324 | Selecting previously unselected package python-routes.
  4789. 2017-01-05 22:16:05.331 | Preparing to unpack .../python-routes_2.0-1build1_all.deb ...
  4790. 2017-01-05 22:16:05.350 | Unpacking python-routes (2.0-1build1) ...
  4791. 2017-01-05 22:16:05.572 | Selecting previously unselected package python-sqlalchemy-ext.
  4792. 2017-01-05 22:16:05.581 | Preparing to unpack .../python-sqlalchemy-ext_0.8.4-1build1_amd64.deb ...
  4793. 2017-01-05 22:16:05.601 | Unpacking python-sqlalchemy-ext (0.8.4-1build1) ...
  4794. 2017-01-05 22:16:05.772 | Selecting previously unselected package python-suds.
  4795. 2017-01-05 22:16:05.783 | Preparing to unpack .../python-suds_0.4.1-11ubuntu0.1_all.deb ...
  4796. 2017-01-05 22:16:05.818 | Unpacking python-suds (0.4.1-11ubuntu0.1) ...
  4797. 2017-01-05 22:16:06.008 | Selecting previously unselected package python-oslo.rootwrap.
  4798. 2017-01-05 22:16:06.019 | Preparing to unpack .../python-oslo.rootwrap_1.2.0-0ubuntu1_all.deb ...
  4799. 2017-01-05 22:16:06.036 | Unpacking python-oslo.rootwrap (1.2.0-0ubuntu1) ...
  4800. 2017-01-05 22:16:06.219 | Selecting previously unselected package python-nova.
  4801. 2017-01-05 22:16:06.226 | Preparing to unpack .../python-nova_1%3a2014.1.5-0ubuntu1.5_all.deb ...
  4802. 2017-01-05 22:16:06.260 | Unpacking python-nova (1:2014.1.5-0ubuntu1.5) ...
  4803. 2017-01-05 22:16:08.052 | Selecting previously unselected package python-novnc.
  4804. 2017-01-05 22:16:08.064 | Preparing to unpack .../python-novnc_1%3a0.4+dfsg+1+20131010+gitf68af8af3d-2_all.deb ...
  4805. 2017-01-05 22:16:08.097 | Unpacking python-novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-2) ...
  4806. 2017-01-05 22:16:08.287 | Selecting previously unselected package libblas3.
  4807. 2017-01-05 22:16:08.299 | Preparing to unpack .../libblas3_1.2.20110419-7_amd64.deb ...
  4808. 2017-01-05 22:16:08.325 | Unpacking libblas3 (1.2.20110419-7) ...
  4809. 2017-01-05 22:16:08.517 | Selecting previously unselected package liblapack3.
  4810. 2017-01-05 22:16:08.525 | Preparing to unpack .../liblapack3_3.5.0-2ubuntu1_amd64.deb ...
  4811. 2017-01-05 22:16:08.550 | Unpacking liblapack3 (3.5.0-2ubuntu1) ...
  4812. 2017-01-05 22:16:08.915 | Selecting previously unselected package python-numpy.
  4813. 2017-01-05 22:16:08.922 | Preparing to unpack .../python-numpy_1%3a1.8.2-0ubuntu0.1_amd64.deb ...
  4814. 2017-01-05 22:16:08.941 | Unpacking python-numpy (1:1.8.2-0ubuntu0.1) ...
  4815. 2017-01-05 22:16:09.470 | Selecting previously unselected package websockify.
  4816. 2017-01-05 22:16:09.483 | Preparing to unpack .../websockify_0.5.1+dfsg1-3ubuntu0.14.04.1_amd64.deb ...
  4817. 2017-01-05 22:16:09.501 | Unpacking websockify (0.5.1+dfsg1-3ubuntu0.14.04.1) ...
  4818. 2017-01-05 22:16:09.654 | Selecting previously unselected package novnc.
  4819. 2017-01-05 22:16:09.667 | Preparing to unpack .../novnc_1%3a0.4+dfsg+1+20131010+gitf68af8af3d-2_all.deb ...
  4820. 2017-01-05 22:16:09.685 | Unpacking novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-2) ...
  4821. 2017-01-05 22:16:09.831 | Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
  4822. 2017-01-05 22:16:10.216 | Setting up libgfortran3:amd64 (4.8.4-2ubuntu1~14.04.3) ...
  4823. 2017-01-05 22:16:10.344 | Setting up librabbitmq1 (0.4.1-1) ...
  4824. 2017-01-05 22:16:10.423 | Setting up libjs-swfobject (2.2+dfsg-1) ...
  4825. 2017-01-05 22:16:10.477 | Setting up python-amqplib (1.0.2-1) ...
  4826. 2017-01-05 22:16:10.672 | Setting up python-anyjson (0.3.3-1build1) ...
  4827. 2017-01-05 22:16:10.810 | Setting up python-babel-localedata (1.3+dfsg.1-2ubuntu2) ...
  4828. 2017-01-05 22:16:10.871 | Setting up python-tz (2012c-1ubuntu0.1) ...
  4829. 2017-01-05 22:16:11.072 | Setting up python-babel (1.3+dfsg.1-2ubuntu2) ...
  4830. 2017-01-05 22:16:11.105 | update-alternatives: using /usr/bin/pybabel-python2 to provide /usr/bin/pybabel (pybabel) in auto mode
  4831. 2017-01-05 22:16:11.248 | Setting up python-boto (2.20.1-2ubuntu2) ...
  4832. 2017-01-05 22:16:11.688 | Setting up python-simplejson (3.3.1-1ubuntu6) ...
  4833. 2017-01-05 22:16:11.870 | Setting up python-pbr (0.7.0-0ubuntu2) ...
  4834. 2017-01-05 22:16:12.042 | Setting up python-cinderclient (1:1.0.8-0ubuntu2) ...
  4835. 2017-01-05 22:16:12.335 | Setting up python-greenlet (0.4.2-1ubuntu0.1) ...
  4836. 2017-01-05 22:16:12.379 | Setting up libjs-underscore (1.4.4-2ubuntu1) ...
  4837. 2017-01-05 22:16:12.431 | Setting up libjs-sphinxdoc (1.2.2+dfsg-1ubuntu1.1) ...
  4838. 2017-01-05 22:16:12.483 | Setting up python-eventlet (0.13.0-1ubuntu2.3) ...
  4839. 2017-01-05 22:16:12.683 | Setting up python-httplib2 (0.8-2build1) ...
  4840. 2017-01-05 22:16:12.826 | Setting up python-iso8601 (0.1.10-0ubuntu1) ...
  4841. 2017-01-05 22:16:12.941 | Setting up python-oslo.config (1:1.2.1-0ubuntu2) ...
  4842. 2017-01-05 22:16:13.070 | Setting up python-keystoneclient (1:0.7.1-ubuntu1.3) ...
  4843. 2017-01-05 22:16:13.374 | Setting up python-setuptools (3.3-1ubuntu2) ...
  4844. 2017-01-05 22:16:13.636 | Setting up python-json-patch (1.3-4) ...
  4845. 2017-01-05 22:16:13.713 | Setting up python-mock (1.0.1-3) ...
  4846. 2017-01-05 22:16:13.944 | Setting up python-jsonschema (2.3.0-1build1) ...
  4847. 2017-01-05 22:16:14.137 | Setting up python-warlock (1.1.0-0ubuntu2) ...
  4848. 2017-01-05 22:16:14.297 | Setting up python-glanceclient (1:0.12.0-0ubuntu1.1) ...
  4849. 2017-01-05 22:16:14.470 | Setting up python-markupsafe (0.18-1build2) ...
  4850. 2017-01-05 22:16:14.616 | Setting up python-jinja2 (2.7.2-2) ...
  4851. 2017-01-05 22:16:14.826 | Setting up python-librabbitmq (1.0.3-0ubuntu1) ...
  4852. 2017-01-05 22:16:14.941 | Setting up python-amqp (1.3.3-1ubuntu1.1) ...
  4853. 2017-01-05 22:16:15.111 | Setting up python-kombu (3.0.7-1ubuntu1) ...
  4854. 2017-01-05 22:16:15.394 | Setting up python-lxml (3.3.3-1ubuntu0.1) ...
  4855. 2017-01-05 22:16:15.569 | Setting up python-m2crypto (0.21.1-3ubuntu5) ...
  4856. 2017-01-05 22:16:15.783 | Setting up python-decorator (3.4.0-2build1) ...
  4857. 2017-01-05 22:16:15.939 | Setting up python-sqlalchemy (0.8.4-1build1) ...
  4858. 2017-01-05 22:16:16.445 | Setting up python-tempita (0.5.2-1build1) ...
  4859. 2017-01-05 22:16:16.563 | Setting up python-migrate (0.8.2-3ubuntu1) ...
  4860. 2017-01-05 22:16:16.768 | Setting up python-pyparsing (2.0.1+dfsg1-1build1) ...
  4861. 2017-01-05 22:16:16.933 | Setting up python-cmd2 (0.6.7-2fakesync1build1) ...
  4862. 2017-01-05 22:16:17.094 | Setting up python-cliff (1.4.5-1ubuntu2) ...
  4863. 2017-01-05 22:16:17.271 | Setting up python-neutronclient (1:2.3.4-0ubuntu1) ...
  4864. 2017-01-05 22:16:17.745 | Setting up python-crypto (2.6.1-4build1) ...
  4865. 2017-01-05 22:16:18.095 | Setting up python-paramiko (1.10.1-1git1build1) ...
  4866. 2017-01-05 22:16:18.354 | Setting up python-dns (2.3.6-3) ...
  4867. 2017-01-05 22:16:18.521 | Setting up python-formencode (1.2.6-1ubuntu1) ...
  4868. 2017-01-05 22:16:18.714 | Setting up python-paste (1.7.5.1-6ubuntu3) ...
  4869. 2017-01-05 22:16:19.039 | Setting up python-pastedeploy-tpl (1.5.2-1) ...
  4870. 2017-01-05 22:16:19.094 | Setting up python-pastedeploy (1.5.2-1) ...
  4871. 2017-01-05 22:16:19.222 | Setting up python-pyasn1 (0.1.7-1ubuntu2) ...
  4872. 2017-01-05 22:16:19.360 | Setting up python-stevedore (0.14.1-1) ...
  4873. 2017-01-05 22:16:19.530 | Setting up python-oslo.messaging (1.3.0-0ubuntu1.5) ...
  4874. 2017-01-05 22:16:19.770 | Setting up python-webob (1.3.1-1) ...
  4875. 2017-01-05 22:16:19.957 | Setting up python-pycadf (0.4.1-0ubuntu1.1) ...
  4876. 2017-01-05 22:16:20.146 | Setting up python-repoze.lru (0.6-4) ...
  4877. 2017-01-05 22:16:20.326 | Setting up python-routes (2.0-1build1) ...
  4878. 2017-01-05 22:16:20.487 | Setting up python-sqlalchemy-ext (0.8.4-1build1) ...
  4879. 2017-01-05 22:16:20.531 | Setting up python-suds (0.4.1-11ubuntu0.1) ...
  4880. 2017-01-05 22:16:20.720 | Setting up python-oslo.rootwrap (1.2.0-0ubuntu1) ...
  4881. 2017-01-05 22:16:20.840 | Setting up python-nova (1:2014.1.5-0ubuntu1.5) ...
  4882. 2017-01-05 22:16:23.141 | Setting up python-novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-2) ...
  4883. 2017-01-05 22:16:23.298 | Setting up libblas3 (1.2.20110419-7) ...
  4884. 2017-01-05 22:16:23.344 | update-alternatives: using /usr/lib/libblas/libblas.so.3 to provide /usr/lib/libblas.so.3 (libblas.so.3) in auto mode
  4885. 2017-01-05 22:16:23.368 | Setting up liblapack3 (3.5.0-2ubuntu1) ...
  4886. 2017-01-05 22:16:23.408 | update-alternatives: using /usr/lib/lapack/liblapack.so.3 to provide /usr/lib/liblapack.so.3 (liblapack.so.3) in auto mode
  4887. 2017-01-05 22:16:23.439 | Setting up python-numpy (1:1.8.2-0ubuntu0.1) ...
  4888. 2017-01-05 22:16:24.464 | Setting up websockify (0.5.1+dfsg1-3ubuntu0.14.04.1) ...
  4889. 2017-01-05 22:16:24.595 | Setting up novnc (1:0.4+dfsg+1+20131010+gitf68af8af3d-2) ...
  4890. 2017-01-05 22:16:24.922 | Processing triggers for libc-bin (2.19-0ubuntu6.9) ...
  4891. 2017-01-05 22:16:25.269 | + real_install_package novnc
  4892. 2017-01-05 22:16:25.269 | + is_ubuntu
  4893. 2017-01-05 22:16:25.269 | + [[ -z deb ]]
  4894. 2017-01-05 22:16:25.269 | + '[' deb = deb ']'
  4895. 2017-01-05 22:16:25.269 | + apt_get install novnc
  4896. 2017-01-05 22:16:25.273 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install novnc
  4897. 2017-01-05 22:16:25.288 | Reading package lists...
  4898. 2017-01-05 22:16:25.446 | Building dependency tree...
  4899. 2017-01-05 22:16:25.447 | Reading state information...
  4900. 2017-01-05 22:16:25.549 | novnc is already the newest version.
  4901. 2017-01-05 22:16:25.549 | 0 upgraded, 0 newly installed, 0 to remove and 76 not upgraded.
  4902. 2017-01-05 22:16:25.551 | + is_service_enabled n-spice
  4903. 2017-01-05 22:16:25.554 | + return 1
  4904. 2017-01-05 22:16:25.554 | + git_clone git://git.openstack.org/openstack/nova.git /opt/stack/new/nova stable/liberty
  4905. 2017-01-05 22:16:25.554 | + local git_remote=git://git.openstack.org/openstack/nova.git
  4906. 2017-01-05 22:16:25.554 | + local git_dest=/opt/stack/new/nova
  4907. 2017-01-05 22:16:25.554 | + local git_ref=stable/liberty
  4908. 2017-01-05 22:16:25.554 | ++ pwd
  4909. 2017-01-05 22:16:25.555 | + local orig_dir=/opt/stack/new/devstack
  4910. 2017-01-05 22:16:25.555 | + local git_clone_flags=
  4911. 2017-01-05 22:16:25.555 | ++ trueorfalse False RECLONE
  4912. 2017-01-05 22:16:25.558 | + RECLONE=False
  4913. 2017-01-05 22:16:25.558 | + [[ 0 -gt 0 ]]
  4914. 2017-01-05 22:16:25.558 | + [[ False = \T\r\u\e ]]
  4915. 2017-01-05 22:16:25.558 | + echo stable/liberty
  4916. 2017-01-05 22:16:25.558 | + egrep -q '^refs'
  4917. 2017-01-05 22:16:25.559 | + [[ ! -d /opt/stack/new/nova ]]
  4918. 2017-01-05 22:16:25.559 | + [[ False = \T\r\u\e ]]
  4919. 2017-01-05 22:16:25.559 | + cd /opt/stack/new/nova
  4920. 2017-01-05 22:16:25.559 | + git show --oneline
  4921. 2017-01-05 22:16:25.560 | + head -1
  4922. 2017-01-05 22:16:25.563 | 2479f51 Merge "Actually test online flavor migrations"
  4923. 2017-01-05 22:16:25.564 | + cd /opt/stack/new/devstack
  4924. 2017-01-05 22:16:25.564 | + setup_develop /opt/stack/new/nova
  4925. 2017-01-05 22:16:25.564 | + local project_dir=/opt/stack/new/nova
  4926. 2017-01-05 22:16:25.564 | + setup_package_with_constraints_edit /opt/stack/new/nova -e
  4927. 2017-01-05 22:16:25.565 | + local project_dir=/opt/stack/new/nova
  4928. 2017-01-05 22:16:25.565 | + local flags=-e
  4929. 2017-01-05 22:16:25.565 | + '[' -n /opt/stack/new/requirements ']'
  4930. 2017-01-05 22:16:25.565 | ++ awk '/^name.*=/ {print $3}' /opt/stack/new/nova/setup.cfg
  4931. 2017-01-05 22:16:25.567 | + local name=nova
  4932. 2017-01-05 22:16:25.567 | + /opt/stack/new/requirements/.venv/bin/edit-constraints /opt/stack/new/requirements/upper-constraints.txt -- nova '-e file:///opt/stack/new/nova#egg=nova'
  4933. 2017-01-05 22:16:25.668 | + setup_package /opt/stack/new/nova -e
  4934. 2017-01-05 22:16:25.668 | + local project_dir=/opt/stack/new/nova
  4935. 2017-01-05 22:16:25.668 | + local flags=-e
  4936. 2017-01-05 22:16:25.668 | + pip_install -e /opt/stack/new/nova
  4937. 2017-01-05 22:16:26.169 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS= SETUPTOOLS_SYS_PATH_TECHNIQUE=rewrite /usr/local/bin/pip install -c /opt/stack/new/requirements/upper-constraints.txt -e /opt/stack/new/nova
  4938. 2017-01-05 22:16:27.009 | Ignoring dnspython3: markers "python_version=='3.4'" don't match your environment
  4939. 2017-01-05 22:16:27.128 | Obtaining file:///opt/stack/new/nova
  4940. 2017-01-05 22:16:30.829 | Requirement already satisfied (use --upgrade to upgrade): Babel===2.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 2))
  4941. 2017-01-05 22:16:30.830 | Requirement already satisfied (use --upgrade to upgrade): Jinja2===2.8 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 5))
  4942. 2017-01-05 22:16:30.831 | Requirement already satisfied (use --upgrade to upgrade): MarkupSafe===0.23 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 7))
  4943. 2017-01-05 22:16:30.832 | Requirement already satisfied (use --upgrade to upgrade): Paste===2.0.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 10))
  4944. 2017-01-05 22:16:30.833 | Requirement already satisfied (use --upgrade to upgrade): PasteDeploy===1.5.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 11))
  4945. 2017-01-05 22:16:30.834 | Requirement already satisfied (use --upgrade to upgrade): Routes===2.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 20))
  4946. 2017-01-05 22:16:30.836 | Requirement already satisfied (use --upgrade to upgrade): SQLAlchemy===1.0.10 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 21))
  4947. 2017-01-05 22:16:30.837 | Requirement already satisfied (use --upgrade to upgrade): WebOb===1.5.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 26))
  4948. 2017-01-05 22:16:30.839 | Requirement already satisfied (use --upgrade to upgrade): castellan===0.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 77))
  4949. 2017-01-05 22:16:30.841 | Requirement already satisfied (use --upgrade to upgrade): cryptography===1.1.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 89))
  4950. 2017-01-05 22:16:30.846 | Requirement already satisfied (use --upgrade to upgrade): decorator===4.0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 92))
  4951. 2017-01-05 22:16:30.847 | Requirement already satisfied (use --upgrade to upgrade): enum34===1.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 114))
  4952. 2017-01-05 22:16:30.848 | Requirement already satisfied (use --upgrade to upgrade): eventlet===0.17.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 115))
  4953. 2017-01-05 22:16:30.849 | Requirement already satisfied (use --upgrade to upgrade): greenlet===0.4.9 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 130))
  4954. 2017-01-05 22:16:30.850 | Requirement already satisfied (use --upgrade to upgrade): idna===2.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 135))
  4955. 2017-01-05 22:16:30.851 | Requirement already satisfied (use --upgrade to upgrade): ipaddress===1.0.15 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 137))
  4956. 2017-01-05 22:16:30.852 | Requirement already satisfied (use --upgrade to upgrade): iso8601===0.1.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 140))
  4957. 2017-01-05 22:16:30.853 | Requirement already satisfied (use --upgrade to upgrade): jsonschema===2.5.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 148))
  4958. 2017-01-05 22:16:30.891 | Collecting keystoneauth1===2.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 154))
  4959. 2017-01-05 22:16:31.006 |   Downloading http://mirror.boi.a10networks.com:81/packages/99/c1/17f48e8b532ed53220c16fc18fc6fc7889b0732f8ff71e05d8ed71d581c1/keystoneauth1-2.1.0-py2.py3-none-any.whl (193kB)
  4960. 2017-01-05 22:16:31.067 | Requirement already satisfied (use --upgrade to upgrade): keystonemiddleware===2.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 155))
  4961. 2017-01-05 22:16:31.069 | Collecting lxml===3.5.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 163))
  4962. 2017-01-05 22:16:31.282 |   Downloading http://mirror.boi.a10networks.com:81/packages/8b/be/ed850baac891aca25c832fb8d7b9c0e7a5077a30e336d95ffc7d649aaa06/lxml-3.5.0.tar.gz (3.8MB)
  4963. 2017-01-05 22:16:32.534 | Requirement already satisfied (use --upgrade to upgrade): netaddr===0.7.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 169))
  4964. 2017-01-05 22:16:32.535 | Requirement already satisfied (use --upgrade to upgrade): netifaces===0.10.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 170))
  4965. 2017-01-05 22:16:32.559 | Collecting os-brick===0.6.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 186))
  4966. 2017-01-05 22:16:32.586 |   Downloading http://mirror.boi.a10networks.com:81/packages/32/85/de657ff3c4730a308edfd6bbb15ac2b37fff0a3a0f083338773483305ef5/os_brick-0.6.0-py2-none-any.whl (74kB)
  4967. 2017-01-05 22:16:32.626 | Requirement already satisfied (use --upgrade to upgrade): oslo.cache===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 193))
  4968. 2017-01-05 22:16:32.627 | Requirement already satisfied (use --upgrade to upgrade): oslo.concurrency===2.6.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 194))
  4969. 2017-01-05 22:16:32.629 | Requirement already satisfied (use --upgrade to upgrade): oslo.config===2.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 195))
  4970. 2017-01-05 22:16:32.630 | Requirement already satisfied (use --upgrade to upgrade): oslo.context===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 196))
  4971. 2017-01-05 22:16:32.631 | Requirement already satisfied (use --upgrade to upgrade): oslo.db===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 197))
  4972. 2017-01-05 22:16:32.633 | Requirement already satisfied (use --upgrade to upgrade): oslo.i18n===2.6.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 198))
  4973. 2017-01-05 22:16:32.634 | Requirement already satisfied (use --upgrade to upgrade): oslo.log===1.11.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 199))
  4974. 2017-01-05 22:16:32.636 | Requirement already satisfied (use --upgrade to upgrade): oslo.messaging===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 200))
  4975. 2017-01-05 22:16:32.638 | Requirement already satisfied (use --upgrade to upgrade): oslo.middleware===2.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 201))
  4976. 2017-01-05 22:16:32.640 | Requirement already satisfied (use --upgrade to upgrade): oslo.policy===0.11.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 202))
  4977. 2017-01-05 22:16:32.665 | Collecting oslo.reports===1.1.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 203))
  4978. 2017-01-05 22:16:32.691 |   Downloading http://mirror.boi.a10networks.com:81/packages/ce/48/dc2e5eb3b4377beb0a04e87e7945e087d13127284553bdf6e1e4e63d892f/oslo.reports-1.1.0-py2.py3-none-any.whl (48kB)
  4979. 2017-01-05 22:16:32.725 | Requirement already satisfied (use --upgrade to upgrade): oslo.rootwrap===3.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 204))
  4980. 2017-01-05 22:16:32.726 | Requirement already satisfied (use --upgrade to upgrade): oslo.serialization===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 205))
  4981. 2017-01-05 22:16:32.727 | Requirement already satisfied (use --upgrade to upgrade): oslo.service===0.9.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 206))
  4982. 2017-01-05 22:16:32.730 | Requirement already satisfied (use --upgrade to upgrade): oslo.utils===2.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 207))
  4983. 2017-01-05 22:16:32.731 | Requirement already satisfied (use --upgrade to upgrade): oslo.versionedobjects===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 208))
  4984. 2017-01-05 22:16:32.734 | Collecting paramiko===1.16.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 215))
  4985. 2017-01-05 22:16:32.783 |   Downloading http://mirror.boi.a10networks.com:81/packages/25/90/a0baec87a353c4c5418ecc974d6cc3663d4404f367ea890f0f25ba968a83/paramiko-1.16.0-py2.py3-none-any.whl (169kB)
  4986. 2017-01-05 22:16:32.797 | Requirement already satisfied (use --upgrade to upgrade): pbr===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 218))
  4987. 2017-01-05 22:16:32.798 | Requirement already satisfied (use --upgrade to upgrade): prettytable===0.7.2 in /usr/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 223))
  4988. 2017-01-05 22:16:32.821 | Collecting psutil===1.2.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 225))
  4989. 2017-01-05 22:16:33.027 |   Downloading http://mirror.boi.a10networks.com:81/packages/8a/45/3b9dbd7a58482018927f756de098388ee252dd230143ddf486b3017117b1/psutil-1.2.1.tar.gz (167kB)
  4990. 2017-01-05 22:16:33.605 | Requirement already satisfied (use --upgrade to upgrade): pyasn1===0.1.9 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 230))
  4991. 2017-01-05 22:16:33.605 | Requirement already satisfied (use --upgrade to upgrade): pycadf===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 232))
  4992. 2017-01-05 22:16:33.606 | Requirement already satisfied (use --upgrade to upgrade): pycrypto===2.6.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 234))
  4993. 2017-01-05 22:16:33.607 | Collecting python-cinderclient===1.5.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 250))
  4994. 2017-01-05 22:16:33.632 |   Downloading http://mirror.boi.a10networks.com:81/packages/6f/6b/10a3836d374d380cabc022a2d7e1ec8489c7a91dd9cc9e2a9c6f2e90383f/python_cinderclient-1.5.0-py2.py3-none-any.whl (235kB)
  4995. 2017-01-05 22:16:33.658 | Collecting python-glanceclient===1.2.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 255))
  4996. 2017-01-05 22:16:33.691 |   Downloading http://mirror.boi.a10networks.com:81/packages/78/ac/47141401d08c87829c1ce200d8bd2cc749e58c48fc0c2cc158cbce70ee6b/python_glanceclient-1.2.0-py2.py3-none-any.whl (176kB)
  4997. 2017-01-05 22:16:33.711 | Requirement already satisfied (use --upgrade to upgrade): python-keystoneclient===1.7.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 259))
  4998. 2017-01-05 22:16:33.713 | Requirement already satisfied (use --upgrade to upgrade): python-neutronclient===3.1.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 267))
  4999. 2017-01-05 22:16:33.715 | Requirement already satisfied (use --upgrade to upgrade): pytz===2015.7 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 279))
  5000. 2017-01-05 22:16:33.716 | Requirement already satisfied (use --upgrade to upgrade): repoze.lru===0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 284))
  5001. 2017-01-05 22:16:33.717 | Requirement already satisfied (use --upgrade to upgrade): requests===2.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 286))
  5002. 2017-01-05 22:16:33.719 | Requirement already satisfied (use --upgrade to upgrade): retrying===1.3.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 292))
  5003. 2017-01-05 22:16:33.742 | Collecting rfc3986===0.3.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 293))
  5004. 2017-01-05 22:16:33.756 |   Downloading http://mirror.boi.a10networks.com:81/packages/64/74/ddfb13e7b7e355a1a560cfff986614f337e5d36b079a8490afb6087a59cc/rfc3986-0.3.1-py2.py3-none-any.whl
  5005. 2017-01-05 22:16:33.783 | Requirement already satisfied (use --upgrade to upgrade): simplejson===3.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 300))
  5006. 2017-01-05 22:16:33.784 | Requirement already satisfied (use --upgrade to upgrade): six===1.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 302))
  5007. 2017-01-05 22:16:33.784 | Requirement already satisfied (use --upgrade to upgrade): sqlalchemy-migrate===0.10.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 309))
  5008. 2017-01-05 22:16:33.785 | Requirement already satisfied (use --upgrade to upgrade): sqlparse===0.1.18 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 310))
  5009. 2017-01-05 22:16:33.786 | Requirement already satisfied (use --upgrade to upgrade): stevedore===1.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 311))
  5010. 2017-01-05 22:16:33.787 | Requirement already satisfied (use --upgrade to upgrade): testresources===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 319))
  5011. 2017-01-05 22:16:33.787 | Requirement already satisfied (use --upgrade to upgrade): testscenarios===0.5.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 320))
  5012. 2017-01-05 22:16:33.789 | Requirement already satisfied (use --upgrade to upgrade): testtools===1.8.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 321))
  5013. 2017-01-05 22:16:33.790 | Requirement already satisfied (use --upgrade to upgrade): traceback2===1.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 326))
  5014. 2017-01-05 22:16:33.791 | Requirement already satisfied (use --upgrade to upgrade): trollius===2.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 328))
  5015. 2017-01-05 22:16:33.791 | Requirement already satisfied (use --upgrade to upgrade): unittest2===1.1.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 331))
  5016. 2017-01-05 22:16:33.793 | Collecting warlock===1.2.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 335))
  5017. 2017-01-05 22:16:33.808 |   Downloading http://mirror.boi.a10networks.com:81/packages/0f/d4/408b936a3d9214b7685c35936bb59d9254c70ff319ee6a837b9efcf5615e/warlock-1.2.0.tar.gz
  5018. 2017-01-05 22:16:34.353 | Collecting websockify===0.7.0 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 338))
  5019. 2017-01-05 22:16:34.367 |   Downloading http://mirror.boi.a10networks.com:81/packages/4e/b4/57120ab913578feedce9aea809230eb56fa7fe4863cbc73584f48f8faec9/websockify-0.7.0.tar.gz (231kB)
  5020. 2017-01-05 22:16:34.917 | Requirement already satisfied (use --upgrade to upgrade): setuptools!=24.0.0,>=16.0 in /usr/local/lib/python2.7/dist-packages (from nova==15.0.0.0b3.dev241)
  5021. 2017-01-05 22:16:34.947 | Collecting oslo.privsep>=1.9.0 (from nova==15.0.0.0b3.dev241)
  5022. 2017-01-05 22:16:34.993 |   Downloading http://mirror.boi.a10networks.com:81/packages/3d/4f/207d17d1f63b626c896b56273521de272d77c469bff0670ad6cc1ca08641/oslo.privsep-1.15.0-py2.py3-none-any.whl
  5023. 2017-01-05 22:16:35.081 | Collecting os-vif>=1.3.0 (from nova==15.0.0.0b3.dev241)
  5024. 2017-01-05 22:16:35.098 |   Downloading http://mirror.boi.a10networks.com:81/packages/f8/72/5224272dc25ce6918a76f3ac4d657a49f3d1605e72567abc0ff367420fe1/os_vif-1.3.0-py2-none-any.whl (52kB)
  5025. 2017-01-05 22:16:35.175 | Collecting os-win>=1.1.0 (from nova==15.0.0.0b3.dev241)
  5026. 2017-01-05 22:16:35.210 |   Downloading http://mirror.boi.a10networks.com:81/packages/06/ad/67ba81a72c896c975a2653bf121b49f65d0102a49b25724a335c5f430dfc/os_win-1.2.1-py2-none-any.whl (211kB)
  5027. 2017-01-05 22:16:35.309 | Collecting microversion-parse>=0.1.2 (from nova==15.0.0.0b3.dev241)
  5028. 2017-01-05 22:16:35.326 |   Downloading http://mirror.boi.a10networks.com:81/packages/cd/c4/07276145a0a990c4918cf1de71a87937de2b1fa9d34a2f4a6ee3fdefcef0/microversion_parse-0.1.4-py2-none-any.whl
  5029. 2017-01-05 22:16:35.362 | Requirement already satisfied (use --upgrade to upgrade): cffi===1.3.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 80))
  5030. 2017-01-05 22:16:35.363 | Requirement already satisfied (use --upgrade to upgrade): functools32===3.2.3.post2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 123))
  5031. 2017-01-05 22:16:35.363 | Requirement already satisfied (use --upgrade to upgrade): argparse in /usr/local/lib/python2.7/dist-packages (from keystoneauth1===2.1.0->-c /opt/stack/new/requirements/upper-constraints.txt (line 154))
  5032. 2017-01-05 22:16:35.364 | Requirement already satisfied (use --upgrade to upgrade): dogpile.cache===0.5.7 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 110))
  5033. 2017-01-05 22:16:35.365 | Requirement already satisfied (use --upgrade to upgrade): fasteners===0.14.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 118))
  5034. 2017-01-05 22:16:35.366 | Requirement already satisfied (use --upgrade to upgrade): alembic===0.8.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 59))
  5035. 2017-01-05 22:16:35.367 | Requirement already satisfied (use --upgrade to upgrade): debtcollector===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 91))
  5036. 2017-01-05 22:16:35.369 | Requirement already satisfied (use --upgrade to upgrade): futurist===0.8.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 125))
  5037. 2017-01-05 22:16:35.370 | Requirement already satisfied (use --upgrade to upgrade): cachetools===1.1.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 75))
  5038. 2017-01-05 22:16:35.371 | Requirement already satisfied (use --upgrade to upgrade): kombu===3.0.30 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 156))
  5039. 2017-01-05 22:16:35.373 | Requirement already satisfied (use --upgrade to upgrade): PyYAML===3.11 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 18))
  5040. 2017-01-05 22:16:35.374 | Requirement already satisfied (use --upgrade to upgrade): amqp===1.4.8 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 60))
  5041. 2017-01-05 22:16:35.374 | Requirement already satisfied (use --upgrade to upgrade): aioeventlet===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 58))
  5042. 2017-01-05 22:16:35.375 | Requirement already satisfied (use --upgrade to upgrade): msgpack-python===0.4.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 168))
  5043. 2017-01-05 22:16:35.376 | Requirement already satisfied (use --upgrade to upgrade): monotonic===0.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 165))
  5044. 2017-01-05 22:16:35.431 | Collecting ecdsa===0.13 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 112))
  5045. 2017-01-05 22:16:35.447 |   Downloading http://mirror.boi.a10networks.com:81/packages/63/f4/73669d51825516ce8c43b816c0a6b64cd6eb71d08b99820c00792cb42222/ecdsa-0.13-py2.py3-none-any.whl (86kB)
  5046. 2017-01-05 22:16:35.491 | Requirement already satisfied (use --upgrade to upgrade): cliff===1.15.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 82))
  5047. 2017-01-05 22:16:35.493 | Requirement already satisfied (use --upgrade to upgrade): Tempita===0.5.2 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 24))
  5048. 2017-01-05 22:16:35.494 | Requirement already satisfied (use --upgrade to upgrade): extras===0.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 116))
  5049. 2017-01-05 22:16:35.494 | Requirement already satisfied (use --upgrade to upgrade): python-mimeparse===0.1.4 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 264))
  5050. 2017-01-05 22:16:35.495 | Requirement already satisfied (use --upgrade to upgrade): linecache2===1.0.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 160))
  5051. 2017-01-05 22:16:35.496 | Requirement already satisfied (use --upgrade to upgrade): futures===3.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 124))
  5052. 2017-01-05 22:16:35.496 | Collecting jsonpatch===1.12 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 143))
  5053. 2017-01-05 22:16:35.525 |   Downloading http://mirror.boi.a10networks.com:81/packages/70/5b/cd8db6723b859165eefe44c21455618c98f6c56c35e13a4e974478317744/jsonpatch-1.12-py2-none-any.whl
  5054. 2017-01-05 22:16:35.529 | Collecting numpy===1.10.1 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 178))
  5055. 2017-01-05 22:16:35.843 |   Downloading http://mirror.boi.a10networks.com:81/packages/a5/2e/5412784108f5dc0f827fb460ccdeaa9d76286979fe5ddd070d526d168a59/numpy-1.10.1.zip (4.6MB)
  5056. 2017-01-05 22:16:36.914 | Requirement already satisfied (use --upgrade to upgrade): pycparser===2.14 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 233))
  5057. 2017-01-05 22:16:36.915 | Requirement already satisfied (use --upgrade to upgrade): dogpile.core===0.4.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 111))
  5058. 2017-01-05 22:16:36.915 | Requirement already satisfied (use --upgrade to upgrade): python-editor===0.5 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 254))
  5059. 2017-01-05 22:16:36.916 | Requirement already satisfied (use --upgrade to upgrade): Mako===1.0.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 6))
  5060. 2017-01-05 22:16:36.917 | Requirement already satisfied (use --upgrade to upgrade): wrapt===1.10.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 340))
  5061. 2017-01-05 22:16:36.917 | Requirement already satisfied (use --upgrade to upgrade): contextlib2===0.4.0 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 86))
  5062. 2017-01-05 22:16:36.918 | Requirement already satisfied (use --upgrade to upgrade): anyjson===0.3.3 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 61))
  5063. 2017-01-05 22:16:36.918 | Requirement already satisfied (use --upgrade to upgrade): cmd2===0.6.8 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 84))
  5064. 2017-01-05 22:16:36.919 | Requirement already satisfied (use --upgrade to upgrade): pyparsing===2.0.6 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 240))
  5065. 2017-01-05 22:16:36.920 | Requirement already satisfied (use --upgrade to upgrade): unicodecsv===0.14.1 in /usr/local/lib/python2.7/dist-packages (from -c /opt/stack/new/requirements/upper-constraints.txt (line 330))
  5066. 2017-01-05 22:16:36.920 | Collecting jsonpointer===1.10 (from -c /opt/stack/new/requirements/upper-constraints.txt (line 146))
  5067. 2017-01-05 22:16:36.942 |   Downloading http://mirror.boi.a10networks.com:81/packages/76/ed/b0038bd16fa7fe440dca43f8fdae79096ea51271e9d5e7d2249e46217bd7/jsonpointer-1.10-py2-none-any.whl
  5068. 2017-01-05 22:16:36.946 | Building wheels for collected packages: lxml, numpy, psutil, warlock, websockify
  5069. 2017-01-05 22:16:36.947 |   Running setup.py bdist_wheel for lxml
  5070. 2017-01-05 22:17:38.805 |   Stored in directory: /root/.cache/pip/wheels/5d/bd/24/5182d2c930c86dcb26cb846d84bc8949209687e0cda24bbee9
  5071. 2017-01-05 22:17:38.916 |   Running setup.py bdist_wheel for numpy
  5072. 2017-01-05 22:20:23.888 |   Stored in directory: /root/.cache/pip/wheels/7a/ec/9d/04710a78e7801404a4906b7a14e8b2ba01ec5d344a7e93cc93
  5073. 2017-01-05 22:20:24.135 |   Running setup.py bdist_wheel for psutil
  5074. 2017-01-05 22:20:24.956 |   Stored in directory: /root/.cache/pip/wheels/e8/fd/51/414db4e47697343784660c420b0c05c6e96bb5c4271b1dcc47
  5075. 2017-01-05 22:20:24.964 |   Running setup.py bdist_wheel for warlock
  5076. 2017-01-05 22:20:25.507 |   Stored in directory: /root/.cache/pip/wheels/e2/df/83/163d507a60ad41fbd3c1708de8e79a7e971e52b16443ea4e27
  5077. 2017-01-05 22:20:25.511 |   Running setup.py bdist_wheel for websockify
  5078. 2017-01-05 22:20:26.070 |   Stored in directory: /root/.cache/pip/wheels/10/09/52/0e27c75693eb21085e196c5c0ff3e42414dd47ac9f24d569d4
  5079. 2017-01-05 22:20:26.077 | Successfully built lxml numpy psutil warlock websockify
  5080. 2017-01-05 22:20:26.078 | Installing collected packages: ecdsa, jsonpointer, jsonpatch, keystoneauth1, lxml, numpy, os-brick, psutil, oslo.reports, paramiko, python-cinderclient, warlock, python-glanceclient, rfc3986, websockify, oslo.privsep, os-vif, os-win, microversion-parse, nova
  5081. 2017-01-05 22:20:26.319 |   Found existing installation: jsonpointer 1.0
  5082. 2017-01-05 22:20:26.320 |     DEPRECATION: Uninstalling a distutils installed project (jsonpointer) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  5083. 2017-01-05 22:20:26.320 |     Uninstalling jsonpointer-1.0:
  5084. 2017-01-05 22:20:26.327 |       Successfully uninstalled jsonpointer-1.0
  5085. 2017-01-05 22:20:26.336 |   Found existing installation: jsonpatch 1.3
  5086. 2017-01-05 22:20:26.337 |     Uninstalling jsonpatch-1.3:
  5087. 2017-01-05 22:20:26.337 |       Successfully uninstalled jsonpatch-1.3
  5088. 2017-01-05 22:20:26.461 |   Found existing installation: lxml 3.3.3
  5089. 2017-01-05 22:20:26.462 |     Uninstalling lxml-3.3.3:
  5090. 2017-01-05 22:20:26.462 |       Successfully uninstalled lxml-3.3.3
  5091. 2017-01-05 22:20:26.526 |   Found existing installation: numpy 1.8.2
  5092. 2017-01-05 22:20:26.526 |     DEPRECATION: Uninstalling a distutils installed project (numpy) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
  5093. 2017-01-05 22:20:26.526 |     Uninstalling numpy-1.8.2:
  5094. 2017-01-05 22:20:26.527 |       Successfully uninstalled numpy-1.8.2
  5095. 2017-01-05 22:20:27.520 |   Found existing installation: paramiko 1.10.1
  5096. 2017-01-05 22:20:27.520 |     Uninstalling paramiko-1.10.1:
  5097. 2017-01-05 22:20:27.521 |       Successfully uninstalled paramiko-1.10.1
  5098. 2017-01-05 22:20:27.597 |   Found existing installation: python-cinderclient 1.0.8
  5099. 2017-01-05 22:20:27.598 |     Uninstalling python-cinderclient-1.0.8:
  5100. 2017-01-05 22:20:27.600 |       Successfully uninstalled python-cinderclient-1.0.8
  5101. 2017-01-05 22:20:27.751 |   Found existing installation: warlock 1.1.0
  5102. 2017-01-05 22:20:27.751 |     Uninstalling warlock-1.1.0:
  5103. 2017-01-05 22:20:27.752 |       Successfully uninstalled warlock-1.1.0
  5104. 2017-01-05 22:20:27.758 |   Found existing installation: python-glanceclient 0.12.0
  5105. 2017-01-05 22:20:27.759 |     Uninstalling python-glanceclient-0.12.0:
  5106. 2017-01-05 22:20:27.759 |       Successfully uninstalled python-glanceclient-0.12.0
  5107. 2017-01-05 22:20:27.875 |   Found existing installation: websockify 0.5.1
  5108. 2017-01-05 22:20:27.876 |     Uninstalling websockify-0.5.1:
  5109. 2017-01-05 22:20:27.877 |       Successfully uninstalled websockify-0.5.1
  5110. 2017-01-05 22:20:28.081 |   Running setup.py develop for nova
  5111. 2017-01-05 22:20:32.285 | Successfully installed ecdsa-0.13 jsonpatch-1.12 jsonpointer-1.10 keystoneauth1-2.1.0 lxml-3.5.0 microversion-parse-0.1.4 nova-2014.1.5 numpy-1.10.1 os-brick-0.6.0 os-vif-1.3.0 os-win-1.2.1 oslo.privsep-1.15.0 oslo.reports-1.1.0 paramiko-1.16.0 psutil-1.2.1 python-cinderclient-1.5.0 python-glanceclient-1.2.0 rfc3986-0.3.1 warlock-1.2.0 websockify-0.7.0
  5112. 2017-01-05 22:20:32.550 | You are using pip version 7.1.2, however version 9.0.1 is available.
  5113. 2017-01-05 22:20:32.551 | You should consider upgrading via the 'pip install --upgrade pip' command.
  5114. 2017-01-05 22:20:32.587 | + local 'test_req=-e /opt/stack/new/nova/test-requirements.txt'
  5115. 2017-01-05 22:20:32.587 | + [[ -e -e /opt/stack/new/nova/test-requirements.txt ]]
  5116. 2017-01-05 22:20:32.587 | + [[ -e == \-\e ]]
  5117. 2017-01-05 22:20:32.587 | + safe_chown -R stack /opt/stack/new/nova/nova.egg-info
  5118. 2017-01-05 22:20:32.587 | + _safe_permission_operation chown -R stack /opt/stack/new/nova/nova.egg-info
  5119. 2017-01-05 22:20:32.596 | + sudo chown -R stack /opt/stack/new/nova/nova.egg-info
  5120. 2017-01-05 22:20:32.609 | + sudo install -D -m 0644 -o stack /opt/stack/new/nova/tools/nova-manage.bash_completion /etc/bash_completion.d/nova-manage.bash_completion
  5121. 2017-01-05 22:20:32.620 | + '[' False == True ']'
  5122. 2017-01-05 22:20:32.620 | + [[ False = True ]]
  5123. 2017-01-05 22:20:32.620 | + cleanup_nova
  5124. 2017-01-05 22:20:32.620 | + is_service_enabled n-cpu
  5125. 2017-01-05 22:20:32.626 | + return 0
  5126. 2017-01-05 22:20:32.626 | + clean_iptables
  5127. 2017-01-05 22:20:32.627 | + sudo iptables -S -v
  5128. 2017-01-05 22:20:32.627 | + grep '\-A'
  5129. 2017-01-05 22:20:32.628 | + sed s/-A/-D/g
  5130. 2017-01-05 22:20:32.629 | + awk '{print "sudo iptables",$0}'
  5131. 2017-01-05 22:20:32.629 | + bash
  5132. 2017-01-05 22:20:32.634 | + grep nova
  5133. 2017-01-05 22:20:32.635 | + sed 's/-c [0-9]* [0-9]* //g'
  5134. 2017-01-05 22:20:32.642 | + sudo iptables -S -v -t nat
  5135. 2017-01-05 22:20:32.643 | + sed s/-A/-D/g
  5136. 2017-01-05 22:20:32.644 | + grep '\-A'
  5137. 2017-01-05 22:20:32.644 | + grep nova
  5138. 2017-01-05 22:20:32.645 | + sed 's/-c [0-9]* [0-9]* //g'
  5139. 2017-01-05 22:20:32.648 | + bash
  5140. 2017-01-05 22:20:32.648 | + awk '{print "sudo iptables -t nat",$0}'
  5141. 2017-01-05 22:20:32.654 | + sudo iptables -S -v
  5142. 2017-01-05 22:20:32.655 | + sed 's/-c [0-9]* [0-9]* //g'
  5143. 2017-01-05 22:20:32.657 | + awk '{print "sudo iptables",$0}'
  5144. 2017-01-05 22:20:32.658 | + bash
  5145. 2017-01-05 22:20:32.658 | + sed s/-N/-X/g
  5146. 2017-01-05 22:20:32.659 | + grep '\-N'
  5147. 2017-01-05 22:20:32.662 | + grep nova
  5148. 2017-01-05 22:20:32.668 | + sudo iptables -S -v -t nat
  5149. 2017-01-05 22:20:32.669 | + bash
  5150. 2017-01-05 22:20:32.669 | + sed s/-N/-X/g
  5151. 2017-01-05 22:20:32.671 | + awk '{print "sudo iptables -t nat",$0}'
  5152. 2017-01-05 22:20:32.672 | + grep '\-N'
  5153. 2017-01-05 22:20:32.673 | + sed 's/-c [0-9]* [0-9]* //g'
  5154. 2017-01-05 22:20:32.673 | + grep nova
  5155. 2017-01-05 22:20:32.678 | ++ sudo virsh list --all
  5156. 2017-01-05 22:20:32.678 | ++ sed 's/.*\(instance-[0-9a-fA-F]*\).*/\1/g'
  5157. 2017-01-05 22:20:32.680 | ++ grep instance-
  5158. 2017-01-05 22:20:32.695 | + local instances=
  5159. 2017-01-05 22:20:32.695 | + '[' '!' '' = '' ']'
  5160. 2017-01-05 22:20:32.695 | ++ sudo iscsiadm --mode node
  5161. 2017-01-05 22:20:32.700 | ++ grep volume-
  5162. 2017-01-05 22:20:32.700 | ++ cut -d ' ' -f2
  5163. 2017-01-05 22:20:32.702 | iscsiadm: No records found
  5164. 2017-01-05 22:20:32.703 | + local tgts=
  5165. 2017-01-05 22:20:32.703 | + local target
  5166. 2017-01-05 22:20:32.703 | + sudo iscsiadm --mode node --op delete
  5167. 2017-01-05 22:20:32.709 | iscsiadm: No records found
  5168. 2017-01-05 22:20:32.710 | + true
  5169. 2017-01-05 22:20:32.710 | + sudo rm -rf '/opt/stack/data/nova/instances/*'
  5170. 2017-01-05 22:20:32.716 | + sudo rm -rf /opt/stack/data/nova /var/cache/nova
  5171. 2017-01-05 22:20:32.722 | + '[' False == True ']'
  5172. 2017-01-05 22:20:32.722 | + configure_nova
  5173. 2017-01-05 22:20:32.722 | + sudo install -d -o stack /etc/nova
  5174. 2017-01-05 22:20:32.730 | + install_default_policy nova
  5175. 2017-01-05 22:20:32.730 | + local project=nova
  5176. 2017-01-05 22:20:32.730 | ++ echo nova
  5177. 2017-01-05 22:20:32.731 | ++ tr a-z A-Z
  5178. 2017-01-05 22:20:32.732 | + local project_uc=NOVA
  5179. 2017-01-05 22:20:32.732 | + local conf_dir=NOVA_CONF_DIR
  5180. 2017-01-05 22:20:32.732 | + conf_dir=/etc/nova
  5181. 2017-01-05 22:20:32.732 | + local project_dir=NOVA_DIR
  5182. 2017-01-05 22:20:32.732 | + project_dir=/opt/stack/new/nova
  5183. 2017-01-05 22:20:32.732 | + local sample_conf_dir=/opt/stack/new/nova/etc/nova
  5184. 2017-01-05 22:20:32.732 | + local sample_policy_dir=/opt/stack/new/nova/etc/nova/policy.d
  5185. 2017-01-05 22:20:32.733 | + cp -p /opt/stack/new/nova/etc/nova/policy.json /etc/nova
  5186. 2017-01-05 22:20:32.733 | cp: cannot stat '/opt/stack/new/nova/etc/nova/policy.json': No such file or directory
  5187. 2017-01-05 22:20:32.734 | + exit_trap
  5188. 2017-01-05 22:20:32.734 | + local r=1
  5189. 2017-01-05 22:20:32.734 | ++ jobs -p
  5190. 2017-01-05 22:20:32.735 | + jobs=
  5191. 2017-01-05 22:20:32.735 | + [[ -n '' ]]
  5192. 2017-01-05 22:20:32.735 | + kill_spinner
  5193. 2017-01-05 22:20:32.735 | + '[' '!' -z '' ']'
  5194. 2017-01-05 22:20:32.735 | + [[ 1 -ne 0 ]]
  5195. 2017-01-05 22:20:32.735 | + echo 'Error on exit'
  5196. 2017-01-05 22:20:32.735 | Error on exit
  5197. 2017-01-05 22:20:32.735 | + generate-subunit 1483654268 564 fail
  5198. 2017-01-05 22:20:33.140 | + [[ -z /opt/stack/new ]]
  5199. 2017-01-05 22:20:33.140 | + /opt/stack/new/devstack/tools/worlddump.py -d /opt/stack/new
  5200. 2017-01-05 22:20:33.163 | World dumping... see /opt/stack/new/worlddump-2017-01-05-222033.txt for details
  5201. 2017-01-05 22:20:34.575 | + exit 1
RAW Paste Data